/*
-- =========================================================================== A
Activité : IFT187
Trimestre : 2022-1
Composant : Exemples/Herbivorie/Herbivorie_jeu2.sql
Encodage : UTF-8, sans BOM; fin de ligne Unix (LF)
Plateforme : PostgreSQL 9.4-14.1
Responsable : Luc.Lavoie@USherbrooke.ca
Version : 0.1.0a
Statut : base de développement
-- =========================================================================== A
*/

/*
-- =========================================================================== B
Ce jeu de données représente une saisie réaliste de petite envergure dont les
observations d'état ne sont pas encore disponible.

L'initialisation est divisée en deux parties :
  1.  Les données issues du protocole expérimental
        (Etat, Peuplement, Taux, Arbre, Placette).
  2.  Les observations recueillies par la suite sur le terrain.
        (Plant, ObsDimension, ObsFloraison, ObsEtat)
      ces dernières doivent être extraites des carnets de terrain.

NOTE : à proprement parler, les données des placettes relèvent aussi d'observations
  faites sur le terrain. Celles-ci ont cependant été faites au départ et on s'est
  alors assuré qu'aucune donnée n'était manquante.
-- =========================================================================== B
*/

--
-- Partie 1
--
INSERT INTO Etat VALUES
  ('O', 'vivante'),
  ('B', 'broutée'),
  ('X', 'fanée'),
  ('C', 'cassée'),
  ('D', 'disparue'),
  ('N', 'non retrouvée');

INSERT INTO Peuplement VALUES
  ('ERHE', 'érablière à hêtre'),
  ('BEMI', 'bétulai à érable et sapin'),
  ('SABO', 'sapinière à bouleau'),
  ('SAPI', 'sapinière pure'),
  ('ERSA', 'érablière à sapin'),
  ('PEBO', 'pessière à bouleau');

INSERT INTO Taux VALUES
  ('A', 76, 100),
  ('B', 51, 75),
  ('C', 26, 50),
  ('D', 6, 25),
  ('E', 1, 5),
  ('F', 0, 0);

INSERT INTO Arbre VALUES
  ('ABIBAL', 'Abies balsamea'),
  ('ACESAC', 'Acer saccharum'),
  ('BETALL', 'Betula alleghaniensis'),
  ('BETCOR', 'Betula papyrifera var. cordifolia'),
  ('BETPAP', 'Betula papyrifera'),
  ('FAGGRA', 'Fagus grandifolia'),
  ('NA',     'non applicable (sans objet)'),
  ('PICMAR', 'Picea mariana'),
  ('SORSSP', 'Sorbus sp.');

INSERT INTO Placette VALUES
  ('A1', 'ERHE', 'E', 'E', 'F', 'F', 'D', 'E', 'D', 'F', 'C', 'ACESAC', 'FAGGRA', 'BETALL', '2017-07-25'),
  ('A5', 'BEMI', 'C', 'E', 'D', 'D', 'B', 'D', 'E', 'F', 'A', 'BETPAP', 'ACESAC', 'ABIBAL', '2017-07-25'),
  ('A7', 'SAPI', 'D', 'D', 'C', 'C', 'B', 'B', 'E', 'C', 'A', 'ABIBAL', 'BETCOR', 'SORSSP', '2017-08-01'),
  ('B1', 'ERHE', 'D', 'D', 'F', 'E', 'D', 'D', 'F', 'E', 'D', 'ACESAC', 'FAGGRA', 'BETPAP', '2017-07-25'),
  ('B5', 'ERHE', 'E', 'E', 'D', 'D', 'C', 'D', 'E', 'E', 'C', 'ACESAC', 'FAGGRA', 'ABIBAL', '2017-07-26'),
  ('B7', 'SABO', 'E', 'E', 'D', 'D', 'C', 'D', 'D', 'D', 'A', 'ABIBAL', 'BETCOR', 'PICMAR', '2017-08-02'),
  ('C1', 'ERHE', 'D', 'D', 'F', 'F', 'D', 'D', 'E', 'E', 'C', 'ACESAC', 'FAGGRA', 'NA',     '2017-07-26'),
  ('C5', 'ERSA', 'E', 'E', 'D', 'D', 'C', 'D', 'E', 'E', 'A', 'ACESAC', 'ABIBAL', 'PICMAR', '2017-07-26'),
  ('C7', 'PEBO', 'F', 'F', 'D', 'D', 'B', 'D', 'E', 'D', 'B', 'PICMAR', 'BETALL', 'ABIBAL', '2017-08-02');

--
-- Partie 2
--
INSERT INTO Plant (id, placette, parcelle, date, note) VALUES
  ('MMA1040', 'A1', 4, '2017-05-08', ''),
  ('MMB1305', 'B1', 11, '2017-06-04', '' ),
  ('MMB7103', 'B7', 6, '2017-06-01', '' ),
  ('MMA1122', 'A1', 12, '2017-05-12', '' ),
  ('MMB1009', 'B1', 1, '2017-05-13', '' ),
  ('MMA5041', 'A5', 6, '2017-05-27', '' ),
  ('MMA5186', 'A5', 15, '2017-05-27', '' ),
  ('MMA5051', 'A5', 7, '2017-05-27', '' ),
  ('MMB5103', 'B5', 9, '2017-05-23', '' ),
  ('MMA7092', 'A7', 7, '2017-05-31', '' ),
  ('MMC1185', 'C1', 9, '2017-05-17', '' ),
  ('MMB5213', 'B5', 16, '2017-05-23', '' ),
  ('MMA1197', 'A1', 19, '2017-05-12', '' ),
  ('MMB7087', 'B7', 5, '2017-06-01', '' ),
  ('MMC1085', 'C1', 6, '2017-05-17', '' ),
  ('MMA5065', 'A5', 9, '2017-05-27', '' ),
  ('MMC7028', 'C7', 1, '2017-06-02', '' ),
  ('MMA7048', 'A7', 4, '2017-05-31', '' ),
  ('MMA5003', 'A5', 2, '2017-05-27', '' ),
  ('MMB1058', 'B1', 5, '2017-05-13', '' ),
  ('MMC1224', 'C1', 2, '2017-06-05', '' ),
  ('MMB5032', 'B5', 4, '2017-05-23', '' ),
  ('MMA5142', 'A5', 11, '2017-05-27', '' ),
  ('MMB1265', 'B1', 6, '2017-06-04', '' ),
  ('MMB5099', 'B5', 8, '2017-05-23', '' ),
  ('MMC5026', 'C5', 3, '2017-05-28', '' ),
  ('MMB1244', 'B1', 4, '2017-06-04', '' ),
  ('MMC1172', 'C1', 9, '2017-05-17', '' ),
  ('MMA7125', 'A7', 7, '2017-05-31', '' ),
  ('MMB5214', 'B5', 16, '2017-05-23', '' ),
  ('MMA5096', 'A5', 10, '2017-05-27', '' ),
  ('MMC1170', 'C1', 9, '2017-05-17', '' ),
  ('MMB7026', 'B7', 2, '2017-06-01', '' ),
  ('MMC1030', 'C1', 2, '2017-05-17', '' ),
  ('MMB5233', 'B5', 7, '2017-06-09', '' ),
  ('MMB5266', 'B5', 16, '2017-06-09', '' ),
  ('MMB1178', 'B1', 12, '2017-05-13', '' ),
  ('MMA5026', 'A5', 3, '2017-05-27', '' ),
  ('MMC5188', 'C5', 15, '2017-05-28', '' ),
  ('MMB7035', 'B7', 3, '2017-06-01', '' ),
  ('MMB1068', 'B1', 6, '2017-05-13', '' ),
  ('MMC5094', 'C5', 9, '2017-05-28', '' ),
  ('MMB5218', 'B5', 16, '2017-05-23', '' ),
  ('MMC5126', 'C5', 9, '2017-05-28', '' ),
  ('MMC5189', 'C5', 15, '2017-05-28', '' ),
  ('MMA7060', 'A7', 5, '2017-05-31', '' ),
  ('MMC1117', 'C1', 7, '2017-05-17', '' ),
  ('MMA5089', 'A5', 9, '2017-05-27', '' ),
  ('MMA1124', 'A1', 13, '2017-05-12', '' ),
  ('MMC7006', 'C7', 1, '2017-06-02', '' ),
  ('MMA5230', 'A5', 5, '2017-06-08', '' ),
  ('MMB5125', 'B5', 10, '2017-05-23', '' ),
  ('MMC7049', 'C7', 2, '2017-06-02', '' ),
  ('MMB5067', 'B5', 7, '2017-05-23', '' ),
  ('MMA7035', 'A7', 4, '2017-05-31', '' ),
  ('MMB7126', 'B7', 6, '2017-06-01', '' ),
  ('MMB7144', 'B7', 6, '2017-06-20', '' ),
  ('MMA5153', 'A5', 14, '2017-05-27', '' ),
  ('MMC1228', 'C1', 2, '2017-06-05', '' ),
  ('MMC1304', 'C1', 10, '2017-06-05', '' ),
  ('MMC1004', 'C1', 1, '2017-05-17', '' ),
  ('MMB5237', 'B5', 7, '2017-06-09', '' ),
  ('MMC5120', 'C5', 10, '2017-05-28', '' ),
  ('MMC1258', 'C1', 7, '2017-06-05', '' ),
  ('MMB5148', 'B5', 13, '2017-05-23', '' ),
  ('MMC1113', 'C1', 7, '2017-05-17', '' ),
  ('MMB5229', 'B5', 5, '2017-06-09', '' ),
  ('MMA5250', 'A5', 12, '2017-06-08', '' ),
  ('MMA7100', 'A7', 7, '2017-05-31', '' ),
  ('MMC1187', 'C1', 9, '2017-05-17', '' ),
  ('MMC7102', 'C7', 3, '2017-06-02', '' ),
  ('MMC1225', 'C1', 2, '2017-06-05', '' ),
  ('MMC5013', 'C5', 2, '2017-05-28', '' ),
  ('MMC1236', 'C1', 5, '2017-06-05', '' ),
  ('MMC1136', 'C1', 8, '2017-05-17', '' ),
  ('MMB5120', 'B5', 10, '2017-05-23', '' ),
  ('MMA1018', 'A1', 3, '2017-05-08', '' ),
  ('MMB7086', 'B7', 5, '2017-06-01', '' ),
  ('MMB5136', 'B5', 11, '2017-05-23', '' ),
  ('MMA1236', 'A1', 5, '2017-06-04', '' ),
  ('MMB5015', 'B5', 2, '2017-05-23', '' ),
  ('MMC5087', 'C5', 8, '2017-05-28', '' ),
  ('MMC5056', 'C5', 6, '2017-05-28', '' ),
  ('MMB7015', 'B7', 1, '2017-06-01', '' ),
  ('MMC5048', 'C5', 5, '2017-05-28', '' ),
  ('MMB7046', 'B7', 2, '2017-06-01', '' ),
  ('MMC5079', 'C5', 7, '2017-05-28', '' ),
  ('MMB1105', 'B1', 8, '2017-05-13', '' ),
  ('MMB1282', 'B1', 7, '2017-06-04', '' ),
  ('MMB5041', 'B5', 5, '2017-05-23', '' ),
  ('MMA5115', 'A5', 11, '2017-05-27', '' ),
  ('MMA7045', 'A7', 4, '2017-05-31', '' ),
  ('MMB7027', 'B7', 2, '2017-06-01', '' ),
  ('MMA5053', 'A5', 7, '2017-05-27', '' ),
  ('MMA1283', 'A1', 10, '2017-06-04', '' ),
  ('MMC1126', 'C1', 7, '2017-05-17', '' ),
  ('MMA5088', 'A5', 9, '2017-05-27', '' ),
  ('MMC5085', 'C5', 8, '2017-05-28', '' ),
  ('MMA5208', 'A5', 15, '2017-05-27', '' ),
  ('MMA1215', 'A1', 2, '2017-06-04', '' ),
  ('MMB1043', 'B1', 4, '2017-05-13', '' ),
  ('MMA7058', 'A7', 5, '2017-05-31', '' ),
  ('MMA7131', 'A7', 1, '2017-06-19', '' ),
  ('MMC1192', 'C1', 9, '2017-05-17', '' ),
  ('MMC1050', 'C1', 2, '2017-05-17', '' ),
  ('MMC5015', 'C5', 2, '2017-05-28', '' ),
  ('MMB1052', 'B1', 5, '2017-05-13', '' ),
  ('MMC5195', 'C5', 16, '2017-05-28', '' ),
  ('MMC1297', 'C1', 9, '2017-06-05', '' ),
  ('MMA5052', 'A5', 7, '2017-05-27', '' ),
  ('MMC7060', 'C7', 2, '2017-06-02', '' ),
  ('MMC7142', 'C7', 3, '2017-06-20', '' ),
  ('MMA1014', 'A1', 3, '2017-05-08', '' ),
  ('MMA1229', 'A1', 4, '2017-06-04', '' ),
  ('MMA1205', 'A1', 1, '2017-06-04', '' ),
  ('MMB1176', 'B1', 12, '2017-05-13', '' ),
  ('MMB7112', 'B7', 6, '2017-06-01', '' ),
  ('MMC5250', 'C5', 15, '2017-06-10', '' ),
  ('MMA1100', 'A1', 11, '2017-05-12', '' ),
  ('MMB1127', 'B1', 10, '2017-05-13', '' ),
  ('MMA1068', 'A1', 6, '2017-05-12', '' ),
  ('MMA1089', 'A1', 8, '2017-05-12', '' ),
  ('MMC5125', 'C5', 10, '2017-05-28', '' ),
  ('MMC7036', 'C7', 2, '2017-06-02', '' ),
  ('MMA5072', 'A5', 9, '2017-05-27', '' ),
  ('MMC5167', 'C5', 13, '2017-05-28', '' ),
  ('MMB1057', 'B1', 5, '2017-05-13', '' ),
  ('MMB1090', 'B1', 7, '2017-05-13', '' ),
  ('MMB1129', 'B1', 10, '2017-05-13', '' ),
  ('MMC5103', 'C5', 9, '2017-05-28', '' ),
  ('MMB5007', 'B5', 1, '2017-05-23', '' ),
  ('MMB5232', 'B5', 7, '2017-06-09', '' ),
  ('MMC1125', 'C1', 7, '2017-05-17', '' ),
  ('MMC1052', 'C1', 2, '2017-05-17', '' ),
  ('MMC1193', 'C1', 9, '2017-05-17', '' ),
  ('MMA7090', 'A7', 7, '2017-05-31', '' ),
  ('MMB1109', 'B1', 8, '2017-05-13', '' ),
  ('MMC1111', 'C1', 7, '2017-05-17', '' ),
  ('MMC5227', 'C5', 7, '2017-06-10', '' ),
  ('MMB1159', 'B1', 11, '2017-05-13', '' ),
  ('MMB7071', 'B7', 5, '2017-06-01', '' ),
  ('MMC7132', 'C7', 4, '2017-06-14', '' ),
  ('MMC1092', 'C1', 6, '2017-05-17', '' ),
  ('MMB7105', 'B7', 6, '2017-06-01', '' ),
  ('MMA5014', 'A5', 2, '2017-05-27', '' ),
  ('MMA1008', 'A1', 1, '2017-05-08', '' ),
  ('MMB1066', 'B1', 6, '2017-05-13', '' ),
  ('MMA5155', 'A5', 14, '2017-05-27', '' ),
  ('MMC1249', 'C1', 6, '2017-06-05', '' ),
  ('MMC5221', 'C5', 6, '2017-06-10', '' ),
  ('MMB5167', 'B5', 14, '2017-05-23', '' ),
  ('MMC1276', 'C1', 8, '2017-06-05', '' ),
  ('MMA7107', 'A7', 7, '2017-05-31', '' ),
  ('MMB5263', 'B5', 16, '2017-06-09', '' ),
  ('MMB1181', 'B1', 12, '2017-05-13', '' ),
  ('MMB1227', 'B1', 2, '2017-06-04', '' ),
  ('MMC1149', 'C1', 8, '2017-05-17', '' ),
  ('MMA5220', 'A5', 2, '2017-06-08', '' ),
  ('MMB1146', 'B1', 10, '2017-05-13', '' ),
  ('MMA5200', 'A5', 15, '2017-05-27', '' ),
  ('MMB1138', 'B1', 10, '2017-05-13', '' ),
  ('MMB1018', 'B1', 2, '2017-05-13', '' ),
  ('MMB1080', 'B1', 7, '2017-05-13', '' ),
  ('MMA5030', 'A5', 4, '2017-05-27', '' ),
  ('MMB7106', 'B7', 6, '2017-06-01', '' ),
  ('MMA5049', 'A5', 7, '2017-05-27', '' ),
  ('MMA7008', 'A7', 1, '2017-05-31', '' ),
  ('MMC1047', 'C1', 2, '2017-05-17', '' ),
  ('MMB5142', 'B5', 12, '2017-05-23', '' ),
  ('MMB1153', 'B1', 11, '2017-05-13', '' ),
  ('MMA5148', 'A5', 11, '2017-05-27', '' ),
  ('MMB1217', 'B1', 1, '2017-06-04', '' ),
  ('MMB5005', 'B5', 1, '2017-05-23', '' ),
  ('MMA1284', 'A1', 10, '2017-06-04', '' ),
  ('MMC1012', 'C1', 1, '2017-05-17', '' ),
  ('MMC1041', 'C1', 2, '2017-05-17', '' ),
  ('MMB5183', 'B5', 15, '2017-05-23', '' ),
  ('MMA1088', 'A1', 8, '2017-05-12', '' ),
  ('MMC1266', 'C1', 7, '2017-06-05', '' ),
  ('MMA1142', 'A1', 14, '2017-05-12', '' ),
  ('MMC5075', 'C5', 7, '2017-05-28', '' ),
  ('MMC1054', 'C1', 3, '2017-05-17', '' ),
  ('MMA5147', 'A5', 11, '2017-05-27', '' ),
  ('MMA5201', 'A5', 15, '2017-05-27', '' ),
  ('MMB1202', 'B1', 13, '2017-05-13', '' ),
  ('MMB5160', 'B5', 13, '2017-05-23', '' ),
  ('MMB5257', 'B5', 15, '2017-06-09', '' ),
  ('MMA7009', 'A7', 1, '2017-05-31', '' ),
  ('MMB5159', 'B5', 13, '2017-05-23', '' ),
  ('MMB5149', 'B5', 13, '2017-05-23', '' ),
  ('MMA1179', 'A1', 17, '2017-05-12', '' ),
  ('MMB5085', 'B5', 7, '2017-05-23', '' ),
  ('MMB1137', 'B1', 10, '2017-05-13', '' ),
  ('MMC1148', 'C1', 8, '2017-05-17', '' ),
  ('MMC7066', 'C7', 2, '2017-06-02', '' ),
  ('MMB5166', 'B5', 14, '2017-05-23', '' ),
  ('MMA1201', 'A1', 1, '2017-06-04', '' ),
  ('MMC1232', 'C1', 4, '2017-06-05', '' ),
  ('MMC1037', 'C1', 2, '2017-05-17', '' ),
  ('MMC1305', 'C1', 10, '2017-06-05', '' ),
  ('MMB5109', 'B5', 9, '2017-05-23', '' ),
  ('MMA1181', 'A1', 17, '2017-05-12', '' ),
  ('MMA1145', 'A1', 14, '2017-05-12', '' ),
  ('MMC1265', 'C1', 7, '2017-06-05', '' ),
  ('MMA5213', 'A5', 1, '2017-06-08', '' ),
  ('MMA1299', 'A1', 11, '2017-06-04', '' ),
  ('MMA5194', 'A5', 15, '2017-05-27', '' ),
  ('MMA1101', 'A1', 11, '2017-05-12', '' ),
  ('MMB1063', 'B1', 6, '2017-05-13', '' ),
  ('MMC1043', 'C1', 2, '2017-05-17', '' ),
  ('MMB5004', 'B5', 1, '2017-05-23', '' ),
  ('MMB7121', 'B7', 6, '2017-06-01', '' ),
  ('MMC5036', 'C5', 4, '2017-05-28', '' ),
  ('MMB5268', 'B5', 15, '2017-06-09', '' ),
  ('MMB5196', 'B5', 15, '2017-05-23', '' ),
  ('MMC5191', 'C5', 15, '2017-05-28', '' ),
  ('MMB1212', 'B1', 1, '2017-06-04', '' ),
  ('MMA1194', 'A1', 18, '2017-05-12', '' ),
  ('MMA5136', 'A5', 11, '2017-05-27', '' ),
  ('MMC5139', 'C5', 11, '2017-05-28', '' ),
  ('MMB1097', 'B1', 8, '2017-05-13', '' ),
  ('MMA5164', 'A5', 15, '2017-05-27', '' ),
  ('MMA1230', 'A1', 4, '2017-06-04', '' ),
  ('MMC5222', 'C5', 6, '2017-06-10', '' ),
  ('MMB1191', 'B1', 12, '2017-05-13', '' ),
  ('MMA5126', 'A5', 11, '2017-05-27', '' ),
  ('MMC7031', 'C7', 1, '2017-06-02', '' ),
  ('MMC7115', 'C7', 3, '2017-06-02', '' ),
  ('MMA7091', 'A7', 7, '2017-05-31', '' ),
  ('MMB1124', 'B1', 9, '2017-05-13', '' ),
  ('MMB5115', 'B5', 9, '2017-05-23', '' ),
  ('MMA5029', 'A5', 4, '2017-05-27', '' ),
  ('MMC5069', 'C5', 7, '2017-05-28', '' ),
  ('MMC5177', 'C5', 15, '2017-05-28', '' ),
  ('MMA1266', 'A1', 8, '2017-06-04', '' ),
  ('MMB5145', 'B5', 13, '2017-05-23', '' ),
  ('MMC5021', 'C5', 3, '2017-05-28', '' ),
  ('MMB7045', 'B7', 2, '2017-06-01', '' ),
  ('MMB5087', 'B5', 7, '2017-05-23', '' ),
  ('MMC1226', 'C1', 2, '2017-06-05', '' ),
  ('MMC1102', 'C1', 7, '2017-05-17', '' ),
  ('MMC7095', 'C7', 2, '2017-06-02', '' ),
  ('MMC7055', 'C7', 2, '2017-06-02', '' ),
  ('MMA7109', 'A7', 7, '2017-05-31', '' ),
  ('MMB1121', 'B1', 9, '2017-05-13', '' ),
  ('MMB1304', 'B1', 11, '2017-06-04', '' ),
  ('MMC7012', 'C7', 1, '2017-06-02', '' ),
  ('MMB5192', 'B5', 15, '2017-05-23', '' ),
  ('MMB7123', 'B7', 6, '2017-06-01', '' ),
  ('MMA1170', 'A1', 17, '2017-05-12', '' ),
  ('MMB7138', 'B7', 6, '2017-06-01', '' ),
  ('MMA1296', 'A1', 11, '2017-06-04', '' ),
  ('MMB7066', 'B7', 5, '2017-06-01', '' ),
  ('MMC5215', 'C5', 4, '2017-06-10', '' ),
  ('MMB1067', 'B1', 6, '2017-05-13', '' ),
  ('MMA5101', 'A5', 10, '2017-05-27', '' ),
  ('MMB7102', 'B7', 6, '2017-06-01', '' ),
  ('MMB1291', 'B1', 8, '2017-06-04', '' ),
  ('MMC1100', 'C1', 6, '2017-05-17', '' ),
  ('MMC7052', 'C7', 2, '2017-06-02', '' ),
  ('MMB1193', 'B1', 12, '2017-05-13', '' ),
  ('MMB1271', 'B1', 3, '2017-06-04', '' ),
  ('MMB1302', 'B1', 11, '2017-06-04', '' ),
  ('MMB1297', 'B1', 10, '2017-06-04', '' ),
  ('MMC5076', 'C5', 7, '2017-05-28', '' ),
  ('MMA1083', 'A1', 8, '2017-05-12', '' ),
  ('MMA5019', 'A5', 2, '2017-05-27', '' ),
  ('MMC1287', 'C1', 8, '2017-06-05', '' ),
  ('MMC7053', 'C7', 2, '2017-06-02', '' ),
  ('MMC1209', 'C1', 1, '2017-06-05', '' ),
  ('MMA1039', 'A1', 4, '2017-05-08', '' ),
  ('MMB5036', 'B5', 5, '2017-05-23', '' ),
  ('MMB7021', 'B7', 2, '2017-06-01', '' ),
  ('MMB1118', 'B1', 9, '2017-05-13', '' ),
  ('MMA7006', 'A7', 1, '2017-05-31', '' ),
  ('MMB1120', 'B1', 9, '2017-05-13', '' ),
  ('MMC5179', 'C5', 15, '2017-05-28', '' ),
  ('MMC5216', 'C5', 4, '2017-06-10', '' ),
  ('MMB7051', 'B7', 4, '2017-06-01', '' ),
  ('MMB5134', 'B5', 11, '2017-05-23', '' ),
  ('MMB1091', 'B1', 7, '2017-05-13', '' ),
  ('MMA1036', 'A1', 3, '2017-05-08', '' ),
  ('MMB7148', 'B7', 6, '2017-06-20', '' ),
  ('MMB5098', 'B5', 8, '2017-05-23', '' ),
  ('MMC1154', 'C1', 9, '2017-05-17', '' ),
  ('MMB5059', 'B5', 5, '2017-05-23', '' ),
  ('MMA7110', 'A7', 7, '2017-05-31', '' ),
  ('MMB5264', 'B5', 16, '2017-06-09', '' ),
  ('MMC1097', 'C1', 6, '2017-05-17', '' ),
  ('MMA5048', 'A5', 7, '2017-05-27', '' ),
  ('MMC7065', 'C7', 2, '2017-06-02', '' ),
  ('MMC1066', 'C1', 4, '2017-05-17', '' ),
  ('MMB7050', 'B7', 2, '2017-06-01', '' ),
  ('MMA1047', 'A1', 3, '2017-05-12', '' ),
  ('MMC1267', 'C1', 7, '2017-06-05', '' ),
  ('MMB5035', 'B5', 5, '2017-05-23', '' ),
  ('MMB5042', 'B5', 5, '2017-05-23', '' ),
  ('MMC7008', 'C7', 1, '2017-06-02', '' ),
  ('MMB1049', 'B1', 5, '2017-05-13', '' ),
  ('MMC1261', 'C1', 7, '2017-06-05', '' ),
  ('MMC1283', 'C1', 8, '2017-06-05', '' ),
  ('MMA5211', 'A5', 1, '2017-06-08', '' ),
  ('MMC1153', 'C1', 9, '2017-05-17', '' ),
  ('MMC1146', 'C1', 8, '2017-05-17', '' ),
  ('MMB7001', 'B7', 1, '2017-06-01', '' ),
  ('MMB7097', 'B7', 6, '2017-06-01', '' ),
  ('MMC7081', 'C7', 2, '2017-06-02', '' ),
  ('MMC1029', 'C1', 2, '2017-05-17', '' ),
  ('MMA7134', 'A7', 2, '2017-06-19', '' ),
  ('MMA5165', 'A5', 15, '2017-05-27', '' ),
  ('MMC5003', 'C5', 2, '2017-05-28', '' ),
  ('MMC1177', 'C1', 9, '2017-05-17', '' ),
  ('MMA5095', 'A5', 10, '2017-05-27', '' ),
  ('MMC5057', 'C5', 6, '2017-05-28', '' ),
  ('MMC5084', 'C5', 8, '2017-05-28', '' ),
  ('MMB1242', 'B1', 4, '2017-06-04', '' ),
  ('MMA5081', 'A5', 9, '2017-05-27', '' ),
  ('MMA1279', 'A1', 9, '2017-06-04', '' ),
  ('MMB1142', 'B1', 10, '2017-05-13', '' ),
  ('MMB7038', 'B7', 3, '2017-06-01', '' ),
  ('MMB7077', 'B7', 5, '2017-06-01', '' ),
  ('MMA5215', 'A5', 1, '2017-06-08', '' ),
  ('MMC1135', 'C1', 8, '2017-05-17', '' ),
  ('MMB5180', 'B5', 15, '2017-05-23', '' ),
  ('MMB1283', 'B1', 9, '2017-06-04', '' ),
  ('MMB7109', 'B7', 6, '2017-06-01', '' ),
  ('MMC7124', 'C7', 3, '2017-06-02', '' ),
  ('MMA5005', 'A5', 2, '2017-05-27', '' ),
  ('MMA5218', 'A5', 2, '2017-06-08', '' ),
  ('MMB1218', 'B1', 1, '2017-06-04', '' ),
  ('MMC5240', 'C5', 11, '2017-06-10', '' ),
  ('MMB1132', 'B1', 10, '2017-05-13', '' ),
  ('MMB1001', 'B1', 1, '2017-05-13', '' ),
  ('MMC5053', 'C5', 6, '2017-05-28', '' ),
  ('MMA7095', 'A7', 7, '2017-05-31', '' ),
  ('MMC1303', 'C1', 10, '2017-06-05', '' ),
  ('MMC1199', 'C1', 10, '2017-05-17', '' ),
  ('MMA5180', 'A5', 15, '2017-05-27', '' ),
  ('MMC7078', 'C7', 2, '2017-06-02', '' ),
  ('MMB1157', 'B1', 11, '2017-05-13', '' ),
  ('MMC5182', 'C5', 15, '2017-05-28', '' ),
  ('MMA5077', 'A5', 9, '2017-05-27', '' ),
  ('MMA5228', 'A5', 5, '2017-06-08', '' ),
  ('MMA5022', 'A5', 3, '2017-05-27', '' ),
  ('MMB5244', 'B5', 9, '2017-06-09', '' ),
  ('MMC5224', 'C5', 6, '2017-06-10', '' ),
  ('MMB1102', 'B1', 8, '2017-05-13', '' ),
  ('MMB7016', 'B7', 1, '2017-06-01', '' ),
  ('MMB7100', 'B7', 6, '2017-06-01', '' ),
  ('MMC1191', 'C1', 9, '2017-05-17', '' ),
  ('MMC7019', 'C7', 1, '2017-06-02', '' ),
  ('MMA1231', 'A1', 4, '2017-06-04', '' ),
  ('MMB1117', 'B1', 9, '2017-05-13', '' ),
  ('MMA5124', 'A5', 11, '2017-05-27', '' ),
  ('MMA1272', 'A1', 8, '2017-06-04', '' ),
  ('MMA5233', 'A5', 9, '2017-06-08', '' ),
  ('MMB5234', 'B5', 7, '2017-06-09', '' ),
  ('MMA1226', 'A1', 4, '2017-06-04', '' ),
  ('MMA1300', 'A1', 11, '2017-06-04', '' ),
  ('MMC5193', 'C5', 15, '2017-05-28', '' ),
  ('MMB1005', 'B1', 1, '2017-05-13', '' ),
  ('MMB1243', 'B1', 4, '2017-06-04', '' ),
  ('MMB1248', 'B1', 6, '2017-06-04', '' ),
  ('MMB5210', 'B5', 16, '2017-05-23', '' ),
  ('MMA1026', 'A1', 3, '2017-05-08', '' ),
  ('MMB5013', 'B5', 1, '2017-05-23', '' ),
  ('MMB7008', 'B7', 1, '2017-06-01', '' ),
  ('MMB1253', 'B1', 4, '2017-06-04', '' ),
  ('MMC5153', 'C5', 12, '2017-05-28', '' ),
  ('MMA5034', 'A5', 5, '2017-05-27', '' ),
  ('MMA7036', 'A7', 4, '2017-05-31', '' ),
  ('MMC1115', 'C1', 7, '2017-05-17', '' ),
  ('MMA7051', 'A7', 5, '2017-05-31', '' ),
  ('MMB5105', 'B5', 9, '2017-05-23', '' ),
  ('MMB5050', 'B5', 5, '2017-05-23', '' ),
  ('MMC5112', 'C5', 9, '2017-05-28', '' ),
  ('MMA1133', 'A1', 13, '2017-05-12', '' ),
  ('MMB5046', 'B5', 5, '2017-05-23', '' ),
  ('MMB5024', 'B5', 3, '2017-05-23', '' ),
  ('MMC5190', 'C5', 15, '2017-05-28', '' ),
  ('MMA7097', 'A7', 7, '2017-05-31', '' ),
  ('MMA5238', 'A5', 11, '2017-06-08', '' ),
  ('MMB1280', 'B1', 7, '2017-06-04', '' ),
  ('MMB5077', 'B5', 7, '2017-05-23', '' ),
  ('MMB5122', 'B5', 10, '2017-05-23', '' ),
  ('MMC7128', 'C7', 3, '2017-06-02', '' ),
  ('MMA1288', 'A1', 10, '2017-06-04', '' ),
  ('MMC1094', 'C1', 6, '2017-05-17', '' ),
  ('MMB7067', 'B7', 5, '2017-06-01', '' ),
  ('MMC5246', 'C5', 15, '2017-06-10', '' ),
  ('MMC1273', 'C1', 8, '2017-06-05', '' ),
  ('MMC1112', 'C1', 7, '2017-05-17', '' ),
  ('MMB7136', 'B7', 6, '2017-06-01', '' ),
  ('MMC7044', 'C7', 2, '2017-06-02', '' ),
  ('MMC1068', 'C1', 4, '2017-05-17', '' ),
  ('MMC1089', 'C1', 6, '2017-05-17', '' ),
  ('MMB1274', 'B1', 12, '2017-06-04', '' ),
  ('MMB1019', 'B1', 2, '2017-05-13', '' ),
  ('MMB1104', 'B1', 8, '2017-05-13', '' ),
  ('MMB7113', 'B7', 6, '2017-06-01', '' ),
  ('MMC7400', 'C7', 3, '2017-06-02', '' ),
  ('MMC7061', 'C7', 2, '2017-06-02', '' ),
  ('MMC7089', 'C7', 2, '2017-06-02', '' ),
  ('MMA1024', 'A1', 3, '2017-05-08', '' ),
  ('MMC5041', 'C5', 4, '2017-05-28', '' ),
  ('MMB5020', 'B5', 3, '2017-05-23', '' ),
  ('MMB5084', 'B5', 7, '2017-05-23', '' ),
  ('MMA5192', 'A5', 15, '2017-05-27', '' ),
  ('MMA5246', 'A5', 11, '2017-06-08', '' ),
  ('MMB5107', 'B5', 9, '2017-05-23', '' ),
  ('MMB1122', 'B1', 9, '2017-05-13', '' ),
  ('MMB5039', 'B5', 5, '2017-05-23', '' ),
  ('MMA5071', 'A5', 9, '2017-05-27', '' ),
  ('MMC1083', 'C1', 5, '2017-05-17', '' ),
  ('MMA1164', 'A1', 16, '2017-05-12', '' ),
  ('MMC5017', 'C5', 2, '2017-05-28', '' ),
  ('MMB1240', 'B1', 3, '2017-06-04', '' ),
  ('MMB5038', 'B5', 5, '2017-05-23', '' ),
  ('MMB5052', 'B5', 5, '2017-05-23', '' ),
  ('MMB7069', 'B7', 5, '2017-06-01', '' ),
  ('MMB7130', 'B7', 6, '2017-06-01', '' ),
  ('MMA1095', 'A1', 10, '2017-05-12', '' ),
  ('MMB1131', 'B1', 10, '2017-05-13', '' ),
  ('MMC5054', 'C5', 6, '2017-05-28', '' ),
  ('MMA5166', 'A5', 15, '2017-05-27', '' ),
  ('MMA1013', 'A1', 3, '2017-05-08', '' ),
  ('MMC7136', 'C7', 2, '2017-06-20', '' ),
  ('MMA1265', 'A1', 8, '2017-06-04', '' ),
  ('MMB1046', 'B1', 5, '2017-05-13', '' ),
  ('MMC5143', 'C5', 11, '2017-05-28', '' ),
  ('MMA5099', 'A5', 10, '2017-05-27', '' ),
  ('MMC1080', 'C1', 5, '2017-05-17', '' ),
  ('MMA5058', 'A5', 8, '2017-05-27', '' ),
  ('MMC7070', 'C7', 2, '2017-06-02', '' ),
  ('MMB1003', 'B1', 1, '2017-05-13', '' ),
  ('MMB1254', 'B1', 5, '2017-06-04', '' ),
  ('MMA5154', 'A5', 14, '2017-05-27', '' ),
  ('MMA1219', 'A1', 3, '2017-06-04', '' ),
  ('MMB1273', 'B1', 5, '2017-06-04', '' ),
  ('MMC5184', 'C5', 15, '2017-05-28', '' ),
  ('MMB7091', 'B7', 5, '2017-06-01', '' ),
  ('MMC1162', 'C1', 9, '2017-05-17', '' ),
  ('MMB5158', 'B5', 13, '2017-05-23', '' ),
  ('MMC7127', 'C7', 3, '2017-06-02', '' ),
  ('MMA5203', 'A5', 15, '2017-05-27', '' ),
  ('MMA1258', 'A1', 7, '2017-06-04', '' ),
  ('MMB1039', 'B1', 4, '2017-05-13', '' ),
  ('MMC7063', 'C7', 2, '2017-06-02', '' ),
  ('MMC5113', 'C5', 9, '2017-05-28', '' ),
  ('MMA5103', 'A5', 10, '2017-05-27', '' ),
  ('MMC7033', 'C7', 1, '2017-06-02', '' ),
  ('MMC1289', 'C1', 8, '2017-06-05', '' ),
  ('MMB1300', 'B1', 10, '2017-06-04', '' ),
  ('MMA5221', 'A5', 2, '2017-06-08', '' ),
  ('MMC5104', 'C5', 9, '2017-05-28', '' ),
  ('MMA1105', 'A1', 11, '2017-05-12', '' ),
  ('MMB7053', 'B7', 2, '2017-06-01', '' ),
  ('MMC5239', 'C5', 11, '2017-06-10', '' ),
  ('MMB1247', 'B1', 6, '2017-06-04', '' ),
  ('MMB1184', 'B1', 12, '2017-05-13', '' ),
  ('MMA5062', 'A5', 9, '2017-05-27', '' ),
  ('MMC7048', 'C7', 2, '2017-06-02', '' ),
  ('MMC1240', 'C1', 5, '2017-06-05', '' ),
  ('MMA5191', 'A5', 15, '2017-05-27', '' ),
  ('MMB1085', 'B1', 7, '2017-05-13', '' ),
  ('MMA1044', 'A1', 3, '2017-05-12', '' ),
  ('MMB7005', 'B7', 1, '2017-06-01', '' ),
  ('MMA1298', 'A1', 11, '2017-06-04', '' ),
  ('MMA1274', 'A1', 9, '2017-06-04', '' ),
  ('MMB1298', 'B1', 10, '2017-06-04', '' ),
  ('MMB5245', 'B5', 10, '2017-06-09', '' ),
  ('MMA1010', 'A1', 2, '2017-05-08', '' ),
  ('MMC1300', 'C1', 7, '2017-06-05', '' ),
  ('MMA5248', 'A5', 11, '2017-06-08', '' ),
  ('MMB1081', 'B1', 7, '2017-05-13', '' ),
  ('MMA5085', 'A5', 9, '2017-05-27', '' ),
  ('MMA5127', 'A5', 11, '2017-05-27', '' ),
  ('MMC5029', 'C5', 4, '2017-05-28', '' ),
  ('MMC5106', 'C5', 9, '2017-05-28', '' ),
  ('MMB1073', 'B1', 7, '2017-05-13', '' ),
  ('MMC1118', 'C1', 7, '2017-05-17', '' ),
  ('MMB7007', 'B7', 1, '2017-06-01', '' ),
  ('MMC7117', 'C7', 3, '2017-06-02', '' ),
  ('MMC5038', 'C5', 4, '2017-05-28', '' ),
  ('MMC7042', 'C7', 2, '2017-06-02', '' ),
  ('MMA1251', 'A1', 5, '2017-06-04', '' ),
  ('MMA7054', 'A7', 5, '2017-05-31', '' ),
  ('MMA1210', 'A1', 2, '2017-06-04', '' ),
  ('MMC7146', 'C7', 2, '2017-06-20', '' ),
  ('MMB5011', 'B5', 1, '2017-05-23', '' ),
  ('MMC5049', 'C5', 5, '2017-05-28', '' ),
  ('MMC5086', 'C5', 8, '2017-05-28', '' ),
  ('MMB1098', 'B1', 8, '2017-05-13', '' ),
  ('MMB1234', 'B1', 3, '2017-06-04', '' ),
  ('MMA5219', 'A5', 2, '2017-06-08', '' ),
  ('MMA1045', 'A1', 1, '2017-05-12', '' ),
  ('MMA1188', 'A1', 18, '2017-05-12', '' ),
  ('MMB5112', 'B5', 9, '2017-05-23', '' ),
  ('MMA5035', 'A5', 6, '2017-05-27', '' ),
  ('MMC7005', 'C7', 1, '2017-06-02', '' ),
  ('MMC1248', 'C1', 6, '2017-06-05', '' ),
  ('MMC5244', 'C5', 15, '2017-06-10', '' ),
  ('MMC5163', 'C5', 13, '2017-05-28', '' ),
  ('MMA5047', 'A5', 6, '2017-05-27', '' ),
  ('MMC5205', 'C5', 17, '2017-05-28', '' ),
  ('MMC1182', 'C1', 9, '2017-05-17', '' ),
  ('MMA5105', 'A5', 10, '2017-05-27', '' ),
  ('MMC7076', 'C7', 2, '2017-06-02', '' ),
  ('MMB5248', 'B5', 11, '2017-06-09', '' ),
  ('MMA1166', 'A1', 16, '2017-05-12', '' ),
  ('MMB1024', 'B1', 2, '2017-05-13', '' ),
  ('MMC5133', 'C5', 11, '2017-05-28', '' ),
  ('MMC1280', 'C1', 8, '2017-06-05', '' ),
  ('MMC1010', 'C1', 1, '2017-05-17', '' ),
  ('MMB5124', 'B5', 10, '2017-05-23', '' ),
  ('MMA7116', 'A7', 7, '2017-05-31', '' ),
  ('MMC1007', 'C1', 1, '2017-05-17', '' ),
  ('MMA7074', 'A7', 7, '2017-05-31', '' ),
  ('MMC5210', 'C5', 2, '2017-06-10', '' ),
  ('MMC5232', 'C5', 7, '2017-06-10', '' ),
  ('MMB1165', 'B1', 11, '2017-05-13', '' ),
  ('MMA1146', 'A1', 14, '2017-05-12', '' ),
  ('MMA5204', 'A5', 15, '2017-05-27', '' ),
  ('MMC1198', 'C1', 9, '2017-05-17', '' ),
  ('MMA1151', 'A1', 14, '2017-05-12', '' ),
  ('MMC5045', 'C5', 4, '2017-05-28', '' ),
  ('MMC5105', 'C5', 9, '2017-05-28', '' ),
  ('MMA1235', 'A1', 5, '2017-06-04', '' ),
  ('MMA1079', 'A1', 8, '2017-05-12', '' ),
  ('MMC1110', 'C1', 7, '2017-05-17', '' ),
  ('MMC1180', 'C1', 9, '2017-05-17', '' ),
  ('MMC5004', 'C5', 2, '2017-05-28', '' ),
  ('MMB5101', 'B5', 8, '2017-05-23', '' ),
  ('MMC5034', 'C5', 4, '2017-05-28', '' ),
  ('MMB1290', 'B1', 8, '2017-06-04', '' ),
  ('MMA5217', 'A5', 2, '2017-06-08', '' ),
  ('MMB7146', 'B7', 6, '2017-06-20', '' ),
  ('MMC1194', 'C1', 9, '2017-05-17', '' ),
  ('MMB7104', 'B7', 6, '2017-06-01', '' ),
  ('MMC1107', 'C1', 7, '2017-05-17', '' ),
  ('MMB5102', 'B5', 9, '2017-05-23', '' ),
  ('MMA5023', 'A5', 3, '2017-05-27', '' ),
  ('MMB7019', 'B7', 2, '2017-06-01', '' ),
  ('MMB5168', 'B5', 14, '2017-05-23', '' ),
  ('MMC5213', 'C5', 2, '2017-06-10', '' ),
  ('MMA7027', 'A7', 3, '2017-05-31', '' ),
  ('MMC1181', 'C1', 9, '2017-05-17', '' ),
  ('MMB1238', 'B1', 3, '2017-06-04', '' ),
  ('MMB1258', 'B1', 5, '2017-06-04', '' ),
  ('MMB1284', 'B1', 9, '2017-06-04', '' ),
  ('MMC1190', 'C1', 9, '2017-05-17', '' ),
  ('MMC5154', 'C5', 13, '2017-05-28', '' ),
  ('MMA5177', 'A5', 15, '2017-05-27', '' ),
  ('MMB1135', 'B1', 10, '2017-05-13', '' ),
  ('MMA5080', 'A5', 9, '2017-05-27', '' ),
  ('MMB7125', 'B7', 6, '2017-06-01', '' ),
  ('MMC5209', 'C5', 2, '2017-06-10', '' ),
  ('MMB1222', 'B1', 2, '2017-06-04', '' ),
  ('MMB5236', 'B5', 7, '2017-06-09', '' ),
  ('MMB1199', 'B1', 12, '2017-05-13', '' ),
  ('MMC1299', 'C1', 7, '2017-06-05', '' ),
  ('MMC5024', 'C5', 3, '2017-05-28', '' ),
  ('MMC7107', 'C7', 3, '2017-06-02', '' ),
  ('MMC1223', 'C1', 2, '2017-06-05', '' ),
  ('MMC5121', 'C5', 10, '2017-05-28', '' ),
  ('MMB7041', 'B7', 4, '2017-06-01', '' ),
  ('MMB5223', 'B5', 1, '2017-06-09', '' ),
  ('MMC1263', 'C1', 7, '2017-06-05', '' ),
  ('MMC5022', 'C5', 3, '2017-05-28', '' ),
  ('MMC1245', 'C1', 6, '2017-06-05', '' ),
  ('MMA1117', 'A1', 12, '2017-05-12', '' ),
  ('MMA7043', 'A7', 4, '2017-05-31', '' ),
  ('MMA1102', 'A1', 11, '2017-05-12', '' ),
  ('MMB5073', 'B5', 7, '2017-05-23', '' ),
  ('MMB1096', 'B1', 8, '2017-05-13', '' ),
  ('MMC5145', 'C5', 12, '2017-05-28', '' ),
  ('MMB5014', 'B5', 2, '2017-05-23', '' ),
  ('MMA1096', 'A1', 10, '2017-05-12', '' ),
  ('MMA1130', 'A1', 13, '2017-05-12', '' ),
  ('MMC1081', 'C1', 5, '2017-05-17', '' ),
  ('MMA1081', 'A1', 8, '2017-05-12', '' ),
  ('MMA7103', 'A7', 7, '2017-05-31', '' ),
  ('MMA5027', 'A5', 4, '2017-05-27', '' ),
  ('MMC5002', 'C5', 1, '2017-05-28', '' ),
  ('MMB1221', 'B1', 1, '2017-06-04', '' ),
  ('MMA7128', 'A7', 7, '2017-05-31', '' ),
  ('MMC5052', 'C5', 6, '2017-05-28', '' ),
  ('MMC5101', 'C5', 9, '2017-05-28', '' ),
  ('MMC1078', 'C1', 7, '2017-05-17', '' ),
  ('MMA1054', 'A1', 5, '2017-05-12', '' ),
  ('MMC1130', 'C1', 8, '2017-05-17', '' ),
  ('MMA5167', 'A5', 15, '2017-05-27', '' ),
  ('MMC1218', 'C1', 2, '2017-06-05', '' ),
  ('MMC1216', 'C1', 2, '2017-06-05', '' ),
  ('MMA1025', 'A1', 3, '2017-05-08', '' ),
  ('MMA7023', 'A7', 3, '2017-05-31', '' ),
  ('MMC5055', 'C5', 6, '2017-05-28', '' ),
  ('MMA5140', 'A5', 11, '2017-05-27', '' ),
  ('MMC7101', 'C7', 3, '2017-06-02', '' ),
  ('MMC1272', 'C1', 7, '2017-06-05', '' ),
  ('MMC1036', 'C1', 2, '2017-05-17', '' ),
  ('MMB1108', 'B1', 8, '2017-05-13', '' ),
  ('MMC1255', 'C1', 5, '2017-06-05', '' ),
  ('MMA1276', 'A1', 9, '2017-06-04', '' ),
  ('MMA5125', 'A5', 11, '2017-05-27', '' ),
  ('MMA5189', 'A5', 15, '2017-05-27', '' ),
  ('MMB1215', 'B1', 1, '2017-06-04', '' ),
  ('MMC5245', 'C5', 15, '2017-06-10', '' ),
  ('MMB1198', 'B1', 12, '2017-05-13', '' ),
  ('MMA1005', 'A1', 1, '2017-05-08', '' ),
  ('MMA5184', 'A5', 15, '2017-05-27', '' ),
  ('MMC1005', 'C1', 1, '2017-05-17', '' ),
  ('MMC5118', 'C5', 10, '2017-05-28', '' ),
  ('MMB7132', 'B7', 6, '2017-06-01', '' ),
  ('MMC1039', 'C1', 2, '2017-05-17', '' ),
  ('MMA5149', 'A5', 11, '2017-05-27', '' ),
  ('MMA5231', 'A5', 5, '2017-06-08', '' ),
  ('MMC5009', 'C5', 2, '2017-05-28', '' ),
  ('MMA1277', 'A1', 9, '2017-06-04', '' ),
  ('MMB5128', 'B5', 10, '2017-05-23', '' ),
  ('MMB1194', 'B1', 12, '2017-05-13', '' ),
  ('MMC1101', 'C1', 7, '2017-05-17', '' ),
  ('MMB5144', 'B5', 13, '2017-05-23', '' ),
  ('MMA5025', 'A5', 3, '2017-05-27', '' ),
  ('MMA5168', 'A5', 15, '2017-05-27', '' ),
  ('MMB1133', 'B1', 10, '2017-05-13', '' ),
  ('MMA5086', 'A5', 9, '2017-05-27', '' ),
  ('MMA5055', 'A5', 7, '2017-05-27', '' ),
  ('MMA1152', 'A1', 14, '2017-05-12', '' ),
  ('MMC5247', 'C5', 15, '2017-06-10', '' ),
  ('MMB1034', 'B1', 4, '2017-05-13', '' ),
  ('MMB5138', 'B5', 11, '2017-05-23', '' ),
  ('MMA5145', 'A5', 11, '2017-05-27', '' ),
  ('MMB5097', 'B5', 8, '2017-05-23', '' ),
  ('MMB5177', 'B5', 14, '2017-05-23', '' ),
  ('MMC5042', 'C5', 4, '2017-05-28', '' ),
  ('MMC1057', 'C1', 4, '2017-05-17', '' ),
  ('MMA1111', 'A1', 11, '2017-05-12', '' ),
  ('MMB1094', 'B1', 7, '2017-05-13', '' ),
  ('MMC1087', 'C1', 6, '2017-05-17', '' ),
  ('MMC5098', 'C5', 9, '2017-05-28', '' ),
  ('MMA7079', 'A7', 7, '2017-05-31', '' ),
  ('MMB7145', 'B7', 6, '2017-06-20', '' ),
  ('MMC1132', 'C1', 8, '2017-05-17', '' ),
  ('MMB5216', 'B5', 16, '2017-05-23', '' ),
  ('MMA7001', 'A7', 1, '2017-05-31', '' ),
  ('MMC1234', 'C1', 4, '2017-06-05', '' ),
  ('MMC5137', 'C5', 11, '2017-05-28', '' ),
  ('MMC1206', 'C1', 10, '2017-05-17', '' ),
  ('MMC7113', 'C7', 3, '2017-06-02', '' ),
  ('MMC1262', 'C1', 7, '2017-06-05', '' ),
  ('MMA5249', 'A5', 12, '2017-06-08', '' ),
  ('MMC1247', 'C1', 6, '2017-06-05', '' ),
  ('MMB1204', 'B1', 13, '2017-05-13', '' ),
  ('MMB5002', 'B5', 1, '2017-05-23', '' ),
  ('MMB5121', 'B5', 10, '2017-05-23', '' ),
  ('MMA5031', 'A5', 4, '2017-05-27', '' ),
  ('MMA5216', 'A5', 2, '2017-06-08', '' ),
  ('MMB1171', 'B1', 12, '2017-05-13', '' ),
  ('MMC5068', 'C5', 6, '2017-05-28', '' ),
  ('MMC1251', 'C1', 6, '2017-06-05', '' ),
  ('MMC5214', 'C5', 4, '2017-06-10', '' ),
  ('MMB7011', 'B7', 1, '2017-06-01', '' ),
  ('MMB5070', 'B5', 7, '2017-05-23', '' ),
  ('MMC7112', 'C7', 3, '2017-06-02', '' ),
  ('MMB1219', 'B1', 4, '2017-06-04', '' ),
  ('MMA5229', 'A5', 5, '2017-06-08', '' ),
  ('MMA1029', 'A1', 3, '2017-05-08', '' ),
  ('MMA1223', 'A1', 3, '2017-06-04', '' ),
  ('MMB1308', 'B1', 13, '2017-06-04', '' ),
  ('MMB1207', 'B1', 13, '2017-05-13', '' ),
  ('MMB5081', 'B5', 7, '2017-05-23', '' ),
  ('MMC5202', 'C5', 17, '2017-05-28', '' ),
  ('MMA1076', 'A1', 7, '2017-05-12', '' ),
  ('MMC5072', 'C5', 7, '2017-05-28', '' ),
  ('MMC1048', 'C1', 2, '2017-05-17', '' ),
  ('MMA5056', 'A5', 7, '2017-05-27', '' ),
  ('MMA5137', 'A5', 11, '2017-05-27', '' ),
  ('MMC7085', 'C7', 2, '2017-06-02', '' ),
  ('MMB1011', 'B1', 1, '2017-05-13', '' ),
  ('MMB7072', 'B7', 5, '2017-06-01', '' ),
  ('MMA1006', 'A1', 1, '2017-05-08', '' ),
  ('MMA1256', 'A1', 5, '2017-06-04', '' ),
  ('MMB1189', 'B1', 12, '2017-05-13', '' ),
  ('MMC1184', 'C1', 9, '2017-05-17', '' ),
  ('MMA5093', 'A5', 11, '2017-05-27', '' ),
  ('MMA5108', 'A5', 10, '2017-05-27', '' ),
  ('MMB1126', 'B1', 9, '2017-05-13', '' ),
  ('MMB5044', 'B5', 5, '2017-05-23', '' ),
  ('MMA1176', 'A1', 17, '2017-05-12', '' ),
  ('MMB7117', 'B7', 6, '2017-06-01', '' ),
  ('MMB5060', 'B5', 5, '2017-05-23', '' ),
  ('MMA5160', 'A5', 14, '2017-05-27', '' ),
  ('MMB1289', 'B1', 8, '2017-06-04', '' ),
  ('MMB1156', 'B1', 11, '2017-05-13', '' ),
  ('MMC1167', 'C1', 9, '2017-05-17', '' ),
  ('MMB1220', 'B1', 4, '2017-06-04', '' ),
  ('MMC7040', 'C7', 2, '2017-06-02', '' ),
  ('MMB1056', 'B1', 5, '2017-05-13', '' ),
  ('MMC7090', 'C7', 2, '2017-06-02', '' ),
  ('MMA1240', 'A1', 5, '2017-06-04', '' ),
  ('MMB1016', 'B1', 2, '2017-05-13', '' ),
  ('MMC5200', 'C5', 17, '2017-05-28', '' ),
  ('MMC5061', 'C5', 6, '2017-05-28', '' ),
  ('MMB7059', 'B7', 4, '2017-06-01', '' ),
  ('MMB1083', 'B1', 7, '2017-05-13', '' ),
  ('MMB5119', 'B5', 10, '2017-05-23', '' ),
  ('MMC7077', 'C7', 2, '2017-06-02', '' ),
  ('MMA1207', 'A1', 1, '2017-06-04', '' ),
  ('MMA1261', 'A1', 7, '2017-06-04', '' ),
  ('MMC1051', 'C1', 2, '2017-05-17', '' ),
  ('MMC1143', 'C1', 8, '2017-05-17', '' ),
  ('MMB5057', 'B5', 5, '2017-05-23', '' ),
  ('MMA5044', 'A5', 6, '2017-05-27', '' ),
  ('MMC1217', 'C1', 2, '2017-06-05', '' ),
  ('MMC7026', 'C7', 1, '2017-06-02', '' ),
  ('MMC5080', 'C5', 7, '2017-05-28', '' ),
  ('MMA7061', 'A7', 6, '2017-05-31', '' ),
  ('MMA5161', 'A5', 14, '2017-05-27', '' ),
  ('MMA5173', 'A5', 15, '2017-05-27', '' ),
  ('MMB1167', 'B1', 11, '2017-05-13', '' ),
  ('MMA7052', 'A7', 5, '2017-05-31', '' ),
  ('MMA1007', 'A1', 1, '2017-05-08', '' ),
  ('MMA1182', 'A1', 17, '2017-05-12', '' ),
  ('MMB1050', 'B1', 5, '2017-05-13', '' ),
  ('MMA1269', 'A1', 8, '2017-06-04', '' ),
  ('MMB7023', 'B7', 2, '2017-06-01', '' ),
  ('MMA1206', 'A1', 1, '2017-06-04', '' ),
  ('MMB1173', 'B1', 12, '2017-05-13', '' ),
  ('MMC7001', 'C7', 1, '2017-06-02', '' ),
  ('MMC1020', 'C1', 2, '2017-05-17', '' ),
  ('MMC7068', 'C7', 2, '2017-06-02', '' ),
  ('MMB1125', 'B1', 9, '2017-05-13', '' ),
  ('MMA5036', 'A5', 6, '2017-05-27', '' ),
  ('MMB5185', 'B5', 15, '2017-05-23', '' ),
  ('MMA5032', 'A5', 5, '2017-05-27', '' ),
  ('MMA5113', 'A5', 10, '2017-05-27', '' ),
  ('MMA5158', 'A5', 14, '2017-05-27', '' ),
  ('MMB7084', 'B7', 5, '2017-06-01', '' ),
  ('MMC1241', 'C1', 5, '2017-06-05', '' ),
  ('MMC5014', 'C5', 2, '2017-05-28', '' ),
  ('MMC5077', 'C5', 7, '2017-05-28', '' ),
  ('MMC1166', 'C1', 9, '2017-05-17', '' ),
  ('MMA5247', 'A5', 11, '2017-06-08', '' ),
  ('MMA1156', 'A1', 16, '2017-05-12', '' ),
  ('MMA5091', 'A5', 10, '2017-05-27', '' ),
  ('MMC1023', 'C1', 2, '2017-05-17', '' ),
  ('MMC1210', 'C1', 1, '2017-06-05', '' ),
  ('MMB1035', 'B1', 4, '2017-05-13', '' ),
  ('MMB1075', 'B1', 7, '2017-05-13', '' ),
  ('MMA1091', 'A1', 8, '2017-05-12', '' ),
  ('MMA1222', 'A1', 3, '2017-06-04', '' ),
  ('MMB1205', 'B1', 13, '2017-05-13', '' ),
  ('MMB7030', 'B7', 4, '2017-06-01', '' ),
  ('MMC1121', 'C1', 7, '2017-05-17', '' ),
  ('MMB1287', 'B1', 9, '2017-06-04', '' ),
  ('MMB5071', 'B5', 7, '2017-05-23', '' ),
  ('MMC1001', 'C1', 1, '2017-05-17', '' ),
  ('MMB7094', 'B7', 6, '2017-06-01', '' ),
  ('MMB1226', 'B1', 2, '2017-06-04', '' ),
  ('MMB1101', 'B1', 8, '2017-05-13', '' ),
  ('MMC1122', 'C1', 7, '2017-05-17', '' ),
  ('MMB1015', 'B1', 2, '2017-05-13', '' ),
  ('MMC5226', 'C5', 7, '2017-06-10', '' ),
  ('MMC7009', 'C7', 1, '2017-06-02', '' ),
  ('MMB5150', 'B5', 13, '2017-05-23', '' ),
  ('MMB1172', 'B1', 12, '2017-05-13', '' ),
  ('MMA5002', 'A5', 1, '2017-05-27', '' ),
  ('MMB1082', 'B1', 7, '2017-05-13', '' ),
  ('MMB1087', 'B1', 7, '2017-05-13', '' ),
  ('MMC1164', 'C1', 9, '2017-05-17', '' ),
  ('MMC5150', 'C5', 12, '2017-05-28', '' ),
  ('MMA1208', 'A1', 1, '2017-06-04', '' ),
  ('MMA1203', 'A1', 1, '2017-06-04', '' ),
  ('MMA1174', 'A1', 17, '2017-05-12', '' ),
  ('MMA1244', 'A1', 6, '2017-06-04', '' ),
  ('MMC5119', 'C5', 10, '2017-05-28', '' ),
  ('MMB1235', 'B1', 3, '2017-06-04', '' ),
  ('MMA5039', 'A5', 6, '2017-05-27', '' ),
  ('MMA7066', 'A7', 6, '2017-05-31', '' ),
  ('MMB7115', 'B7', 6, '2017-06-01', '' ),
  ('MMC7082', 'C7', 2, '2017-06-02', '' ),
  ('MMA7115', 'A7', 7, '2017-05-31', '' ),
  ('MMA5064', 'A5', 9, '2017-05-27', '' ),
  ('MMA1073', 'A1', 7, '2017-05-12', '' ),
  ('MMC1119', 'C1', 7, '2017-05-17', '' ),
  ('MMA1228', 'A1', 4, '2017-06-04', '' ),
  ('MMA5235', 'A5', 10, '2017-06-08', '' ),
  ('MMC1138', 'C1', 8, '2017-05-17', '' ),
  ('MMA1255', 'A1', 5, '2017-06-04', '' ),
  ('MMB5199', 'B5', 16, '2017-05-23', '' ),
  ('MMC7039', 'C7', 2, '2017-06-02', '' ),
  ('MMC7133', 'C7', 2, '2017-06-20', '' ),
  ('MMC1069', 'C1', 4, '2017-05-17', '' ),
  ('MMB5055', 'B5', 5, '2017-05-23', '' ),
  ('MMA1153', 'A1', 14, '2017-05-12', '' ),
  ('MMB1150', 'B1', 11, '2017-05-13', '' ),
  ('MMC1202', 'C1', 10, '2017-05-17', '' ),
  ('MMA1250', 'A1', 5, '2017-06-04', '' ),
  ('MMB5048', 'B5', 5, '2017-05-23', '' ),
  ('MMB1255', 'B1', 5, '2017-06-04', '' ),
  ('MMC1294', 'C1', 9, '2017-06-05', '' ),
  ('MMB1013', 'B1', 1, '2017-05-13', '' ),
  ('MMC7020', 'C7', 1, '2017-06-02', '' ),
  ('MMC7054', 'C7', 2, '2017-06-02', '' ),
  ('MMA1173', 'A1', 17, '2017-05-12', '' ),
  ('MMC1169', 'C1', 9, '2017-05-17', '' ),
  ('MMC5225', 'C5', 6, '2017-06-10', '' ),
  ('MMA5073', 'A5', 9, '2017-05-27', '' ),
  ('MMC5166', 'C5', 13, '2017-05-28', '' ),
  ('MMA5130', 'A5', 11, '2017-05-27', '' ),
  ('MMA1003', 'A1', 1, '2017-05-08', '' ),
  ('MMB1038', 'B1', 4, '2017-05-13', '' ),
  ('MMB1095', 'B1', 8, '2017-05-13', '' ),
  ('MMA1002', 'A1', 1, '2017-05-08', '' ),
  ('MMA1021', 'A1', 3, '2017-05-08', '' ),
  ('MMB7055', 'B7', 2, '2017-06-01', '' ),
  ('MMB5194', 'B5', 15, '2017-05-23', '' ),
  ('MMC5175', 'C5', 15, '2017-05-28', '' ),
  ('MMC5181', 'C5', 15, '2017-05-28', '' ),
  ('MMB7127', 'B7', 6, '2017-06-01', '' ),
  ('MMC7016', 'C7', 1, '2017-06-02', '' ),
  ('MMB1182', 'B1', 12, '2017-05-13', '' ),
  ('MMC5157', 'C5', 13, '2017-05-28', '' ),
  ('MMB1065', 'B1', 6, '2017-05-13', '' ),
  ('MMB1225', 'B1', 2, '2017-06-04', '' ),
  ('MMC5131', 'C5', 11, '2017-05-28', '' ),
  ('MMA5119', 'A5', 11, '2017-05-27', '' ),
  ('MMB1044', 'B1', 5, '2017-05-13', '' ),
  ('MMC1292', 'C1', 9, '2017-06-05', '' ),
  ('MMA1154', 'A1', 15, '2017-05-12', '' ),
  ('MMC5146', 'C5', 12, '2017-05-28', '' ),
  ('MMC7067', 'C7', 2, '2017-06-02', '' ),
  ('MMC7034', 'C7', 2, '2017-06-02', '' ),
  ('MMC5180', 'C5', 15, '2017-05-28', '' ),
  ('MMA7072', 'A7', 7, '2017-05-31', '' ),
  ('MMC5129', 'C5', 11, '2017-05-28', '' ),
  ('MMB1246', 'B1', 4, '2017-06-04', '' ),
  ('MMC7075', 'C7', 2, '2017-06-02', '' ),
  ('MMB1278', 'B1', 7, '2017-06-04', '' ),
  ('MMB5226', 'B5', 1, '2017-06-09', '' ),
  ('MMA1057', 'A1', 5, '2017-05-12', '' ),
  ('MMB1099', 'B1', 8, '2017-05-13', '' ),
  ('MMC7138', 'C7', 3, '2017-06-20', '' ),
  ('MMA1035', 'A1', 3, '2017-05-08', '' ),
  ('MMB1110', 'B1', 8, '2017-05-13', '' ),
  ('MMA5169', 'A5', 15, '2017-05-27', '' ),
  ('MMA5206', 'A5', 15, '2017-05-27', '' ),
  ('MMA7126', 'A7', 7, '2017-05-31', '' ),
  ('MMB7133', 'B7', 6, '2017-06-01', '' ),
  ('MMC7130', 'C7', 3, '2017-06-02', '' ),
  ('MMC7106', 'C7', 3, '2017-06-02', '' ),
  ('MMC5218', 'C5', 6, '2017-06-10', '' ),
  ('MMC5044', 'C5', 4, '2017-05-28', '' ),
  ('MMA7094', 'A7', 7, '2017-05-31', '' ),
  ('MMC5230', 'C5', 7, '2017-06-10', '' ),
  ('MMA5121', 'A5', 11, '2017-05-27', '' ),
  ('MMA1227', 'A1', 4, '2017-06-04', '' ),
  ('MMB1106', 'B1', 8, '2017-05-13', '' ),
  ('MMC5158', 'C5', 13, '2017-05-28', '' ),
  ('MMA1171', 'A1', 17, '2017-05-12', '' ),
  ('MMC7110', 'C7', 3, '2017-06-02', '' ),
  ('MMA1297', 'A1', 11, '2017-06-04', '' ),
  ('MMB1077', 'B1', 7, '2017-05-13', '' ),
  ('MMA5106', 'A5', 10, '2017-05-27', '' ),
  ('MMA1214', 'A1', 2, '2017-06-04', '' ),
  ('MMA5024', 'A5', 3, '2017-05-27', '' ),
  ('MMA1030', 'A1', 5, '2017-05-08', '' ),
  ('MMC7003', 'C7', 1, '2017-06-02', '' ),
  ('MMA5010', 'A5', 2, '2017-05-27', '' ),
  ('MMA1064', 'A1', 5, '2017-05-12', '' ),
  ('MMB1251', 'B1', 4, '2017-06-04', '' ),
  ('MMC1250', 'C1', 6, '2017-06-05', '' ),
  ('MMC1090', 'C1', 6, '2017-05-17', '' ),
  ('MMB5151', 'B5', 13, '2017-05-23', '' ),
  ('MMB5154', 'B5', 13, '2017-05-23', '' ),
  ('MMC5136', 'C5', 11, '2017-05-28', '' ),
  ('MMA1004', 'A1', 1, '2017-05-08', '' ),
  ('MMA1121', 'A1', 12, '2017-05-12', '' ),
  ('MMB1183', 'B1', 12, '2017-05-13', '' ),
  ('MMB5030', 'B5', 4, '2017-05-23', '' ),
  ('MMB7012', 'B7', 1, '2017-06-01', '' ),
  ('MMA5239', 'A5', 13, '2017-06-08', '' ),
  ('MMA1157', 'A1', 16, '2017-05-12', '' ),
  ('MMC1091', 'C1', 6, '2017-05-17', '' ),
  ('MMC5023', 'C5', 3, '2017-05-28', '' ),
  ('MMA5222', 'A5', 2, '2017-06-08', '' ),
  ('MMB1113', 'B1', 9, '2017-05-13', '' ),
  ('MMC1116', 'C1', 7, '2017-05-17', '' ),
  ('MMB5083', 'B5', 7, '2017-05-23', '' ),
  ('MMA5063', 'A5', 9, '2017-05-27', '' ),
  ('MMB5163', 'B5', 13, '2017-05-23', '' ),
  ('MMB1144', 'B1', 10, '2017-05-13', '' ),
  ('MMB1036', 'B1', 4, '2017-05-13', '' ),
  ('MMB5072', 'B5', 7, '2017-05-23', '' ),
  ('MMB7044', 'B7', 2, '2017-06-01', '' ),
  ('MMC1291', 'C1', 9, '2017-06-05', '' ),
  ('MMC5040', 'C5', 4, '2017-05-28', '' ),
  ('MMB5023', 'B5', 3, '2017-05-23', '' ),
  ('MMA5013', 'A5', 2, '2017-05-27', '' ),
  ('MMC1211', 'C1', 1, '2017-06-05', '' ),
  ('MMB1026', 'B1', 3, '2017-05-13', '' ),
  ('MMA1193', 'A1', 18, '2017-05-12', '' ),
  ('MMB5001', 'B5', 1, '2017-05-23', '' ),
  ('MMB5016', 'B5', 2, '2017-05-23', '' ),
  ('MMA1242', 'A1', 6, '2017-06-04', '' ),
  ('MMA1147', 'A1', 14, '2017-05-12', '' ),
  ('MMC1221', 'C1', 2, '2017-06-05', '' ),
  ('MMC5238', 'C5', 11, '2017-06-10', '' ),
  ('MMB1306', 'B1', 13, '2017-06-04', '' ),
  ('MMB7018', 'B7', 2, '2017-06-01', '' ),
  ('MMA1273', 'A1', 8, '2017-06-04', '' ),
  ('MMB5130', 'B5', 10, '2017-05-23', '' ),
  ('MMC5198', 'C5', 17, '2017-05-28', '' ),
  ('MMC1213', 'C1', 1, '2017-06-05', '' ),
  ('MMB5056', 'B5', 5, '2017-05-23', '' ),
  ('MMA5198', 'A5', 15, '2017-05-27', '' ),
  ('MMA1287', 'A1', 10, '2017-06-04', '' ),
  ('MMA1131', 'A1', 13, '2017-05-12', '' ),
  ('MMB5204', 'B5', 16, '2017-05-23', '' ),
  ('MMA5084', 'A5', 9, '2017-05-27', '' ),
  ('MMB7020', 'B7', 2, '2017-06-01', '' ),
  ('MMB1307', 'B1', 13, '2017-06-04', '' ),
  ('MMC5067', 'C5', 6, '2017-05-28', '' ),
  ('MMC5109', 'C5', 9, '2017-05-28', '' ),
  ('MMA5209', 'A5', 15, '2017-05-27', '' ),
  ('MMA1067', 'A1', 6, '2017-05-12', '' ),
  ('MMA5092', 'A5', 10, '2017-05-27', '' ),
  ('MMA1113', 'A1', 11, '2017-05-12', '' ),
  ('MMC5196', 'C5', 16, '2017-05-28', '' ),
  ('MMC5047', 'C5', 5, '2017-05-28', '' ),
  ('MMA7033', 'A7', 4, '2017-05-31', '' ),
  ('MMA7135', 'A7', 4, '2017-06-19', '' ),
  ('MMA1092', 'A1', 9, '2017-05-12', '' ),
  ('MMC5082', 'C5', 7, '2017-05-28', '' ),
  ('MMA7064', 'A7', 6, '2017-05-31', '' ),
  ('MMA1187', 'A1', 18, '2017-05-12', '' ),
  ('MMC1298', 'C1', 9, '2017-06-05', '' ),
  ('MMA1140', 'A1', 14, '2017-05-12', '' ),
  ('MMA1022', 'A1', 3, '2017-05-08', '' ),
  ('MMC1260', 'C1', 7, '2017-06-05', '' ),
  ('MMA1248', 'A1', 6, '2017-06-04', '' ),
  ('MMB1252', 'B1', 4, '2017-06-04', '' ),
  ('MMA7055', 'A7', 5, '2017-05-31', '' ),
  ('MMA1062', 'A1', 5, '2017-05-12', '' ),
  ('MMA7070', 'A7', 7, '2017-05-31', '' ),
  ('MMB1288', 'B1', 8, '2017-06-04', '' ),
  ('MMA1056', 'A1', 5, '2017-05-12', '' ),
  ('MMA1070', 'A1', 7, '2017-05-12', '' ),
  ('MMA1078', 'A1', 8, '2017-05-12', '' ),
  ('MMA5061', 'A5', 8, '2017-05-27', '' ),
  ('MMA1066', 'A1', 6, '2017-05-12', '' ),
  ('MMA1032', 'A1', 3, '2017-05-08', '' ),
  ('MMC1168', 'C1', 9, '2017-05-17', '' ),
  ('MMB1112', 'B1', 8, '2017-05-13', '' ),
  ('MMB1154', 'B1', 11, '2017-05-13', '' ),
  ('MMB5184', 'B5', 14, '2017-05-23', '' ),
  ('MMA7019', 'A7', 2, '2017-05-31', '' ),
  ('MMA5038', 'A5', 6, '2017-05-27', '' ),
  ('MMC5102', 'C5', 9, '2017-05-28', '' ),
  ('MMB7119', 'B7', 6, '2017-06-01', '' ),
  ('MMA7029', 'A7', 4, '2017-05-31', '' ),
  ('MMB5009', 'B5', 1, '2017-05-23', '' ),
  ('MMC1281', 'C1', 8, '2017-06-05', '' ),
  ('MMA5207', 'A5', 15, '2017-05-27', '' ),
  ('MMA5016', 'A5', 2, '2017-05-27', '' ),
  ('MMC1257', 'C1', 7, '2017-06-05', '' ),
  ('MMB5018', 'B5', 3, '2017-05-23', '' ),
  ('MMA5151', 'A5', 13, '2017-05-27', '' ),
  ('MMA1031', 'A1', 5, '2017-05-08', '' ),
  ('MMA1294', 'A1', 11, '2017-06-04', '' ),
  ('MMB5114', 'B5', 9, '2017-05-23', '' ),
  ('MMA1257', 'A1', 6, '2017-06-04', '' ),
  ('MMB5202', 'B5', 16, '2017-05-23', '' ),
  ('MMA1033', 'A1', 3, '2017-05-08', '' ),
  ('MMA1141', 'A1', 14, '2017-05-12', '' ),
  ('MMC1195', 'C1', 9, '2017-05-17', '' ),
  ('MMB7052', 'B7', 2, '2017-06-01', '' ),
  ('MMC1141', 'C1', 8, '2017-05-17', '' ),
  ('MMB5031', 'B5', 4, '2017-05-23', '' ),
  ('MMA7063', 'A7', 6, '2017-05-31', '' ),
  ('MMB1045', 'B1', 5, '2017-05-13', '' ),
  ('MMB5178', 'B5', 14, '2017-05-23', '' ),
  ('MMC1301', 'C1', 10, '2017-06-05', '' ),
  ('MMB5165', 'B5', 13, '2017-05-23', '' ),
  ('MMB7075', 'B7', 5, '2017-06-01', '' ),
  ('MMA1254', 'A1', 5, '2017-06-04', '' ),
  ('MMC5116', 'C5', 10, '2017-05-28', '' ),
  ('MMA5122', 'A5', 11, '2017-05-27', '' ),
  ('MMB1128', 'B1', 10, '2017-05-13', '' ),
  ('MMB5008', 'B5', 1, '2017-05-23', '' ),
  ('MMB5251', 'B5', 12, '2017-06-09', '' ),
  ('MMB1028', 'B1', 3, '2017-05-13', '' ),
  ('MMB5111', 'B5', 9, '2017-05-23', '' ),
  ('MMC5060', 'C5', 6, '2017-05-28', '' ),
  ('MMA1243', 'A1', 6, '2017-06-04', '' ),
  ('MMC7027', 'C7', 1, '2017-06-02', '' ),
  ('MMB7139', 'B7', 6, '2017-06-01', '' ),
  ('MMB5172', 'B5', 14, '2017-05-23', '' ),
  ('MMC1286', 'C1', 8, '2017-06-05', '' ),
  ('MMA1175', 'A1', 17, '2017-05-12', '' ),
  ('MMB1051', 'B1', 5, '2017-05-13', '' ),
  ('MMC5178', 'C5', 15, '2017-05-28', '' ),
  ('MMC1049', 'C1', 2, '2017-05-17', '' ),
  ('MMC5058', 'C5', 6, '2017-05-28', '' ),
  ('MMC5151', 'C5', 12, '2017-05-28', '' ),
  ('MMB1111', 'B1', 8, '2017-05-13', '' ),
  ('MMC1120', 'C1', 7, '2017-05-17', '' ),
  ('MMA5094', 'A5', 10, '2017-05-27', '' ),
  ('MMC5006', 'C5', 2, '2017-05-28', '' ),
  ('MMC5162', 'C5', 13, '2017-05-28', '' ),
  ('MMC5237', 'C5', 10, '2017-06-10', '' ),
  ('MMB5157', 'B5', 13, '2017-05-23', '' ),
  ('MMB1134', 'B1', 10, '2017-05-13', '' ),
  ('MMB1012', 'B1', 1, '2017-05-13', '' ),
  ('MMA5012', 'A5', 2, '2017-05-27', '' ),
  ('MMC5062', 'C5', 6, '2017-05-28', '' ),
  ('MMC5243', 'C5', 15, '2017-06-10', '' ),
  ('MMB1210', 'B1', 13, '2017-05-13', '' ),
  ('MMC5207', 'C5', 1, '2017-06-10', '' ),
  ('MMC1108', 'C1', 7, '2017-05-17', '' ),
  ('MMB1197', 'B1', 12, '2017-05-13', '' ),
  ('MMC1106', 'C1', 7, '2017-05-17', '' ),
  ('MMB5126', 'B5', 10, '2017-05-23', '' ),
  ('MMA5011', 'A5', 2, '2017-05-27', '' ),
  ('MMC1203', 'C1', 10, '2017-05-17', '' ),
  ('MMC1278', 'C1', 8, '2017-06-05', '' ),
  ('MMC1071', 'C1', 4, '2017-05-17', '' ),
  ('MMB7101', 'B7', 6, '2017-06-01', '' ),
  ('MMB1203', 'B1', 13, '2017-05-13', '' ),
  ('MMB5064', 'B5', 6, '2017-05-23', '' ),
  ('MMB1054', 'B1', 5, '2017-05-13', '' ),
  ('MMA5001', 'A5', 1, '2017-05-27', '' ),
  ('MMC1155', 'C1', 9, '2017-05-17', '' ),
  ('MMA1037', 'A1', 4, '2017-05-08', '' ),
  ('MMA7062', 'A7', 6, '2017-05-31', '' ),
  ('MMB1185', 'B1', 12, '2017-05-13', '' ),
  ('MMC7017', 'C7', 1, '2017-06-02', '' ),
  ('MMA1106', 'A1', 11, '2017-05-12', '' ),
  ('MMC1161', 'C1', 9, '2017-05-17', '' ),
  ('MMC5229', 'C5', 9, '2017-06-10', '' ),
  ('MMC1058', 'C1', 4, '2017-05-17', '' ),
  ('MMC5011', 'C5', 2, '2017-05-28', '' ),
  ('MMB7037', 'B7', 3, '2017-06-01', '' ),
  ('MMB1148', 'B1', 10, '2017-05-13', '' ),
  ('MMC5187', 'C5', 15, '2017-05-28', '' ),
  ('MMA1190', 'A1', 18, '2017-05-12', '' ),
  ('MMC1215', 'C1', 2, '2017-06-05', '' ),
  ('MMC7109', 'C7', 3, '2017-06-02', '' ),
  ('MMA1275', 'A1', 9, '2017-06-04', '' ),
  ('MMB1115', 'B1', 9, '2017-05-13', '' ),
  ('MMC1016', 'C1', 2, '2017-05-17', '' ),
  ('MMA5006', 'A5', 2, '2017-05-27', '' ),
  ('MMA5117', 'A5', 11, '2017-05-27', '' ),
  ('MMB5252', 'B5', 14, '2017-06-09', '' ),
  ('MMB5222', 'B5', 1, '2017-06-09', '' ),
  ('MMC1082', 'C1', 5, '2017-05-17', '' ),
  ('MMB5176', 'B5', 14, '2017-05-23', '' ),
  ('MMA1110', 'A1', 11, '2017-05-12', '' ),
  ('MMB1076', 'B1', 7, '2017-05-13', '' ),
  ('MMA5141', 'A5', 11, '2017-05-27', '' ),
  ('MMB1029', 'B1', 4, '2017-05-13', '' ),
  ('MMA7002', 'A7', 1, '2017-05-31', '' ),
  ('MMB5249', 'B5', 11, '2017-06-09', '' ),
  ('MMB1196', 'B1', 12, '2017-05-13', '' ),
  ('MMB7057', 'B7', 3, '2017-06-01', '' ),
  ('MMC5020', 'C5', 3, '2017-05-28', '' ),
  ('MMB1180', 'B1', 12, '2017-05-13', '' ),
  ('MMA5234', 'A5', 11, '2017-06-08', '' ),
  ('MMA1103', 'A1', 11, '2017-05-12', '' ),
  ('MMA7025', 'A7', 3, '2017-05-31', '' ),
  ('MMB1084', 'B1', 7, '2017-05-13', '' ),
  ('MMA1202', 'A1', 1, '2017-06-04', '' ),
  ('MMA5078', 'A5', 9, '2017-05-27', '' ),
  ('MMB5238', 'B5', 7, '2017-06-09', '' ),
  ('MMA7117', 'A7', 7, '2017-05-31', '' ),
  ('MMB1164', 'B1', 11, '2017-05-13', '' ),
  ('MMB7056', 'B7', 3, '2017-06-01', '' ),
  ('MMC5122', 'C5', 10, '2017-05-28', '' ),
  ('MMC7064', 'C7', 2, '2017-06-02', '' ),
  ('MMA1249', 'A1', 6, '2017-06-04', '' ),
  ('MMC5199', 'C5', 17, '2017-05-28', '' ),
  ('MMC7010', 'C7', 1, '2017-06-02', '' ),
  ('MMA7076', 'A7', 7, '2017-05-31', '' ),
  ('MMC1009', 'C1', 1, '2017-05-17', '' ),
  ('MMC1026', 'C1', 2, '2017-05-17', '' ),
  ('MMC1055', 'C1', 4, '2017-05-17', '' ),
  ('MMC5090', 'C5', 8, '2017-05-28', '' ),
  ('MMA1221', 'A1', 3, '2017-06-04', '' ),
  ('MMC7134', 'C7', 2, '2017-06-20', '' ),
  ('MMA1268', 'A1', 8, '2017-06-04', '' ),
  ('MMB5022', 'B5', 3, '2017-05-23', '' ),
  ('MMB5113', 'B5', 9, '2017-05-23', '' ),
  ('MMB5129', 'B5', 10, '2017-05-23', '' ),
  ('MMA5182', 'A5', 15, '2017-05-27', '' ),
  ('MMC1269', 'C1', 8, '2017-06-05', '' ),
  ('MMB5118', 'B5', 10, '2017-05-23', '' ),
  ('MMA5021', 'A5', 3, '2017-05-27', '' ),
  ('MMB7092', 'B7', 5, '2017-06-01', '' ),
  ('MMA7015', 'A7', 2, '2017-05-31', '' ),
  ('MMC1246', 'C1', 6, '2017-06-05', '' ),
  ('MMA1186', 'A1', 18, '2017-05-12', '' ),
  ('MMC5173', 'C5', 15, '2017-05-28', '' ),
  ('MMC5203', 'C5', 17, '2017-05-28', '' ),
  ('MMB5211', 'B5', 16, '2017-05-23', '' ),
  ('MMA5118', 'A5', 11, '2017-05-27', '' ),
  ('MMC7087', 'C7', 2, '2017-06-02', '' ),
  ('MMC1065', 'C1', 4, '2017-05-17', '' ),
  ('MMA5187', 'A5', 15, '2017-05-27', '' ),
  ('MMC5111', 'C5', 9, '2017-05-28', '' ),
  ('MMC1284', 'C1', 8, '2017-06-05', '' ),
  ('MMB5197', 'B5', 16, '2017-05-23', '' ),
  ('MMA7089', 'A7', 7, '2017-05-31', '' ),
  ('MMA1080', 'A1', 8, '2017-05-12', '' ),
  ('MMA1063', 'A1', 5, '2017-05-12', '' ),
  ('MMA7065', 'A7', 6, '2017-05-31', '' ),
  ('MMC7131', 'C7', 4, '2017-06-14', '' ),
  ('MMB5069', 'B5', 7, '2017-05-23', '' ),
  ('MMA5074', 'A5', 9, '2017-05-27', '' ),
  ('MMB7110', 'B7', 6, '2017-06-01', '' ),
  ('MMC7015', 'C7', 1, '2017-06-02', '' ),
  ('MMC5249', 'C5', 15, '2017-06-10', '' ),
  ('MMA5174', 'A5', 15, '2017-05-27', '' ),
  ('MMC1253', 'C1', 5, '2017-06-05', '' ),
  ('MMC7056', 'C7', 2, '2017-06-02', '' ),
  ('MMA5237', 'A5', 10, '2017-06-08', '' ),
  ('MMB1048', 'B1', 5, '2017-05-13', '' ),
  ('MMA5028', 'A5', 4, '2017-05-27', '' ),
  ('MMC7097', 'C7', 3, '2017-06-02', '' ),
  ('MMB5256', 'B5', 14, '2017-06-09', '' ),
  ('MMA7071', 'A7', 7, '2017-05-31', '' ),
  ('MMC5211', 'C5', 2, '2017-06-10', '' ),
  ('MMA1132', 'A1', 13, '2017-05-12', '' ),
  ('MMA1118', 'A1', 12, '2017-05-12', '' ),
  ('MMC5066', 'C5', 6, '2017-05-28', '' ),
  ('MMA1252', 'A1', 5, '2017-06-04', '' ),
  ('MMC5051', 'C5', 6, '2017-05-28', '' ),
  ('MMC7047', 'C7', 2, '2017-06-02', '' ),
  ('MMB1216', 'B1', 1, '2017-06-04', '' ),
  ('MMC5236', 'C5', 10, '2017-06-10', '' ),
  ('MMC1006', 'C1', 1, '2017-05-17', '' ),
  ('MMB7081', 'B7', 5, '2017-06-01', '' ),
  ('MMB1074', 'B1', 7, '2017-05-13', '' ),
  ('MMC1022', 'C1', 2, '2017-05-17', '' ),
  ('MMB7095', 'B7', 6, '2017-06-01', '' ),
  ('MMB1232', 'B1', 3, '2017-06-04', '' ),
  ('MMB1062', 'B1', 6, '2017-05-13', '' ),
  ('MMC1070', 'C1', 4, '2017-05-17', '' ),
  ('MMC1103', 'C1', 7, '2017-05-17', '' ),
  ('MMB5215', 'B5', 16, '2017-05-23', '' ),
  ('MMC1145', 'C1', 8, '2017-05-17', '' ),
  ('MMA5131', 'A5', 13, '2017-05-27', '' ),
  ('MMB7013', 'B7', 1, '2017-06-01', '' ),
  ('MMC1079', 'C1', 5, '2017-05-17', '' ),
  ('MMA5100', 'A5', 10, '2017-05-27', '' ),
  ('MMA7088', 'A7', 7, '2017-05-31', '' ),
  ('MMC1237', 'C1', 5, '2017-06-05', '' ),
  ('MMA5009', 'A5', 2, '2017-05-27', '' ),
  ('MMC5100', 'C5', 9, '2017-05-28', '' ),
  ('MMC1061', 'C1', 4, '2017-05-17', '' ),
  ('MMB5117', 'B5', 9, '2017-05-23', '' ),
  ('MMC5164', 'C5', 13, '2017-05-28', '' ),
  ('MMA1271', 'A1', 8, '2017-06-04', '' ),
  ('MMB5123', 'B5', 10, '2017-05-23', '' ),
  ('MMB5190', 'B5', 15, '2017-05-23', '' ),
  ('MMA7114', 'A7', 7, '2017-05-31', '' ),
  ('MMC7096', 'C7', 2, '2017-06-02', '' ),
  ('MMB1032', 'B1', 4, '2017-05-13', '' ),
  ('MMA1053', 'A1', 3, '2017-05-12', '' ),
  ('MMC7037', 'C7', 2, '2017-06-02', '' ),
  ('MMC1073', 'C1', 7, '2017-05-17', '' ),
  ('MMB7002', 'B7', 1, '2017-06-01', '' ),
  ('MMB5152', 'B5', 13, '2017-05-23', '' ),
  ('MMA5135', 'A5', 11, '2017-05-27', '' ),
  ('MMB7043', 'B7', 2, '2017-06-01', '' ),
  ('MMA1116', 'A1', 12, '2017-05-12', '' ),
  ('MMA5252', 'A5', 12, '2017-06-08', '' ),
  ('MMB1257', 'B1', 5, '2017-06-04', '' ),
  ('MMA7098', 'A7', 7, '2017-05-31', '' ),
  ('MMA5210', 'A5', 1, '2017-06-08', '' ),
  ('MMC7137', 'C7', 2, '2017-06-20', '' ),
  ('MMA1082', 'A1', 8, '2017-05-12', '' ),
  ('MMB1233', 'B1', 3, '2017-06-04', '' ),
  ('MMA1041', 'A1', 4, '2017-05-08', '' ),
  ('MMA5178', 'A5', 15, '2017-05-27', '' ),
  ('MMC1212', 'C1', 1, '2017-06-05', '' ),
  ('MMA1019', 'A1', 3, '2017-05-08', '' ),
  ('MMC1032', 'C1', 2, '2017-05-17', '' ),
  ('MMB5025', 'B5', 4, '2017-05-23', '' ),
  ('MMB7078', 'B7', 5, '2017-06-01', '' ),
  ('MMB5181', 'B5', 15, '2017-05-23', '' ),
  ('MMB5186', 'B5', 15, '2017-05-23', '' ),
  ('MMA5176', 'A5', 15, '2017-05-27', '' ),
  ('MMC5253', 'C5', 16, '2017-06-10', '' ),
  ('MMB1160', 'B1', 11, '2017-05-13', '' ),
  ('MMB5156', 'B5', 13, '2017-05-23', '' ),
  ('MMC5035', 'C5', 4, '2017-05-28', '' ),
  ('MMB7031', 'B7', 3, '2017-06-01', '' ),
  ('MMA5232', 'A5', 7, '2017-06-08', '' ),
  ('MMA5245', 'A5', 11, '2017-06-08', '' ),
  ('MMA1038', 'A1', 4, '2017-05-08', '' ),
  ('MMA1172', 'A1', 17, '2017-05-12', '' ),
  ('MMB5043', 'B5', 5, '2017-05-23', '' ),
  ('MMA5057', 'A5', 8, '2017-05-27', '' ),
  ('MMA5138', 'A5', 11, '2017-05-27', '' ),
  ('MMA5146', 'A5', 11, '2017-05-27', '' ),
  ('MMC1219', 'C1', 2, '2017-06-05', '' ),
  ('MMC5217', 'C5', 4, '2017-06-10', '' ),
  ('MMB5054', 'B5', 5, '2017-05-23', '' ),
  ('MMB7140', 'B7', 4, '2017-06-20', '' ),
  ('MMA1280', 'A1', 9, '2017-06-04', '' ),
  ('MMA5242', 'A5', 11, '2017-06-08', '' ),
  ('MMC1142', 'C1', 8, '2017-05-17', '' ),
  ('MMA5042', 'A5', 6, '2017-05-27', '' ),
  ('MMC1268', 'C1', 8, '2017-06-05', '' ),
  ('MMC7041', 'C7', 2, '2017-06-02', '' ),
  ('MMB7006', 'B7', 1, '2017-06-01', '' ),
  ('MMC7088', 'C7', 2, '2017-06-02', '' ),
  ('MMC1137', 'C1', 8, '2017-05-17', '' ),
  ('MMA5069', 'A5', 9, '2017-05-27', '' ),
  ('MMA7118', 'A7', 7, '2017-05-31', '' ),
  ('MMC7080', 'C7', 2, '2017-06-02', '' ),
  ('MMC7050', 'C7', 2, '2017-06-02', '' ),
  ('MMB1014', 'B1', 2, '2017-05-13', '' ),
  ('MMA7031', 'A7', 4, '2017-05-31', '' ),
  ('MMC1279', 'C1', 8, '2017-06-05', '' ),
  ('MMA5195', 'A5', 15, '2017-05-27', '' ),
  ('MMC5083', 'C5', 8, '2017-05-28', '' ),
  ('MMA7124', 'A7', 7, '2017-05-31', '' ),
  ('MMA5082', 'A5', 9, '2017-05-27', '' ),
  ('MMC5204', 'C5', 17, '2017-05-28', '' ),
  ('MMC1174', 'C1', 9, '2017-05-17', '' ),
  ('MMA5163', 'A5', 14, '2017-05-27', '' ),
  ('MMC7071', 'C7', 2, '2017-06-02', '' ),
  ('MMA5004', 'A5', 2, '2017-05-27', '' ),
  ('MMC7045', 'C7', 2, '2017-06-02', '' ),
  ('MMC5081', 'C5', 7, '2017-05-28', '' ),
  ('MMB1270', 'B1', 6, '2017-06-04', '' ),
  ('MMB7129', 'B7', 6, '2017-06-01', '' ),
  ('MMA1224', 'A1', 3, '2017-06-04', '' ),
  ('MMB5242', 'B5', 8, '2017-06-09', '' ),
  ('MMB7049', 'B7', 2, '2017-06-01', '' ),
  ('MMA1278', 'A1', 9, '2017-06-04', '' ),
  ('MMB7124', 'B7', 6, '2017-06-01', '' ),
  ('MMC5161', 'C5', 13, '2017-05-28', '' ),
  ('MMA7040', 'A7', 4, '2017-05-31', '' ),
  ('MMB1093', 'B1', 7, '2017-05-13', '' ),
  ('MMB1179', 'B1', 12, '2017-05-13', '' ),
  ('MMC1075', 'C1', 7, '2017-05-17', '' ),
  ('MMC5123', 'C5', 10, '2017-05-28', '' ),
  ('MMB7058', 'B7', 3, '2017-06-01', '' ),
  ('MMA1191', 'A1', 18, '2017-05-12', '' ),
  ('MMC1165', 'C1', 9, '2017-05-17', '' ),
  ('MMA5139', 'A5', 11, '2017-05-27', '' ),
  ('MMA1259', 'A1', 7, '2017-06-04', '' ),
  ('MMC1129', 'C1', 8, '2017-05-17', '' ),
  ('MMB1092', 'B1', 7, '2017-05-13', '' ),
  ('MMA5090', 'A5', 9, '2017-05-27', '' ),
  ('MMC5046', 'C5', 5, '2017-05-28', '' ),
  ('MMA7024', 'A7', 3, '2017-05-31', '' ),
  ('MMA1074', 'A1', 7, '2017-05-12', '' ),
  ('MMB1053', 'B1', 5, '2017-05-13', '' ),
  ('MMC1128', 'C1', 8, '2017-05-17', '' ),
  ('MMA1183', 'A1', 17, '2017-05-12', '' ),
  ('MMC5147', 'C5', 12, '2017-05-28', '' ),
  ('MMA1292', 'A1', 11, '2017-06-04', '' ),
  ('MMA1051', 'A1', 3, '2017-05-12', '' ),
  ('MMC5174', 'C5', 15, '2017-05-28', '' ),
  ('MMA5083', 'A5', 9, '2017-05-27', '' ),
  ('MMA1204', 'A1', 1, '2017-06-04', '' ),
  ('MMA5199', 'A5', 15, '2017-05-27', '' ),
  ('MMC7072', 'C7', 2, '2017-06-02', '' ),
  ('MMC1040', 'C1', 2, '2017-05-17', '' ),
  ('MMB1141', 'B1', 10, '2017-05-13', '' ),
  ('MMC5019', 'C5', 3, '2017-05-28', '' ),
  ('MMC1123', 'C1', 7, '2017-05-17', '' ),
  ('MMC5005', 'C5', 2, '2017-05-28', '' ),
  ('MMB1230', 'B1', 2, '2017-06-04', '' ),
  ('MMC1147', 'C1', 8, '2017-05-17', '' ),
  ('MMA7038', 'A7', 4, '2017-05-31', '' ),
  ('MMB1072', 'B1', 7, '2017-05-13', '' ),
  ('MMB1136', 'B1', 10, '2017-05-13', '' ),
  ('MMA1075', 'A1', 7, '2017-05-12', '' ),
  ('MMA5241', 'A5', 11, '2017-06-08', '' ),
  ('MMA1245', 'A1', 6, '2017-06-04', '' ),
  ('MMC5114', 'C5', 9, '2017-05-28', '' ),
  ('MMA1211', 'A1', 2, '2017-06-04', '' ),
  ('MMB5127', 'B5', 10, '2017-05-23', '' ),
  ('MMA5159', 'A5', 14, '2017-05-27', '' ),
  ('MMC1011', 'C1', 1, '2017-05-17', '' ),
  ('MMC5171', 'C5', 14, '2017-05-28', '' ),
  ('MMA1090', 'A1', 8, '2017-05-12', '' ),
  ('MMA7073', 'A7', 7, '2017-05-31', '' ),
  ('MMA1017', 'A1', 3, '2017-05-08', '' ),
  ('MMC1183', 'C1', 9, '2017-05-17', '' ),
  ('MMC7043', 'C7', 2, '2017-06-02', '' ),
  ('MMB1042', 'B1', 4, '2017-05-13', '' ),
  ('MMB7080', 'B7', 5, '2017-06-01', '' ),
  ('MMA5054', 'A5', 7, '2017-05-27', '' ),
  ('MMC5089', 'C5', 8, '2017-05-28', '' ),
  ('MMC7141', 'C7', 3, '2017-06-20', '' ),
  ('MMA5120', 'A5', 11, '2017-05-27', '' ),
  ('MMC1002', 'C1', 1, '2017-05-17', '' ),
  ('MMA5170', 'A5', 15, '2017-05-27', '' ),
  ('MMA1099', 'A1', 11, '2017-05-12', '' ),
  ('MMB5219', 'B5', 16, '2017-05-23', '' ),
  ('MMC5030', 'C5', 4, '2017-05-28', '' ),
  ('MMB1209', 'B1', 13, '2017-05-13', '' ),
  ('MMB1059', 'B1', 6, '2017-05-13', '' ),
  ('MMB5100', 'B5', 8, '2017-05-23', '' ),
  ('MMA7030', 'A7', 4, '2017-05-31', '' ),
  ('MMA1246', 'A1', 6, '2017-06-04', '' ),
  ('MMA1084', 'A1', 8, '2017-05-12', '' ),
  ('MMC7057', 'C7', 2, '2017-06-02', '' ),
  ('MMB5080', 'B5', 7, '2017-05-23', '' ),
  ('MMB5094', 'B5', 8, '2017-05-23', '' ),
  ('MMC5152', 'C5', 12, '2017-05-28', '' ),
  ('MMA1139', 'A1', 14, '2017-05-12', '' ),
  ('MMA7104', 'A7', 7, '2017-05-31', '' ),
  ('MMA5226', 'A5', 1, '2017-06-08', '' ),
  ('MMC5127', 'C5', 11, '2017-05-28', '' ),
  ('MMC5197', 'C5', 16, '2017-05-28', '' ),
  ('MMC5155', 'C5', 13, '2017-05-28', '' ),
  ('MMA5066', 'A5', 9, '2017-05-27', '' ),
  ('MMA1072', 'A1', 7, '2017-05-12', '' ),
  ('MMB1002', 'B1', 1, '2017-05-13', '' ),
  ('MMC1163', 'C1', 9, '2017-05-17', '' ),
  ('MMA1034', 'A1', 3, '2017-05-08', '' ),
  ('MMA5110', 'A5', 10, '2017-05-27', '' ),
  ('MMC5028', 'C5', 3, '2017-05-28', '' ),
  ('MMB5133', 'B5', 11, '2017-05-23', '' ),
  ('MMB1143', 'B1', 10, '2017-05-13', '' ),
  ('MMA5018', 'A5', 2, '2017-05-27', '' ),
  ('MMA1209', 'A1', 2, '2017-06-04', '' ),
  ('MMA1012', 'A1', 3, '2017-05-08', '' ),
  ('MMC7140', 'C7', 3, '2017-06-20', '' ),
  ('MMA1048', 'A1', 1, '2017-05-12', '' ),
  ('MMA7108', 'A7', 7, '2017-05-31', '' ),
  ('MMA5114', 'A5', 11, '2017-05-27', '' ),
  ('MMC1008', 'C1', 1, '2017-05-17', '' ),
  ('MMC1179', 'C1', 9, '2017-05-17', '' ),
  ('MMC5201', 'C5', 17, '2017-05-28', '' ),
  ('MMC1229', 'C1', 2, '2017-06-05', '' ),
  ('MMC5233', 'C5', 9, '2017-06-10', '' ),
  ('MMB7014', 'B7', 1, '2017-06-01', '' ),
  ('MMC1013', 'C1', 1, '2017-05-17', '' ),
  ('MMA5181', 'A5', 15, '2017-05-27', '' ),
  ('MMC1214', 'C1', 2, '2017-06-05', '' ),
  ('MMB1020', 'B1', 2, '2017-05-13', '' ),
  ('MMC7083', 'C7', 2, '2017-06-02', '' ),
  ('MMC1230', 'C1', 2, '2017-06-05', '' ),
  ('MMC1064', 'C1', 4, '2017-05-17', '' ),
  ('MMA1137', 'A1', 14, '2017-05-12', '' ),
  ('MMC5141', 'C5', 11, '2017-05-28', '' ),
  ('MMB1239', 'B1', 3, '2017-06-04', '' ),
  ('MMA1043', 'A1', 4, '2017-05-08', '' ),
  ('MMB5058', 'B5', 5, '2017-05-23', '' ),
  ('MMB5106', 'B5', 9, '2017-05-23', '' ),
  ('MMA5087', 'A5', 9, '2017-05-27', '' ),
  ('MMA1065', 'A1', 5, '2017-05-12', '' ),
  ('MMB7116', 'B7', 6, '2017-06-01', '' ),
  ('MMC7079', 'C7', 2, '2017-06-02', '' ),
  ('MMB5079', 'B5', 7, '2017-05-23', '' ),
  ('MMB5195', 'B5', 15, '2017-05-23', '' ),
  ('MMB1263', 'B1', 6, '2017-06-04', '' ),
  ('MMC7120', 'C7', 3, '2017-06-02', '' ),
  ('MMB1004', 'B1', 1, '2017-05-13', '' ),
  ('MMA7050', 'A7', 4, '2017-05-31', '' ),
  ('MMB5231', 'B5', 6, '2017-06-09', '' ),
  ('MMC1105', 'C1', 7, '2017-05-17', '' ),
  ('MMC5128', 'C5', 11, '2017-05-28', '' ),
  ('MMA7010', 'A7', 1, '2017-05-31', '' ),
  ('MMA1077', 'A1', 7, '2017-05-12', '' ),
  ('MMB1006', 'B1', 1, '2017-05-13', '' ),
  ('MMC7032', 'C7', 1, '2017-06-02', '' ),
  ('MMB5250', 'B5', 14, '2017-06-09', '' ),
  ('MMC7073', 'C7', 2, '2017-06-02', '' ),
  ('MMA5046', 'A5', 6, '2017-05-27', '' ),
  ('MMA7069', 'A7', 7, '2017-05-31', '' ),
  ('MMA1023', 'A1', 3, '2017-05-08', '' ),
  ('MMA5152', 'A5', 14, '2017-05-27', '' ),
  ('MMC5206', 'C5', 17, '2017-05-28', '' ),
  ('MMC7139', 'C7', 3, '2017-06-20', '' ),
  ('MMB5053', 'B5', 5, '2017-05-23', '' ),
  ('MMB7024', 'B7', 2, '2017-06-01', '' ),
  ('MMC1254', 'C1', 5, '2017-06-05', '' ),
  ('MMB1241', 'B1', 1, '2017-06-04', '' ),
  ('MMC1205', 'C1', 10, '2017-05-17', '' ),
  ('MMB7009', 'B7', 1, '2017-06-01', '' ),
  ('MMB1310', 'B1', 13, '2017-06-04', '' ),
  ('MMC1201', 'C1', 10, '2017-05-17', '' ),
  ('MMA1046', 'A1', 1, '2017-05-12', '' ),
  ('MMB1033', 'B1', 3, '2017-05-13', '' ),
  ('MMC1274', 'C1', 8, '2017-06-05', '' ),
  ('MMB5260', 'B5', 15, '2017-06-09', '' ),
  ('MMA1198', 'A1', 19, '2017-05-12', '' ),
  ('MMB1017', 'B1', 2, '2017-05-13', '' ),
  ('MMC5091', 'C5', 8, '2017-05-28', '' ),
  ('MMB7017', 'B7', 2, '2017-06-01', '' ),
  ('MMA1262', 'A1', 7, '2017-06-04', '' ),
  ('MMB7120', 'B7', 6, '2017-06-01', '' ),
  ('MMC7125', 'C7', 3, '2017-06-02', '' ),
  ('MMA5193', 'A5', 15, '2017-05-27', '' ),
  ('MMB1188', 'B1', 12, '2017-05-13', '' ),
  ('MMB1266', 'B1', 6, '2017-06-04', '' ),
  ('MMA7046', 'A7', 4, '2017-05-31', '' ),
  ('MMA1225', 'A1', 3, '2017-06-04', '' ),
  ('MMA1192', 'A1', 18, '2017-05-12', '' ),
  ('MMC1222', 'C1', 2, '2017-06-05', '' ),
  ('MMA5156', 'A5', 14, '2017-05-27', '' ),
  ('MMB5096', 'B5', 8, '2017-05-23', '' ),
  ('MMA7121', 'A7', 7, '2017-05-31', '' ),
  ('MMA1253', 'A1', 5, '2017-06-04', '' ),
  ('MMB7039', 'B7', 3, '2017-06-01', '' ),
  ('MMC1158', 'C1', 9, '2017-05-17', '' ),
  ('MMB7048', 'B7', 2, '2017-06-01', '' ),
  ('MMA5243', 'A5', 11, '2017-06-08', '' ),
  ('MMC5159', 'C5', 13, '2017-05-28', '' ),
  ('MMA7020', 'A7', 2, '2017-05-31', '' ),
  ('MMC1285', 'C1', 8, '2017-06-05', '' ),
  ('MMC5050', 'C5', 6, '2017-05-28', '' ),
  ('MMA7042', 'A7', 4, '2017-05-31', '' ),
  ('MMB5228', 'B5', 5, '2017-06-09', '' ),
  ('MMB5026', 'B5', 4, '2017-05-23', '' ),
  ('MMA7099', 'A7', 7, '2017-05-31', '' ),
  ('MMC1173', 'C1', 9, '2017-05-17', '' ),
  ('MMB7135', 'B7', 6, '2017-06-01', '' ),
  ('MMB5153', 'B5', 13, '2017-05-23', '' ),
  ('MMA5171', 'A5', 15, '2017-05-27', '' ),
  ('MMC1033', 'C1', 2, '2017-05-17', '' ),
  ('MMB1259', 'B1', 5, '2017-06-04', '' ),
  ('MMB5241', 'B5', 9, '2017-06-09', '' ),
  ('MMB1140', 'B1', 10, '2017-05-13', '' ),
  ('MMB5193', 'B5', 15, '2017-05-23', '' ),
  ('MMB1190', 'B1', 12, '2017-05-13', '' ),
  ('MMA1114', 'A1', 11, '2017-05-12', '' ),
  ('MMA1293', 'A1', 11, '2017-06-04', '' ),
  ('MMB1214', 'B1', 1, '2017-06-04', '' ),
  ('MMB7047', 'B7', 2, '2017-06-01', '' ),
  ('MMA1049', 'A1', 4, '2017-05-12', '' ),
  ('MMB5078', 'B5', 7, '2017-05-23', '' ),
  ('MMB1070', 'B1', 6, '2017-05-13', '' ),
  ('MMA5043', 'A5', 6, '2017-05-27', '' ),
  ('MMA7017', 'A7', 2, '2017-05-31', '' ),
  ('MMC5234', 'C5', 9, '2017-06-10', '' ),
  ('MMB7147', 'B7', 6, '2017-06-20', '' ),
  ('MMB7042', 'B7', 2, '2017-06-01', '' ),
  ('MMC7100', 'C7', 3, '2017-06-02', '' ),
  ('MMB1269', 'B1', 6, '2017-06-04', '' ),
  ('MMA1050', 'A1', 4, '2017-05-12', '' ),
  ('MMC1063', 'C1', 4, '2017-05-17', '' ),
  ('MMC5219', 'C5', 6, '2017-06-10', '' ),
  ('MMA5059', 'A5', 8, '2017-05-27', '' ),
  ('MMC1188', 'C1', 9, '2017-05-17', '' ),
  ('MMB5137', 'B5', 11, '2017-05-23', '' ),
  ('MMB5173', 'B5', 14, '2017-05-23', '' ),
  ('MMC7108', 'C7', 3, '2017-06-02', '' ),
  ('MMB5179', 'B5', 14, '2017-05-23', '' ),
  ('MMB1286', 'B1', 9, '2017-06-04', '' ),
  ('MMB7025', 'B7', 2, '2017-06-01', '' ),
  ('MMC1067', 'C1', 4, '2017-05-17', '' ),
  ('MMC1099', 'C1', 6, '2017-05-17', '' ),
  ('MMC5088', 'C5', 8, '2017-05-28', '' ),
  ('MMC7002', 'C7', 1, '2017-06-02', '' ),
  ('MMB1088', 'B1', 7, '2017-05-13', '' ),
  ('MMA1119', 'A1', 12, '2017-05-12', '' ),
  ('MMB1025', 'B1', 3, '2017-05-13', '' ),
  ('MMC7007', 'C7', 1, '2017-06-02', '' ),
  ('MMB1041', 'B1', 4, '2017-05-13', '' ),
  ('MMB5206', 'B5', 16, '2017-05-23', '' ),
  ('MMC5033', 'C5', 4, '2017-05-28', '' ),
  ('MMA1169', 'A1', 17, '2017-05-12', '' ),
  ('MMA7120', 'A7', 7, '2017-05-31', '' ),
  ('MMC1014', 'C1', 1, '2017-05-17', '' ),
  ('MMB5189', 'B5', 15, '2017-05-23', '' ),
  ('MMA5144', 'A5', 11, '2017-05-27', '' ),
  ('MMC5063', 'C5', 6, '2017-05-28', '' ),
  ('MMC5148', 'C5', 12, '2017-05-28', '' ),
  ('MMA7129', 'A7', 7, '2017-05-31', '' ),
  ('MMA7016', 'A7', 2, '2017-05-31', '' ),
  ('MMA7119', 'A7', 7, '2017-05-31', '' ),
  ('MMC7029', 'C7', 1, '2017-06-02', '' ),
  ('MMA1108', 'A1', 11, '2017-05-12', '' ),
  ('MMB5082', 'B5', 7, '2017-05-23', '' ),
  ('MMC1259', 'C1', 7, '2017-06-05', '' ),
  ('MMB5227', 'B5', 5, '2017-06-09', '' ),
  ('MMB1200', 'B1', 12, '2017-05-13', '' ),
  ('MMB1208', 'B1', 13, '2017-05-13', '' ),
  ('MMA5015', 'A5', 2, '2017-05-27', '' ),
  ('MMB7029', 'B7', 2, '2017-06-01', '' ),
  ('MMB1086', 'B1', 7, '2017-05-13', '' ),
  ('MMA1282', 'A1', 9, '2017-06-04', '' ),
  ('MMA1196', 'A1', 19, '2017-05-12', '' ),
  ('MMC5031', 'C5', 4, '2017-05-28', '' ),
  ('MMB1229', 'B1', 2, '2017-06-04', '' ),
  ('MMC1282', 'C1', 8, '2017-06-05', '' ),
  ('MMC5074', 'C5', 7, '2017-05-28', '' ),
  ('MMB5253', 'B5', 13, '2017-06-09', '' ),
  ('MMB1177', 'B1', 12, '2017-05-13', '' ),
  ('MMC7030', 'C7', 1, '2017-06-02', '' ),
  ('MMC7114', 'C7', 3, '2017-06-02', '' ),
  ('MMB1277', 'B1', 12, '2017-06-04', '' ),
  ('MMC1186', 'C1', 9, '2017-05-17', '' ),
  ('MMC1072', 'C1', 5, '2017-05-17', '' ),
  ('MMB7074', 'B7', 5, '2017-06-01', '' ),
  ('MMB5262', 'B5', 16, '2017-06-09', '' ),
  ('MMB1161', 'B1', 11, '2017-05-13', '' ),
  ('MMC1095', 'C1', 6, '2017-05-17', '' ),
  ('MMB7111', 'B7', 6, '2017-06-01', '' ),
  ('MMB5259', 'B5', 15, '2017-06-09', '' ),
  ('MMB1061', 'B1', 6, '2017-05-13', '' ),
  ('MMB5201', 'B5', 16, '2017-05-23', '' ),
  ('MMA1087', 'A1', 8, '2017-05-12', '' ),
  ('MMC1114', 'C1', 7, '2017-05-17', '' ),
  ('MMC1140', 'C1', 8, '2017-05-17', '' ),
  ('MMA7133', 'A7', 2, '2017-06-19', '' ),
  ('MMA7105', 'A7', 7, '2017-05-31', '' ),
  ('MMC1109', 'C1', 7, '2017-05-17', '' ),
  ('MMB5108', 'B5', 9, '2017-05-23', '' ),
  ('MMA1135', 'A1', 14, '2017-05-12', '' ),
  ('MMB1151', 'B1', 10, '2017-05-13', '' ),
  ('MMA7084', 'A7', 7, '2017-05-31', '' ),
  ('MMA1290', 'A1', 10, '2017-06-04', '' ),
  ('MMA1071', 'A1', 7, '2017-05-12', '' ),
  ('MMB1294', 'B1', 8, '2017-06-04', '' ),
  ('MMC1271', 'C1', 7, '2017-06-05', '' ),
  ('MMB1119', 'B1', 9, '2017-05-13', '' ),
  ('MMB5254', 'B5', 13, '2017-06-09', '' ),
  ('MMA1178', 'A1', 17, '2017-05-12', '' ),
  ('MMB5187', 'B5', 15, '2017-05-23', '' ),
  ('MMB1303', 'B1', 11, '2017-06-04', '' ),
  ('MMC1003', 'C1', 1, '2017-05-17', '' ),
  ('MMB5182', 'B5', 15, '2017-05-23', '' ),
  ('MMB1168', 'B1', 12, '2017-05-13', '' ),
  ('MMC5251', 'C5', 15, '2017-06-10', '' ),
  ('MMB1089', 'B1', 7, '2017-05-13', '' ),
  ('MMB5162', 'B5', 13, '2017-05-23', '' ),
  ('MMA1115', 'A1', 12, '2017-05-12', '' ),
  ('MMC1015', 'C1', 1, '2017-05-17', '' ),
  ('MMA5109', 'A5', 10, '2017-05-27', '' ),
  ('MMC5134', 'C5', 11, '2017-05-28', '' ),
  ('MMA1238', 'A1', 5, '2017-06-04', '' ),
  ('MMB5255', 'B5', 14, '2017-06-09', '' ),
  ('MMA5075', 'A5', 9, '2017-05-27', '' ),
  ('MMC5097', 'C5', 9, '2017-05-28', '' ),
  ('MMB5191', 'B5', 15, '2017-05-23', '' ),
  ('MMB5209', 'B5', 16, '2017-05-23', '' ),
  ('MMA5224', 'A5', 2, '2017-06-08', '' ),
  ('MMA1162', 'A1', 16, '2017-05-12', '' ),
  ('MMC1035', 'C1', 2, '2017-05-17', '' ),
  ('MMA5129', 'A5', 11, '2017-05-27', '' ),
  ('MMC7122', 'C7', 3, '2017-06-02', '' ),
  ('MMC5231', 'C5', 8, '2017-06-10', '' ),
  ('MMA1052', 'A1', 3, '2017-05-12', '' ),
  ('MMB1296', 'B1', 10, '2017-06-04', '' ),
  ('MMB1195', 'B1', 12, '2017-05-13', '' ),
  ('MMB5028', 'B5', 4, '2017-05-23', '' ),
  ('MMA7018', 'A7', 2, '2017-05-31', '' ),
  ('MMA1159', 'A1', 16, '2017-05-12', '' ),
  ('MMB7004', 'B7', 1, '2017-06-01', '' ),
  ('MMC7084', 'C7', 2, '2017-06-02', '' ),
  ('MMA1134', 'A1', 14, '2017-05-12', '' ),
  ('MMA7132', 'A7', 2, '2017-06-19', '' ),
  ('MMC1189', 'C1', 9, '2017-05-17', '' ),
  ('MMA5033', 'A5', 5, '2017-05-27', '' ),
  ('MMA1161', 'A1', 16, '2017-05-12', '' ),
  ('MMC1227', 'C1', 2, '2017-06-05', '' ),
  ('MMC5132', 'C5', 11, '2017-05-28', '' ),
  ('MMB7122', 'B7', 6, '2017-06-01', '' ),
  ('MMC5142', 'C5', 11, '2017-05-28', '' ),
  ('MMB5010', 'B5', 1, '2017-05-23', '' ),
  ('MMA1212', 'A1', 2, '2017-06-04', '' ),
  ('MMA7032', 'A7', 4, '2017-05-31', '' ),
  ('MMA1055', 'A1', 5, '2017-05-12', '' ),
  ('MMC1060', 'C1', 4, '2017-05-17', '' ),
  ('MMB7137', 'B7', 6, '2017-06-01', '' ),
  ('MMC1144', 'C1', 8, '2017-05-17', '' ),
  ('MMC5115', 'C5', 10, '2017-05-28', '' ),
  ('MMC7143', 'C7', 3, '2017-06-20', '' ),
  ('MMB1021', 'B1', 2, '2017-05-13', '' ),
  ('MMA5190', 'A5', 15, '2017-05-27', '' ),
  ('MMA1125', 'A1', 13, '2017-05-12', '' ),
  ('MMB5029', 'B5', 4, '2017-05-23', '' ),
  ('MMA5017', 'A5', 2, '2017-05-27', '' ),
  ('MMA7077', 'A7', 7, '2017-05-31', '' ),
  ('MMC5241', 'C5', 12, '2017-06-10', '' ),
  ('MMC1096', 'C1', 6, '2017-05-17', '' ),
  ('MMC1077', 'C1', 7, '2017-05-17', '' ),
  ('MMC5027', 'C5', 3, '2017-05-28', '' ),
  ('MMA1001', 'A1', 1, '2017-05-08', '' ),
  ('MMA1107', 'A1', 11, '2017-05-12', '' ),
  ('MMA5157', 'A5', 14, '2017-05-27', '' ),
  ('MMA7102', 'A7', 7, '2017-05-31', '' ),
  ('MMA1263', 'A1', 7, '2017-06-04', '' ),
  ('MMB1224', 'B1', 2, '2017-06-04', '' ),
  ('MMB1301', 'B1', 11, '2017-06-04', '' ),
  ('MMA1020', 'A1', 3, '2017-05-08', '' ),
  ('MMA7011', 'A7', 1, '2017-05-31', '' ),
  ('MMB7090', 'B7', 5, '2017-06-01', '' ),
  ('MMB5063', 'B5', 6, '2017-05-23', '' ),
  ('MMC1018', 'C1', 2, '2017-05-17', '' ),
  ('MMA7127', 'A7', 7, '2017-05-31', '' ),
  ('MMA1286', 'A1', 10, '2017-06-04', '' ),
  ('MMC7011', 'C7', 1, '2017-06-02', '' ),
  ('MMA1150', 'A1', 14, '2017-05-12', '' ),
  ('MMB1114', 'B1', 9, '2017-05-13', '' ),
  ('MMB1149', 'B1', 10, '2017-05-13', '' ),
  ('MMA7053', 'A7', 5, '2017-05-31', '' ),
  ('MMB7033', 'B7', 3, '2017-06-01', '' ),
  ('MMA1291', 'A1', 11, '2017-06-04', '' ),
  ('MMB5131', 'B5', 11, '2017-05-23', '' ),
  ('MMB5247', 'B5', 10, '2017-06-09', '' ),
  ('MMA5050', 'A5', 7, '2017-05-27', '' ),
  ('MMC1307', 'C1', 10, '2017-06-05', '' ),
  ('MMC7013', 'C7', 1, '2017-06-02', '' ),
  ('MMB1285', 'B1', 9, '2017-06-04', '' ),
  ('MMA1086', 'A1', 8, '2017-05-12', '' ),
  ('MMC5208', 'C5', 2, '2017-06-10', '' ),
  ('MMB5091', 'B5', 8, '2017-05-23', '' ),
  ('MMB1276', 'B1', 12, '2017-06-04', '' ),
  ('MMA5020', 'A5', 2, '2017-05-27', '' ),
  ('MMA1027', 'A1', 3, '2017-05-08', '' ),
  ('MMB1071', 'B1', 6, '2017-05-13', '' ),
  ('MMA5172', 'A5', 15, '2017-05-27', '' ),
  ('MMB1267', 'B1', 6, '2017-06-04', '' ),
  ('MMA1060', 'A1', 5, '2017-05-12', '' ),
  ('MMA1093', 'A1', 9, '2017-05-12', '' ),
  ('MMB1237', 'B1', 3, '2017-06-04', '' ),
  ('MMB1103', 'B1', 8, '2017-05-13', '' ),
  ('MMB5225', 'B5', 1, '2017-06-09', '' ),
  ('MMC5092', 'C5', 8, '2017-05-28', '' ),
  ('MMC1296', 'C1', 9, '2017-06-05', '' ),
  ('MMA1058', 'A1', 5, '2017-05-12', '' ),
  ('MMA5097', 'A5', 10, '2017-05-27', '' ),
  ('MMC5043', 'C5', 4, '2017-05-28', '' ),
  ('MMC7126', 'C7', 3, '2017-06-02', '' ),
  ('MMC1159', 'C1', 9, '2017-05-17', '' ),
  ('MMA7037', 'A7', 4, '2017-05-31', '' ),
  ('MMA5225', 'A5', 6, '2017-06-08', '' ),
  ('MMA5196', 'A5', 15, '2017-05-27', '' ),
  ('MMC5093', 'C5', 8, '2017-05-28', '' ),
  ('MMA1059', 'A1', 5, '2017-05-12', '' ),
  ('MMC5156', 'C5', 13, '2017-05-28', '' ),
  ('MMB7065', 'B7', 5, '2017-06-01', '' ),
  ('MMC5135', 'C5', 11, '2017-05-28', '' ),
  ('MMC1295', 'C1', 9, '2017-06-05', '' ),
  ('MMB5146', 'B5', 13, '2017-05-23', '' ),
  ('MMB1116', 'B1', 9, '2017-05-13', '' ),
  ('MMC1133', 'C1', 8, '2017-05-17', '' ),
  ('MMC5140', 'C5', 11, '2017-05-28', '' ),
  ('MMB5021', 'B5', 3, '2017-05-23', '' ),
  ('MMC5248', 'C5', 15, '2017-06-10', '' ),
  ('MMA7057', 'A7', 5, '2017-05-31', '' ),
  ('MMB5221', 'B5', 1, '2017-06-09', '' ),
  ('MMA5040', 'A5', 6, '2017-05-27', '' ),
  ('MMB5267', 'B5', 16, '2017-06-09', '' ),
  ('MMA1127', 'A1', 13, '2017-05-12', '' ),
  ('MMB5075', 'B5', 7, '2017-05-23', '' ),
  ('MMB5220', 'B5', 16, '2017-05-23', '' ),
  ('MMA5179', 'A5', 15, '2017-05-27', '' ),
  ('MMA5214', 'A5', 1, '2017-06-08', '' ),
  ('MMB5034', 'B5', 5, '2017-05-23', '' ),
  ('MMB1130', 'B1', 10, '2017-05-13', '' ),
  ('MMB7099', 'B7', 6, '2017-06-01', '' ),
  ('MMA5102', 'A5', 10, '2017-05-27', '' ),
  ('MMB1047', 'B1', 5, '2017-05-13', '' ),
  ('MMB1100', 'B1', 8, '2017-05-13', '' ),
  ('MMC1235', 'C1', 4, '2017-06-05', '' ),
  ('MMA1028', 'A1', 3, '2017-05-08', '' ),
  ('MMA7005', 'A7', 1, '2017-05-31', '' ),
  ('MMB7142', 'B7', 5, '2017-06-20', '' ),
  ('MMB5092', 'B5', 8, '2017-05-23', '' ),
  ('MMB1030', 'B1', 3, '2017-05-13', '' ),
  ('MMA5202', 'A5', 15, '2017-05-27', '' ),
  ('MMC1127', 'C1', 8, '2017-05-17', '' ),
  ('MMB5089', 'B5', 8, '2017-05-23', '' ),
  ('MMB1249', 'B1', 4, '2017-06-04', '' ),
  ('MMB5110', 'B5', 9, '2017-05-23', '' ),
  ('MMA5132', 'A5', 13, '2017-05-27', '' ),
  ('MMB1079', 'B1', 7, '2017-05-13', '' ),
  ('MMB1060', 'B1', 6, '2017-05-13', '' ),
  ('MMB1223', 'B1', 2, '2017-06-04', '' ),
  ('MMB5243', 'B5', 8, '2017-06-09', '' ),
  ('MMB5261', 'B5', 15, '2017-06-09', '' ),
  ('MMB5090', 'B5', 8, '2017-05-23', '' ),
  ('MMA5143', 'A5', 11, '2017-05-27', '' ),
  ('MMB7089', 'B7', 5, '2017-06-01', '' ),
  ('MMC1045', 'C1', 2, '2017-05-17', '' ),
  ('MMB5062', 'B5', 5, '2017-05-23', '' ),
  ('MMB5065', 'B5', 6, '2017-05-23', '' ),
  ('MMA7004', 'A7', 1, '2017-05-31', '' ),
  ('MMC7093', 'C7', 2, '2017-06-02', '' ),
  ('MMC1252', 'C1', 6, '2017-06-05', '' ),
  ('MMA5104', 'A5', 10, '2017-05-27', '' ),
  ('MMB5265', 'B5', 16, '2017-06-09', '' ),
  ('MMB1192', 'B1', 12, '2017-05-13', '' ),
  ('MMB7063', 'B7', 4, '2017-06-01', '' ),
  ('MMC7091', 'C7', 2, '2017-06-02', '' ),
  ('MMA5133', 'A5', 11, '2017-05-27', '' ),
  ('MMA1199', 'A1', 19, '2017-05-12', '' ),
  ('MMB1147', 'B1', 10, '2017-05-13', '' ),
  ('MMC1220', 'C1', 2, '2017-06-05', '' ),
  ('MMB7118', 'B7', 6, '2017-06-01', '' ),
  ('MMA1270', 'A1', 8, '2017-06-04', '' ),
  ('MMC1134', 'C1', 8, '2017-05-17', '' ),
  ('MMC5149', 'C5', 12, '2017-05-28', '' ),
  ('MMA1160', 'A1', 16, '2017-05-12', '' ),
  ('MMA1123', 'A1', 12, '2017-05-12', '' ),
  ('MMC1238', 'C1', 5, '2017-06-05', '' ),
  ('MMB5208', 'B5', 16, '2017-05-23', '' ),
  ('MMB5217', 'B5', 16, '2017-05-23', '' ),
  ('MMA1120', 'A1', 12, '2017-05-12', '' ),
  ('MMB7098', 'B7', 6, '2017-06-01', '' ),
  ('MMC7035', 'C7', 2, '2017-06-02', '' ),
  ('MMA7113', 'A7', 7, '2017-05-31', '' ),
  ('MMC1233', 'C1', 4, '2017-06-05', '' ),
  ('MMA5111', 'A5', 10, '2017-05-27', '' ),
  ('MMC5138', 'C5', 11, '2017-05-28', '' ),
  ('MMA1009', 'A1', 2, '2017-05-08', '' ),
  ('MMA7075', 'A7', 7, '2017-05-31', '' ),
  ('MMC5212', 'C5', 2, '2017-06-10', '' ),
  ('MMC1239', 'C1', 5, '2017-06-05', '' ),
  ('MMC5172', 'C5', 15, '2017-05-28', '' ),
  ('MMB1107', 'B1', 8, '2017-05-13', '' ),
  ('MMB1139', 'B1', 10, '2017-05-13', '' ),
  ('MMC1044', 'C1', 2, '2017-05-17', '' ),
  ('MMA7007', 'A7', 1, '2017-05-31', '' ),
  ('MMA1129', 'A1', 13, '2017-05-12', '' ),
  ('MMA1195', 'A1', 18, '2017-05-12', '' ),
  ('MMB5076', 'B5', 7, '2017-05-23', '' ),
  ('MMC1139', 'C1', 8, '2017-05-17', '' ),
  ('MMA5197', 'A5', 15, '2017-05-27', '' ),
  ('MMB1295', 'B1', 8, '2017-06-04', '' ),
  ('MMA1185', 'A1', 18, '2017-05-12', '' ),
  ('MMA1285', 'A1', 10, '2017-06-04', '' ),
  ('MMB5027', 'B5', 4, '2017-05-23', '' ),
  ('MMB1008', 'B1', 1, '2017-05-13', '' ),
  ('MMB7141', 'B7', 2, '2017-06-20', '' ),
  ('MMB1022', 'B1', 2, '2017-05-13', '' ),
  ('MMA7136', 'A7', 7, '2017-06-19', '' ),
  ('MMA7080', 'A7', 7, '2017-05-31', '' ),
  ('MMC7074', 'C7', 2, '2017-06-02', '' ),
  ('MMB5258', 'B5', 15, '2017-06-09', '' ),
  ('MMB1069', 'B1', 6, '2017-05-13', '' ),
  ('MMA7021', 'A7', 2, '2017-05-31', '' ),
  ('MMC1204', 'C1', 10, '2017-05-17', '' ),
  ('MMA1247', 'A1', 6, '2017-06-04', '' ),
  ('MMC5160', 'C5', 13, '2017-05-28', '' ),
  ('MMC1152', 'C1', 8, '2017-05-17', '' ),
  ('MMB1027', 'B1', 3, '2017-05-13', '' ),
  ('MMC1093', 'C1', 6, '2017-05-17', '' ),
  ('MMA5068', 'A5', 9, '2017-05-27', '' ),
  ('MMA7012', 'A7', 2, '2017-05-31', '' ),
  ('MMA1165', 'A1', 16, '2017-05-12', '' ),
  ('MMA7049', 'A7', 4, '2017-05-31', '' ),
  ('MMC7023', 'C7', 1, '2017-06-02', '' ),
  ('MMB1262', 'B1', 6, '2017-06-04', '' ),
  ('MMA1097', 'A1', 10, '2017-05-12', '' ),
  ('MMB1064', 'B1', 6, '2017-05-13', '' ),
  ('MMA7087', 'A7', 7, '2017-05-31', '' ),
  ('MMC7099', 'C7', 3, '2017-06-02', '' ),
  ('MMC7119', 'C7', 3, '2017-06-02', '' ),
  ('MMB7143', 'B7', 6, '2017-06-20', '' ),
  ('MMA1011', 'A1', 2, '2017-05-08', '' ),
  ('MMC5016', 'C5', 2, '2017-05-28', '' ),
  ('MMA7068', 'A7', 7, '2017-05-31', '' ),
  ('MMC1302', 'C1', 10, '2017-06-05', '' ),
  ('MMA7059', 'A7', 5, '2017-05-31', '' ),
  ('MMB5147', 'B5', 13, '2017-05-23', '' ),
  ('MMA5123', 'A5', 11, '2017-05-27', '' ),
  ('MMC7024', 'C7', 1, '2017-06-02', '' ),
  ('MMC1243', 'C1', 6, '2017-06-05', '' ),
  ('MMA1042', 'A1', 4, '2017-05-08', '' ),
  ('MMB7096', 'B7', 6, '2017-06-01', '' ),
  ('MMC1021', 'C1', 2, '2017-05-17', '' ),
  ('MMA1149', 'A1', 14, '2017-05-12', '' ),
  ('MMC1034', 'C1', 2, '2017-05-17', '' ),
  ('MMC7145', 'C7', 3, '2017-06-20', '' ),
  ('MMA5007', 'A5', 2, '2017-05-27', '' ),
  ('MMB7068', 'B7', 5, '2017-06-01', '' ),
  ('MMC5169', 'C5', 14, '2017-05-28', '' ),
  ('MMC5194', 'C5', 16, '2017-05-28', '' ),
  ('MMC7104', 'C7', 3, '2017-06-02', '' ),
  ('MMB1213', 'B1', 1, '2017-06-04', '' ),
  ('MMC1104', 'C1', 7, '2017-05-17', '' ),
  ('MMC5124', 'C5', 10, '2017-05-28', '' ),
  ('MMC7105', 'C7', 3, '2017-06-02', '' ),
  ('MMC7123', 'C7', 3, '2017-06-02', '' ),
  ('MMA1241', 'A1', 6, '2017-06-04', '' ),
  ('MMA7056', 'A7', 5, '2017-05-31', '' ),
  ('MMA5251', 'A5', 12, '2017-06-08', '' ),
  ('MMB1031', 'B1', 4, '2017-05-13', '' ),
  ('MMA1233', 'A1', 5, '2017-06-04', '' ),
  ('MMC1025', 'C1', 2, '2017-05-17', '' ),
  ('MMC1293', 'C1', 9, '2017-06-05', '' ),
  ('MMC5064', 'C5', 6, '2017-05-28', '' ),
  ('MMB7036', 'B7', 3, '2017-06-01', '' ),
  ('MMA5212', 'A5', 1, '2017-06-08', '' ),
  ('MMC5025', 'C5', 3, '2017-05-28', '' ),
  ('MMB1055', 'B1', 5, '2017-05-13', '' ),
  ('MMC7092', 'C7', 2, '2017-06-02', '' ),
  ('MMC1131', 'C1', 8, '2017-05-17', '' ),
  ('MMC5095', 'C5', 9, '2017-05-28', '' ),
  ('MMA7083', 'A7', 7, '2017-05-31', '' ),
  ('MMA7122', 'A7', 7, '2017-05-31', '' ),
  ('MMA1200', 'A1', 19, '2017-05-12', '' ),
  ('MMC5186', 'C5', 15, '2017-05-28', '' ),
  ('MMB1292', 'B1', 8, '2017-06-04', '' ),
  ('MMC5168', 'C5', 14, '2017-05-28', '' ),
  ('MMB1211', 'B1', 1, '2017-06-04', '' ),
  ('MMB1078', 'B1', 7, '2017-05-13', '' ),
  ('MMC1275', 'C1', 8, '2017-06-05', '' ),
  ('MMC1277', 'C1', 8, '2017-06-05', '' ),
  ('MMC7135', 'C7', 2, '2017-06-20', '' ),
  ('MMA1138', 'A1', 14, '2017-05-12', '' ),
  ('MMC1156', 'C1', 9, '2017-05-17', '' ),
  ('MMB5006', 'B5', 1, '2017-05-23', '' ),
  ('MMC5018', 'C5', 2, '2017-05-28', '' ),
  ('MMA1069', 'A1', 6, '2017-05-12', '' ),
  ('MMA1098', 'A1', 10, '2017-05-12', '' ),
  ('MMA5060', 'A5', 8, '2017-05-27', '' ),
  ('MMB7108', 'B7', 6, '2017-06-01', '' ),
  ('MMA1295', 'A1', 11, '2017-06-04', '' ),
  ('MMC7038', 'C7', 2, '2017-06-02', '' ),
  ('MMC7051', 'C7', 2, '2017-06-02', '' ),
  ('MMB7107', 'B7', 6, '2017-06-01', '' ),
  ('MMC1076', 'C1', 7, '2017-05-17', '' ),
  ('MMB5203', 'B5', 16, '2017-05-23', '' ),
  ('MMA5223', 'A5', 2, '2017-06-08', '' ),
  ('MMC5110', 'C5', 9, '2017-05-28', '' ),
  ('MMB5212', 'B5', 16, '2017-05-23', '' ),
  ('MMB1250', 'B1', 10, '2017-06-04', '' ),
  ('MMB5086', 'B5', 7, '2017-05-23', '' ),
  ('MMC1046', 'C1', 2, '2017-05-17', '' ),
  ('MMB5143', 'B5', 13, '2017-05-23', '' ),
  ('MMC1086', 'C1', 6, '2017-05-17', '' ),
  ('MMC7129', 'C7', 3, '2017-06-02', '' ),
  ('MMA5037', 'A5', 6, '2017-05-27', '' ),
  ('MMC1207', 'C1', 10, '2017-05-17', '' ),
  ('MMA7039', 'A7', 4, '2017-05-31', '' ),
  ('MMB1264', 'B1', 6, '2017-06-04', '' ),
  ('MMC1028', 'C1', 2, '2017-05-17', '' ),
  ('MMB1272', 'B1', 5, '2017-06-04', '' ),
  ('MMA5076', 'A5', 9, '2017-05-27', '' ),
  ('MMC7004', 'C7', 1, '2017-06-02', '' ),
  ('MMA1289', 'A1', 10, '2017-06-04', '' ),
  ('MMB1155', 'B1', 11, '2017-05-13', '' ),
  ('MMC1196', 'C1', 9, '2017-05-17', '' ),
  ('MMB5093', 'B5', 8, '2017-05-23', '' ),
  ('MMB5037', 'B5', 5, '2017-05-23', '' ),
  ('MMB7028', 'B7', 2, '2017-06-01', '' ),
  ('MMA1136', 'A1', 14, '2017-05-12', '' ),
  ('MMA1143', 'A1', 14, '2017-05-12', '' ),
  ('MMB7082', 'B7', 5, '2017-06-01', '' ),
  ('MMC7022', 'C7', 1, '2017-06-02', '' ),
  ('MMC1256', 'C1', 5, '2017-06-05', '' ),
  ('MMA1128', 'A1', 13, '2017-05-12', '' ),
  ('MMB1260', 'B1', 5, '2017-06-04', '' ),
  ('MMB1166', 'B1', 11, '2017-05-13', '' ),
  ('MMC5170', 'C5', 14, '2017-05-28', '' ),
  ('MMB1231', 'B1', 3, '2017-06-04', '' ),
  ('MMC5032', 'C5', 4, '2017-05-28', '' ),
  ('MMA7096', 'A7', 7, '2017-05-31', '' ),
  ('MMC1270', 'C1', 8, '2017-06-05', '' ),
  ('MMB5019', 'B5', 3, '2017-05-23', '' ),
  ('MMA5070', 'A5', 9, '2017-05-27', '' ),
  ('MMC5012', 'C5', 2, '2017-05-28', '' ),
  ('MMA1239', 'A1', 5, '2017-06-04', '' ),
  ('MMA1163', 'A1', 16, '2017-05-12', '' ),
  ('MMC1062', 'C1', 4, '2017-05-17', '' ),
  ('MMB5132', 'B5', 11, '2017-05-23', '' ),
  ('MMA7044', 'A7', 4, '2017-05-31', '' ),
  ('MMA7085', 'A7', 7, '2017-05-31', '' ),
  ('MMC1244', 'C1', 6, '2017-06-05', '' ),
  ('MMB5155', 'B5', 13, '2017-05-23', '' ),
  ('MMA5098', 'A5', 10, '2017-05-27', '' ),
  ('MMB5174', 'B5', 14, '2017-05-23', '' ),
  ('MMB5066', 'B5', 7, '2017-05-23', '' ),
  ('MMB5198', 'B5', 16, '2017-05-23', '' ),
  ('MMC7018', 'C7', 1, '2017-06-02', '' ),
  ('MMC5185', 'C5', 15, '2017-05-28', '' ),
  ('MMC5073', 'C5', 7, '2017-05-28', '' ),
  ('MMA7093', 'A7', 7, '2017-05-31', '' ),
  ('MMC7025', 'C7', 1, '2017-06-02', '' ),
  ('MMC7059', 'C7', 2, '2017-06-02', '' ),
  ('MMC5252', 'C5', 15, '2017-06-10', '' ),
  ('MMA1264', 'A1', 7, '2017-06-04', '' ),
  ('MMB7083', 'B7', 5, '2017-06-01', '' ),
  ('MMA1216', 'A1', 2, '2017-06-04', '' ),
  ('MMB5207', 'B5', 16, '2017-05-23', '' ),
  ('MMB7003', 'B7', 1, '2017-06-01', '' ),
  ('MMA7047', 'A7', 4, '2017-05-31', '' ),
  ('MMC5078', 'C5', 7, '2017-05-28', '' ),
  ('MMB1236', 'B1', 3, '2017-06-04', '' ),
  ('MMB5003', 'B5', 1, '2017-05-23', '' ),
  ('MMA1189', 'A1', 18, '2017-05-12', '' ),
  ('MMA1167', 'A1', 17, '2017-05-12', '' ),
  ('MMB1162', 'B1', 11, '2017-05-13', '' ),
  ('MMA5150', 'A5', 11, '2017-05-27', '' ),
  ('MMB7034', 'B7', 3, '2017-06-01', '' ),
  ('MMC1074', 'C1', 7, '2017-05-17', '' ),
  ('MMA5128', 'A5', 11, '2017-05-27', '' ),
  ('MMB7070', 'B7', 5, '2017-06-01', '' ),
  ('MMC7046', 'C7', 2, '2017-06-02', '' ),
  ('MMA1158', 'A1', 16, '2017-05-12', '' ),
  ('MMC5099', 'C5', 9, '2017-05-28', '' ),
  ('MMC7116', 'C7', 3, '2017-06-02', '' ),
  ('MMA1148', 'A1', 14, '2017-05-12', '' ),
  ('MMC5008', 'C5', 2, '2017-05-28', '' ),
  ('MMC7111', 'C7', 3, '2017-06-02', '' ),
  ('MMB7064', 'B7', 4, '2017-06-01', '' ),
  ('MMA1015', 'A1', 3, '2017-05-08', '' ),
  ('MMC5007', 'C5', 2, '2017-05-28', '' ),
  ('MMB7054', 'B7', 2, '2017-06-01', '' ),
  ('MMB1279', 'B1', 7, '2017-06-04', '' ),
  ('MMA5116', 'A5', 11, '2017-05-27', '' ),
  ('MMB1174', 'B1', 12, '2017-05-13', '' ),
  ('MMC5065', 'C5', 6, '2017-05-28', '' ),
  ('MMC7086', 'C7', 2, '2017-06-02', '' ),
  ('MMB5104', 'B5', 9, '2017-05-23', '' ),
  ('MMB1256', 'B1', 5, '2017-06-04', '' ),
  ('MMA7003', 'A7', 1, '2017-05-31', '' ),
  ('MMC5242', 'C5', 15, '2017-06-10', '' ),
  ('MMA7112', 'A7', 7, '2017-05-31', '' ),
  ('MMA7013', 'A7', 2, '2017-05-31', '' ),
  ('MMA5244', 'A5', 11, '2017-06-08', '' ),
  ('MMC5107', 'C5', 9, '2017-05-28', '' ),
  ('MMA5227', 'A5', 1, '2017-06-08', '' ),
  ('MMA5185', 'A5', 15, '2017-05-27', '' ),
  ('MMB5170', 'B5', 14, '2017-05-23', '' ),
  ('MMA1109', 'A1', 11, '2017-05-12', '' ),
  ('MMC1178', 'C1', 9, '2017-05-17', '' ),
  ('MMB5188', 'B5', 15, '2017-05-23', '' ),
  ('MMB1228', 'B1', 2, '2017-06-04', '' ),
  ('MMC1290', 'C1', 8, '2017-06-05', '' ),
  ('MMA5162', 'A5', 14, '2017-05-27', '' ),
  ('MMB1007', 'B1', 1, '2017-05-13', '' ),
  ('MMB5139', 'B5', 11, '2017-05-23', '' ),
  ('MMA7041', 'A7', 4, '2017-05-31', '' ),
  ('MMA5183', 'A5', 15, '2017-05-27', '' ),
  ('MMC5037', 'C5', 4, '2017-05-28', '' ),
  ('MMB7062', 'B7', 4, '2017-06-01', '' ),
  ('MMB5141', 'B5', 11, '2017-05-23', '' ),
  ('MMB7073', 'B7', 5, '2017-06-01', '' ),
  ('MMA7014', 'A7', 2, '2017-05-31', '' ),
  ('MMC1088', 'C1', 6, '2017-05-17', '' ),
  ('MMB5205', 'B5', 16, '2017-05-23', '' ),
  ('MMB1281', 'B1', 8, '2017-06-04', '' ),
  ('MMB1023', 'B1', 2, '2017-05-13', '' ),
  ('MMB1040', 'B1', 4, '2017-05-13', '' ),
  ('MMB1186', 'B1', 12, '2017-05-13', '' ),
  ('MMC5010', 'C5', 2, '2017-05-28', '' ),
  ('MMC5117', 'C5', 10, '2017-05-28', '' ),
  ('MMA7086', 'A7', 7, '2017-05-31', '' ),
  ('MMC7094', 'C7', 2, '2017-06-02', '' ),
  ('MMC1171', 'C1', 9, '2017-05-17', '' ),
  ('MMC1160', 'C1', 9, '2017-05-17', '' ),
  ('MMB5088', 'B5', 7, '2017-05-23', '' ),
  ('MMA7130', 'A7', 1, '2017-06-19', '' ),
  ('MMC5059', 'C5', 6, '2017-05-28', '' ),
  ('MMA1218', 'A1', 3, '2017-06-04', '' ),
  ('MMA1232', 'A1', 4, '2017-06-04', '' ),
  ('MMA5240', 'A5', 11, '2017-06-08', '' ),
  ('MMC5001', 'C5', 1, '2017-05-28', '' ),
  ('MMB1299', 'B1', 10, '2017-06-04', '' ),
  ('MMB7131', 'B7', 6, '2017-06-01', '' ),
  ('MMA7022', 'A7', 2, '2017-05-31', '' ),
  ('MMB1158', 'B1', 11, '2017-05-13', '' ),
  ('MMC7121', 'C7', 3, '2017-06-02', '' ),
  ('MMB1245', 'B1', 4, '2017-06-04', '' ),
  ('MMC1124', 'C1', 7, '2017-05-17', '' ),
  ('MMB5246', 'B5', 10, '2017-06-09', '' ),
  ('MMC5176', 'C5', 15, '2017-05-28', '' ),
  ('MMA1237', 'A1', 5, '2017-06-04', '' ),
  ('MMB5068', 'B5', 7, '2017-05-23', '' ),
  ('MMC1027', 'C1', 2, '2017-05-17', '' ),
  ('MMB1201', 'B1', 13, '2017-05-13', '' ),
  ('MMC5108', 'C5', 9, '2017-05-28', '' ),
  ('MMC1098', 'C1', 6, '2017-05-17', '' ),
  ('MMB1010', 'B1', 1, '2017-05-13', '' ),
  ('MMC7103', 'C7', 3, '2017-06-02', '' ),
  ('MMB5171', 'B5', 14, '2017-05-23', '' ),
  ('MMB1170', 'B1', 12, '2017-05-13', '' ),
  ('MMA5107', 'A5', 10, '2017-05-27', '' ),
  ('MMA5079', 'A5', 9, '2017-05-27', '' ),
  ('MMB7040', 'B7', 3, '2017-06-01', '' ),
  ('MMC1031', 'C1', 2, '2017-05-17', '' ),
  ('MMA7082', 'A7', 7, '2017-05-31', '' ),
  ('MMB5116', 'B5', 9, '2017-05-23', '' ),
  ('MMB5169', 'B5', 14, '2017-05-23', '' ),
  ('MMC7021', 'C7', 1, '2017-06-02', '' ),
  ('MMA1281', 'A1', 9, '2017-06-04', '' ),
  ('MMC5070', 'C5', 7, '2017-05-28', '' ),
  ('MMB7085', 'B7', 5, '2017-06-01', '' ),
  ('MMC1038', 'C1', 2, '2017-05-17', '' ),
  ('MMA1104', 'A1', 11, '2017-05-12', '' ),
  ('MMA1177', 'A1', 17, '2017-05-12', '' ),
  ('MMB5012', 'B5', 1, '2017-05-23', '' ),
  ('MMB5017', 'B5', 3, '2017-05-23', '' ),
  ('MMA7081', 'A7', 7, '2017-05-31', '' ),
  ('MMB7088', 'B7', 5, '2017-06-01', '' ),
  ('MMC5223', 'C5', 6, '2017-06-10', '' ),
  ('MMB1163', 'B1', 11, '2017-05-13', '' ),
  ('MMB5047', 'B5', 5, '2017-05-23', '' ),
  ('MMC5183', 'C5', 15, '2017-05-28', '' ),
  ('MMB1206', 'B1', 13, '2017-05-13', '' ),
  ('MMB5239', 'B5', 7, '2017-06-09', '' ),
  ('MMA7067', 'A7', 6, '2017-05-31', '' ),
  ('MMC1017', 'C1', 2, '2017-05-17', '' ),
  ('MMA7123', 'A7', 7, '2017-05-31', '' ),
  ('MMC5130', 'C5', 11, '2017-05-28', '' ),
  ('MMC5039', 'C5', 4, '2017-05-28', '' ),
  ('MMB1169', 'B1', 12, '2017-05-13', '' ),
  ('MMB5095', 'B5', 8, '2017-05-23', '' ),
  ('MMA5175', 'A5', 15, '2017-05-27', '' ),
  ('MMC5071', 'C5', 7, '2017-05-28', '' ),
  ('MMA7026', 'A7', 3, '2017-05-31', '' ),
  ('MMA1184', 'A1', 18, '2017-05-12', '' ),
  ('MMC1053', 'C1', 3, '2017-05-17', '' ),
  ('MMB5051', 'B5', 5, '2017-05-23', '' ),
  ('MMA5205', 'A5', 15, '2017-05-27', '' ),
  ('MMB7076', 'B7', 5, '2017-06-01', '' ),
  ('MMA1144', 'A1', 14, '2017-05-12', '' ),
  ('MMC1306', 'C1', 10, '2017-06-05', '' ),
  ('MMA1094', 'A1', 10, '2017-05-12', '' ),
  ('MMC1151', 'C1', 8, '2017-05-17', '' ),
  ('MMB5135', 'B5', 11, '2017-05-23', '' ),
  ('MMB5164', 'B5', 13, '2017-05-23', '' ),
  ('MMA1112', 'A1', 11, '2017-05-12', '' ),
  ('MMB1152', 'B1', 10, '2017-05-13', '' ),
  ('MMC1150', 'C1', 8, '2017-05-17', '' ),
  ('MMC1175', 'C1', 9, '2017-05-17', '' ),
  ('MMC1231', 'C1', 3, '2017-06-05', '' ),
  ('MMB5235', 'B5', 7, '2017-06-09', '' ),
  ('MMA7028', 'A7', 3, '2017-05-31', '' ),
  ('MMB1275', 'B1', 12, '2017-06-04', '' ),
  ('MMA1260', 'A1', 7, '2017-06-04', '' ),
  ('MMB1293', 'B1', 8, '2017-06-04', '' ),
  ('MMA7101', 'A7', 7, '2017-05-31', '' ),
  ('MMA1234', 'A1', 5, '2017-06-04', '' ),
  ('MMC1084', 'C1', 5, '2017-05-17', '' ),
  ('MMA5067', 'A5', 9, '2017-05-27', '' ),
  ('MMB7060', 'B7', 4, '2017-06-01', '' ),
  ('MMC5220', 'C5', 6, '2017-06-10', '' ),
  ('MMA1180', 'A1', 17, '2017-05-12', '' ),
  ('MMB5045', 'B5', 5, '2017-05-23', '' ),
  ('MMA5236', 'A5', 10, '2017-06-08', '' ),
  ('MMC7062', 'C7', 2, '2017-06-02', '' ),
  ('MMA1085', 'A1', 8, '2017-05-12', '' ),
  ('MMB1123', 'B1', 9, '2017-05-13', '' ),
  ('MMC1024', 'C1', 2, '2017-05-17', '' ),
  ('MMB5061', 'B5', 5, '2017-05-23', '' ),
  ('MMB7079', 'B7', 5, '2017-06-01', '' ),
  ('MMC5096', 'C5', 9, '2017-05-28', '' ),
  ('MMC7058', 'C7', 2, '2017-06-02', '' ),
  ('MMB5175', 'B5', 14, '2017-05-23', '' ),
  ('MMA5134', 'A5', 11, '2017-05-27', '' ),
  ('MMB1187', 'B1', 12, '2017-05-13', '' ),
  ('MMA7078', 'A7', 7, '2017-05-31', '' ),
  ('MMB7134', 'B7', 6, '2017-06-01', '' ),
  ('MMC5235', 'C5', 9, '2017-06-10', '' ),
  ('MMB5200', 'B5', 16, '2017-05-23', '' ),
  ('MMA1217', 'A1', 3, '2017-06-04', '' ),
  ('MMB5230', 'B5', 5, '2017-06-09', '' ),
  ('MMC7069', 'C7', 2, '2017-06-02', '' ),
  ('MMC1056', 'C1', 4, '2017-05-17', '' ),
  ('MMB7061', 'B7', 4, '2017-06-01', '' ),
  ('MMC7118', 'C7', 3, '2017-06-02', '' ),
  ('MMA1220', 'A1', 3, '2017-06-04', '' ),
  ('MMA1126', 'A1', 13, '2017-05-12', '' ),
  ('MMC5228', 'C5', 7, '2017-06-10', '' ),
  ('MMC1042', 'C1', 2, '2017-05-17', '' ),
  ('MMB5074', 'B5', 7, '2017-05-23', '' ),
  ('MMC1288', 'C1', 8, '2017-06-05', '' ),
  ('MMA1213', 'A1', 2, '2017-06-04', '' ),
  ('MMC1242', 'C1', 6, '2017-06-05', '' ),
  ('MMB7010', 'B7', 1, '2017-06-01', '' ),
  ('MMB7032', 'B7', 3, '2017-06-01', '' ),
  ('MMB7093', 'B7', 6, '2017-06-01', '' ),
  ('MMC5165', 'C5', 13, '2017-05-28', '' ),
  ('MMA1155', 'A1', 16, '2017-05-12', '' ),
  ('MMB1175', 'B1', 12, '2017-05-13', '' ),
  ('MMC1264', 'C1', 7, '2017-06-05', '' ),
  ('MMC1176', 'C1', 9, '2017-05-17', '' ),
  ('MMB5033', 'B5', 4, '2017-05-23', '' ),
  ('MMB5049', 'B5', 5, '2017-05-23', '' ),
  ('MMC1157', 'C1', 9, '2017-05-17', '' ),
  ('MMC5192', 'C5', 15, '2017-05-28', '' ),
  ('MMC7014', 'C7', 1, '2017-06-02', '' ),
  ('MMB5161', 'B5', 13, '2017-05-23', '' ),
  ('MMB7022', 'B7', 2, '2017-06-01', '' ),
  ('MMB1309', 'B1', 13, '2017-06-04', '' ),
  ('MMB1145', 'B1', 10, '2017-05-13', '' ),
  ('MMA5112', 'A5', 10, '2017-05-27', '' ),
  ('MMB1261', 'B1', 6, '2017-06-04', '' ),
  ('MMA5188', 'A5', 15, '2017-05-27', '' ),
  ('MMC5144', 'C5', 12, '2017-05-28', '' ),
  ('MMA5008', 'A5', 2, '2017-05-27', '' ),
  ('MMC1019', 'C1', 2, '2017-05-17', '' ),
  ('MMB7128', 'B7', 6, '2017-06-01', '' ),
  ('MMB1037', 'B1', 4, '2017-05-13', '' ),
  ('MMA7034', 'A7', 4, '2017-05-31', '' ),
  ('MMA1016', 'A1', 5, '2017-05-08', '' ),
  ('MMB1268', 'B1', 6, '2017-06-04', '' ),
  ('MMA5045', 'A5', 6, '2017-05-27', '' ),
  ('MMC1208', 'C1', 1, '2017-06-05', '' ),
  ('MMB5224', 'B5', 1, '2017-06-09', '' ),
  ('MMC1200', 'C1', 10, '2017-05-17', '' ),
  ('MMA7106', 'A7', 7, '2017-05-31', '' ),
  ('MMC1059', 'C1', 4, '2017-05-17', '' ),
  ('MMB5140', 'B5', 11, '2017-05-23', '' ),
  ('MMB5040', 'B5', 5, '2017-05-23', '' ),
  ('MMC1197', 'C1', 9, '2017-05-17', '' ),
  ('MMB5240', 'B5', 9, '2017-06-09', '' ),
  ('MMC7098', 'C7', 3, '2017-06-02', '' ),
  ('MMA1168', 'A1', 17, '2017-05-12', '');

INSERT INTO ObsDimension (id, longueur, largeur, date, note) VALUES
  ('MMA1040', 50, 35, '2017-05-08', ''),
  ('MMA1040', 119, 84, '2017-06-04', ''),
  ('MMA1040', 121, 87, '2017-07-10', ''),
  ('MMB1305', 113, 78, '2017-06-04', ''),
  ('MMB7103', 22, 12, '2017-06-01', ''),
  ('MMB7103', 44, 26, '2017-06-20', ''),
  ('MMA1122', 65, 46, '2017-05-12', ''),
  ('MMA1122', 136, 101, '2017-06-04', ''),
  ('MMA1122', 134, 103, '2017-07-10', 'manque 1 feuille'),
  ('MMB1009', 67, 63, '2017-05-13', ''),
  ('MMA5041', 55, 45, '2017-05-27', ''),
  ('MMA5041', 71, 57, '2017-06-08', ''),
  ('MMA5041', 75, 63, '2017-07-10', ''),
  ('MMA5186', 72, 58, '2017-05-27', ''),
  ('MMA5186', 93, 74, '2017-06-08', ''),
  ('MMA5186', 101, 79, '2017-07-10', ''),
  ('MMA5051', 86, 68, '2017-05-27', ''),
  ('MMA5051', 110, 85, '2017-06-08', ''),
  ('MMB5103', 79, 57, '2017-05-23', ''),
  ('MMB5103', 116, 84, '2017-06-09', ''),
  ('MMA7092', 106, 79, '2017-05-31', ''),
  ('MMA7092', 167, 118, '2017-06-19', ''),
  ('MMC1185', 50, 32, '2017-05-17', ''),
  ('MMC1185', 90, 59, '2017-06-05', ''),
  ('MMB5213', 50, 36, '2017-05-23', ''),
  ('MMB5213', 60, 45, '2017-06-09', ''),
  ('MMA1197', 60, 62, '2017-05-12', ''),
  ('MMA1197', 157, 147, '2017-06-04', ''),
  ('MMA1197', 164, 152, '2017-07-10', ''),
  ('MMB7087', 53, 44, '2017-06-01', ''),
  ('MMB7087', 87, 64, '2017-06-20', ''),
  ('MMC1085', 61, 56, '2017-05-17', ''),
  ('MMC1085', 99, 94, '2017-06-05', ''),
  ('MMA5065', 62, 43, '2017-05-27', ''),
  ('MMA5065', 86, 55, '2017-06-08', ''),
  ('MMA5065', 87, 54, '2017-07-10', ''),
  ('MMC7028', 46, 29, '2017-06-02', ''),
  ('MMA7048', 90, 79, '2017-05-31', ''),
  ('MMA7048', 150, 139, '2017-06-19', ''),
  ('MMA5003', 61, 35, '2017-05-27', ''),
  ('MMA5003', 80, 45, '2017-06-08', ''),
  ('MMB1058', 50, 43, '2017-05-13', ''),
  ('MMB1058', 90, 78, '2017-06-04', ''),
  ('MMC1224', 69, 29, '2017-06-05', ''),
  ('MMB5032', 73, 50, '2017-05-23', ''),
  ('MMB5032', 102, 73, '2017-06-09', ''),
  ('MMA5142', 72, 43, '2017-05-27', ''),
  ('MMA5142', 92, 52, '2017-06-08', ''),
  ('MMA5142', 86, 54, '2017-07-10', ''),
  ('MMB1265', 77, 42, '2017-06-04', ''),
  ('MMB5099', 50, 28, '2017-05-23', ''),
  ('MMB5099', 69, 38, '2017-06-09', ''),
  ('MMC5026', 50, 24, '2017-05-28', ''),
  ('MMC5026', 62, 29, '2017-06-10', ''),
  ('MMC5026', 63, 29, '2017-07-11', 'manque 1 feuille'),
  ('MMB1244', 90, 80, '2017-06-04', ''),
  ('MMC1172', 55, 30, '2017-05-17', ''),
  ('MMC1172', 109, 60, '2017-06-05', ''),
  ('MMA7125', 70, 44, '2017-05-31', ''),
  ('MMA7125', 91, 57, '2017-06-19', ''),
  ('MMB5214', 66, 52, '2017-05-23', ''),
  ('MMB5214', 100, 81, '2017-06-09', ''),
  ('MMA5096', 72, 42, '2017-05-27', ''),
  ('MMA5096', 89, 54, '2017-06-08', ''),
  ('MMA5096', 94, 54, '2017-07-10', ''),
  ('MMC1170', 61, 33, '2017-05-17', ''),
  ('MMC1170', 114, 64, '2017-06-05', ''),
  ('MMB7026', 35, 15, '2017-06-01', ''),
  ('MMB7026', 51, 21, '2017-06-20', ''),
  ('MMC1030', 74, 58, '2017-05-17', ''),
  ('MMC1030', 166, 124, '2017-06-05', ''),
  ('MMB5233', 45, 29, '2017-06-09', ''),
  ('MMB1178', 58, 40, '2017-05-13', ''),
  ('MMB1178', 123, 87, '2017-06-04', ''),
  ('MMA5026', 72, 45, '2017-05-27', ''),
  ('MMA5026', 100, 56, '2017-06-08', ''),
  ('MMA5026', 97, 60, '2017-07-10', ''),
  ('MMC5188', 54, 28, '2017-05-28', 'manque une feuille'),
  ('MMC5188', 65, 35, '2017-06-10', ''),
  ('MMB7035', 74, 45, '2017-06-01', ''),
  ('MMB7035', 96, 58, '2017-06-20', ''),
  ('MMB1068', 52, 45, '2017-05-13', ''),
  ('MMC5094', 76, 42, '2017-05-28', ''),
  ('MMC5094', 92, 59, '2017-06-10', ''),
  ('MMB5218', 79, 60, '2017-05-23', ''),
  ('MMC5126', 56, 25, '2017-05-28', ''),
  ('MMC5126', 65, 29, '2017-06-10', ''),
  ('MMC5126', 66, 29, '2017-07-11', ''),
  ('MMC5189', 62, 38, '2017-05-28', ''),
  ('MMA7060', 68, 48, '2017-05-31', ''),
  ('MMA7060', 121, 82, '2017-06-19', ''),
  ('MMC1117', 57, 43, '2017-05-17', ''),
  ('MMC1117', 110, 91, '2017-06-05', ''),
  ('MMA5089', 89, 75, '2017-05-27', ''),
  ('MMA5089', 116, 95, '2017-06-08', ''),
  ('MMA5089', 126, 104, '2017-07-10', ''),
  ('MMA1124', 50, 41, '2017-05-12', ''),
  ('MMA1124', 100, 82, '2017-06-04', ''),
  ('MMA1124', 101, 81, '2017-07-10', ''),
  ('MMC7006', 56, 36, '2017-06-02', ''),
  ('MMC7006', 62, 42, '2017-06-20', ''),
  ('MMA5230', 116, 99, '2017-06-08', ''),
  ('MMA5230', 109, 84, '2017-07-10', ''),
  ('MMB5125', 99, 75, '2017-05-23', ''),
  ('MMB5125', 142, 116, '2017-06-09', ''),
  ('MMC7049', 47, 32, '2017-06-02', ''),
  ('MMC7049', 50, 31, '2017-06-20', ''),
  ('MMB5067', 71, 69, '2017-05-23', ''),
  ('MMA7035', 44, 27, '2017-05-31', ''),
  ('MMA7035', 35, 40, '2017-06-19', ''),
  ('MMB7126', 33, 19, '2017-06-01', ''),
  ('MMB7126', 61, 33, '2017-06-20', ''),
  ('MMB7144', 50, 25, '2017-06-20', ''),
  ('MMA5153', 50, 29, '2017-05-27', ''),
  ('MMA5153', 65, 33, '2017-06-08', ''),
  ('MMA5153', 67, 35, '2017-07-10', ''),
  ('MMC1228', 55, 32, '2017-06-05', ''),
  ('MMC1304', 76, 43, '2017-06-05', ''),
  ('MMC1004', 50, 36, '2017-05-17', ''),
  ('MMC1004', 84, 64, '2017-06-05', ''),
  ('MMB5237', 52, 28, '2017-06-09', ''),
  ('MMC5120', 61, 35, '2017-05-28', ''),
  ('MMC5120', 73, 42, '2017-06-10', ''),
  ('MMC5120', 67, 44, '2017-07-11', ''),
  ('MMC1258', 97, 53, '2017-06-05', ''),
  ('MMB5148', 79, 52, '2017-05-23', ''),
  ('MMC1113', 52, 42, '2017-05-17', ''),
  ('MMC1113', 104, 84, '2017-06-05', ''),
  ('MMB5229', 91, 62, '2017-06-09', ''),
  ('MMA5250', 72, 32, '2017-06-08', ''),
  ('MMA5250', 78, 37, '2017-07-10', ''),
  ('MMA7100', 23, 12, '2017-05-31', ''),
  ('MMA7100', 32, 16, '2017-06-19', ''),
  ('MMC1187', 63, 70, '2017-05-17', ''),
  ('MMC7102', 64, 47, '2017-06-02', ''),
  ('MMC7102', 70, 51, '2017-06-20', ''),
  ('MMC1225', 65, 32, '2017-06-05', ''),
  ('MMC5013', 73, 42, '2017-05-28', ''),
  ('MMC5013', 89, 51, '2017-06-10', ''),
  ('MMC1236', 103, 60, '2017-06-05', ''),
  ('MMC1136', 55, 30, '2017-05-17', ''),
  ('MMC1136', 91, 52, '2017-06-05', ''),
  ('MMB5120', 81, 89, '2017-05-23', ''),
  ('MMB5120', 126, 139, '2017-06-09', ''),
  ('MMA1018', 50, 44, '2017-05-08', ''),
  ('MMA1018', 132, 121, '2017-06-04', ''),
  ('MMA1018', 132, 128, '2017-07-10', ''),
  ('MMB7086', 54, 42, '2017-06-01', ''),
  ('MMB5136', 128, 143, '2017-05-23', ''),
  ('MMB5136', 163, 171, '2017-06-09', ''),
  ('MMA1236', 90, 57, '2017-06-04', ''),
  ('MMB5015', 97, 89, '2017-05-23', ''),
  ('MMB5015', 152, 131, '2017-06-09', ''),
  ('MMC5087', 62, 35, '2017-05-28', ''),
  ('MMC5087', 77, 45, '2017-06-10', ''),
  ('MMC5087', 79, 45, '2017-07-11', ''),
  ('MMC5056', 78, 52, '2017-05-28', ''),
  ('MMC5056', 92, 61, '2017-06-10', ''),
  ('MMC5056', 94, 62, '2017-07-11', ''),
  ('MMB7015', 73, 52, '2017-06-01', ''),
  ('MMB7015', 96, 63, '2017-06-20', ''),
  ('MMC5048', 111, 103, '2017-05-28', ''),
  ('MMC5048', 135, 116, '2017-06-10', ''),
  ('MMC5048', 138, 116, '2017-07-11', ''),
  ('MMB7046', 45, 21, '2017-06-01', ''),
  ('MMB7046', 90, 64, '2017-06-20', ''),
  ('MMC5079', 62, 42, '2017-05-28', ''),
  ('MMC5079', 76, 50, '2017-06-10', ''),
  ('MMC5079', 75, 50, '2017-07-11', ''),
  ('MMB1105', 58, 44, '2017-05-13', ''),
  ('MMB1105', 117, 88, '2017-06-04', ''),
  ('MMB1282', 97, 82, '2017-06-04', ''),
  ('MMB5041', 64, 51, '2017-05-23', ''),
  ('MMB5041', 92, 75, '2017-06-09', ''),
  ('MMA5115', 89, 72, '2017-05-27', ''),
  ('MMA5115', 111, 88, '2017-06-08', ''),
  ('MMA5115', 110, 85, '2017-07-10', ''),
  ('MMA7045', 39, 29, '2017-05-31', ''),
  ('MMA7045', 86, 57, '2017-06-19', ''),
  ('MMB7027', 68, 48, '2017-06-01', ''),
  ('MMB7027', 97, 68, '2017-06-20', ''),
  ('MMA5053', 53, 33, '2017-05-27', ''),
  ('MMA5053', 70, 41, '2017-06-08', ''),
  ('MMA5053', 70, 43, '2017-07-10', ''),
  ('MMA1283', 93, 63, '2017-06-04', ''),
  ('MMC1126', 55, 45, '2017-05-17', ''),
  ('MMC1126', 95, 78, '2017-06-05', ''),
  ('MMA5088', 82, 55, '2017-05-27', ''),
  ('MMA5088', 105, 82, '2017-06-08', ''),
  ('MMA5088', 111, 68, '2017-07-10', ''),
  ('MMC5085', 59, 40, '2017-05-28', ''),
  ('MMA5208', 76, 45, '2017-05-27', ''),
  ('MMA5208', 98, 57, '2017-06-08', ''),
  ('MMA5208', 105, 61, '2017-07-10', ''),
  ('MMA1215', 52, 21, '2017-06-04', ''),
  ('MMA1215', 52, 27, '2017-07-10', ''),
  ('MMB1043', 67, 62, '2017-05-13', ''),
  ('MMB1043', 142, 124, '2017-06-04', ''),
  ('MMA7058', 86, 73, '2017-05-31', ''),
  ('MMA7058', 181, 145, '2017-06-19', ''),
  ('MMA7131', 51, 42, '2017-06-19', ''),
  ('MMC1192', 55, 35, '2017-05-17', ''),
  ('MMC1192', 100, 64, '2017-06-05', ''),
  ('MMC1050', 62, 51, '2017-05-17', ''),
  ('MMC1050', 121, 103, '2017-06-05', ''),
  ('MMC5015', 69, 41, '2017-05-28', ''),
  ('MMC5015', 86, 48, '2017-06-10', ''),
  ('MMC5015', 86, 46, '2017-07-11', ''),
  ('MMB1052', 52, 41, '2017-05-13', ''),
  ('MMB1052', 105, 80, '2017-06-04', ''),
  ('MMC5195', 106, 87, '2017-05-28', ''),
  ('MMC5195', 124, 101, '2017-06-10', ''),
  ('MMC1297', 77, 43, '2017-06-05', ''),
  ('MMA5052', 74, 58, '2017-05-27', ''),
  ('MMA5052', 89, 68, '2017-06-08', ''),
  ('MMC7060', 100, 73, '2017-06-02', ''),
  ('MMC7060', 110, 79, '2017-06-20', ''),
  ('MMC7142', 84, 59, '2017-06-20', ''),
  ('MMA1014', 52, 53, '2017-05-08', ''),
  ('MMA1229', 119, 71, '2017-06-04', ''),
  ('MMA1229', 124, 81, '2017-07-10', ''),
  ('MMA1205', 96, 99, '2017-06-04', ''),
  ('MMB1176', 52, 52, '2017-05-13', ''),
  ('MMB1176', 139, 136, '2017-06-04', ''),
  ('MMB7112', 56, 38, '2017-06-01', ''),
  ('MMB7112', 75, 51, '2017-06-20', ''),
  ('MMC5250', 56, 29, '2017-06-10', ''),
  ('MMA1100', 51, 38, '2017-05-12', ''),
  ('MMA1100', 136, 96, '2017-06-04', ''),
  ('MMA1100', 139, 101, '2017-07-10', ''),
  ('MMB1127', 60, 51, '2017-05-13', ''),
  ('MMB1127', 150, 105, '2017-06-04', ''),
  ('MMA1068', 60, 55, '2017-05-12', ''),
  ('MMA1068', 126, 119, '2017-06-04', ''),
  ('MMA1068', 124, 121, '2017-07-10', ''),
  ('MMA1089', 50, 38, '2017-05-12', ''),
  ('MMA1089', 98, 84, '2017-06-04', ''),
  ('MMA1089', 87, 86, '2017-07-10', ''),
  ('MMC5125', 85, 68, '2017-05-28', ''),
  ('MMC5125', 97, 73, '2017-06-10', ''),
  ('MMC7036', 45, 30, '2017-06-02', ''),
  ('MMA5072', 90, 79, '2017-05-27', ''),
  ('MMA5072', 111, 97, '2017-06-08', ''),
  ('MMA5072', 108, 96, '2017-07-10', ''),
  ('MMC5167', 75, 50, '2017-05-28', ''),
  ('MMC5167', 85, 54, '2017-06-10', ''),
  ('MMB1057', 64, 48, '2017-05-13', ''),
  ('MMB1057', 129, 118, '2017-06-04', ''),
  ('MMB1090', 50, 32, '2017-05-13', ''),
  ('MMB1090', 127, 84, '2017-06-04', ''),
  ('MMB1129', 53, 39, '2017-05-13', ''),
  ('MMB1129', 108, 90, '2017-06-04', ''),
  ('MMC5103', 78, 49, '2017-05-28', ''),
  ('MMC5103', 95, 61, '2017-06-10', ''),
  ('MMC5103', 65, 32, '2017-07-11', ''),
  ('MMB5232', 50, 25, '2017-06-09', ''),
  ('MMC1125', 56, 28, '2017-05-17', ''),
  ('MMC1125', 85, 51, '2017-06-05', ''),
  ('MMC1052', 57, 40, '2017-05-17', ''),
  ('MMC1052', 115, 82, '2017-06-05', ''),
  ('MMC1193', 77, 63, '2017-05-17', ''),
  ('MMC1193', 133, 120, '2017-06-05', ''),
  ('MMA7090', 61, 62, '2017-05-31', ''),
  ('MMB1109', 65, 58, '2017-05-13', ''),
  ('MMB1109', 137, 117, '2017-06-04', ''),
  ('MMC1111', 69, 52, '2017-05-17', ''),
  ('MMC1111', 122, 91, '2017-06-05', ''),
  ('MMC5227', 47, 22, '2017-06-10', ''),
  ('MMB1159', 50, 39, '2017-05-13', ''),
  ('MMB1159', 119, 109, '2017-06-04', ''),
  ('MMB7071', 55, 34, '2017-06-01', ''),
  ('MMB7071', 90, 59, '2017-06-20', ''),
  ('MMC7132', 138, 125, '2017-06-20', ''),
  ('MMC7132', 135, 124, '2017-06-14', ''),
  ('MMC1092', 63, 49, '2017-05-17', ''),
  ('MMC1092', 116, 89, '2017-06-05', ''),
  ('MMB7105', 49, 39, '2017-06-01', ''),
  ('MMB7105', 90, 60, '2017-06-20', ''),
  ('MMA5014', 80, 60, '2017-05-27', ''),
  ('MMA5014', 105, 78, '2017-06-08', ''),
  ('MMA5014', 104, 78, '2017-07-10', ''),
  ('MMA1008', 55, 41, '2017-05-08', ''),
  ('MMA1008', 113, 93, '2017-06-04', ''),
  ('MMB1066', 51, 45, '2017-05-13', ''),
  ('MMB1066', 109, 86, '2017-06-04', ''),
  ('MMA5155', 95, 62, '2017-05-27', ''),
  ('MMA5155', 119, 76, '2017-06-08', ''),
  ('MMA5155', 120, 82, '2017-07-10', ''),
  ('MMC1249', 64, 42, '2017-06-05', ''),
  ('MMC5221', 54, 28, '2017-06-10', ''),
  ('MMC1276', 71, 32, '2017-06-05', ''),
  ('MMA7107', 32, 19, '2017-05-31', ''),
  ('MMA7107', 41, 22, '2017-06-19', ''),
  ('MMB5263', 91, 72, '2017-06-09', ''),
  ('MMB1181', 58, 53, '2017-05-13', ''),
  ('MMB1181', 110, 102, '2017-06-04', ''),
  ('MMB1227', 135, 135, '2017-06-04', ''),
  ('MMC1149', 65, 55, '2017-05-17', ''),
  ('MMC1149', 100, 76, '2017-06-05', ''),
  ('MMA5220', 58, 44, '2017-06-08', ''),
  ('MMB1146', 51, 38, '2017-05-13', ''),
  ('MMB1146', 104, 77, '2017-06-04', ''),
  ('MMA5200', 55, 32, '2017-05-27', ''),
  ('MMA5200', 69, 36, '2017-06-08', '2 feuilles mangées'),
  ('MMB1138', 54, 50, '2017-05-13', ''),
  ('MMB1138', 105, 103, '2017-06-04', ''),
  ('MMB1018', 71, 61, '2017-05-13', ''),
  ('MMB1018', 135, 115, '2017-06-04', 'cocon dans fleur'),
  ('MMB1080', 56, 42, '2017-05-13', ''),
  ('MMB1080', 106, 90, '2017-06-04', ''),
  ('MMA5030', 90, 62, '2017-05-27', ''),
  ('MMA5030', 105, 75, '2017-06-08', ''),
  ('MMA5030', 103, 78, '2017-07-10', ''),
  ('MMB7106', 32, 17, '2017-06-01', ''),
  ('MMB7106', 62, 33, '2017-06-20', ''),
  ('MMA5049', 74, 45, '2017-05-27', ''),
  ('MMA5049', 95, 58, '2017-06-08', ''),
  ('MMA5049', 87, 53, '2017-07-10', ''),
  ('MMA7008', 89, 58, '2017-05-31', ''),
  ('MMA7008', 112, 73, '2017-06-19', ''),
  ('MMC1047', 65, 48, '2017-05-17', ''),
  ('MMC1047', 132, 122, '2017-06-05', ''),
  ('MMB5142', 96, 77, '2017-05-23', ''),
  ('MMB5142', 115, 90, '2017-06-09', ''),
  ('MMB1153', 51, 41, '2017-05-13', ''),
  ('MMB1153', 103, 84, '2017-06-04', ''),
  ('MMA5148', 50, 24, '2017-05-27', ''),
  ('MMA5148', 56, 27, '2017-06-08', ''),
  ('MMB1217', 103, 72, '2017-06-04', ''),
  ('MMB5005', 69, 46, '2017-05-23', ''),
  ('MMB5005', 95, 63, '2017-06-09', ''),
  ('MMA1284', 99, 82, '2017-06-04', ''),
  ('MMA1284', 106, 78, '2017-07-10', ''),
  ('MMC1012', 67, 54, '2017-05-17', ''),
  ('MMC1012', 107, 89, '2017-06-05', ''),
  ('MMC1041', 56, 39, '2017-05-17', ''),
  ('MMC1041', 104, 74, '2017-06-05', ''),
  ('MMB5183', 74, 49, '2017-05-23', ''),
  ('MMA1088', 67, 55, '2017-05-12', ''),
  ('MMA1088', 147, 126, '2017-06-04', ''),
  ('MMC1266', 103, 68, '2017-06-05', ''),
  ('MMA1142', 62, 57, '2017-05-12', ''),
  ('MMA1142', 135, 128, '2017-06-04', 'cocon dans fleur'),
  ('MMA1142', 137, 134, '2017-07-10', ''),
  ('MMC5075', 50, 29, '2017-05-28', ''),
  ('MMC5075', 56, 34, '2017-06-10', ''),
  ('MMC5075', 57, 34, '2017-07-11', ''),
  ('MMC1054', 54, 30, '2017-05-17', ''),
  ('MMC1054', 99, 56, '2017-06-05', ''),
  ('MMA5147', 85, 65, '2017-05-27', ''),
  ('MMA5147', 104, 79, '2017-06-08', ''),
  ('MMB1202', 55, 46, '2017-05-13', ''),
  ('MMB1202', 112, 100, '2017-06-04', ''),
  ('MMB5160', 125, 106, '2017-05-23', ''),
  ('MMB5160', 166, 139, '2017-06-09', ''),
  ('MMB5257', 53, 31, '2017-06-09', ''),
  ('MMA7009', 67, 46, '2017-05-31', ''),
  ('MMA7009', 152, 97, '2017-06-19', ''),
  ('MMB5159', 94, 90, '2017-05-23', ''),
  ('MMB5159', 133, 133, '2017-06-09', ''),
  ('MMB5149', 123, 100, '2017-05-23', ''),
  ('MMB5149', 169, 123, '2017-06-09', ''),
  ('MMA1179', 62, 41, '2017-05-12', ''),
  ('MMA1179', 102, 70, '2017-06-04', ''),
  ('MMA1179', 104, 71, '2017-07-10', ''),
  ('MMB5085', 68, 61, '2017-05-23', ''),
  ('MMB5085', 83, 76, '2017-06-09', ''),
  ('MMB1137', 63, 55, '2017-05-13', ''),
  ('MMC1148', 62, 45, '2017-05-17', ''),
  ('MMC1148', 106, 79, '2017-06-05', ''),
  ('MMC7066', 84, 63, '2017-06-02', ''),
  ('MMC7066', 117, 69, '2017-06-20', ''),
  ('MMB5166', 77, 73, '2017-05-23', ''),
  ('MMB5166', 146, 126, '2017-06-09', ''),
  ('MMA1201', 105, 71, '2017-06-04', ''),
  ('MMA1201', 106, 71, '2017-07-10', ''),
  ('MMC1232', 88, 48, '2017-06-05', ''),
  ('MMC1037', 56, 55, '2017-05-17', ''),
  ('MMC1037', 95, 92, '2017-06-05', ''),
  ('MMC1305', 90, 58, '2017-06-05', ''),
  ('MMB5109', 106, 106, '2017-05-23', ''),
  ('MMA1181', 50, 37, '2017-05-12', ''),
  ('MMA1181', 123, 95, '2017-06-04', ''),
  ('MMA1145', 70, 66, '2017-05-12', ''),
  ('MMA1145', 129, 123, '2017-06-04', ''),
  ('MMA1145', 129, 123, '2017-07-10', ''),
  ('MMC1265', 99, 48, '2017-06-05', ''),
  ('MMA5213', 71, 40, '2017-06-08', ''),
  ('MMA5213', 74, 41, '2017-07-10', ''),
  ('MMA1299', 101, 87, '2017-06-04', ''),
  ('MMA1299', 102, 89, '2017-07-10', ''),
  ('MMA5194', 90, 75, '2017-05-27', ''),
  ('MMA5194', 114, 97, '2017-06-08', ''),
  ('MMA5194', 121, 110, '2017-07-10', ''),
  ('MMA1101', 51, 41, '2017-05-12', ''),
  ('MMA1101', 140, 112, '2017-06-04', ''),
  ('MMA1101', 138, 121, '2017-07-10', ''),
  ('MMB1063', 67, 50, '2017-05-13', ''),
  ('MMB1063', 127, 102, '2017-06-04', ''),
  ('MMC1043', 63, 49, '2017-05-17', ''),
  ('MMC1043', 121, 95, '2017-06-05', ''),
  ('MMB5004', 77, 48, '2017-05-23', ''),
  ('MMB5004', 90, 67, '2017-06-09', ''),
  ('MMB7121', 32, 21, '2017-06-01', ''),
  ('MMB7121', 64, 38, '2017-06-20', ''),
  ('MMC5036', 96, 62, '2017-05-28', ''),
  ('MMC5036', 122, 79, '2017-06-10', ''),
  ('MMB5268', 61, 39, '2017-06-09', ''),
  ('MMB5196', 54, 44, '2017-05-23', ''),
  ('MMB5196', 82, 57, '2017-06-09', ''),
  ('MMC5191', 75, 59, '2017-05-28', ''),
  ('MMC5191', 94, 77, '2017-06-10', ''),
  ('MMB1212', 109, 70, '2017-06-04', ''),
  ('MMA1194', 55, 44, '2017-05-12', ''),
  ('MMA1194', 123, 115, '2017-06-04', ''),
  ('MMA1194', 121, 111, '2017-07-10', ''),
  ('MMA5136', 66, 59, '2017-05-27', ''),
  ('MMA5136', 86, 74, '2017-06-08', ''),
  ('MMA5136', 88, 76, '2017-07-10', ''),
  ('MMC5139', 95, 77, '2017-05-28', ''),
  ('MMC5139', 122, 100, '2017-06-10', ''),
  ('MMB1097', 54, 43, '2017-05-13', ''),
  ('MMB1097', 132, 112, '2017-06-04', ''),
  ('MMA5164', 80, 68, '2017-05-27', ''),
  ('MMA5164', 102, 76, '2017-06-08', ''),
  ('MMA5164', 104, 87, '2017-07-10', ''),
  ('MMA1230', 105, 95, '2017-06-04', ''),
  ('MMA1230', 111, 100, '2017-07-10', ''),
  ('MMC5222', 49, 26, '2017-06-10', ''),
  ('MMB1191', 64, 58, '2017-05-13', ''),
  ('MMB1191', 137, 127, '2017-06-04', ''),
  ('MMA5126', 72, 81, '2017-05-27', ''),
  ('MMA5126', 84, 61, '2017-06-08', ''),
  ('MMC7031', 58, 35, '2017-06-02', ''),
  ('MMC7031', 84, 45, '2017-06-20', ''),
  ('MMC7115', 93, 60, '2017-06-02', ''),
  ('MMC7115', 101, 66, '2017-06-20', ''),
  ('MMA7091', 42, 33, '2017-05-31', ''),
  ('MMA7091', 60, 46, '2017-06-19', ''),
  ('MMB1124', 59, 39, '2017-05-13', ''),
  ('MMB1124', 119, 81, '2017-06-04', ''),
  ('MMA5029', 78, 52, '2017-05-27', ''),
  ('MMA5029', 93, 64, '2017-06-08', ''),
  ('MMA5029', 95, 64, '2017-07-10', ''),
  ('MMC5069', 79, 58, '2017-05-28', ''),
  ('MMC5069', 98, 67, '2017-07-11', ''),
  ('MMC5177', 57, 34, '2017-05-28', ''),
  ('MMC5177', 78, 44, '2017-06-10', ''),
  ('MMA1266', 50, 26, '2017-06-04', ''),
  ('MMA1266', 52, 27, '2017-07-10', ''),
  ('MMB5145', 84, 70, '2017-05-23', ''),
  ('MMB5145', 111, 90, '2017-06-09', ''),
  ('MMC5021', 93, 91, '2017-05-28', ''),
  ('MMC5021', 105, 82, '2017-06-10', ''),
  ('MMC5021', 108, 84, '2017-07-11', ''),
  ('MMB7045', 62, 43, '2017-06-01', ''),
  ('MMC1226', 90, 54, '2017-06-05', ''),
  ('MMC1102', 61, 42, '2017-05-17', ''),
  ('MMC1102', 157, 103, '2017-06-05', ''),
  ('MMC7095', 90, 75, '2017-06-02', ''),
  ('MMC7095', 106, 96, '2017-06-20', ''),
  ('MMC7055', 86, 63, '2017-06-02', ''),
  ('MMC7055', 91, 62, '2017-06-20', ''),
  ('MMA7109', 36, 21, '2017-05-31', ''),
  ('MMA7109', 51, 30, '2017-06-19', ''),
  ('MMB1121', 50, 36, '2017-05-13', ''),
  ('MMB1121', 104, 78, '2017-06-04', ''),
  ('MMB1304', 92, 64, '2017-06-04', ''),
  ('MMC7012', 38, 22, '2017-06-02', ''),
  ('MMC7012', 43, 25, '2017-06-20', ''),
  ('MMB5192', 80, 56, '2017-05-23', ''),
  ('MMB5192', 108, 78, '2017-06-09', ''),
  ('MMB7123', 45, 33, '2017-06-01', ''),
  ('MMB7123', 88, 65, '2017-06-20', ''),
  ('MMA1170', 50, 31, '2017-05-12', ''),
  ('MMB7138', 40, 27, '2017-06-01', ''),
  ('MMB7138', 55, 41, '2017-06-20', ''),
  ('MMA1296', 58, 37, '2017-06-04', ''),
  ('MMA1296', 59, 33, '2017-07-10', ''),
  ('MMB7066', 51, 32, '2017-06-01', ''),
  ('MMB7066', 72, 43, '2017-06-20', ''),
  ('MMC5215', 58, 33, '2017-06-10', ''),
  ('MMB1067', 54, 53, '2017-05-13', ''),
  ('MMA5101', 61, 34, '2017-05-27', ''),
  ('MMA5101', 79, 42, '2017-06-08', ''),
  ('MMA5101', 83, 57, '2017-07-10', ''),
  ('MMB7102', 40, 23, '2017-06-01', ''),
  ('MMB7102', 65, 38, '2017-06-20', ''),
  ('MMB1291', 107, 86, '2017-06-04', ''),
  ('MMC1100', 74, 69, '2017-05-17', ''),
  ('MMC1100', 135, 128, '2017-06-05', ''),
  ('MMC7052', 50, 20, '2017-06-02', ''),
  ('MMC7052', 52, 25, '2017-06-20', ''),
  ('MMB1193', 64, 55, '2017-05-13', ''),
  ('MMB1193', 132, 111, '2017-06-04', 'manque 1 feuille'),
  ('MMB1302', 71, 40, '2017-06-04', ''),
  ('MMB1297', 132, 109, '2017-06-04', ''),
  ('MMC5076', 90, 50, '2017-05-28', ''),
  ('MMA1083', 57, 48, '2017-05-12', ''),
  ('MMA5019', 51, 32, '2017-05-27', ''),
  ('MMA5019', 66, 47, '2017-06-08', ''),
  ('MMC1287', 78, 45, '2017-06-05', ''),
  ('MMC7053', 58, 29, '2017-06-02', ''),
  ('MMC7053', 62, 31, '2017-06-20', ''),
  ('MMC1209', 81, 39, '2017-06-05', ''),
  ('MMA1039', 55, 43, '2017-05-08', ''),
  ('MMA1039', 119, 100, '2017-06-04', ''),
  ('MMA1039', 118, 92, '2017-07-10', ''),
  ('MMB5036', 79, 69, '2017-05-23', ''),
  ('MMB7021', 89, 62, '2017-06-01', ''),
  ('MMB7021', 124, 88, '2017-06-20', ''),
  ('MMB1118', 59, 49, '2017-05-13', ''),
  ('MMB1118', 107, 73, '2017-06-04', ''),
  ('MMA7006', 61, 46, '2017-05-31', ''),
  ('MMA7006', 78, 59, '2017-06-19', ''),
  ('MMB1120', 55, 43, '2017-05-13', ''),
  ('MMB1120', 112, 87, '2017-06-04', ''),
  ('MMC5179', 61, 33, '2017-05-28', ''),
  ('MMC5179', 68, 41, '2017-06-10', ''),
  ('MMC5216', 112, 69, '2017-06-10', ''),
  ('MMB7051', 46, 27, '2017-06-01', ''),
  ('MMB7051', 83, 49, '2017-06-20', ''),
  ('MMB5134', 86, 80, '2017-05-23', ''),
  ('MMB5134', 125, 114, '2017-06-09', ''),
  ('MMB1091', 52, 32, '2017-05-13', ''),
  ('MMB1091', 106, 66, '2017-06-04', ''),
  ('MMA1036', 52, 40, '2017-05-08', ''),
  ('MMA1036', 122, 110, '2017-06-04', ''),
  ('MMA1036', 124, 100, '2017-07-10', ''),
  ('MMB7148', 67, 44, '2017-06-20', ''),
  ('MMB5098', 81, 64, '2017-05-23', ''),
  ('MMB5098', 110, 84, '2017-06-09', ''),
  ('MMC1154', 54, 35, '2017-05-17', ''),
  ('MMC1154', 93, 61, '2017-06-05', ''),
  ('MMB5059', 94, 81, '2017-05-23', ''),
  ('MMB5059', 130, 111, '2017-06-09', ''),
  ('MMA7110', 44, 34, '2017-05-31', ''),
  ('MMA7110', 82, 55, '2017-06-19', ''),
  ('MMC1097', 81, 60, '2017-05-17', ''),
  ('MMC1097', 129, 97, '2017-06-05', ''),
  ('MMA5048', 51, 22, '2017-05-27', ''),
  ('MMA5048', 63, 34, '2017-06-08', ''),
  ('MMA5048', 70, 34, '2017-07-10', ''),
  ('MMC7065', 106, 63, '2017-06-02', ''),
  ('MMC7065', 94, 71, '2017-06-20', ''),
  ('MMC1066', 55, 48, '2017-05-17', ''),
  ('MMC1066', 134, 99, '2017-06-05', ''),
  ('MMB7050', 61, 39, '2017-06-01', ''),
  ('MMB7050', 68, 61, '2017-06-20', ''),
  ('MMA1047', 54, 44, '2017-05-12', ''),
  ('MMA1047', 115, 102, '2017-06-04', ''),
  ('MMA1047', 121, 105, '2017-07-10', ''),
  ('MMC1267', 69, 37, '2017-06-05', ''),
  ('MMB5035', 58, 39, '2017-05-23', ''),
  ('MMB5042', 84, 87, '2017-05-23', ''),
  ('MMC7008', 65, 46, '2017-06-02', ''),
  ('MMC7008', 77, 47, '2017-06-20', ''),
  ('MMB1049', 51, 37, '2017-05-13', ''),
  ('MMB1049', 104, 73, '2017-06-04', ''),
  ('MMC1261', 61, 23, '2017-06-05', ''),
  ('MMC1283', 109, 74, '2017-06-05', ''),
  ('MMA5211', 73, 44, '2017-06-08', ''),
  ('MMC1153', 63, 40, '2017-05-17', ''),
  ('MMC1153', 103, 69, '2017-06-05', ''),
  ('MMC1146', 62, 36, '2017-05-17', ''),
  ('MMC1146', 108, 65, '2017-06-05', ''),
  ('MMB7001', 78, 49, '2017-06-01', ''),
  ('MMB7001', 115, 75, '2017-06-20', ''),
  ('MMB7097', 33, 21, '2017-06-01', ''),
  ('MMB7097', 61, 36, '2017-06-20', ''),
  ('MMC7081', 102, 62, '2017-06-02', ''),
  ('MMC7081', 107, 69, '2017-06-20', ''),
  ('MMC1029', 71, 71, '2017-05-17', ''),
  ('MMC1029', 134, 138, '2017-06-05', ''),
  ('MMA7134', 50, 22, '2017-06-19', ''),
  ('MMA5165', 81, 66, '2017-05-27', ''),
  ('MMA5165', 99, 78, '2017-06-08', ''),
  ('MMA5165', 104, 82, '2017-07-10', ''),
  ('MMC5003', 99, 73, '2017-05-28', ''),
  ('MMC5003', 131, 103, '2017-06-10', ''),
  ('MMC5003', 134, 102, '2017-07-11', ''),
  ('MMC1177', 73, 65, '2017-05-17', ''),
  ('MMC1177', 113, 92, '2017-06-05', ''),
  ('MMA5095', 100, 60, '2017-05-27', ''),
  ('MMA5095', 117, 83, '2017-06-08', ''),
  ('MMA5095', 121, 54, '2017-07-10', ''),
  ('MMC5057', 80, 64, '2017-05-28', ''),
  ('MMC5057', 107, 77, '2017-06-10', ''),
  ('MMC5057', 104, 85, '2017-07-11', ''),
  ('MMC5084', 65, 48, '2017-05-28', ''),
  ('MMC5084', 88, 62, '2017-06-10', ''),
  ('MMC5084', 89, 64, '2017-07-11', ''),
  ('MMB1242', 124, 102, '2017-06-04', ''),
  ('MMA5081', 50, 24, '2017-05-27', ''),
  ('MMA5081', 64, 29, '2017-06-08', ''),
  ('MMA5081', 68, 33, '2017-07-10', ''),
  ('MMA1279', 97, 76, '2017-06-04', ''),
  ('MMA1279', 101, 79, '2017-07-10', ''),
  ('MMB1142', 70, 70, '2017-05-13', ''),
  ('MMB1142', 143, 138, '2017-06-04', ''),
  ('MMB7038', 107, 73, '2017-06-01', ''),
  ('MMB7038', 141, 102, '2017-06-20', ''),
  ('MMB7077', 35, 19, '2017-06-01', ''),
  ('MMB7077', 60, 35, '2017-06-20', ''),
  ('MMA5215', 50, 35, '2017-06-08', ''),
  ('MMA5215', 62, 46, '2017-07-10', ''),
  ('MMC1135', 53, 32, '2017-05-17', ''),
  ('MMC1135', 80, 48, '2017-06-05', ''),
  ('MMB5180', 103, 81, '2017-05-23', ''),
  ('MMB1283', 88, 67, '2017-06-04', ''),
  ('MMB7109', 40, 26, '2017-06-01', ''),
  ('MMB7109', 73, 48, '2017-06-20', ''),
  ('MMC7124', 50, 32, '2017-06-02', ''),
  ('MMC7124', 59, 36, '2017-06-20', ''),
  ('MMA5005', 60, 38, '2017-05-27', ''),
  ('MMA5005', 78, 49, '2017-06-08', ''),
  ('MMA5005', 81, 50, '2017-07-10', ''),
  ('MMA5218', 64, 43, '2017-06-08', ''),
  ('MMA5218', 67, 44, '2017-07-10', ''),
  ('MMB1218', 105, 67, '2017-06-04', ''),
  ('MMC5240', 49, 22, '2017-06-10', ''),
  ('MMB1132', 56, 43, '2017-05-13', ''),
  ('MMB1132', 99, 82, '2017-06-04', ''),
  ('MMB1001', 52, 51, '2017-05-13', ''),
  ('MMC5053', 78, 43, '2017-05-28', ''),
  ('MMC5053', 94, 63, '2017-06-10', ''),
  ('MMA7095', 82, 58, '2017-05-31', ''),
  ('MMA7095', 123, 91, '2017-06-19', ''),
  ('MMC1303', 68, 30, '2017-06-05', ''),
  ('MMC1199', 66, 56, '2017-05-17', ''),
  ('MMC1199', 135, 113, '2017-06-05', ''),
  ('MMA5180', 70, 65, '2017-05-27', ''),
  ('MMA5180', 89, 86, '2017-06-08', ''),
  ('MMA5180', 92, 88, '2017-07-10', ''),
  ('MMC7078', 31, 32, '2017-06-02', ''),
  ('MMC7078', 63, 31, '2017-06-20', ''),
  ('MMB1157', 70, 61, '2017-05-13', ''),
  ('MMB1157', 156, 137, '2017-06-04', ''),
  ('MMC5182', 105, 76, '2017-05-28', ''),
  ('MMC5182', 114, 73, '2017-06-10', ''),
  ('MMA5077', 92, 90, '2017-05-27', ''),
  ('MMA5077', 117, 112, '2017-06-08', ''),
  ('MMA5077', 111, 119, '2017-07-10', ''),
  ('MMA5228', 53, 22, '2017-06-08', ''),
  ('MMA5228', 50, 24, '2017-07-10', ''),
  ('MMA5022', 75, 69, '2017-05-27', ''),
  ('MMA5022', 90, 90, '2017-06-08', ''),
  ('MMA5022', 104, 90, '2017-07-10', ''),
  ('MMB5244', 63, 44, '2017-06-09', ''),
  ('MMC5224', 52, 25, '2017-06-10', ''),
  ('MMB1102', 59, 55, '2017-05-13', ''),
  ('MMB7016', 67, 43, '2017-06-01', ''),
  ('MMB7016', 96, 61, '2017-06-20', ''),
  ('MMB7100', 47, 23, '2017-06-01', ''),
  ('MMB7100', 67, 33, '2017-06-20', ''),
  ('MMC1191', 58, 35, '2017-05-17', ''),
  ('MMC1191', 81, 54, '2017-06-05', ''),
  ('MMC7019', 71, 40, '2017-06-02', ''),
  ('MMC7019', 81, 51, '2017-06-20', ''),
  ('MMA1231', 66, 47, '2017-06-04', ''),
  ('MMA1231', 67, 49, '2017-07-10', ''),
  ('MMB1117', 57, 42, '2017-05-13', ''),
  ('MMB1117', 115, 80, '2017-06-04', ''),
  ('MMA5124', 81, 62, '2017-05-27', ''),
  ('MMA5124', 104, 78, '2017-06-08', ''),
  ('MMA5124', 111, 80, '2017-07-10', ''),
  ('MMA1272', 77, 37, '2017-06-04', ''),
  ('MMA1272', 74, 38, '2017-07-10', ''),
  ('MMA5233', 70, 49, '2017-06-08', ''),
  ('MMA5233', 73, 52, '2017-07-10', ''),
  ('MMB5234', 72, 48, '2017-06-09', ''),
  ('MMA1226', 69, 40, '2017-06-04', ''),
  ('MMA1226', 72, 41, '2017-07-10', ''),
  ('MMA1300', 71, 57, '2017-06-04', ''),
  ('MMA1300', 70, 64, '2017-07-10', ''),
  ('MMC5193', 87, 66, '2017-05-28', ''),
  ('MMC5193', 109, 84, '2017-06-10', ''),
  ('MMB1005', 63, 58, '2017-05-13', ''),
  ('MMB1005', 151, 138, '2017-06-04', ''),
  ('MMB1243', 109, 112, '2017-06-04', ''),
  ('MMB1248', 123, 99, '2017-06-04', ''),
  ('MMB5210', 55, 39, '2017-05-23', ''),
  ('MMB5210', 75, 46, '2017-06-09', ''),
  ('MMA1026', 51, 54, '2017-05-08', ''),
  ('MMA1026', 123, 129, '2017-06-04', ''),
  ('MMA1026', 121, 128, '2017-07-10', ''),
  ('MMB5013', 77, 65, '2017-05-23', ''),
  ('MMB5013', 115, 96, '2017-06-09', ''),
  ('MMB7008', 104, 87, '2017-06-01', ''),
  ('MMB7008', 135, 110, '2017-06-20', ''),
  ('MMB1253', 64, 39, '2017-06-04', ''),
  ('MMC5153', 108, 81, '2017-05-28', ''),
  ('MMC5153', 120, 92, '2017-06-10', ''),
  ('MMA5034', 55, 37, '2017-05-27', ''),
  ('MMA5034', 69, 47, '2017-06-08', ''),
  ('MMA5034', 66, 47, '2017-07-10', ''),
  ('MMA7036', 54, 44, '2017-05-31', ''),
  ('MMA7036', 84, 74, '2017-06-19', ''),
  ('MMC1115', 89, 70, '2017-05-17', ''),
  ('MMC1115', 153, 119, '2017-06-05', ''),
  ('MMA7051', 31, 10, '2017-05-31', ''),
  ('MMA7051', 60, 64, '2017-06-19', ''),
  ('MMB5105', 94, 81, '2017-05-23', ''),
  ('MMB5105', 153, 131, '2017-06-09', ''),
  ('MMB5050', 77, 79, '2017-05-23', ''),
  ('MMB5050', 115, 115, '2017-06-09', ''),
  ('MMC5112', 59, 40, '2017-05-28', ''),
  ('MMC5112', 71, 52, '2017-06-10', ''),
  ('MMC5112', 73, 53, '2017-07-11', ''),
  ('MMA1133', 52, 40, '2017-05-12', ''),
  ('MMA1133', 125, 100, '2017-06-04', ''),
  ('MMA1133', 126, 103, '2017-07-10', ''),
  ('MMB5046', 101, 103, '2017-05-23', ''),
  ('MMB5024', 73, 62, '2017-05-23', ''),
  ('MMB5024', 128, 114, '2017-06-09', ''),
  ('MMC5190', 65, 49, '2017-05-28', ''),
  ('MMC5190', 93, 64, '2017-06-10', ''),
  ('MMA7097', 46, 30, '2017-05-31', ''),
  ('MMA7097', 73, 44, '2017-06-19', ''),
  ('MMA5238', 66, 45, '2017-06-08', ''),
  ('MMB1280', 114, 88, '2017-06-04', ''),
  ('MMB5077', 83, 82, '2017-05-23', ''),
  ('MMB5122', 55, 38, '2017-05-23', ''),
  ('MMB5122', 92, 61, '2017-06-09', ''),
  ('MMC7128', 73, 40, '2017-06-02', ''),
  ('MMC7128', 81, 50, '2017-06-20', ''),
  ('MMA1288', 88, 70, '2017-06-04', ''),
  ('MMA1288', 88, 72, '2017-07-10', ''),
  ('MMC1094', 60, 41, '2017-05-17', ''),
  ('MMC1094', 90, 64, '2017-06-05', ''),
  ('MMB7067', 59, 34, '2017-06-01', ''),
  ('MMC5246', 60, 34, '2017-06-10', ''),
  ('MMC1273', 85, 61, '2017-06-05', ''),
  ('MMC1112', 65, 51, '2017-05-17', ''),
  ('MMC1112', 125, 102, '2017-06-05', ''),
  ('MMB7136', 63, 41, '2017-06-01', ''),
  ('MMB7136', 101, 71, '2017-06-20', ''),
  ('MMC7044', 44, 30, '2017-06-02', ''),
  ('MMC7044', 51, 32, '2017-06-20', ''),
  ('MMC1068', 68, 42, '2017-05-17', ''),
  ('MMC1068', 116, 80, '2017-06-05', ''),
  ('MMC1089', 68, 51, '2017-05-17', ''),
  ('MMC1089', 110, 83, '2017-06-05', ''),
  ('MMB1019', 51, 34, '2017-05-13', ''),
  ('MMB1019', 105, 78, '2017-06-04', ''),
  ('MMB1104', 50, 45, '2017-05-13', ''),
  ('MMB7113', 36, 19, '2017-06-01', ''),
  ('MMB7113', 44, 23, '2017-06-20', ''),
  ('MMC7400', 92, 65, '2017-06-20', ''),
  ('MMC7400', 84, 55, '2017-06-02', ''),
  ('MMC7061', 61, 42, '2017-06-02', ''),
  ('MMC7061', 70, 52, '2017-06-20', ''),
  ('MMC7089', 81, 61, '2017-06-02', ''),
  ('MMC7089', 98, 75, '2017-06-20', ''),
  ('MMA1024', 50, 40, '2017-05-08', ''),
  ('MMA1024', 101, 80, '2017-06-04', ''),
  ('MMA1024', 94, 75, '2017-07-10', ''),
  ('MMC5041', 79, 29, '2017-05-28', ''),
  ('MMC5041', 95, 43, '2017-06-10', ''),
  ('MMB5020', 76, 53, '2017-05-23', ''),
  ('MMB5020', 105, 74, '2017-06-09', ''),
  ('MMB5084', 110, 104, '2017-05-23', ''),
  ('MMB5084', 141, 135, '2017-06-09', ''),
  ('MMA5192', 91, 85, '2017-05-27', ''),
  ('MMA5192', 115, 113, '2017-06-08', ''),
  ('MMA5192', 119, 116, '2017-07-10', ''),
  ('MMA5246', 54, 27, '2017-06-08', ''),
  ('MMA5246', 55, 27, '2017-07-10', ''),
  ('MMB5107', 73, 64, '2017-05-23', ''),
  ('MMB5107', 95, 87, '2017-06-09', ''),
  ('MMB1122', 52, 40, '2017-05-13', ''),
  ('MMB1122', 104, 80, '2017-06-04', ''),
  ('MMB5039', 92, 79, '2017-05-23', ''),
  ('MMA5071', 66, 57, '2017-05-27', ''),
  ('MMA5071', 80, 62, '2017-06-08', ''),
  ('MMA5071', 82, 64, '2017-07-10', ''),
  ('MMC1083', 60, 49, '2017-05-17', ''),
  ('MMC1083', 116, 92, '2017-06-05', ''),
  ('MMA1164', 54, 40, '2017-05-12', ''),
  ('MMA1164', 147, 116, '2017-06-04', ''),
  ('MMA1164', 141, 117, '2017-07-10', ''),
  ('MMC5017', 86, 60, '2017-05-28', ''),
  ('MMC5017', 106, 72, '2017-06-10', ''),
  ('MMC5017', 107, 72, '2017-07-11', ''),
  ('MMB1240', 110, 101, '2017-06-04', ''),
  ('MMB5038', 53, 30, '2017-05-23', ''),
  ('MMB5038', 65, 38, '2017-06-09', ''),
  ('MMB5052', 93, 92, '2017-05-23', ''),
  ('MMB5052', 131, 133, '2017-06-09', ''),
  ('MMB7069', 67, 50, '2017-06-01', ''),
  ('MMB7130', 60, 38, '2017-06-01', ''),
  ('MMB7130', 79, 46, '2017-06-20', ''),
  ('MMA1095', 52, 51, '2017-05-12', ''),
  ('MMA1095', 117, 111, '2017-06-04', ''),
  ('MMA1095', 120, 113, '2017-07-10', ''),
  ('MMB1131', 51, 51, '2017-05-13', ''),
  ('MMB1131', 113, 111, '2017-06-04', ''),
  ('MMC5054', 69, 35, '2017-05-28', ''),
  ('MMC5054', 84, 44, '2017-06-10', ''),
  ('MMC5054', 86, 42, '2017-07-11', ''),
  ('MMA5166', 67, 46, '2017-05-27', ''),
  ('MMA5166', 77, 53, '2017-06-08', ''),
  ('MMA5166', 81, 53, '2017-07-10', ''),
  ('MMA1013', 50, 44, '2017-05-08', ''),
  ('MMA1013', 138, 118, '2017-06-04', ''),
  ('MMA1013', 144, 123, '2017-07-10', ''),
  ('MMC7136', 46, 28, '2017-06-20', ''),
  ('MMA1265', 56, 33, '2017-06-04', ''),
  ('MMB1046', 62, 53, '2017-05-13', ''),
  ('MMB1046', 144, 111, '2017-06-04', ''),
  ('MMC5143', 104, 65, '2017-05-28', ''),
  ('MMC5143', 120, 73, '2017-06-10', ''),
  ('MMC1080', 51, 35, '2017-05-17', ''),
  ('MMC1080', 84, 60, '2017-06-05', ''),
  ('MMA5058', 56, 39, '2017-05-27', ''),
  ('MMA5058', 70, 49, '2017-06-08', ''),
  ('MMA5058', 70, 49, '2017-07-10', ''),
  ('MMC7070', 73, 47, '2017-06-02', ''),
  ('MMC7070', 84, 52, '2017-06-20', ''),
  ('MMB1003', 68, 70, '2017-05-13', ''),
  ('MMB1254', 94, 68, '2017-06-04', ''),
  ('MMA5154', 70, 38, '2017-05-27', ''),
  ('MMA5154', 91, 49, '2017-06-08', ''),
  ('MMA5154', 91, 56, '2017-07-10', ''),
  ('MMA1219', 111, 95, '2017-06-04', ''),
  ('MMA1219', 118, 97, '2017-07-10', ''),
  ('MMB1273', 95, 73, '2017-06-04', ''),
  ('MMC5184', 60, 35, '2017-05-28', ''),
  ('MMC5184', 76, 43, '2017-06-10', ''),
  ('MMB7091', 75, 59, '2017-06-01', ''),
  ('MMB7091', 111, 86, '2017-06-20', ''),
  ('MMC1162', 71, 50, '2017-05-17', ''),
  ('MMC1162', 125, 88, '2017-06-05', ''),
  ('MMB5158', 98, 98, '2017-05-23', ''),
  ('MMB5158', 141, 134, '2017-06-09', ''),
  ('MMC7127', 83, 63, '2017-06-02', ''),
  ('MMC7127', 99, 72, '2017-06-20', ''),
  ('MMA5203', 94, 76, '2017-05-27', ''),
  ('MMA5203', 124, 96, '2017-06-08', ''),
  ('MMA5203', 126, 100, '2017-07-10', ''),
  ('MMA1258', 84, 63, '2017-06-04', ''),
  ('MMA1258', 83, 67, '2017-07-10', ''),
  ('MMB1039', 59, 41, '2017-05-13', ''),
  ('MMB1039', 117, 84, '2017-06-04', ''),
  ('MMC7063', 72, 48, '2017-06-02', ''),
  ('MMC7063', 73, 53, '2017-06-20', ''),
  ('MMC5113', 62, 39, '2017-05-28', ''),
  ('MMC5113', 76, 48, '2017-06-10', ''),
  ('MMC5113', 77, 48, '2017-07-11', ''),
  ('MMC7033', 63, 41, '2017-06-02', ''),
  ('MMC7033', 83, 47, '2017-06-20', ''),
  ('MMC1289', 72, 51, '2017-06-05', ''),
  ('MMB1300', 55, 27, '2017-06-04', ''),
  ('MMA5221', 59, 26, '2017-06-08', ''),
  ('MMA5221', 72, 35, '2017-07-10', ''),
  ('MMC5104', 93, 82, '2017-05-28', ''),
  ('MMC5104', 113, 102, '2017-06-10', ''),
  ('MMC5104', 116, 104, '2017-07-11', ''),
  ('MMA1105', 52, 53, '2017-05-12', ''),
  ('MMA1105', 141, 139, '2017-06-04', ''),
  ('MMA1105', 144, 148, '2017-07-10', ''),
  ('MMB7053', 30, 17, '2017-06-01', ''),
  ('MMB7053', 69, 40, '2017-06-20', ''),
  ('MMC5239', 73, 36, '2017-06-10', ''),
  ('MMB1247', 92, 58, '2017-06-04', ''),
  ('MMB1184', 60, 52, '2017-05-13', ''),
  ('MMB1184', 110, 102, '2017-06-04', ''),
  ('MMA5062', 88, 71, '2017-05-27', ''),
  ('MMA5062', 113, 85, '2017-06-08', ''),
  ('MMC7048', 62, 39, '2017-06-02', ''),
  ('MMC7048', 76, 45, '2017-06-20', ''),
  ('MMC1240', 59, 39, '2017-06-05', ''),
  ('MMA5191', 98, 93, '2017-05-27', ''),
  ('MMA5191', 128, 109, '2017-06-08', ''),
  ('MMA5191', 101, 64, '2017-07-10', ''),
  ('MMB1085', 50, 39, '2017-05-13', ''),
  ('MMB1085', 104, 82, '2017-06-04', ''),
  ('MMA1044', 50, 49, '2017-05-12', ''),
  ('MMA1044', 123, 115, '2017-06-04', ''),
  ('MMA1044', 125, 118, '2017-07-10', ''),
  ('MMB7005', 94, 75, '2017-06-01', ''),
  ('MMB7005', 124, 98, '2017-06-20', ''),
  ('MMA1298', 64, 45, '2017-06-04', ''),
  ('MMA1298', 66, 49, '2017-07-10', ''),
  ('MMA1274', 69, 58, '2017-06-04', ''),
  ('MMB1298', 72, 59, '2017-06-04', ''),
  ('MMB5245', 71, 43, '2017-06-09', ''),
  ('MMA1010', 54, 46, '2017-05-08', ''),
  ('MMA1010', 125, 105, '2017-06-04', ''),
  ('MMA1010', 131, 110, '2017-07-10', ''),
  ('MMC1300', 49, 28, '2017-06-05', ''),
  ('MMA5248', 54, 26, '2017-06-08', ''),
  ('MMA5248', 55, 27, '2017-07-10', ''),
  ('MMB1081', 50, 33, '2017-05-13', ''),
  ('MMB1081', 93, 62, '2017-06-04', ''),
  ('MMA5085', 84, 63, '2017-05-27', ''),
  ('MMA5085', 105, 82, '2017-06-08', ''),
  ('MMA5085', 109, 85, '2017-07-10', ''),
  ('MMA5127', 70, 81, '2017-05-27', ''),
  ('MMA5127', 83, 57, '2017-06-08', ''),
  ('MMC5029', 82, 51, '2017-05-28', ''),
  ('MMC5029', 101, 63, '2017-06-10', ''),
  ('MMC5029', 103, 61, '2017-07-11', ''),
  ('MMC5106', 59, 34, '2017-05-28', ''),
  ('MMC5106', 65, 39, '2017-06-10', ''),
  ('MMC5106', 67, 40, '2017-07-11', ''),
  ('MMB1073', 57, 40, '2017-05-13', ''),
  ('MMB1073', 131, 86, '2017-06-04', ''),
  ('MMC1118', 55, 40, '2017-05-17', ''),
  ('MMC1118', 102, 94, '2017-06-05', ''),
  ('MMB7007', 94, 66, '2017-06-01', ''),
  ('MMB7007', 125, 96, '2017-06-20', ''),
  ('MMC7117', 118, 81, '2017-06-02', ''),
  ('MMC7117', 131, 90, '2017-06-20', ''),
  ('MMC5038', 66, 38, '2017-05-28', ''),
  ('MMC5038', 79, 45, '2017-06-10', ''),
  ('MMC5038', 82, 47, '2017-07-11', ''),
  ('MMC7042', 55, 27, '2017-06-02', ''),
  ('MMC7042', 59, 28, '2017-06-20', ''),
  ('MMA1251', 142, 151, '2017-06-04', ''),
  ('MMA7054', 76, 66, '2017-05-31', ''),
  ('MMA7054', 126, 102, '2017-06-19', ''),
  ('MMA1210', 69, 47, '2017-06-04', ''),
  ('MMA1210', 63, 47, '2017-07-10', ''),
  ('MMC7146', 76, 39, '2017-06-20', ''),
  ('MMB5011', 69, 53, '2017-05-23', ''),
  ('MMB5011', 105, 79, '2017-06-09', ''),
  ('MMC5049', 48, 29, '2017-05-28', ''),
  ('MMC5049', 59, 36, '2017-06-10', ''),
  ('MMC5049', 57, 37, '2017-07-11', ''),
  ('MMC5086', 65, 37, '2017-05-28', ''),
  ('MMC5086', 75, 45, '2017-06-10', ''),
  ('MMC5086', 79, 41, '2017-07-11', ''),
  ('MMB1098', 62, 41, '2017-05-13', ''),
  ('MMB1098', 134, 99, '2017-06-04', ''),
  ('MMA5219', 53, 36, '2017-06-08', ''),
  ('MMA1045', 51, 38, '2017-05-12', ''),
  ('MMA1045', 103, 85, '2017-06-04', ''),
  ('MMA1045', 98, 76, '2017-07-10', ''),
  ('MMA1188', 52, 40, '2017-05-12', ''),
  ('MMA1188', 122, 94, '2017-06-04', ''),
  ('MMA1188', 124, 95, '2017-07-10', ''),
  ('MMB5112', 90, 82, '2017-05-23', ''),
  ('MMB5112', 136, 116, '2017-06-09', ''),
  ('MMA5035', 71, 44, '2017-05-27', ''),
  ('MMA5035', 84, 51, '2017-06-08', ''),
  ('MMA5035', 90, 55, '2017-07-10', ''),
  ('MMC7005', 40, 24, '2017-06-02', ''),
  ('MMC7005', 46, 28, '2017-06-20', ''),
  ('MMC1248', 61, 33, '2017-06-05', ''),
  ('MMC5244', 45, 24, '2017-06-10', ''),
  ('MMC5163', 71, 55, '2017-05-28', ''),
  ('MMC5163', 86, 67, '2017-06-10', ''),
  ('MMA5047', 67, 49, '2017-05-27', ''),
  ('MMA5047', 80, 59, '2017-06-08', ''),
  ('MMA5047', 84, 61, '2017-07-10', ''),
  ('MMC5205', 74, 50, '2017-05-28', ''),
  ('MMC5205', 91, 64, '2017-06-10', ''),
  ('MMC1182', 55, 34, '2017-05-17', ''),
  ('MMC1182', 92, 59, '2017-06-05', ''),
  ('MMA5105', 56, 39, '2017-05-27', ''),
  ('MMA5105', 72, 51, '2017-06-08', ''),
  ('MMA5105', 75, 53, '2017-07-10', ''),
  ('MMC7076', 89, 60, '2017-06-02', ''),
  ('MMC7076', 97, 60, '2017-06-20', ''),
  ('MMB5248', 102, 81, '2017-06-09', ''),
  ('MMA1166', 50, 31, '2017-05-12', ''),
  ('MMA1166', 119, 92, '2017-06-04', ''),
  ('MMA1166', 119, 90, '2017-07-10', ''),
  ('MMB1024', 56, 50, '2017-05-13', ''),
  ('MMB1024', 140, 114, '2017-06-04', ''),
  ('MMC5133', 69, 42, '2017-05-28', ''),
  ('MMC5133', 84, 52, '2017-06-10', ''),
  ('MMC1280', 85, 60, '2017-06-05', ''),
  ('MMC1010', 62, 41, '2017-05-17', ''),
  ('MMC1010', 101, 69, '2017-06-05', ''),
  ('MMB5124', 61, 52, '2017-05-23', ''),
  ('MMB5124', 88, 68, '2017-06-09', ''),
  ('MMA7116', 50, 31, '2017-05-31', ''),
  ('MMA7116', 70, 37, '2017-06-19', ''),
  ('MMC1007', 59, 42, '2017-05-17', ''),
  ('MMC1007', 95, 67, '2017-06-05', ''),
  ('MMA7074', 27, 12, '2017-05-31', ''),
  ('MMA7074', 33, 20, '2017-06-19', ''),
  ('MMC5210', 50, 33, '2017-06-10', ''),
  ('MMC5232', 67, 32, '2017-06-10', ''),
  ('MMB1165', 58, 50, '2017-05-13', ''),
  ('MMB1165', 137, 107, '2017-06-04', ''),
  ('MMA1146', 51, 38, '2017-05-12', ''),
  ('MMA1146', 135, 97, '2017-06-04', ''),
  ('MMA1146', 137, 108, '2017-07-10', ''),
  ('MMA5204', 50, 31, '2017-05-27', ''),
  ('MMA5204', 78, 47, '2017-06-08', ''),
  ('MMA5204', 82, 50, '2017-07-10', ''),
  ('MMC1198', 68, 50, '2017-05-17', ''),
  ('MMC1198', 125, 96, '2017-06-05', ''),
  ('MMA1151', 54, 47, '2017-05-12', ''),
  ('MMA1151', 150, 145, '2017-06-04', ''),
  ('MMA1151', 147, 143, '2017-07-10', ''),
  ('MMC5045', 105, 71, '2017-05-28', ''),
  ('MMC5045', 124, 87, '2017-06-10', ''),
  ('MMC5045', 122, 88, '2017-07-11', ''),
  ('MMC5105', 56, 31, '2017-05-28', ''),
  ('MMC5105', 65, 37, '2017-06-10', ''),
  ('MMC5105', 62, 38, '2017-07-11', ''),
  ('MMA1235', 124, 135, '2017-06-04', ''),
  ('MMA1079', 50, 39, '2017-05-12', ''),
  ('MMA1079', 89, 72, '2017-06-04', ''),
  ('MMA1079', 90, 72, '2017-07-10', ''),
  ('MMC1110', 62, 52, '2017-05-17', ''),
  ('MMC1110', 118, 95, '2017-06-05', ''),
  ('MMC1180', 56, 41, '2017-05-17', ''),
  ('MMC1180', 90, 71, '2017-06-05', ''),
  ('MMC5004', 75, 41, '2017-05-28', ''),
  ('MMC5004', 100, 53, '2017-06-10', ''),
  ('MMC5004', 104, 49, '2017-07-11', ''),
  ('MMB5101', 80, 79, '2017-05-23', ''),
  ('MMB5101', 125, 127, '2017-06-09', ''),
  ('MMC5034', 86, 71, '2017-05-28', ''),
  ('MMB1290', 76, 49, '2017-06-04', ''),
  ('MMA5217', 50, 27, '2017-06-08', ''),
  ('MMA5217', 50, 28, '2017-07-10', ''),
  ('MMB7146', 71, 42, '2017-06-20', ''),
  ('MMC1194', 67, 43, '2017-05-17', ''),
  ('MMC1194', 74, 45, '2017-06-05', ''),
  ('MMB7104', 29, 19, '2017-06-01', ''),
  ('MMB7104', 48, 29, '2017-06-20', ''),
  ('MMC1107', 50, 32, '2017-05-17', ''),
  ('MMC1107', 92, 59, '2017-06-05', ''),
  ('MMB5102', 73, 62, '2017-05-23', ''),
  ('MMB5102', 104, 94, '2017-06-09', ''),
  ('MMA5023', 116, 127, '2017-05-27', ''),
  ('MMA5023', 154, 166, '2017-06-08', ''),
  ('MMA5023', 163, 172, '2017-07-10', ''),
  ('MMB7019', 70, 49, '2017-06-01', ''),
  ('MMB7019', 91, 62, '2017-06-20', ''),
  ('MMB5168', 72, 51, '2017-05-23', ''),
  ('MMB5168', 111, 69, '2017-06-09', ''),
  ('MMC5213', 53, 26, '2017-06-10', ''),
  ('MMA7027', 54, 28, '2017-05-31', ''),
  ('MMA7027', 82, 46, '2017-06-19', ''),
  ('MMC1181', 50, 30, '2017-05-17', ''),
  ('MMC1181', 76, 52, '2017-06-05', ''),
  ('MMB1238', 73, 44, '2017-06-04', ''),
  ('MMB1258', 92, 59, '2017-06-04', ''),
  ('MMB1284', 103, 68, '2017-06-04', ''),
  ('MMC1190', 59, 35, '2017-05-17', ''),
  ('MMC1190', 95, 59, '2017-06-05', ''),
  ('MMC5154', 55, 37, '2017-05-28', ''),
  ('MMC5154', 71, 44, '2017-06-10', ''),
  ('MMA5177', 56, 35, '2017-05-27', ''),
  ('MMA5177', 71, 45, '2017-06-08', ''),
  ('MMA5177', 75, 48, '2017-07-10', ''),
  ('MMB1135', 50, 37, '2017-05-13', ''),
  ('MMA5080', 65, 38, '2017-05-27', ''),
  ('MMA5080', 86, 51, '2017-06-08', ''),
  ('MMA5080', 91, 54, '2017-07-10', ''),
  ('MMB7125', 47, 25, '2017-06-01', ''),
  ('MMB7125', 67, 40, '2017-06-20', ''),
  ('MMC5209', 60, 29, '2017-06-10', ''),
  ('MMB1222', 99, 81, '2017-06-04', ''),
  ('MMB1199', 65, 47, '2017-05-13', ''),
  ('MMB1199', 131, 114, '2017-06-04', ''),
  ('MMC1299', 62, 38, '2017-06-05', ''),
  ('MMC5024', 66, 33, '2017-05-28', ''),
  ('MMC5024', 81, 46, '2017-06-10', ''),
  ('MMC5024', 81, 47, '2017-07-11', ''),
  ('MMC7107', 91, 52, '2017-06-02', ''),
  ('MMC7107', 106, 62, '2017-06-20', ''),
  ('MMC1223', 79, 52, '2017-06-05', ''),
  ('MMC5121', 77, 63, '2017-05-28', ''),
  ('MMC5121', 99, 78, '2017-06-10', ''),
  ('MMC5121', 110, 80, '2017-07-11', ''),
  ('MMB7041', 48, 24, '2017-06-01', ''),
  ('MMB7041', 71, 34, '2017-06-20', ''),
  ('MMB5223', 64, 30, '2017-06-09', ''),
  ('MMC1263', 79, 38, '2017-06-05', ''),
  ('MMC5022', 74, 47, '2017-05-28', ''),
  ('MMC5022', 90, 64, '2017-06-10', ''),
  ('MMC5022', 89, 57, '2017-07-11', ''),
  ('MMC1245', 84, 42, '2017-06-05', ''),
  ('MMA1117', 50, 41, '2017-05-12', ''),
  ('MMA1117', 104, 81, '2017-06-04', ''),
  ('MMA1117', 105, 91, '2017-07-10', ''),
  ('MMA7043', 72, 60, '2017-05-31', ''),
  ('MMA7043', 146, 121, '2017-06-19', ''),
  ('MMA1102', 55, 50, '2017-05-12', ''),
  ('MMA1102', 155, 117, '2017-06-04', ''),
  ('MMA1102', 133, 123, '2017-07-10', ''),
  ('MMB5073', 61, 50, '2017-05-23', ''),
  ('MMB5073', 90, 66, '2017-06-09', ''),
  ('MMB1096', 53, 48, '2017-05-13', ''),
  ('MMB1096', 132, 109, '2017-06-04', ''),
  ('MMC5145', 68, 66, '2017-05-28', ''),
  ('MMC5145', 91, 78, '2017-06-10', ''),
  ('MMB5014', 52, 32, '2017-05-23', ''),
  ('MMB5014', 78, 48, '2017-06-09', ''),
  ('MMA1096', 62, 61, '2017-05-12', ''),
  ('MMA1096', 135, 133, '2017-06-04', ''),
  ('MMA1096', 137, 130, '2017-07-10', ''),
  ('MMA1130', 51, 39, '2017-05-12', ''),
  ('MMA1130', 142, 107, '2017-06-04', ''),
  ('MMA1130', 144, 110, '2017-07-10', ''),
  ('MMC1081', 53, 31, '2017-05-17', ''),
  ('MMC1081', 93, 57, '2017-06-05', ''),
  ('MMA1081', 61, 52, '2017-05-12', ''),
  ('MMA1081', 115, 99, '2017-06-04', ''),
  ('MMA1081', 114, 100, '2017-07-10', ''),
  ('MMA7103', 42, 30, '2017-05-31', ''),
  ('MMA7103', 68, 48, '2017-06-19', ''),
  ('MMA5027', 82, 63, '2017-05-27', ''),
  ('MMA5027', 117, 85, '2017-06-08', ''),
  ('MMA5027', 120, 85, '2017-07-10', ''),
  ('MMC5002', 97, 82, '2017-05-28', ''),
  ('MMC5002', 121, 103, '2017-06-10', ''),
  ('MMC5002', 117, 99, '2017-07-11', ''),
  ('MMB1221', 103, 66, '2017-06-04', ''),
  ('MMA7128', 64, 45, '2017-05-31', ''),
  ('MMA7128', 97, 69, '2017-06-19', ''),
  ('MMC5052', 71, 50, '2017-05-28', ''),
  ('MMC5052', 85, 60, '2017-06-10', ''),
  ('MMC5052', 84, 62, '2017-07-11', ''),
  ('MMC5101', 53, 33, '2017-05-28', ''),
  ('MMC5101', 69, 38, '2017-06-10', ''),
  ('MMC5101', 98, 62, '2017-07-11', ''),
  ('MMC1078', 68, 43, '2017-05-17', ''),
  ('MMC1078', 99, 68, '2017-06-05', ''),
  ('MMA1054', 61, 44, '2017-05-12', ''),
  ('MMA1054', 119, 86, '2017-06-04', ''),
  ('MMC1130', 55, 39, '2017-05-17', ''),
  ('MMC1130', 102, 71, '2017-06-05', ''),
  ('MMA5167', 79, 43, '2017-05-27', ''),
  ('MMA5167', 87, 59, '2017-06-08', ''),
  ('MMA5167', 93, 57, '2017-07-10', ''),
  ('MMC1218', 70, 31, '2017-06-05', ''),
  ('MMC1216', 82, 44, '2017-06-05', ''),
  ('MMA1025', 51, 42, '2017-05-08', ''),
  ('MMA1025', 113, 87, '2017-06-04', ''),
  ('MMA1025', 115, 89, '2017-07-10', ''),
  ('MMA7023', 60, 44, '2017-05-31', ''),
  ('MMA7023', 84, 57, '2017-06-19', ''),
  ('MMC5055', 63, 31, '2017-05-28', ''),
  ('MMC5055', 77, 38, '2017-06-10', ''),
  ('MMC5055', 74, 39, '2017-07-11', ''),
  ('MMA5140', 55, 32, '2017-05-27', ''),
  ('MMA5140', 66, 41, '2017-06-08', ''),
  ('MMA5140', 67, 43, '2017-07-10', ''),
  ('MMC7101', 64, 40, '2017-06-02', ''),
  ('MMC7101', 69, 45, '2017-06-20', ''),
  ('MMC1272', 54, 29, '2017-06-05', ''),
  ('MMC1036', 70, 60, '2017-05-17', ''),
  ('MMC1036', 118, 97, '2017-06-05', ''),
  ('MMB1108', 57, 55, '2017-05-13', ''),
  ('MMB1108', 144, 136, '2017-06-04', ''),
  ('MMC1255', 80, 62, '2017-06-05', ''),
  ('MMA1276', 63, 40, '2017-06-04', ''),
  ('MMA1276', 74, 46, '2017-07-10', ''),
  ('MMA5125', 91, 88, '2017-05-27', ''),
  ('MMA5125', 106, 117, '2017-06-08', ''),
  ('MMA5125', 122, 117, '2017-07-10', ''),
  ('MMA5189', 69, 46, '2017-05-27', ''),
  ('MMA5189', 85, 56, '2017-06-08', ''),
  ('MMA5189', 87, 57, '2017-07-10', ''),
  ('MMB1215', 123, 85, '2017-06-04', ''),
  ('MMC5245', 51, 24, '2017-06-10', ''),
  ('MMB1198', 54, 35, '2017-05-13', ''),
  ('MMA1005', 56, 57, '2017-05-08', ''),
  ('MMA1005', 113, 112, '2017-06-04', ''),
  ('MMA5184', 76, 45, '2017-05-27', ''),
  ('MMA5184', 92, 53, '2017-06-08', ''),
  ('MMA5184', 95, 55, '2017-07-10', ''),
  ('MMC1005', 64, 49, '2017-05-17', ''),
  ('MMC1005', 106, 84, '2017-06-05', ''),
  ('MMC5118', 66, 43, '2017-05-28', ''),
  ('MMC5118', 78, 53, '2017-06-10', ''),
  ('MMC5118', 80, 56, '2017-07-11', ''),
  ('MMB7132', 98, 80, '2017-06-01', ''),
  ('MMB7132', 131, 116, '2017-06-20', ''),
  ('MMC1039', 52, 34, '2017-05-17', ''),
  ('MMC1039', 90, 63, '2017-06-05', ''),
  ('MMA5149', 72, 45, '2017-05-27', ''),
  ('MMA5149', 42, 52, '2017-06-08', ''),
  ('MMA5149', 86, 54, '2017-07-10', ''),
  ('MMA5231', 75, 33, '2017-06-08', ''),
  ('MMA5231', 69, 32, '2017-07-10', ''),
  ('MMC5009', 72, 63, '2017-05-28', ''),
  ('MMC5009', 94, 77, '2017-06-10', ''),
  ('MMC5009', 97, 74, '2017-07-11', ''),
  ('MMA1277', 58, 32, '2017-06-04', ''),
  ('MMA1277', 60, 34, '2017-07-10', ''),
  ('MMB5128', 101, 108, '2017-05-23', ''),
  ('MMB5128', 148, 155, '2017-06-09', ''),
  ('MMB1194', 66, 41, '2017-05-13', ''),
  ('MMC1101', 69, 59, '2017-05-17', ''),
  ('MMC1101', 140, 109, '2017-06-05', ''),
  ('MMB5144', 96, 76, '2017-05-23', ''),
  ('MMB5144', 145, 112, '2017-06-09', ''),
  ('MMA5025', 72, 41, '2017-05-27', ''),
  ('MMA5025', 97, 55, '2017-06-08', ''),
  ('MMA5025', 100, 53, '2017-07-10', ''),
  ('MMA5168', 81, 55, '2017-05-27', ''),
  ('MMA5168', 96, 68, '2017-06-08', ''),
  ('MMA5168', 99, 66, '2017-07-10', ''),
  ('MMB1133', 54, 42, '2017-05-13', ''),
  ('MMB1133', 118, 92, '2017-06-04', ''),
  ('MMA5086', 97, 75, '2017-05-27', ''),
  ('MMA5086', 112, 89, '2017-06-08', ''),
  ('MMA5086', 115, 90, '2017-07-10', ''),
  ('MMA5055', 83, 76, '2017-05-27', ''),
  ('MMA5055', 103, 94, '2017-06-08', ''),
  ('MMA5055', 103, 93, '2017-07-10', ''),
  ('MMA1152', 50, 51, '2017-05-12', ''),
  ('MMA1152', 134, 145, '2017-06-04', ''),
  ('MMA1152', 134, 145, '2017-07-10', ''),
  ('MMC5247', 42, 27, '2017-06-10', ''),
  ('MMB1034', 69, 66, '2017-05-13', ''),
  ('MMB1034', 113, 101, '2017-06-04', ''),
  ('MMB5138', 77, 68, '2017-05-23', ''),
  ('MMB5138', 106, 95, '2017-06-09', ''),
  ('MMA5145', 83, 64, '2017-05-27', ''),
  ('MMA5145', 105, 81, '2017-06-08', ''),
  ('MMA5145', 107, 82, '2017-07-10', ''),
  ('MMB5097', 76, 65, '2017-05-23', ''),
  ('MMB5097', 102, 88, '2017-06-09', ''),
  ('MMB5177', 70, 52, '2017-05-23', ''),
  ('MMB5177', 105, 78, '2017-06-09', ''),
  ('MMC5042', 50, 25, '2017-05-28', ''),
  ('MMC1057', 71, 61, '2017-05-17', ''),
  ('MMC1057', 105, 92, '2017-06-05', ''),
  ('MMA1111', 52, 43, '2017-05-12', ''),
  ('MMA1111', 122, 104, '2017-06-04', ''),
  ('MMA1111', 134, 101, '2017-07-10', ''),
  ('MMB1094', 50, 44, '2017-05-13', ''),
  ('MMB1094', 127, 109, '2017-06-04', ''),
  ('MMC1087', 57, 61, '2017-05-17', ''),
  ('MMC1087', 133, 143, '2017-06-05', ''),
  ('MMC5098', 63, 40, '2017-05-28', ''),
  ('MMC5098', 76, 46, '2017-07-11', ''),
  ('MMA7079', 41, 22, '2017-05-31', ''),
  ('MMA7079', 61, 33, '2017-06-19', ''),
  ('MMB7145', 100, 58, '2017-06-20', ''),
  ('MMC1132', 69, 68, '2017-05-17', ''),
  ('MMC1132', 138, 138, '2017-06-05', ''),
  ('MMB5216', 88, 62, '2017-05-23', ''),
  ('MMB5216', 120, 85, '2017-06-09', ''),
  ('MMA7001', 81, 63, '2017-05-31', ''),
  ('MMA7001', 106, 80, '2017-06-19', ''),
  ('MMC1234', 72, 52, '2017-06-05', ''),
  ('MMC5137', 94, 83, '2017-05-28', ''),
  ('MMC5137', 111, 98, '2017-06-10', ''),
  ('MMC1206', 70, 65, '2017-05-17', ''),
  ('MMC1206', 105, 107, '2017-06-05', ''),
  ('MMC7113', 56, 39, '2017-06-02', ''),
  ('MMC7113', 61, 42, '2017-06-20', ''),
  ('MMC1262', 71, 36, '2017-06-05', ''),
  ('MMA5249', 48, 25, '2017-06-08', ''),
  ('MMC1247', 83, 39, '2017-06-05', ''),
  ('MMB1204', 51, 40, '2017-05-13', ''),
  ('MMB1204', 112, 106, '2017-06-04', ''),
  ('MMB5002', 102, 82, '2017-05-23', ''),
  ('MMB5002', 144, 113, '2017-06-09', ''),
  ('MMB5121', 101, 98, '2017-05-23', ''),
  ('MMB5121', 148, 137, '2017-06-09', ''),
  ('MMA5031', 82, 53, '2017-05-27', ''),
  ('MMA5031', 98, 68, '2017-06-08', ''),
  ('MMA5031', 100, 69, '2017-07-10', ''),
  ('MMA5216', 68, 35, '2017-06-08', ''),
  ('MMA5216', 71, 36, '2017-07-10', ''),
  ('MMB1171', 54, 43, '2017-05-13', ''),
  ('MMC5068', 56, 37, '2017-05-28', ''),
  ('MMC5068', 76, 51, '2017-06-10', ''),
  ('MMC5068', 78, 54, '2017-07-11', ''),
  ('MMC1251', 45, 23, '2017-06-05', ''),
  ('MMC5214', 60, 27, '2017-06-10', ''),
  ('MMB7011', 86, 62, '2017-06-01', ''),
  ('MMB7011', 111, 78, '2017-06-20', ''),
  ('MMB5070', 97, 98, '2017-05-23', ''),
  ('MMC7112', 61, 31, '2017-06-02', ''),
  ('MMC7112', 68, 37, '2017-06-20', ''),
  ('MMA5229', 70, 40, '2017-06-08', ''),
  ('MMA5229', 67, 41, '2017-07-10', ''),
  ('MMA1029', 52, 42, '2017-05-08', ''),
  ('MMA1029', 107, 80, '2017-06-04', ''),
  ('MMA1029', 117, 80, '2017-07-10', ''),
  ('MMA1223', 112, 101, '2017-06-04', ''),
  ('MMB1308', 101, 75, '2017-06-04', ''),
  ('MMB1207', 50, 41, '2017-05-13', ''),
  ('MMB1207', 109, 87, '2017-06-04', ''),
  ('MMB5081', 101, 105, '2017-05-23', ''),
  ('MMC5202', 99, 67, '2017-05-28', ''),
  ('MMC5202', 225, 86, '2017-06-10', ''),
  ('MMA1076', 70, 49, '2017-05-12', ''),
  ('MMA1076', 123, 92, '2017-06-04', ''),
  ('MMC5072', 52, 29, '2017-05-28', ''),
  ('MMC5072', 55, 30, '2017-06-10', ''),
  ('MMC5072', 56, 31, '2017-07-11', ''),
  ('MMC1048', 75, 52, '2017-05-17', ''),
  ('MMC1048', 126, 94, '2017-06-05', ''),
  ('MMA5056', 61, 45, '2017-05-27', ''),
  ('MMA5056', 77, 60, '2017-06-08', ''),
  ('MMA5056', 75, 62, '2017-07-10', ''),
  ('MMA5137', 57, 39, '2017-05-27', ''),
  ('MMA5137', 74, 48, '2017-06-08', ''),
  ('MMA5137', 68, 51, '2017-07-10', ''),
  ('MMC7085', 69, 32, '2017-06-02', ''),
  ('MMC7085', 54, 29, '2017-06-20', ''),
  ('MMB1011', 50, 50, '2017-05-13', ''),
  ('MMB7072', 32, 11, '2017-06-01', ''),
  ('MMB7072', 46, 24, '2017-06-20', ''),
  ('MMA1006', 50, 42, '2017-05-08', ''),
  ('MMA1006', 95, 77, '2017-06-04', ''),
  ('MMA1256', 97, 75, '2017-06-04', ''),
  ('MMA1256', 102, 73, '2017-07-10', ''),
  ('MMB1189', 61, 40, '2017-05-13', ''),
  ('MMC1184', 54, 34, '2017-05-17', ''),
  ('MMC1184', 95, 58, '2017-06-05', ''),
  ('MMA5093', 57, 28, '2017-05-27', ''),
  ('MMA5093', 80, 36, '2017-07-10', ''),
  ('MMA5108', 81, 63, '2017-05-27', ''),
  ('MMA5108', 97, 75, '2017-06-08', ''),
  ('MMA5108', 96, 69, '2017-07-10', ''),
  ('MMB1126', 59, 51, '2017-05-13', ''),
  ('MMB1126', 106, 98, '2017-06-04', ''),
  ('MMB5044', 69, 44, '2017-05-23', ''),
  ('MMB5044', 93, 56, '2017-06-09', '1 feuille broutée'),
  ('MMA1176', 51, 54, '2017-05-12', ''),
  ('MMA1176', 120, 96, '2017-06-04', ''),
  ('MMB7117', 43, 22, '2017-06-01', ''),
  ('MMB7117', 63, 27, '2017-06-20', ''),
  ('MMB5060', 52, 30, '2017-05-23', ''),
  ('MMB5060', 84, 57, '2017-06-09', ''),
  ('MMA5160', 50, 29, '2017-05-27', ''),
  ('MMB1289', 100, 81, '2017-06-04', ''),
  ('MMB1156', 73, 56, '2017-05-13', ''),
  ('MMB1156', 142, 108, '2017-06-04', ''),
  ('MMC1167', 52, 21, '2017-05-17', ''),
  ('MMC1167', 95, 40, '2017-06-05', ''),
  ('MMC7040', 61, 36, '2017-06-02', ''),
  ('MMC7040', 69, 38, '2017-06-20', ''),
  ('MMB1056', 76, 72, '2017-05-13', ''),
  ('MMB1056', 130, 117, '2017-06-04', ''),
  ('MMC7090', 47, 28, '2017-06-02', ''),
  ('MMA1240', 123, 92, '2017-06-04', ''),
  ('MMB1016', 61, 52, '2017-05-13', ''),
  ('MMB1016', 128, 108, '2017-06-04', ''),
  ('MMC5200', 77, 57, '2017-05-28', ''),
  ('MMC5200', 99, 64, '2017-06-10', ''),
  ('MMC5061', 60, 27, '2017-05-28', ''),
  ('MMC5061', 71, 33, '2017-06-10', ''),
  ('MMC5061', 76, 34, '2017-07-11', ''),
  ('MMB7059', 55, 29, '2017-06-01', ''),
  ('MMB7059', 110, 59, '2017-06-20', ''),
  ('MMB1083', 56, 51, '2017-05-13', ''),
  ('MMB1083', 118, 117, '2017-06-04', ''),
  ('MMB5119', 82, 60, '2017-05-23', ''),
  ('MMB5119', 118, 80, '2017-06-09', ''),
  ('MMC7077', 67, 47, '2017-06-02', ''),
  ('MMC7077', 70, 51, '2017-06-20', ''),
  ('MMA1207', 67, 32, '2017-06-04', ''),
  ('MMA1261', 110, 104, '2017-06-04', ''),
  ('MMA1261', 111, 104, '2017-07-10', ''),
  ('MMC1051', 51, 23, '2017-05-17', ''),
  ('MMC1051', 100, 57, '2017-06-05', ''),
  ('MMC1143', 65, 45, '2017-05-17', ''),
  ('MMC1143', 110, 70, '2017-06-05', '1 feuille morte'),
  ('MMB5057', 88, 72, '2017-05-23', ''),
  ('MMB5057', 121, 95, '2017-06-09', ''),
  ('MMA5044', 75, 56, '2017-05-27', ''),
  ('MMA5044', 102, 75, '2017-06-08', ''),
  ('MMA5044', 110, 83, '2017-07-10', ''),
  ('MMC1217', 58, 24, '2017-06-05', ''),
  ('MMC7026', 77, 59, '2017-06-02', ''),
  ('MMC7026', 80, 61, '2017-06-20', ''),
  ('MMC5080', 103, 108, '2017-05-28', ''),
  ('MMC5080', 125, 130, '2017-06-10', ''),
  ('MMC5080', 132, 129, '2017-07-11', ''),
  ('MMA7061', 89, 89, '2017-05-31', ''),
  ('MMA7061', 144, 137, '2017-06-19', ''),
  ('MMA5161', 51, 39, '2017-05-27', ''),
  ('MMA5161', 65, 50, '2017-06-08', ''),
  ('MMA5173', 55, 42, '2017-05-27', ''),
  ('MMA5173', 69, 50, '2017-06-08', ''),
  ('MMB1167', 51, 41, '2017-05-13', ''),
  ('MMB1167', 133, 105, '2017-06-04', ''),
  ('MMA7052', 32, 20, '2017-05-31', ''),
  ('MMA7052', 70, 45, '2017-06-19', ''),
  ('MMA1007', 52, 42, '2017-05-08', ''),
  ('MMA1007', 133, 108, '2017-06-04', ''),
  ('MMA1007', 127, 102, '2017-07-10', ''),
  ('MMA1182', 71, 53, '2017-05-12', ''),
  ('MMA1182', 153, 100, '2017-06-04', ''),
  ('MMB1050', 53, 49, '2017-05-13', ''),
  ('MMB1050', 142, 117, '2017-06-04', ''),
  ('MMA1269', 97, 80, '2017-06-04', ''),
  ('MMA1269', 100, 82, '2017-07-10', ''),
  ('MMB7023', 44, 32, '2017-06-01', ''),
  ('MMB7023', 65, 49, '2017-06-20', ''),
  ('MMA1206', 65, 35, '2017-06-04', ''),
  ('MMB1173', 51, 38, '2017-05-13', ''),
  ('MMB1173', 139, 100, '2017-06-04', ''),
  ('MMC7001', 82, 49, '2017-06-02', ''),
  ('MMC7001', 84, 55, '2017-06-20', ''),
  ('MMC1020', 68, 67, '2017-05-17', ''),
  ('MMC1020', 139, 128, '2017-06-05', ''),
  ('MMC7068', 72, 33, '2017-06-02', ''),
  ('MMC7068', 71, 32, '2017-06-20', ''),
  ('MMB1125', 56, 46, '2017-05-13', ''),
  ('MMB1125', 111, 93, '2017-06-04', ''),
  ('MMA5036', 64, 40, '2017-05-27', ''),
  ('MMA5036', 81, 50, '2017-06-08', ''),
  ('MMA5036', 83, 51, '2017-07-10', ''),
  ('MMB5185', 71, 53, '2017-05-23', ''),
  ('MMB5185', 90, 66, '2017-06-09', ''),
  ('MMA5032', 94, 82, '2017-05-27', ''),
  ('MMA5032', 112, 94, '2017-06-08', ''),
  ('MMA5032', 120, 112, '2017-07-10', ''),
  ('MMA5113', 56, 45, '2017-05-27', ''),
  ('MMA5113', 71, 56, '2017-06-08', ''),
  ('MMA5113', 78, 62, '2017-07-10', ''),
  ('MMA5158', 75, 61, '2017-05-27', ''),
  ('MMA5158', 99, 78, '2017-06-08', ''),
  ('MMA5158', 100, 83, '2017-07-10', ''),
  ('MMB7084', 69, 57, '2017-06-01', ''),
  ('MMB7084', 106, 91, '2017-06-20', ''),
  ('MMC1241', 99, 82, '2017-06-05', ''),
  ('MMC5014', 78, 54, '2017-05-28', ''),
  ('MMC5014', 97, 66, '2017-06-10', ''),
  ('MMC5014', 98, 67, '2017-07-11', ''),
  ('MMC5077', 80, 50, '2017-05-28', ''),
  ('MMC5077', 86, 55, '2017-06-10', ''),
  ('MMC5077', 84, 46, '2017-07-11', ''),
  ('MMC1166', 77, 58, '2017-05-17', ''),
  ('MMC1166', 145, 109, '2017-06-05', ''),
  ('MMA5247', 66, 34, '2017-06-08', ''),
  ('MMA5247', 61, 31, '2017-07-10', ''),
  ('MMA1156', 54, 51, '2017-05-12', ''),
  ('MMA1156', 136, 127, '2017-06-04', ''),
  ('MMA1156', 140, 130, '2017-07-10', ''),
  ('MMA5091', 100, 93, '2017-05-27', ''),
  ('MMA5091', 127, 118, '2017-06-08', ''),
  ('MMA5091', 127, 129, '2017-07-10', ''),
  ('MMC1023', 52, 33, '2017-05-17', ''),
  ('MMC1023', 91, 59, '2017-06-05', ''),
  ('MMC1210', 63, 31, '2017-06-05', ''),
  ('MMB1035', 55, 45, '2017-05-13', ''),
  ('MMB1075', 50, 39, '2017-05-13', ''),
  ('MMB1075', 101, 80, '2017-06-04', ''),
  ('MMA1091', 52, 51, '2017-05-12', ''),
  ('MMA1222', 74, 42, '2017-06-04', ''),
  ('MMA1222', 71, 41, '2017-07-10', ''),
  ('MMB1205', 54, 37, '2017-05-13', ''),
  ('MMB1205', 107, 75, '2017-06-04', ''),
  ('MMB7030', 42, 20, '2017-06-01', ''),
  ('MMB7030', 67, 31, '2017-06-20', ''),
  ('MMC1121', 62, 42, '2017-05-17', ''),
  ('MMC1121', 94, 65, '2017-06-05', ''),
  ('MMB1287', 110, 81, '2017-06-04', ''),
  ('MMB5071', 63, 46, '2017-05-23', ''),
  ('MMB5071', 95, 69, '2017-06-09', ''),
  ('MMC1001', 80, 71, '2017-05-17', ''),
  ('MMC1001', 143, 131, '2017-06-05', ''),
  ('MMB7094', 93, 74, '2017-06-01', ''),
  ('MMB7094', 135, 95, '2017-06-20', ''),
  ('MMB1226', 132, 117, '2017-06-04', ''),
  ('MMB1101', 53, 42, '2017-05-13', ''),
  ('MMB1101', 100, 85, '2017-06-04', ''),
  ('MMC1122', 79, 73, '2017-05-17', ''),
  ('MMC1122', 140, 131, '2017-06-05', ''),
  ('MMB1015', 58, 53, '2017-05-13', ''),
  ('MMB1015', 128, 108, '2017-06-04', ''),
  ('MMC5226', 54, 33, '2017-06-10', ''),
  ('MMC7009', 31, 13, '2017-06-02', ''),
  ('MMC7009', 33, 19, '2017-06-20', ''),
  ('MMB5150', 102, 81, '2017-05-23', ''),
  ('MMB5150', 156, 120, '2017-06-09', ''),
  ('MMB1172', 54, 44, '2017-05-13', ''),
  ('MMB1172', 136, 111, '2017-06-04', ''),
  ('MMA5002', 59, 39, '2017-05-27', ''),
  ('MMA5002', 73, 46, '2017-06-08', ''),
  ('MMB1082', 66, 60, '2017-05-13', ''),
  ('MMB1082', 119, 117, '2017-06-04', ''),
  ('MMB1087', 54, 44, '2017-05-13', ''),
  ('MMC1164', 55, 31, '2017-05-17', ''),
  ('MMC1164', 92, 62, '2017-06-05', ''),
  ('MMC5150', 72, 62, '2017-05-28', ''),
  ('MMC5150', 84, 74, '2017-06-10', ''),
  ('MMA1208', 110, 73, '2017-06-04', ''),
  ('MMA1208', 96, 71, '2017-07-10', ''),
  ('MMA1203', 124, 108, '2017-06-04', ''),
  ('MMA1203', 135, 119, '2017-07-10', ''),
  ('MMA1174', 52, 50, '2017-05-12', ''),
  ('MMA1174', 150, 137, '2017-06-04', ''),
  ('MMA1244', 80, 70, '2017-06-04', ''),
  ('MMA1244', 80, 71, '2017-07-10', ''),
  ('MMC5119', 66, 43, '2017-05-28', ''),
  ('MMC5119', 54, 29, '2017-06-10', ''),
  ('MMC5119', 81, 56, '2017-07-11', ''),
  ('MMB1235', 80, 42, '2017-06-04', ''),
  ('MMA5039', 53, 38, '2017-05-27', ''),
  ('MMA5039', 64, 47, '2017-06-08', ''),
  ('MMA5039', 69, 49, '2017-07-10', ''),
  ('MMA7066', 83, 60, '2017-05-31', ''),
  ('MMA7066', 128, 97, '2017-06-19', ''),
  ('MMB7115', 56, 41, '2017-06-01', ''),
  ('MMB7115', 80, 57, '2017-06-20', ''),
  ('MMC7082', 78, 47, '2017-06-02', ''),
  ('MMC7082', 84, 55, '2017-06-20', ''),
  ('MMA7115', 50, 62, '2017-05-31', ''),
  ('MMA7115', 68, 43, '2017-06-19', ''),
  ('MMA5064', 62, 40, '2017-05-27', ''),
  ('MMA5064', 85, 52, '2017-06-08', ''),
  ('MMA5064', 90, 53, '2017-07-10', ''),
  ('MMA1073', 50, 47, '2017-05-12', ''),
  ('MMA1073', 120, 107, '2017-06-04', ''),
  ('MMA1073', 120, 111, '2017-07-10', ''),
  ('MMC1119', 54, 36, '2017-05-17', ''),
  ('MMC1119', 96, 67, '2017-06-05', ''),
  ('MMA1228', 113, 68, '2017-06-04', ''),
  ('MMA1228', 106, 57, '2017-07-10', ''),
  ('MMA5235', 50, 21, '2017-06-08', ''),
  ('MMA5235', 49, 21, '2017-07-10', ''),
  ('MMC1138', 68, 51, '2017-05-17', ''),
  ('MMC1138', 112, 90, '2017-06-05', ''),
  ('MMA1255', 98, 102, '2017-06-04', ''),
  ('MMB5199', 81, 65, '2017-05-23', ''),
  ('MMB5199', 111, 88, '2017-06-09', ''),
  ('MMC7039', 45, 22, '2017-06-02', ''),
  ('MMC7039', 48, 30, '2017-06-20', ''),
  ('MMC7133', 86, 64, '2017-06-20', ''),
  ('MMC1069', 64, 43, '2017-05-17', ''),
  ('MMC1069', 96, 67, '2017-06-05', 'manque 2 feuilles'),
  ('MMB5055', 79, 76, '2017-05-23', ''),
  ('MMB5055', 129, 113, '2017-06-09', ''),
  ('MMA1153', 56, 40, '2017-05-12', ''),
  ('MMA1153', 113, 83, '2017-06-04', ''),
  ('MMA1153', 114, 86, '2017-07-10', ''),
  ('MMB1150', 56, 43, '2017-05-13', ''),
  ('MMC1202', 62, 59, '2017-05-17', ''),
  ('MMC1202', 119, 112, '2017-06-05', ''),
  ('MMA1250', 93, 84, '2017-06-04', ''),
  ('MMA1250', 96, 88, '2017-07-10', ''),
  ('MMB5048', 113, 93, '2017-05-23', ''),
  ('MMB1255', 107, 90, '2017-06-04', ''),
  ('MMC1294', 101, 64, '2017-06-05', ''),
  ('MMB1013', 55, 42, '2017-05-13', ''),
  ('MMB1013', 116, 88, '2017-06-04', ''),
  ('MMC7020', 74, 46, '2017-06-02', ''),
  ('MMC7020', 81, 59, '2017-06-20', ''),
  ('MMC7054', 73, 42, '2017-06-02', ''),
  ('MMC7054', 70, 43, '2017-06-20', 'manque 1 feuille'),
  ('MMA1173', 55, 53, '2017-05-12', ''),
  ('MMA1173', 141, 134, '2017-06-04', ''),
  ('MMA1173', 147, 141, '2017-07-10', ''),
  ('MMC1169', 61, 32, '2017-05-17', ''),
  ('MMC1169', 120, 62, '2017-06-05', ''),
  ('MMC5225', 75, 45, '2017-06-10', ''),
  ('MMA5073', 51, 22, '2017-05-27', ''),
  ('MMA5073', 69, 30, '2017-06-08', ''),
  ('MMC5166', 92, 71, '2017-05-28', ''),
  ('MMC5166', 111, 93, '2017-06-10', ''),
  ('MMA5130', 91, 78, '2017-05-27', ''),
  ('MMA5130', 120, 100, '2017-06-08', ''),
  ('MMA5130', 119, 103, '2017-07-10', ''),
  ('MMA1003', 50, 41, '2017-05-08', ''),
  ('MMA1003', 133, 104, '2017-06-04', ''),
  ('MMA1003', 140, 109, '2017-07-10', ''),
  ('MMB1038', 52, 42, '2017-05-13', ''),
  ('MMB1038', 133, 102, '2017-06-04', ''),
  ('MMB1095', 55, 42, '2017-05-13', ''),
  ('MMB1095', 125, 112, '2017-06-04', ''),
  ('MMA1002', 56, 49, '2017-05-08', ''),
  ('MMA1021', 52, 41, '2017-05-08', ''),
  ('MMA1021', 110, 81, '2017-06-04', ''),
  ('MMA1021', 101, 85, '2017-07-10', ''),
  ('MMB7055', 85, 68, '2017-06-01', ''),
  ('MMB7055', 125, 98, '2017-06-20', ''),
  ('MMB5194', 83, 78, '2017-05-23', ''),
  ('MMB5194', 113, 105, '2017-06-09', ''),
  ('MMC5175', 72, 54, '2017-05-28', ''),
  ('MMC5175', 90, 77, '2017-06-10', ''),
  ('MMC5181', 63, 40, '2017-05-28', ''),
  ('MMC5181', 76, 50, '2017-06-10', ''),
  ('MMB7127', 31, 13, '2017-06-01', ''),
  ('MMB7127', 44, 21, '2017-06-20', ''),
  ('MMC7016', 62, 42, '2017-06-02', ''),
  ('MMC7016', 74, 46, '2017-06-20', ''),
  ('MMB1182', 50, 33, '2017-05-13', ''),
  ('MMB1182', 100, 68, '2017-06-04', ''),
  ('MMC5157', 73, 42, '2017-05-28', ''),
  ('MMC5157', 81, 48, '2017-06-10', ''),
  ('MMB1065', 58, 52, '2017-05-13', ''),
  ('MMB1065', 116, 100, '2017-06-04', ''),
  ('MMB1225', 133, 136, '2017-06-04', ''),
  ('MMC5131', 83, 59, '2017-05-28', ''),
  ('MMC5131', 98, 67, '2017-06-10', ''),
  ('MMA5119', 63, 72, '2017-05-27', ''),
  ('MMB1044', 59, 44, '2017-05-13', ''),
  ('MMB1044', 101, 71, '2017-06-04', ''),
  ('MMC1292', 79, 66, '2017-06-05', ''),
  ('MMA1154', 53, 40, '2017-05-12', ''),
  ('MMA1154', 101, 80, '2017-06-04', ''),
  ('MMC5146', 71, 49, '2017-05-28', ''),
  ('MMC5146', 76, 60, '2017-06-10', ''),
  ('MMC7067', 63, 28, '2017-06-02', ''),
  ('MMC7067', 70, 30, '2017-06-20', ''),
  ('MMC7034', 43, 29, '2017-06-02', ''),
  ('MMC7034', 50, 34, '2017-06-20', ''),
  ('MMC5180', 72, 45, '2017-05-28', ''),
  ('MMC5180', 87, 61, '2017-06-10', ''),
  ('MMA7072', 65, 37, '2017-05-31', ''),
  ('MMA7072', 79, 46, '2017-06-19', ''),
  ('MMC5129', 99, 82, '2017-05-28', ''),
  ('MMC5129', 113, 93, '2017-06-10', ''),
  ('MMB1246', 70, 49, '2017-06-04', ''),
  ('MMC7075', 91, 57, '2017-06-02', ''),
  ('MMB1278', 101, 71, '2017-06-04', ''),
  ('MMB5226', 54, 30, '2017-06-09', ''),
  ('MMA1057', 50, 50, '2017-05-12', ''),
  ('MMA1057', 141, 130, '2017-06-04', ''),
  ('MMB1099', 64, 51, '2017-05-13', ''),
  ('MMB1099', 118, 95, '2017-06-04', ''),
  ('MMC7138', 73, 43, '2017-06-20', ''),
  ('MMA1035', 50, 31, '2017-05-08', ''),
  ('MMA1035', 119, 81, '2017-06-04', ''),
  ('MMA1035', 120, 83, '2017-07-10', ''),
  ('MMB1110', 66, 59, '2017-05-13', ''),
  ('MMA5169', 76, 54, '2017-05-27', ''),
  ('MMA5169', 89, 60, '2017-06-08', ''),
  ('MMA5169', 91, 65, '2017-07-10', ''),
  ('MMA5206', 85, 86, '2017-05-27', ''),
  ('MMA5206', 108, 112, '2017-06-08', ''),
  ('MMA5206', 110, 111, '2017-07-10', ''),
  ('MMA7126', 74, 41, '2017-05-31', ''),
  ('MMA7126', 84, 50, '2017-06-19', ''),
  ('MMC7130', 120, 96, '2017-06-02', ''),
  ('MMC7130', 136, 105, '2017-06-20', ''),
  ('MMC7106', 65, 43, '2017-06-02', ''),
  ('MMC7106', 72, 50, '2017-06-20', ''),
  ('MMC5218', 56, 34, '2017-06-10', ''),
  ('MMC5044', 92, 53, '2017-05-28', ''),
  ('MMC5044', 105, 62, '2017-06-10', ''),
  ('MMC5044', 104, 64, '2017-07-11', ''),
  ('MMA7094', 109, 76, '2017-05-31', ''),
  ('MMC5230', 45, 19, '2017-06-10', ''),
  ('MMA5121', 78, 76, '2017-05-27', ''),
  ('MMA5121', 94, 90, '2017-06-08', ''),
  ('MMA5121', 100, 91, '2017-07-10', ''),
  ('MMA1227', 112, 74, '2017-06-04', ''),
  ('MMA1227', 100, 78, '2017-07-10', ''),
  ('MMB1106', 50, 40, '2017-05-13', ''),
  ('MMB1106', 80, 78, '2017-06-04', ''),
  ('MMC5158', 85, 55, '2017-05-28', ''),
  ('MMC5158', 101, 65, '2017-06-10', ''),
  ('MMA1171', 52, 50, '2017-05-12', ''),
  ('MMA1171', 146, 133, '2017-06-04', ''),
  ('MMC7110', 109, 85, '2017-06-02', ''),
  ('MMC7110', 109, 89, '2017-06-20', ''),
  ('MMA1297', 76, 59, '2017-06-04', ''),
  ('MMA1297', 77, 60, '2017-07-10', ''),
  ('MMB1077', 50, 48, '2017-05-13', ''),
  ('MMA5106', 59, 31, '2017-05-27', ''),
  ('MMA5106', 78, 45, '2017-06-08', ''),
  ('MMA5106', 81, 48, '2017-07-10', ''),
  ('MMA5024', 105, 108, '2017-05-27', ''),
  ('MMA5024', 137, 135, '2017-06-08', ''),
  ('MMA5024', 146, 144, '2017-07-10', ''),
  ('MMA1030', 58, 52, '2017-05-08', ''),
  ('MMA1030', 135, 142, '2017-06-04', ''),
  ('MMC7003', 69, 49, '2017-06-02', ''),
  ('MMC7003', 74, 54, '2017-06-20', ''),
  ('MMA5010', 83, 60, '2017-05-27', ''),
  ('MMA5010', 111, 83, '2017-07-10', ''),
  ('MMA1064', 54, 52, '2017-05-12', ''),
  ('MMA1064', 125, 117, '2017-06-04', ''),
  ('MMA1064', 125, 129, '2017-07-10', ''),
  ('MMB1251', 87, 56, '2017-06-04', ''),
  ('MMC1250', 72, 43, '2017-06-05', ''),
  ('MMC1090', 55, 44, '2017-05-17', ''),
  ('MMC1090', 95, 80, '2017-06-05', ''),
  ('MMB5151', 91, 80, '2017-05-23', ''),
  ('MMB5151', 132, 111, '2017-06-09', ''),
  ('MMB5154', 101, 75, '2017-05-23', ''),
  ('MMC5136', 64, 39, '2017-05-28', ''),
  ('MMC5136', 74, 34, '2017-06-10', ''),
  ('MMA1004', 56, 56, '2017-05-08', ''),
  ('MMA1004', 128, 110, '2017-06-04', ''),
  ('MMA1004', 129, 122, '2017-07-10', ''),
  ('MMA1121', 62, 55, '2017-05-12', ''),
  ('MMA1121', 141, 126, '2017-06-04', ''),
  ('MMA1121', 145, 128, '2017-07-10', ''),
  ('MMB1183', 58, 43, '2017-05-13', ''),
  ('MMB1183', 128, 92, '2017-06-04', ''),
  ('MMB7012', 79, 56, '2017-06-01', ''),
  ('MMB7012', 109, 72, '2017-06-20', ''),
  ('MMA5239', 70, 40, '2017-06-08', ''),
  ('MMA5239', 71, 41, '2017-07-10', ''),
  ('MMA1157', 50, 49, '2017-05-12', ''),
  ('MMA1157', 119, 112, '2017-06-04', ''),
  ('MMA1157', 119, 115, '2017-07-10', ''),
  ('MMC1091', 73, 65, '2017-05-17', ''),
  ('MMC1091', 140, 119, '2017-06-05', ''),
  ('MMC5023', 49, 29, '2017-05-28', ''),
  ('MMC5023', 76, 45, '2017-06-10', ''),
  ('MMA5222', 55, 21, '2017-06-08', ''),
  ('MMA5222', 54, 24, '2017-07-10', ''),
  ('MMB1113', 50, 35, '2017-05-13', ''),
  ('MMB1113', 86, 65, '2017-06-04', ''),
  ('MMC1116', 82, 73, '2017-05-17', ''),
  ('MMC1116', 152, 131, '2017-06-05', ''),
  ('MMB5083', 82, 67, '2017-05-23', ''),
  ('MMB5083', 127, 98, '2017-06-09', ''),
  ('MMA5063', 81, 63, '2017-05-27', ''),
  ('MMA5063', 108, 84, '2017-06-08', ''),
  ('MMA5063', 108, 87, '2017-07-10', ''),
  ('MMB5163', 87, 68, '2017-05-23', ''),
  ('MMB5163', 112, 88, '2017-06-09', ''),
  ('MMB1144', 57, 46, '2017-05-13', ''),
  ('MMB1144', 111, 82, '2017-06-04', ''),
  ('MMB1036', 61, 51, '2017-05-13', ''),
  ('MMB5072', 84, 67, '2017-05-23', ''),
  ('MMB5072', 122, 97, '2017-06-09', ''),
  ('MMB7044', 60, 41, '2017-06-01', ''),
  ('MMB7044', 96, 67, '2017-06-20', ''),
  ('MMC1291', 106, 70, '2017-06-05', ''),
  ('MMC5040', 62, 41, '2017-05-28', ''),
  ('MMC5040', 77, 48, '2017-06-10', ''),
  ('MMC5040', 76, 46, '2017-07-11', ''),
  ('MMB5023', 65, 41, '2017-05-23', ''),
  ('MMB5023', 81, 52, '2017-06-09', ''),
  ('MMA5013', 52, 35, '2017-05-27', ''),
  ('MMA5013', 67, 45, '2017-06-08', ''),
  ('MMA5013', 104, 77, '2017-07-10', ''),
  ('MMC1211', 84, 68, '2017-06-05', ''),
  ('MMB1026', 55, 34, '2017-05-13', ''),
  ('MMB1026', 113, 72, '2017-06-04', ''),
  ('MMA1193', 55, 52, '2017-05-12', ''),
  ('MMA1193', 134, 121, '2017-06-04', ''),
  ('MMA1193', 131, 126, '2017-07-10', ''),
  ('MMB5001', 62, 46, '2017-05-23', ''),
  ('MMB5001', 76, 51, '2017-06-09', ''),
  ('MMB5016', 53, 39, '2017-05-23', ''),
  ('MMB5016', 80, 43, '2017-06-09', ''),
  ('MMA1242', 85, 71, '2017-06-04', ''),
  ('MMA1242', 85, 71, '2017-07-10', ''),
  ('MMA1147', 60, 40, '2017-05-12', ''),
  ('MMA1147', 114, 71, '2017-06-04', ''),
  ('MMA1147', 110, 79, '2017-07-10', ''),
  ('MMC1221', 68, 52, '2017-06-05', ''),
  ('MMC5238', 47, 31, '2017-06-10', ''),
  ('MMB1306', 69, 51, '2017-06-04', ''),
  ('MMB7018', 56, 30, '2017-06-01', ''),
  ('MMB7018', 92, 58, '2017-06-20', ''),
  ('MMA1273', 86, 68, '2017-06-04', ''),
  ('MMA1273', 87, 69, '2017-07-10', ''),
  ('MMB5130', 56, 32, '2017-05-23', ''),
  ('MMB5130', 81, 46, '2017-06-09', ''),
  ('MMC5198', 96, 80, '2017-05-28', ''),
  ('MMC5198', 109, 93, '2017-06-10', ''),
  ('MMC1213', 99, 58, '2017-06-05', ''),
  ('MMB5056', 99, 92, '2017-05-23', ''),
  ('MMB5056', 145, 128, '2017-06-09', ''),
  ('MMA5198', 73, 60, '2017-05-27', ''),
  ('MMA5198', 97, 80, '2017-06-08', ''),
  ('MMA5198', 104, 85, '2017-07-10', ''),
  ('MMA1287', 93, 62, '2017-06-04', ''),
  ('MMA1287', 97, 62, '2017-07-10', ''),
  ('MMA1131', 60, 62, '2017-05-12', ''),
  ('MMA1131', 141, 133, '2017-06-04', ''),
  ('MMB5204', 52, 39, '2017-05-23', ''),
  ('MMB5204', 75, 51, '2017-06-09', ''),
  ('MMA5084', 50, 21, '2017-05-27', ''),
  ('MMA5084', 59, 31, '2017-06-08', ''),
  ('MMB7020', 62, 39, '2017-06-01', ''),
  ('MMB7020', 79, 45, '2017-06-20', ''),
  ('MMB1307', 118, 88, '2017-06-04', ''),
  ('MMC5067', 75, 48, '2017-05-28', ''),
  ('MMC5067', 96, 62, '2017-06-10', ''),
  ('MMC5067', 98, 65, '2017-07-11', ''),
  ('MMC5109', 86, 65, '2017-05-28', ''),
  ('MMC5109', 97, 73, '2017-06-10', ''),
  ('MMC5109', 96, 75, '2017-07-11', ''),
  ('MMA5209', 72, 53, '2017-05-27', ''),
  ('MMA5209', 95, 76, '2017-06-08', ''),
  ('MMA5209', 96, 68, '2017-07-10', ''),
  ('MMA1067', 72, 60, '2017-05-12', ''),
  ('MMA1067', 132, 104, '2017-06-04', ''),
  ('MMA1067', 132, 108, '2017-07-10', ''),
  ('MMA5092', 112, 105, '2017-05-27', ''),
  ('MMA5092', 133, 120, '2017-06-08', ''),
  ('MMA5092', 130, 121, '2017-07-10', ''),
  ('MMA1113', 51, 36, '2017-05-12', ''),
  ('MMA1113', 122, 92, '2017-06-04', ''),
  ('MMA1113', 130, 94, '2017-07-10', ''),
  ('MMC5196', 51, 25, '2017-05-28', ''),
  ('MMC5196', 62, 32, '2017-06-10', ''),
  ('MMC5047', 109, 79, '2017-05-28', ''),
  ('MMC5047', 121, 94, '2017-06-10', ''),
  ('MMC5047', 122, 96, '2017-07-11', ''),
  ('MMA7033', 81, 73, '2017-05-31', ''),
  ('MMA7033', 104, 97, '2017-06-19', ''),
  ('MMA7135', 134, 114, '2017-06-19', ''),
  ('MMA1092', 60, 56, '2017-05-12', ''),
  ('MMA1092', 119, 112, '2017-06-04', ''),
  ('MMA1092', 119, 114, '2017-07-10', ''),
  ('MMC5082', 66, 44, '2017-05-28', ''),
  ('MMC5082', 82, 57, '2017-06-10', ''),
  ('MMC5082', 87, 62, '2017-07-11', ''),
  ('MMA7064', 31, 22, '2017-05-31', ''),
  ('MMA7064', 89, 57, '2017-06-19', ''),
  ('MMA1187', 61, 56, '2017-05-12', ''),
  ('MMA1187', 130, 112, '2017-06-04', ''),
  ('MMA1187', 135, 113, '2017-07-10', ''),
  ('MMC1298', 56, 32, '2017-06-05', ''),
  ('MMA1140', 54, 32, '2017-05-12', ''),
  ('MMA1140', 94, 56, '2017-06-04', ''),
  ('MMA1140', 94, 56, '2017-07-10', ''),
  ('MMA1022', 56, 47, '2017-05-08', ''),
  ('MMA1022', 102, 88, '2017-06-04', ''),
  ('MMA1022', 99, 90, '2017-07-10', ''),
  ('MMC1260', 85, 43, '2017-06-05', ''),
  ('MMA1248', 85, 79, '2017-06-04', ''),
  ('MMA1248', 87, 81, '2017-07-10', ''),
  ('MMB1252', 68, 40, '2017-06-04', ''),
  ('MMA7055', 46, 20, '2017-05-31', ''),
  ('MMA7055', 60, 33, '2017-06-19', ''),
  ('MMA1062', 50, 41, '2017-05-12', ''),
  ('MMA1062', 147, 116, '2017-06-04', ''),
  ('MMA7070', 55, 24, '2017-05-31', ''),
  ('MMA7070', 104, 45, '2017-06-19', ''),
  ('MMB1288', 65, 34, '2017-06-04', ''),
  ('MMA1056', 59, 52, '2017-05-12', ''),
  ('MMA1056', 150, 132, '2017-06-04', ''),
  ('MMA1070', 52, 47, '2017-05-12', ''),
  ('MMA1070', 140, 125, '2017-06-04', ''),
  ('MMA1070', 148, 121, '2017-07-10', ''),
  ('MMA1078', 51, 42, '2017-05-12', ''),
  ('MMA1078', 90, 72, '2017-06-04', ''),
  ('MMA1078', 92, 74, '2017-07-10', ''),
  ('MMA5061', 72, 49, '2017-05-27', ''),
  ('MMA5061', 89, 59, '2017-06-08', ''),
  ('MMA5061', 88, 60, '2017-07-10', ''),
  ('MMA1066', 62, 55, '2017-05-12', ''),
  ('MMA1066', 121, 111, '2017-06-04', ''),
  ('MMA1066', 123, 117, '2017-07-10', ''),
  ('MMA1032', 60, 50, '2017-05-08', ''),
  ('MMA1032', 110, 76, '2017-06-04', ''),
  ('MMA1032', 106, 83, '2017-07-10', ''),
  ('MMC1168', 52, 27, '2017-05-17', ''),
  ('MMC1168', 101, 47, '2017-06-05', ''),
  ('MMB1112', 59, 45, '2017-05-13', ''),
  ('MMB1112', 116, 110, '2017-06-04', ''),
  ('MMB1154', 59, 53, '2017-05-13', ''),
  ('MMB1154', 128, 114, '2017-06-04', ''),
  ('MMB5184', 61, 58, '2017-05-23', ''),
  ('MMA7019', 50, 25, '2017-05-31', ''),
  ('MMA7019', 69, 33, '2017-06-19', ''),
  ('MMA5038', 55, 34, '2017-05-27', ''),
  ('MMA5038', 66, 42, '2017-06-08', ''),
  ('MMA5038', 68, 44, '2017-07-10', ''),
  ('MMC5102', 68, 37, '2017-05-28', ''),
  ('MMC5102', 83, 45, '2017-06-10', ''),
  ('MMC5102', 85, 44, '2017-07-11', ''),
  ('MMB7119', 66, 43, '2017-06-01', ''),
  ('MMB7119', 112, 74, '2017-06-20', ''),
  ('MMA7029', 62, 56, '2017-05-31', ''),
  ('MMA7029', 94, 81, '2017-06-19', ''),
  ('MMB5009', 50, 32, '2017-05-23', ''),
  ('MMC1281', 88, 56, '2017-06-05', ''),
  ('MMA5207', 53, 42, '2017-05-27', ''),
  ('MMA5207', 72, 54, '2017-06-08', ''),
  ('MMA5207', 74, 57, '2017-07-10', ''),
  ('MMA5016', 60, 49, '2017-05-27', ''),
  ('MMA5016', 80, 67, '2017-06-08', ''),
  ('MMA5016', 83, 73, '2017-07-10', ''),
  ('MMC1257', 99, 73, '2017-06-05', ''),
  ('MMB5018', 79, 60, '2017-05-23', ''),
  ('MMB5018', 119, 92, '2017-06-09', ''),
  ('MMA5151', 78, 50, '2017-05-27', ''),
  ('MMA1031', 69, 68, '2017-05-08', ''),
  ('MMA1031', 145, 136, '2017-06-04', 'cocon dans fleur'),
  ('MMA1031', 144, 137, '2017-07-10', ''),
  ('MMA1294', 79, 43, '2017-06-04', ''),
  ('MMA1294', 81, 44, '2017-07-10', ''),
  ('MMB5202', 67, 51, '2017-05-23', ''),
  ('MMB5202', 90, 66, '2017-06-09', ''),
  ('MMA1033', 52, 45, '2017-05-08', ''),
  ('MMA1033', 130, 110, '2017-06-04', ''),
  ('MMA1033', 131, 111, '2017-07-10', ''),
  ('MMA1141', 55, 38, '2017-05-12', ''),
  ('MMA1141', 113, 85, '2017-06-04', ''),
  ('MMA1141', 113, 85, '2017-07-10', ''),
  ('MMC1195', 60, 41, '2017-05-17', ''),
  ('MMC1195', 119, 79, '2017-06-05', ''),
  ('MMB7052', 45, 27, '2017-06-01', ''),
  ('MMB7052', 91, 57, '2017-06-20', ''),
  ('MMC1141', 57, 34, '2017-05-17', ''),
  ('MMC1141', 121, 91, '2017-06-05', ''),
  ('MMB5031', 96, 96, '2017-05-23', ''),
  ('MMB5031', 135, 134, '2017-06-09', ''),
  ('MMA7063', 45, 31, '2017-05-31', ''),
  ('MMA7063', 95, 67, '2017-06-19', ''),
  ('MMB1045', 60, 49, '2017-05-13', ''),
  ('MMB1045', 110, 83, '2017-06-04', ''),
  ('MMB5178', 71, 50, '2017-05-23', ''),
  ('MMB5178', 88, 62, '2017-06-09', ''),
  ('MMC1301', 85, 55, '2017-06-05', ''),
  ('MMB5165', 86, 58, '2017-05-23', ''),
  ('MMB5165', 98, 71, '2017-06-09', ''),
  ('MMB7075', 42, 33, '2017-06-01', ''),
  ('MMA1254', 123, 120, '2017-06-04', ''),
  ('MMC5116', 78, 61, '2017-05-28', ''),
  ('MMC5116', 94, 78, '2017-06-10', ''),
  ('MMC5116', 99, 76, '2017-07-11', ''),
  ('MMA5122', 82, 85, '2017-05-27', ''),
  ('MMA5122', 104, 97, '2017-06-08', ''),
  ('MMA5122', 108, 97, '2017-07-10', ''),
  ('MMB1128', 51, 41, '2017-05-13', ''),
  ('MMB1128', 150, 118, '2017-06-04', ''),
  ('MMB5008', 70, 55, '2017-05-23', ''),
  ('MMB5008', 104, 83, '2017-06-09', ''),
  ('MMB5251', 65, 43, '2017-06-09', ''),
  ('MMB1028', 56, 32, '2017-05-13', ''),
  ('MMB1028', 113, 83, '2017-06-04', ''),
  ('MMB5111', 82, 70, '2017-05-23', ''),
  ('MMB5111', 111, 94, '2017-06-09', ''),
  ('MMC5060', 57, 29, '2017-05-28', ''),
  ('MMC5060', 69, 35, '2017-06-10', ''),
  ('MMC5060', 70, 35, '2017-07-11', ''),
  ('MMA1243', 84, 72, '2017-06-04', ''),
  ('MMA1243', 86, 77, '2017-07-10', ''),
  ('MMC7027', 71, 49, '2017-06-02', ''),
  ('MMC7027', 76, 52, '2017-06-20', ''),
  ('MMB7139', 49, 35, '2017-06-01', ''),
  ('MMB7139', 69, 49, '2017-06-20', ''),
  ('MMC1286', 75, 47, '2017-06-05', ''),
  ('MMA1175', 61, 52, '2017-05-12', ''),
  ('MMA1175', 120, 110, '2017-06-04', ''),
  ('MMA1175', 119, 113, '2017-07-10', ''),
  ('MMB1051', 54, 41, '2017-05-13', ''),
  ('MMB1051', 107, 76, '2017-06-04', ''),
  ('MMC5178', 60, 36, '2017-05-28', ''),
  ('MMC5178', 71, 41, '2017-06-10', ''),
  ('MMC1049', 76, 70, '2017-05-17', ''),
  ('MMC1049', 136, 123, '2017-06-05', ''),
  ('MMC5058', 49, 30, '2017-05-28', ''),
  ('MMC5058', 61, 37, '2017-06-10', ''),
  ('MMC5058', 60, 37, '2017-07-11', ''),
  ('MMC5151', 56, 42, '2017-05-28', ''),
  ('MMC5151', 65, 48, '2017-06-10', ''),
  ('MMB1111', 50, 46, '2017-05-13', ''),
  ('MMB1111', 126, 116, '2017-06-04', ''),
  ('MMC1120', 56, 32, '2017-05-17', ''),
  ('MMC1120', 92, 51, '2017-06-05', ''),
  ('MMA5094', 63, 41, '2017-05-27', ''),
  ('MMA5094', 102, 65, '2017-06-08', ''),
  ('MMA5094', 113, 72, '2017-07-10', ''),
  ('MMC5006', 80, 70, '2017-05-28', ''),
  ('MMC5006', 111, 101, '2017-06-10', ''),
  ('MMC5006', 115, 109, '2017-07-11', ''),
  ('MMC5162', 53, 23, '2017-05-28', ''),
  ('MMC5162', 64, 28, '2017-06-10', ''),
  ('MMC5237', 60, 28, '2017-06-10', ''),
  ('MMB5157', 89, 86, '2017-05-23', ''),
  ('MMB5157', 127, 135, '2017-06-09', ''),
  ('MMB1134', 62, 50, '2017-05-13', ''),
  ('MMB1134', 137, 115, '2017-06-04', ''),
  ('MMB1012', 53, 43, '2017-05-13', ''),
  ('MMA5012', 73, 59, '2017-05-27', ''),
  ('MMA5012', 98, 76, '2017-06-08', ''),
  ('MMA5012', 99, 78, '2017-07-10', ''),
  ('MMC5062', 94, 73, '2017-05-28', ''),
  ('MMC5062', 127, 97, '2017-06-10', ''),
  ('MMC5243', 43, 20, '2017-06-10', ''),
  ('MMB1210', 52, 44, '2017-05-13', ''),
  ('MMB1210', 97, 76, '2017-06-04', ''),
  ('MMC5207', 141, 131, '2017-06-10', ''),
  ('MMC1108', 55, 32, '2017-05-17', ''),
  ('MMC1108', 94, 59, '2017-06-05', ''),
  ('MMB1197', 61, 55, '2017-05-13', ''),
  ('MMC1106', 50, 33, '2017-05-17', ''),
  ('MMC1106', 86, 60, '2017-06-05', ''),
  ('MMB5126', 53, 21, '2017-05-23', ''),
  ('MMB5126', 82, 36, '2017-06-09', ''),
  ('MMA5011', 68, 47, '2017-05-27', ''),
  ('MMA5011', 86, 59, '2017-06-08', ''),
  ('MMA5011', 87, 55, '2017-07-10', ''),
  ('MMC1203', 51, 32, '2017-05-17', ''),
  ('MMC1203', 100, 62, '2017-06-05', ''),
  ('MMC1278', 60, 27, '2017-06-05', ''),
  ('MMC1071', 75, 52, '2017-05-17', ''),
  ('MMC1071', 139, 96, '2017-06-05', ''),
  ('MMB7101', 72, 56, '2017-06-01', ''),
  ('MMB7101', 108, 78, '2017-06-20', ''),
  ('MMB1203', 53, 39, '2017-05-13', ''),
  ('MMB1203', 117, 87, '2017-06-04', ''),
  ('MMB5064', 91, 78, '2017-05-23', ''),
  ('MMB5064', 120, 101, '2017-06-09', ''),
  ('MMB1054', 52, 41, '2017-05-13', ''),
  ('MMB1054', 115, 91, '2017-06-04', ''),
  ('MMA5001', 68, 52, '2017-05-27', ''),
  ('MMC1155', 71, 52, '2017-05-17', ''),
  ('MMC1155', 139, 101, '2017-06-05', ''),
  ('MMA1037', 56, 39, '2017-05-08', ''),
  ('MMA7062', 65, 60, '2017-05-31', ''),
  ('MMA7062', 89, 78, '2017-06-19', ''),
  ('MMB1185', 50, 36, '2017-05-13', ''),
  ('MMC7017', 55, 31, '2017-06-02', ''),
  ('MMC7017', 60, 32, '2017-06-20', ''),
  ('MMA1106', 55, 50, '2017-05-12', ''),
  ('MMA1106', 110, 98, '2017-06-04', ''),
  ('MMA1106', 114, 108, '2017-07-10', ''),
  ('MMC1161', 60, 50, '2017-05-17', ''),
  ('MMC1161', 99, 84, '2017-06-05', ''),
  ('MMC5229', 63, 38, '2017-06-10', ''),
  ('MMC1058', 73, 61, '2017-05-17', ''),
  ('MMC1058', 150, 126, '2017-06-05', ''),
  ('MMC5011', 68, 43, '2017-05-28', ''),
  ('MMC5011', 92, 56, '2017-06-10', ''),
  ('MMC5011', 87, 52, '2017-07-11', ''),
  ('MMB7037', 87, 57, '2017-06-01', ''),
  ('MMB7037', 119, 77, '2017-06-20', ''),
  ('MMB1148', 63, 51, '2017-05-13', ''),
  ('MMB1148', 126, 112, '2017-06-04', ''),
  ('MMC5187', 63, 31, '2017-05-28', ''),
  ('MMC5187', 74, 46, '2017-06-10', ''),
  ('MMA1190', 54, 47, '2017-05-12', ''),
  ('MMA1190', 90, 79, '2017-06-04', ''),
  ('MMC1215', 84, 59, '2017-06-05', ''),
  ('MMC7109', 66, 52, '2017-06-02', ''),
  ('MMC7109', 72, 58, '2017-06-20', ''),
  ('MMA1275', 58, 48, '2017-06-04', ''),
  ('MMA1275', 60, 46, '2017-07-10', ''),
  ('MMB1115', 58, 40, '2017-05-13', ''),
  ('MMB1115', 112, 74, '2017-06-04', ''),
  ('MMC1016', 60, 39, '2017-05-17', ''),
  ('MMC1016', 104, 69, '2017-06-05', ''),
  ('MMA5006', 66, 53, '2017-05-27', ''),
  ('MMA5006', 85, 67, '2017-06-08', ''),
  ('MMA5006', 88, 69, '2017-07-10', ''),
  ('MMA5117', 75, 48, '2017-05-27', ''),
  ('MMA5117', 91, 62, '2017-06-08', ''),
  ('MMA5117', 96, 63, '2017-07-10', ''),
  ('MMB5252', 75, 42, '2017-06-09', ''),
  ('MMB5222', 105, 80, '2017-06-09', ''),
  ('MMC1082', 89, 80, '2017-05-17', ''),
  ('MMC1082', 141, 125, '2017-06-05', ''),
  ('MMB5176', 75, 49, '2017-05-23', ''),
  ('MMB5176', 105, 69, '2017-06-09', ''),
  ('MMA1110', 62, 50, '2017-05-12', ''),
  ('MMA1110', 141, 121, '2017-06-04', ''),
  ('MMA1110', 145, 124, '2017-07-10', ''),
  ('MMB1076', 53, 44, '2017-05-13', ''),
  ('MMB1076', 120, 113, '2017-06-04', ''),
  ('MMA5141', 72, 51, '2017-05-27', ''),
  ('MMA5141', 89, 68, '2017-06-08', ''),
  ('MMA5141', 89, 69, '2017-07-10', ''),
  ('MMB1029', 59, 56, '2017-05-13', ''),
  ('MMB1029', 145, 138, '2017-06-04', ''),
  ('MMA7002', 55, 42, '2017-05-31', ''),
  ('MMA7002', 82, 59, '2017-06-19', ''),
  ('MMB5249', 82, 51, '2017-06-09', ''),
  ('MMB1196', 60, 40, '2017-05-13', ''),
  ('MMB1196', 124, 94, '2017-06-04', ''),
  ('MMB7057', 48, 21, '2017-06-01', ''),
  ('MMB7057', 59, 32, '2017-06-20', ''),
  ('MMC5020', 103, 79, '2017-05-28', ''),
  ('MMC5020', 121, 92, '2017-06-10', ''),
  ('MMC5020', 121, 93, '2017-07-11', ''),
  ('MMB1180', 50, 41, '2017-05-13', ''),
  ('MMB1180', 115, 106, '2017-06-04', ''),
  ('MMA5234', 56, 32, '2017-06-08', ''),
  ('MMA1103', 50, 46, '2017-05-12', ''),
  ('MMA1103', 111, 95, '2017-06-04', ''),
  ('MMA1103', 108, 97, '2017-07-10', ''),
  ('MMA7025', 43, 25, '2017-05-31', ''),
  ('MMA7025', 71, 47, '2017-06-19', ''),
  ('MMB1084', 67, 49, '2017-05-13', ''),
  ('MMB1084', 135, 103, '2017-06-04', ''),
  ('MMA1202', 110, 81, '2017-06-04', ''),
  ('MMA1202', 115, 81, '2017-07-10', ''),
  ('MMA5078', 92, 77, '2017-05-27', ''),
  ('MMA5078', 126, 98, '2017-06-08', ''),
  ('MMA5078', 126, 113, '2017-07-10', ''),
  ('MMA7117', 66, 50, '2017-05-31', ''),
  ('MMA7117', 91, 68, '2017-06-19', ''),
  ('MMB1164', 72, 58, '2017-05-13', ''),
  ('MMB1164', 146, 127, '2017-06-04', ''),
  ('MMB7056', 112, 98, '2017-06-01', ''),
  ('MMB7056', 156, 134, '2017-06-20', ''),
  ('MMC5122', 91, 65, '2017-05-28', ''),
  ('MMC5122', 106, 78, '2017-06-10', ''),
  ('MMC5122', 101, 68, '2017-07-11', ''),
  ('MMC7064', 70, 43, '2017-06-02', 'manque une feuille'),
  ('MMC7064', 74, 47, '2017-06-20', 'manque 1 feuille'),
  ('MMA1249', 133, 121, '2017-06-04', ''),
  ('MMA1249', 136, 128, '2017-07-10', ''),
  ('MMC5199', 78, 50, '2017-05-28', ''),
  ('MMC5199', 92, 59, '2017-06-10', ''),
  ('MMC7010', 30, 12, '2017-06-02', ''),
  ('MMC7010', 35, 17, '2017-06-20', ''),
  ('MMA7076', 34, 20, '2017-05-31', ''),
  ('MMC1009', 62, 44, '2017-05-17', ''),
  ('MMC1009', 109, 73, '2017-06-05', ''),
  ('MMC1026', 78, 80, '2017-05-17', ''),
  ('MMC1026', 105, 110, '2017-06-05', ''),
  ('MMC1055', 77, 55, '2017-05-17', ''),
  ('MMC1055', 102, 78, '2017-06-05', ''),
  ('MMC5090', 72, 50, '2017-05-28', ''),
  ('MMC5090', 84, 59, '2017-06-10', ''),
  ('MMC5090', 87, 59, '2017-07-11', ''),
  ('MMA1221', 88, 63, '2017-06-04', ''),
  ('MMA1221', 92, 65, '2017-07-10', ''),
  ('MMC7134', 90, 46, '2017-06-20', ''),
  ('MMA1268', 81, 58, '2017-06-04', ''),
  ('MMA1268', 86, 58, '2017-07-10', ''),
  ('MMB5022', 51, 40, '2017-05-23', ''),
  ('MMB5022', 58, 50, '2017-06-09', ''),
  ('MMB5113', 55, 37, '2017-05-23', ''),
  ('MMB5113', 70, 41, '2017-06-09', ''),
  ('MMB5129', 67, 52, '2017-05-23', ''),
  ('MMB5129', 97, 79, '2017-06-09', ''),
  ('MMA5182', 86, 62, '2017-05-27', ''),
  ('MMA5182', 104, 79, '2017-06-08', ''),
  ('MMA5182', 106, 79, '2017-07-10', ''),
  ('MMC1269', 88, 52, '2017-06-05', ''),
  ('MMA5021', 110, 103, '2017-05-27', ''),
  ('MMA5021', 121, 114, '2017-06-08', ''),
  ('MMA5021', 122, 115, '2017-07-10', ''),
  ('MMB7092', 56, 27, '2017-06-01', ''),
  ('MMB7092', 76, 39, '2017-06-20', ''),
  ('MMA7015', 60, 48, '2017-05-31', ''),
  ('MMA7015', 113, 87, '2017-06-19', ''),
  ('MMC1246', 64, 39, '2017-06-05', ''),
  ('MMA1186', 59, 55, '2017-05-12', ''),
  ('MMA1186', 140, 129, '2017-06-04', 'cocon dans fleur'),
  ('MMA1186', 143, 132, '2017-07-10', ''),
  ('MMC5203', 62, 42, '2017-05-28', ''),
  ('MMC5203', 74, 48, '2017-06-10', ''),
  ('MMB5211', 91, 86, '2017-05-23', ''),
  ('MMB5211', 115, 96, '2017-06-09', ''),
  ('MMA5118', 61, 41, '2017-05-27', ''),
  ('MMA5118', 70, 46, '2017-06-08', ''),
  ('MMA5118', 74, 50, '2017-07-10', ''),
  ('MMC7087', 75, 49, '2017-06-02', ''),
  ('MMC7087', 86, 57, '2017-06-20', ''),
  ('MMC1065', 64, 43, '2017-05-17', ''),
  ('MMC1065', 121, 84, '2017-06-05', ''),
  ('MMA5187', 75, 62, '2017-05-27', ''),
  ('MMA5187', 92, 66, '2017-06-08', ''),
  ('MMA5187', 100, 73, '2017-07-10', ''),
  ('MMC5111', 64, 42, '2017-05-28', ''),
  ('MMC5111', 76, 49, '2017-06-10', ''),
  ('MMC5111', 76, 47, '2017-07-11', ''),
  ('MMC1284', 92, 49, '2017-06-05', ''),
  ('MMB5197', 50, 21, '2017-05-23', ''),
  ('MMB5197', 59, 33, '2017-06-09', ''),
  ('MMA7089', 44, 34, '2017-05-31', ''),
  ('MMA7089', 70, 49, '2017-06-19', ''),
  ('MMA1080', 59, 40, '2017-05-12', ''),
  ('MMA1080', 99, 73, '2017-06-04', ''),
  ('MMA1080', 99, 75, '2017-07-10', ''),
  ('MMA1063', 51, 52, '2017-05-12', ''),
  ('MMA1063', 107, 112, '2017-06-04', ''),
  ('MMA1063', 120, 117, '2017-07-10', ''),
  ('MMA7065', 63, 44, '2017-05-31', ''),
  ('MMA7065', 112, 72, '2017-06-19', ''),
  ('MMC7131', 129, 118, '2017-06-20', ''),
  ('MMC7131', 129, 115, '2017-06-14', ''),
  ('MMB5069', 60, 44, '2017-05-23', ''),
  ('MMB5069', 90, 65, '2017-06-09', ''),
  ('MMA5074', 80, 70, '2017-05-27', ''),
  ('MMA5074', 105, 92, '2017-06-08', ''),
  ('MMA5074', 110, 101, '2017-07-10', ''),
  ('MMB7110', 40, 20, '2017-06-01', ''),
  ('MMB7110', 74, 49, '2017-06-20', ''),
  ('MMC7015', 54, 37, '2017-06-02', ''),
  ('MMC7015', 60, 43, '2017-06-20', ''),
  ('MMC5249', 44, 21, '2017-06-10', ''),
  ('MMA5174', 53, 44, '2017-05-27', ''),
  ('MMA5174', 78, 61, '2017-06-08', '1 feuille broutée'),
  ('MMA5174', 84, 68, '2017-07-10', ''),
  ('MMC1253', 68, 37, '2017-06-05', ''),
  ('MMC7056', 67, 36, '2017-06-02', ''),
  ('MMC7056', 71, 40, '2017-06-20', 'manque 1 feuille'),
  ('MMA5237', 57, 32, '2017-06-08', ''),
  ('MMA5237', 56, 32, '2017-07-10', ''),
  ('MMB1048', 61, 53, '2017-05-13', ''),
  ('MMB1048', 125, 99, '2017-06-04', ''),
  ('MMA5028', 59, 36, '2017-05-27', ''),
  ('MMA5028', 77, 50, '2017-06-08', ''),
  ('MMA5028', 79, 48, '2017-07-10', ''),
  ('MMC7097', 60, 33, '2017-06-02', ''),
  ('MMB5256', 49, 29, '2017-06-09', ''),
  ('MMA7071', 92, 63, '2017-05-31', ''),
  ('MMC5211', 60, 36, '2017-06-10', ''),
  ('MMA1132', 55, 50, '2017-05-12', ''),
  ('MMA1132', 149, 149, '2017-06-04', ''),
  ('MMA1118', 61, 61, '2017-05-12', ''),
  ('MMA1118', 135, 139, '2017-06-04', ''),
  ('MMA1118', 141, 139, '2017-07-10', ''),
  ('MMC5066', 65, 39, '2017-05-28', ''),
  ('MMC5066', 84, 49, '2017-06-10', ''),
  ('MMC5066', 81, 47, '2017-07-11', ''),
  ('MMA1252', 165, 156, '2017-06-04', ''),
  ('MMA1252', 173, 160, '2017-07-10', ''),
  ('MMC5051', 103, 85, '2017-05-28', ''),
  ('MMC5051', 120, 67, '2017-06-10', ''),
  ('MMC5051', 117, 97, '2017-07-11', ''),
  ('MMC7047', 49, 26, '2017-06-02', ''),
  ('MMC7047', 54, 32, '2017-06-20', ''),
  ('MMB1216', 94, 63, '2017-06-04', ''),
  ('MMC5236', 53, 27, '2017-06-10', ''),
  ('MMC1006', 62, 44, '2017-05-17', ''),
  ('MMC1006', 100, 72, '2017-06-05', ''),
  ('MMB7081', 76, 59, '2017-06-01', ''),
  ('MMB7081', 119, 86, '2017-06-20', ''),
  ('MMB1074', 62, 56, '2017-05-13', ''),
  ('MMC1022', 50, 35, '2017-05-17', ''),
  ('MMC1022', 96, 71, '2017-06-05', ''),
  ('MMB7095', 32, 11, '2017-06-01', ''),
  ('MMB7095', 67, 35, '2017-06-20', ''),
  ('MMB1232', 78, 52, '2017-06-04', ''),
  ('MMB1062', 57, 41, '2017-05-13', ''),
  ('MMB1062', 123, 91, '2017-06-04', ''),
  ('MMC1070', 72, 58, '2017-05-17', ''),
  ('MMC1070', 150, 121, '2017-06-05', ''),
  ('MMC1103', 53, 41, '2017-05-17', ''),
  ('MMC1103', 87, 62, '2017-06-05', ''),
  ('MMB5215', 98, 96, '2017-05-23', ''),
  ('MMB5215', 122, 121, '2017-06-09', ''),
  ('MMC1145', 51, 24, '2017-05-17', ''),
  ('MMC1145', 88, 46, '2017-06-05', ''),
  ('MMA5131', 82, 61, '2017-05-27', ''),
  ('MMA5131', 99, 81, '2017-06-08', ''),
  ('MMA5131', 102, 82, '2017-07-10', ''),
  ('MMB7013', 88, 62, '2017-06-01', ''),
  ('MMB7013', 124, 87, '2017-06-20', ''),
  ('MMC1079', 116, 116, '2017-05-17', ''),
  ('MMC1079', 183, 183, '2017-06-05', ''),
  ('MMA5100', 57, 43, '2017-05-27', ''),
  ('MMA5100', 74, 56, '2017-06-08', ''),
  ('MMA5100', 73, 53, '2017-07-10', ''),
  ('MMA7088', 89, 68, '2017-05-31', ''),
  ('MMA7088', 120, 96, '2017-06-19', ''),
  ('MMC1237', 73, 46, '2017-06-05', ''),
  ('MMA5009', 61, 48, '2017-05-27', ''),
  ('MMA5009', 82, 61, '2017-06-08', ''),
  ('MMA5009', 82, 62, '2017-07-10', ''),
  ('MMC5100', 52, 32, '2017-05-28', ''),
  ('MMC5100', 51, 31, '2017-06-10', ''),
  ('MMC5100', 51, 28, '2017-07-11', ''),
  ('MMC1061', 89, 66, '2017-05-17', ''),
  ('MMC1061', 144, 113, '2017-06-05', ''),
  ('MMB5117', 58, 36, '2017-05-23', ''),
  ('MMB5117', 89, 55, '2017-06-09', ''),
  ('MMC5164', 66, 45, '2017-05-28', ''),
  ('MMC5164', 74, 54, '2017-06-10', ''),
  ('MMA1271', 136, 98, '2017-06-04', ''),
  ('MMA1271', 141, 101, '2017-07-10', ''),
  ('MMB5123', 58, 35, '2017-05-23', ''),
  ('MMB5123', 90, 52, '2017-06-09', ''),
  ('MMB5190', 75, 52, '2017-05-23', ''),
  ('MMB5190', 98, 75, '2017-06-09', ''),
  ('MMA7114', 57, 43, '2017-05-31', ''),
  ('MMA7114', 86, 63, '2017-06-19', ''),
  ('MMC7096', 60, 43, '2017-06-02', ''),
  ('MMC7096', 73, 55, '2017-06-20', ''),
  ('MMB1032', 57, 42, '2017-05-13', ''),
  ('MMA1053', 52, 51, '2017-05-12', ''),
  ('MMA1053', 106, 91, '2017-06-04', ''),
  ('MMA1053', 107, 93, '2017-07-10', ''),
  ('MMC7037', 55, 29, '2017-06-02', ''),
  ('MMC7037', 63, 33, '2017-06-20', ''),
  ('MMC1073', 75, 71, '2017-05-17', ''),
  ('MMC1073', 165, 155, '2017-06-05', ''),
  ('MMB7002', 60, 41, '2017-06-01', ''),
  ('MMB7002', 79, 54, '2017-06-20', ''),
  ('MMB5152', 128, 115, '2017-05-23', ''),
  ('MMB5152', 156, 144, '2017-06-09', 'chenille dans fleur'),
  ('MMA5135', 73, 44, '2017-05-27', ''),
  ('MMA5135', 85, 51, '2017-06-08', ''),
  ('MMB7043', 66, 42, '2017-06-01', ''),
  ('MMA1116', 50, 47, '2017-05-12', ''),
  ('MMA1116', 137, 136, '2017-06-04', ''),
  ('MMA1116', 130, 142, '2017-07-10', ''),
  ('MMA5252', 77, 83, '2017-06-08', ''),
  ('MMA5252', 86, 63, '2017-07-10', ''),
  ('MMB1257', 103, 84, '2017-06-04', ''),
  ('MMA7098', 51, 28, '2017-05-31', ''),
  ('MMA7098', 74, 41, '2017-06-19', ''),
  ('MMA5210', 85, 63, '2017-06-08', ''),
  ('MMA5210', 87, 64, '2017-07-10', ''),
  ('MMC7137', 46, 27, '2017-06-20', ''),
  ('MMA1082', 62, 60, '2017-05-12', ''),
  ('MMA1082', 123, 121, '2017-06-04', 'manque 1 feuille'),
  ('MMA1082', 129, 122, '2017-07-10', ''),
  ('MMB1233', 63, 60, '2017-06-04', ''),
  ('MMA1041', 50, 36, '2017-05-08', ''),
  ('MMA1041', 112, 87, '2017-06-04', ''),
  ('MMA1041', 119, 89, '2017-07-10', ''),
  ('MMA5178', 52, 27, '2017-05-27', ''),
  ('MMA5178', 64, 34, '2017-06-08', ''),
  ('MMA5178', 75, 36, '2017-07-10', ''),
  ('MMC1212', 82, 46, '2017-06-05', ''),
  ('MMA1019', 50, 42, '2017-05-08', ''),
  ('MMA1019', 110, 76, '2017-06-04', ''),
  ('MMA1019', 112, 94, '2017-07-10', ''),
  ('MMC1032', 50, 31, '2017-05-17', ''),
  ('MMC1032', 77, 54, '2017-06-05', ''),
  ('MMB5025', 50, 31, '2017-05-23', ''),
  ('MMB5025', 71, 47, '2017-06-09', ''),
  ('MMB7078', 61, 51, '2017-06-01', ''),
  ('MMB5186', 95, 87, '2017-05-23', ''),
  ('MMB5186', 122, 104, '2017-06-09', ''),
  ('MMA5176', 67, 48, '2017-05-27', ''),
  ('MMA5176', 91, 65, '2017-06-08', ''),
  ('MMA5176', 98, 70, '2017-07-10', ''),
  ('MMC5253', 80, 64, '2017-06-10', ''),
  ('MMB1160', 65, 65, '2017-05-13', ''),
  ('MMB1160', 122, 120, '2017-06-04', ''),
  ('MMB5156', 99, 125, '2017-05-23', ''),
  ('MMB5156', 136, 167, '2017-06-09', ''),
  ('MMC5035', 65, 37, '2017-05-28', ''),
  ('MMC5035', 80, 47, '2017-06-10', ''),
  ('MMC5035', 82, 49, '2017-07-11', ''),
  ('MMB7031', 60, 34, '2017-06-01', ''),
  ('MMB7031', 94, 56, '2017-06-20', ''),
  ('MMA5232', 49, 28, '2017-06-08', ''),
  ('MMA5232', 49, 30, '2017-07-10', ''),
  ('MMA5245', 67, 43, '2017-06-08', ''),
  ('MMA1038', 51, 35, '2017-05-08', ''),
  ('MMA1038', 105, 71, '2017-06-04', ''),
  ('MMA1172', 66, 58, '2017-05-12', ''),
  ('MMA1172', 144, 126, '2017-06-04', 'fleur et une feuille mangés'),
  ('MMB5043', 77, 78, '2017-05-23', ''),
  ('MMB5043', 105, 106, '2017-06-09', ''),
  ('MMA5057', 63, 50, '2017-05-27', ''),
  ('MMA5057', 80, 61, '2017-06-08', ''),
  ('MMA5057', 87, 71, '2017-07-10', ''),
  ('MMA5138', 72, 51, '2017-05-27', ''),
  ('MMA5138', 87, 63, '2017-06-08', ''),
  ('MMA5138', 90, 64, '2017-07-10', ''),
  ('MMA5146', 114, 95, '2017-05-27', ''),
  ('MMA5146', 133, 108, '2017-06-08', ''),
  ('MMA5146', 136, 112, '2017-07-10', ''),
  ('MMC1219', 80, 49, '2017-06-05', ''),
  ('MMC5217', 54, 29, '2017-06-10', ''),
  ('MMB5054', 62, 32, '2017-05-23', ''),
  ('MMB5054', 124, 93, '2017-06-09', ''),
  ('MMB7140', 80, 55, '2017-06-20', ''),
  ('MMA1280', 90, 65, '2017-06-04', ''),
  ('MMA1280', 86, 65, '2017-07-10', ''),
  ('MMA5242', 53, 39, '2017-06-08', ''),
  ('MMC1142', 65, 42, '2017-05-17', ''),
  ('MMC1142', 104, 73, '2017-06-05', ''),
  ('MMA5042', 99, 92, '2017-05-27', ''),
  ('MMA5042', 130, 115, '2017-06-08', ''),
  ('MMA5042', 132, 120, '2017-07-10', ''),
  ('MMC1268', 77, 45, '2017-06-05', ''),
  ('MMC7041', 71, 37, '2017-06-02', ''),
  ('MMC7041', 71, 35, '2017-06-20', ''),
  ('MMB7006', 81, 79, '2017-06-01', ''),
  ('MMB7006', 125, 97, '2017-06-20', ''),
  ('MMC7088', 95, 70, '2017-06-02', ''),
  ('MMC7088', 98, 55, '2017-06-20', ''),
  ('MMC1137', 56, 43, '2017-05-17', ''),
  ('MMC1137', 90, 69, '2017-06-05', ''),
  ('MMA5069', 67, 50, '2017-05-27', ''),
  ('MMA5069', 102, 77, '2017-06-08', ''),
  ('MMA5069', 110, 81, '2017-07-10', ''),
  ('MMA7118', 36, 20, '2017-05-31', ''),
  ('MMA7118', 46, 29, '2017-06-19', ''),
  ('MMC7080', 75, 45, '2017-06-02', ''),
  ('MMC7080', 88, 51, '2017-06-20', ''),
  ('MMC7050', 70, 33, '2017-06-02', ''),
  ('MMC7050', 68, 32, '2017-06-20', ''),
  ('MMB1014', 64, 44, '2017-05-13', ''),
  ('MMB1014', 123, 90, '2017-06-04', ''),
  ('MMA7031', 83, 74, '2017-05-31', ''),
  ('MMA7031', 108, 92, '2017-06-19', ''),
  ('MMC1279', 92, 57, '2017-06-05', ''),
  ('MMA5195', 77, 75, '2017-05-27', ''),
  ('MMA5195', 101, 88, '2017-06-08', ''),
  ('MMA5195', 109, 94, '2017-07-10', ''),
  ('MMC5083', 58, 31, '2017-05-28', ''),
  ('MMC5083', 75, 41, '2017-06-10', ''),
  ('MMA7124', 76, 59, '2017-05-31', ''),
  ('MMA7124', 102, 77, '2017-06-19', ''),
  ('MMA5082', 86, 60, '2017-05-27', ''),
  ('MMA5082', 103, 76, '2017-06-08', ''),
  ('MMA5082', 98, 80, '2017-07-10', ''),
  ('MMC5204', 52, 28, '2017-05-28', ''),
  ('MMC5204', 66, 34, '2017-06-10', ''),
  ('MMC1174', 76, 54, '2017-05-17', ''),
  ('MMC1174', 115, 86, '2017-06-05', ''),
  ('MMA5163', 73, 60, '2017-05-27', ''),
  ('MMA5163', 118, 90, '2017-06-08', ''),
  ('MMA5163', 124, 95, '2017-07-10', ''),
  ('MMC7071', 67, 40, '2017-06-02', ''),
  ('MMC7071', 70, 41, '2017-06-20', ''),
  ('MMA5004', 51, 33, '2017-05-27', ''),
  ('MMA5004', 65, 42, '2017-06-08', ''),
  ('MMA5004', 64, 44, '2017-07-10', ''),
  ('MMC7045', 50, 34, '2017-06-02', ''),
  ('MMC7045', 56, 34, '2017-06-20', ''),
  ('MMC5081', 101, 100, '2017-05-28', ''),
  ('MMC5081', 129, 101, '2017-06-10', ''),
  ('MMC5081', 128, 126, '2017-07-11', ''),
  ('MMB1270', 80, 43, '2017-06-04', ''),
  ('MMB7129', 75, 54, '2017-06-01', ''),
  ('MMB7129', 103, 74, '2017-06-20', ''),
  ('MMA1224', 91, 64, '2017-06-04', ''),
  ('MMA1224', 90, 61, '2017-07-10', ''),
  ('MMB7049', 65, 41, '2017-06-01', ''),
  ('MMB7049', 79, 53, '2017-06-20', ''),
  ('MMA1278', 92, 64, '2017-06-04', ''),
  ('MMA1278', 95, 66, '2017-07-10', ''),
  ('MMB7124', 43, 22, '2017-06-01', ''),
  ('MMB7124', 72, 43, '2017-06-20', ''),
  ('MMC5161', 53, 21, '2017-05-28', ''),
  ('MMA7040', 79, 62, '2017-05-31', ''),
  ('MMA7040', 112, 77, '2017-06-19', ''),
  ('MMB1093', 52, 44, '2017-05-13', ''),
  ('MMB1179', 55, 40, '2017-05-13', ''),
  ('MMB1179', 109, 71, '2017-06-04', ''),
  ('MMC1075', 71, 52, '2017-05-17', ''),
  ('MMC1075', 145, 104, '2017-06-05', ''),
  ('MMC5123', 112, 89, '2017-05-28', ''),
  ('MMC5123', 127, 101, '2017-06-10', ''),
  ('MMC5123', 131, 90, '2017-07-11', ''),
  ('MMB7058', 53, 27, '2017-06-01', ''),
  ('MMB7058', 66, 33, '2017-06-20', ''),
  ('MMA1191', 61, 47, '2017-05-12', ''),
  ('MMA1191', 135, 117, '2017-06-04', ''),
  ('MMA1191', 131, 124, '2017-07-10', ''),
  ('MMC1165', 57, 38, '2017-05-17', ''),
  ('MMC1165', 105, 78, '2017-06-05', ''),
  ('MMA5139', 64, 42, '2017-05-27', ''),
  ('MMA5139', 85, 55, '2017-06-08', ''),
  ('MMA5139', 87, 58, '2017-07-10', ''),
  ('MMA1259', 71, 44, '2017-06-04', ''),
  ('MMA1259', 70, 45, '2017-07-10', ''),
  ('MMC1129', 50, 36, '2017-05-17', ''),
  ('MMC1129', 99, 77, '2017-06-05', ''),
  ('MMB1092', 52, 38, '2017-05-13', ''),
  ('MMA5090', 93, 62, '2017-05-27', ''),
  ('MMA5090', 120, 93, '2017-06-08', ''),
  ('MMA5090', 126, 94, '2017-07-10', ''),
  ('MMC5046', 91, 66, '2017-05-28', ''),
  ('MMC5046', 111, 84, '2017-06-10', ''),
  ('MMC5046', 110, 83, '2017-07-11', ''),
  ('MMA7024', 58, 42, '2017-05-31', ''),
  ('MMA7024', 86, 62, '2017-06-19', ''),
  ('MMA1074', 51, 48, '2017-05-12', ''),
  ('MMA1074', 105, 89, '2017-06-04', ''),
  ('MMA1074', 109, 97, '2017-07-10', ''),
  ('MMB1053', 52, 43, '2017-05-13', ''),
  ('MMB1053', 107, 93, '2017-06-04', ''),
  ('MMC1128', 57, 48, '2017-05-17', ''),
  ('MMC1128', 131, 111, '2017-06-05', ''),
  ('MMA1183', 55, 39, '2017-05-12', ''),
  ('MMA1183', 105, 72, '2017-06-04', ''),
  ('MMA1183', 105, 73, '2017-07-10', ''),
  ('MMC5147', 66, 43, '2017-05-28', ''),
  ('MMC5147', 77, 50, '2017-06-10', ''),
  ('MMA1292', 111, 89, '2017-06-04', ''),
  ('MMA1292', 114, 88, '2017-07-10', ''),
  ('MMA1051', 50, 49, '2017-05-12', ''),
  ('MMA1051', 133, 131, '2017-06-04', ''),
  ('MMA1051', 139, 142, '2017-07-10', ''),
  ('MMA5083', 55, 34, '2017-05-27', ''),
  ('MMA5083', 71, 42, '2017-06-08', ''),
  ('MMA5083', 70, 42, '2017-07-10', ''),
  ('MMA1204', 101, 83, '2017-06-04', ''),
  ('MMA1204', 106, 90, '2017-07-10', ''),
  ('MMA5199', 81, 68, '2017-05-27', ''),
  ('MMA5199', 116, 95, '2017-06-08', ''),
  ('MMA5199', 120, 103, '2017-07-10', ''),
  ('MMC7072', 40, 21, '2017-06-02', ''),
  ('MMC7072', 40, 19, '2017-06-20', ''),
  ('MMC1040', 57, 43, '2017-05-17', ''),
  ('MMC1040', 100, 74, '2017-06-05', ''),
  ('MMB1141', 55, 43, '2017-05-13', ''),
  ('MMB1141', 110, 87, '2017-06-04', ''),
  ('MMC5019', 70, 41, '2017-05-28', ''),
  ('MMC5019', 76, 44, '2017-06-10', ''),
  ('MMC5019', 79, 81, '2017-07-11', ''),
  ('MMC1123', 101, 95, '2017-05-17', ''),
  ('MMC1123', 151, 141, '2017-06-05', ''),
  ('MMC5005', 111, 90, '2017-05-28', ''),
  ('MMC5005', 137, 97, '2017-06-10', ''),
  ('MMC5005', 143, 116, '2017-07-11', ''),
  ('MMB1230', 63, 36, '2017-06-04', ''),
  ('MMC1147', 61, 39, '2017-05-17', ''),
  ('MMC1147', 93, 61, '2017-06-05', ''),
  ('MMA7038', 85, 86, '2017-05-31', ''),
  ('MMA7038', 170, 169, '2017-06-19', ''),
  ('MMB1072', 51, 49, '2017-05-13', ''),
  ('MMB1072', 136, 129, '2017-06-04', ''),
  ('MMB1136', 51, 35, '2017-05-13', ''),
  ('MMB1136', 102, 75, '2017-06-04', ''),
  ('MMA1075', 61, 52, '2017-05-12', ''),
  ('MMA1075', 131, 112, '2017-06-04', ''),
  ('MMA1075', 141, 121, '2017-07-10', ''),
  ('MMA5241', 80, 46, '2017-06-08', ''),
  ('MMA5241', 76, 45, '2017-07-10', ''),
  ('MMA1245', 93, 81, '2017-06-04', ''),
  ('MMC5114', 55, 40, '2017-05-28', ''),
  ('MMC5114', 82, 56, '2017-07-11', ''),
  ('MMA1211', 93, 83, '2017-06-04', ''),
  ('MMA1211', 93, 86, '2017-07-10', ''),
  ('MMB5127', 75, 56, '2017-05-23', ''),
  ('MMB5127', 112, 83, '2017-06-09', ''),
  ('MMA5159', 74, 50, '2017-05-27', ''),
  ('MMA5159', 92, 65, '2017-06-08', ''),
  ('MMA5159', 95, 66, '2017-07-10', ''),
  ('MMC1011', 69, 41, '2017-05-17', ''),
  ('MMC1011', 80, 65, '2017-06-05', ''),
  ('MMC5171', 118, 118, '2017-05-28', ''),
  ('MMC5171', 138, 136, '2017-06-10', ''),
  ('MMA1090', 85, 86, '2017-05-12', ''),
  ('MMA1090', 190, 184, '2017-06-04', 'cocon dans fleur'),
  ('MMA1090', 196, 178, '2017-07-10', ''),
  ('MMA7073', 105, 103, '2017-05-31', ''),
  ('MMA1017', 50, 40, '2017-05-08', ''),
  ('MMA1017', 111, 93, '2017-06-04', ''),
  ('MMC1183', 58, 43, '2017-05-17', ''),
  ('MMC1183', 110, 81, '2017-06-05', ''),
  ('MMC7043', 47, 17, '2017-06-02', ''),
  ('MMC7043', 48, 18, '2017-06-20', ''),
  ('MMB1042', 57, 51, '2017-05-13', ''),
  ('MMB1042', 120, 100, '2017-06-04', ''),
  ('MMB7080', 50, 36, '2017-06-01', ''),
  ('MMA5054', 91, 77, '2017-05-27', ''),
  ('MMA5054', 116, 95, '2017-06-08', ''),
  ('MMA5054', 116, 93, '2017-07-10', ''),
  ('MMC5089', 57, 39, '2017-05-28', ''),
  ('MMC5089', 76, 48, '2017-06-10', ''),
  ('MMC5089', 76, 49, '2017-07-11', ''),
  ('MMC7141', 72, 38, '2017-06-20', ''),
  ('MMA5120', 83, 75, '2017-05-27', ''),
  ('MMA5120', 104, 90, '2017-06-08', ''),
  ('MMA5120', 108, 93, '2017-07-10', ''),
  ('MMC1002', 56, 40, '2017-05-17', ''),
  ('MMC1002', 115, 82, '2017-06-05', ''),
  ('MMA5170', 84, 60, '2017-05-27', ''),
  ('MMA5170', 99, 71, '2017-06-08', ''),
  ('MMA5170', 102, 74, '2017-07-10', ''),
  ('MMA1099', 55, 48, '2017-05-12', ''),
  ('MMA1099', 144, 126, '2017-06-04', ''),
  ('MMA1099', 145, 127, '2017-07-10', ''),
  ('MMB5219', 54, 31, '2017-05-23', ''),
  ('MMC5030', 74, 52, '2017-05-28', ''),
  ('MMC5030', 89, 59, '2017-06-10', ''),
  ('MMC5030', 89, 60, '2017-07-11', ''),
  ('MMB1209', 51, 42, '2017-05-13', ''),
  ('MMB1209', 127, 106, '2017-06-04', ''),
  ('MMB1059', 55, 46, '2017-05-13', ''),
  ('MMB1059', 104, 88, '2017-06-04', ''),
  ('MMB5100', 77, 59, '2017-05-23', ''),
  ('MMB5100', 114, 87, '2017-06-09', ''),
  ('MMA7030', 92, 91, '2017-05-31', ''),
  ('MMA7030', 127, 124, '2017-06-19', ''),
  ('MMA1246', 51, 32, '2017-06-04', ''),
  ('MMA1084', 52, 40, '2017-05-12', ''),
  ('MMA1084', 115, 86, '2017-06-04', ''),
  ('MMA1084', 116, 88, '2017-07-10', ''),
  ('MMC7057', 58, 31, '2017-06-02', ''),
  ('MMC7057', 64, 36, '2017-06-20', ''),
  ('MMB5080', 87, 79, '2017-05-23', ''),
  ('MMB5094', 81, 60, '2017-05-23', ''),
  ('MMB5094', 102, 80, '2017-06-09', ''),
  ('MMC5152', 71, 48, '2017-05-28', ''),
  ('MMC5152', 83, 56, '2017-06-10', ''),
  ('MMA1139', 61, 67, '2017-05-12', ''),
  ('MMA1139', 122, 129, '2017-06-04', ''),
  ('MMA1139', 121, 132, '2017-07-10', ''),
  ('MMA7104', 42, 22, '2017-05-31', ''),
  ('MMA7104', 51, 30, '2017-06-19', ''),
  ('MMA5226', 60, 27, '2017-06-08', ''),
  ('MMA5226', 60, 27, '2017-07-10', ''),
  ('MMC5127', 98, 73, '2017-05-28', ''),
  ('MMC5127', 137, 96, '2017-06-10', ''),
  ('MMC5197', 56, 37, '2017-05-28', ''),
  ('MMC5197', 70, 45, '2017-06-10', ''),
  ('MMC5155', 78, 68, '2017-05-28', ''),
  ('MMC5155', 99, 85, '2017-06-10', ''),
  ('MMA5066', 72, 54, '2017-05-27', ''),
  ('MMA5066', 102, 70, '2017-06-08', ''),
  ('MMA5066', 97, 73, '2017-07-10', ''),
  ('MMA1072', 61, 63, '2017-05-12', ''),
  ('MMA1072', 145, 140, '2017-06-04', ''),
  ('MMA1072', 146, 146, '2017-07-10', ''),
  ('MMB1002', 64, 61, '2017-05-13', ''),
  ('MMC1163', 74, 75, '2017-05-17', ''),
  ('MMC1163', 126, 105, '2017-06-05', ''),
  ('MMA1034', 50, 46, '2017-05-08', ''),
  ('MMA1034', 116, 100, '2017-06-04', ''),
  ('MMA1034', 121, 104, '2017-07-10', ''),
  ('MMA5110', 62, 56, '2017-05-27', ''),
  ('MMA5110', 84, 70, '2017-06-08', ''),
  ('MMA5110', 90, 79, '2017-07-10', ''),
  ('MMC5028', 79, 64, '2017-05-28', ''),
  ('MMC5028', 95, 72, '2017-06-10', ''),
  ('MMC5028', 95, 78, '2017-07-11', ''),
  ('MMB5133', 93, 75, '2017-05-23', ''),
  ('MMB5133', 130, 98, '2017-06-09', ''),
  ('MMB1143', 53, 40, '2017-05-13', ''),
  ('MMB1143', 118, 90, '2017-06-04', ''),
  ('MMA5018', 53, 38, '2017-05-27', ''),
  ('MMA5018', 70, 50, '2017-06-08', ''),
  ('MMA1209', 65, 40, '2017-06-04', ''),
  ('MMA1209', 66, 40, '2017-07-10', ''),
  ('MMA1012', 54, 55, '2017-05-08', ''),
  ('MMA1012', 141, 140, '2017-06-04', ''),
  ('MMA1012', 145, 148, '2017-07-10', ''),
  ('MMC7140', 101, 78, '2017-06-20', ''),
  ('MMA1048', 50, 51, '2017-05-12', ''),
  ('MMA1048', 125, 125, '2017-06-04', ''),
  ('MMA1048', 128, 129, '2017-07-10', ''),
  ('MMA7108', 29, 19, '2017-05-31', ''),
  ('MMA7108', 54, 26, '2017-06-19', ''),
  ('MMA5114', 83, 60, '2017-05-27', ''),
  ('MMA5114', 106, 78, '2017-06-08', ''),
  ('MMC1008', 54, 35, '2017-05-17', ''),
  ('MMC1008', 99, 61, '2017-06-05', ''),
  ('MMC1179', 68, 50, '2017-05-17', ''),
  ('MMC1179', 101, 76, '2017-06-05', ''),
  ('MMC5201', 65, 38, '2017-05-28', ''),
  ('MMC5201', 77, 47, '2017-06-10', ''),
  ('MMC1229', 102, 76, '2017-06-05', ''),
  ('MMC5233', 50, 31, '2017-06-10', ''),
  ('MMB7014', 79, 49, '2017-06-01', ''),
  ('MMB7014', 102, 65, '2017-06-20', ''),
  ('MMC1013', 70, 51, '2017-05-17', ''),
  ('MMC1013', 120, 87, '2017-06-05', ''),
  ('MMA5181', 86, 71, '2017-05-27', ''),
  ('MMA5181', 103, 82, '2017-06-08', ''),
  ('MMA5181', 107, 86, '2017-07-10', ''),
  ('MMC1214', 72, 43, '2017-06-05', ''),
  ('MMB1020', 57, 60, '2017-05-13', ''),
  ('MMB1020', 133, 132, '2017-06-04', ''),
  ('MMC7083', 62, 31, '2017-06-02', ''),
  ('MMC7083', 63, 32, '2017-06-20', ''),
  ('MMC1230', 65, 42, '2017-06-05', ''),
  ('MMC1064', 51, 30, '2017-05-17', ''),
  ('MMC1064', 105, 61, '2017-06-05', ''),
  ('MMA1137', 79, 70, '2017-05-12', ''),
  ('MMA1137', 145, 139, '2017-06-04', ''),
  ('MMA1137', 151, 135, '2017-07-10', ''),
  ('MMC5141', 70, 36, '2017-05-28', '1 feuille broutée'),
  ('MMC5141', 80, 41, '2017-06-10', ''),
  ('MMB1239', 85, 59, '2017-06-04', ''),
  ('MMA1043', 66, 55, '2017-05-08', ''),
  ('MMA1043', 138, 118, '2017-06-04', ''),
  ('MMA1043', 141, 121, '2017-07-10', ''),
  ('MMB5058', 85, 62, '2017-05-23', ''),
  ('MMB5058', 119, 95, '2017-06-09', ''),
  ('MMB5106', 77, 52, '2017-05-23', ''),
  ('MMB5106', 104, 69, '2017-06-09', ''),
  ('MMA5087', 78, 50, '2017-05-27', ''),
  ('MMA5087', 102, 64, '2017-06-08', ''),
  ('MMA5087', 108, 65, '2017-07-10', ''),
  ('MMA1065', 50, 45, '2017-05-12', ''),
  ('MMA1065', 117, 103, '2017-06-04', ''),
  ('MMB7116', 34, 12, '2017-06-01', ''),
  ('MMB7116', 47, 22, '2017-06-20', ''),
  ('MMC7079', 65, 39, '2017-06-02', ''),
  ('MMC7079', 76, 40, '2017-06-20', ''),
  ('MMB5079', 80, 75, '2017-05-23', ''),
  ('MMB5195', 102, 73, '2017-05-23', ''),
  ('MMB1263', 110, 94, '2017-06-04', ''),
  ('MMC7120', 76, 50, '2017-06-02', ''),
  ('MMC7120', 78, 50, '2017-06-20', ''),
  ('MMB1004', 51, 39, '2017-05-13', ''),
  ('MMB1004', 117, 88, '2017-06-04', ''),
  ('MMA7050', 117, 117, '2017-05-31', ''),
  ('MMA7050', 169, 163, '2017-06-19', ''),
  ('MMB5231', 61, 34, '2017-06-09', ''),
  ('MMC1105', 59, 49, '2017-05-17', ''),
  ('MMC1105', 116, 100, '2017-06-05', ''),
  ('MMC5128', 81, 51, '2017-05-28', ''),
  ('MMC5128', 102, 64, '2017-06-10', ''),
  ('MMC5128', 97, 68, '2017-07-11', ''),
  ('MMA7010', 59, 43, '2017-05-31', ''),
  ('MMA7010', 81, 59, '2017-06-19', ''),
  ('MMA1077', 56, 57, '2017-05-12', ''),
  ('MMA1077', 115, 114, '2017-06-04', ''),
  ('MMA1077', 115, 109, '2017-07-10', ''),
  ('MMB1006', 59, 54, '2017-05-13', ''),
  ('MMC7032', 62, 38, '2017-06-02', ''),
  ('MMC7032', 76, 44, '2017-06-20', ''),
  ('MMB5250', 53, 28, '2017-06-09', ''),
  ('MMC7073', 82, 49, '2017-06-02', ''),
  ('MMC7073', 92, 53, '2017-06-20', ''),
  ('MMA5046', 102, 109, '2017-05-27', ''),
  ('MMA5046', 127, 126, '2017-06-08', ''),
  ('MMA5046', 131, 138, '2017-07-10', ''),
  ('MMA7069', 71, 52, '2017-05-31', ''),
  ('MMA7069', 114, 104, '2017-06-19', ''),
  ('MMA1023', 52, 45, '2017-05-08', ''),
  ('MMA1023', 97, 96, '2017-06-04', ''),
  ('MMA1023', 97, 89, '2017-07-10', ''),
  ('MMA5152', 62, 40, '2017-05-27', ''),
  ('MMA5152', 86, 48, '2017-06-08', ''),
  ('MMA5152', 83, 49, '2017-07-10', ''),
  ('MMC5206', 61, 38, '2017-05-28', ''),
  ('MMC5206', 89, 54, '2017-06-10', ''),
  ('MMC7139', 64, 56, '2017-06-20', ''),
  ('MMB5053', 80, 64, '2017-05-23', ''),
  ('MMB7024', 56, 49, '2017-06-01', ''),
  ('MMB7024', 89, 67, '2017-06-20', ''),
  ('MMC1254', 74, 51, '2017-06-05', ''),
  ('MMC1205', 61, 49, '2017-05-17', ''),
  ('MMC1205', 111, 77, '2017-06-05', ''),
  ('MMB7009', 85, 62, '2017-06-01', ''),
  ('MMB7009', 114, 93, '2017-06-20', ''),
  ('MMB1310', 82, 73, '2017-06-04', ''),
  ('MMC1201', 57, 45, '2017-05-17', ''),
  ('MMC1201', 120, 87, '2017-06-05', ''),
  ('MMA1046', 51, 51, '2017-05-12', ''),
  ('MMA1046', 128, 138, '2017-06-04', ''),
  ('MMA1046', 129, 141, '2017-07-10', ''),
  ('MMB1033', 51, 45, '2017-05-13', ''),
  ('MMC1274', 71, 37, '2017-06-05', ''),
  ('MMB5260', 61, 94, '2017-06-09', ''),
  ('MMA1198', 50, 40, '2017-05-12', ''),
  ('MMA1198', 127, 100, '2017-06-04', ''),
  ('MMA1198', 125, 101, '2017-07-10', ''),
  ('MMB1017', 52, 49, '2017-05-13', ''),
  ('MMB1017', 117, 109, '2017-06-04', ''),
  ('MMC5091', 61, 31, '2017-05-28', ''),
  ('MMC5091', 73, 39, '2017-06-10', ''),
  ('MMC5091', 69, 37, '2017-07-11', ''),
  ('MMB7017', 60, 33, '2017-06-01', ''),
  ('MMB7017', 96, 53, '2017-06-20', ''),
  ('MMB7120', 30, 21, '2017-06-01', ''),
  ('MMB7120', 57, 37, '2017-06-20', ''),
  ('MMC7125', 85, 58, '2017-06-02', ''),
  ('MMC7125', 92, 67, '2017-06-20', ''),
  ('MMA5193', 60, 34, '2017-05-27', ''),
  ('MMA5193', 70, 46, '2017-06-08', ''),
  ('MMB1188', 54, 31, '2017-05-13', ''),
  ('MMB1188', 97, 68, '2017-06-04', ''),
  ('MMB1266', 113, 82, '2017-06-04', ''),
  ('MMA7046', 41, 26, '2017-05-31', ''),
  ('MMA7046', 82, 47, '2017-06-19', ''),
  ('MMA1225', 108, 105, '2017-06-04', ''),
  ('MMA1225', 104, 109, '2017-07-10', ''),
  ('MMA1192', 51, 47, '2017-05-12', ''),
  ('MMA1192', 125, 117, '2017-06-04', ''),
  ('MMA1192', 118, 105, '2017-07-10', ''),
  ('MMC1222', 89, 61, '2017-06-05', ''),
  ('MMA5156', 92, 69, '2017-05-27', ''),
  ('MMA5156', 121, 86, '2017-06-08', ''),
  ('MMA5156', 123, 90, '2017-07-10', ''),
  ('MMB5096', 67, 39, '2017-05-23', ''),
  ('MMB5096', 100, 56, '2017-06-09', ''),
  ('MMA7121', 46, 26, '2017-05-31', ''),
  ('MMA7121', 76, 43, '2017-06-19', ''),
  ('MMA1253', 93, 75, '2017-06-04', ''),
  ('MMA1253', 98, 76, '2017-07-10', ''),
  ('MMB7039', 96, 78, '2017-06-01', ''),
  ('MMB7039', 137, 109, '2017-06-20', ''),
  ('MMC1158', 91, 92, '2017-05-17', ''),
  ('MMC1158', 174, 184, '2017-06-05', 'chenille dans fleur'),
  ('MMB7048', 56, 34, '2017-06-01', ''),
  ('MMB7048', 72, 41, '2017-06-20', ''),
  ('MMA5243', 56, 27, '2017-06-08', ''),
  ('MMA5243', 62, 30, '2017-07-10', ''),
  ('MMC5159', 70, 36, '2017-05-28', ''),
  ('MMC5159', 83, 51, '2017-06-10', ''),
  ('MMA7020', 65, 48, '2017-05-31', ''),
  ('MMA7020', 110, 82, '2017-06-19', ''),
  ('MMC1285', 63, 27, '2017-06-05', ''),
  ('MMC5050', 86, 59, '2017-05-28', ''),
  ('MMA7042', 58, 46, '2017-05-31', ''),
  ('MMA7042', 124, 104, '2017-06-19', ''),
  ('MMB5228', 68, 39, '2017-06-09', ''),
  ('MMB5026', 105, 104, '2017-05-23', ''),
  ('MMB5026', 147, 136, '2017-06-09', ''),
  ('MMA7099', 30, 15, '2017-05-31', ''),
  ('MMA7099', 44, 21, '2017-06-19', ''),
  ('MMC1173', 52, 35, '2017-05-17', ''),
  ('MMC1173', 95, 64, '2017-06-05', ''),
  ('MMB7135', 74, 47, '2017-06-01', ''),
  ('MMB7135', 105, 65, '2017-06-20', ''),
  ('MMB5153', 86, 68, '2017-05-23', ''),
  ('MMB5153', 105, 71, '2017-06-09', ''),
  ('MMA5171', 111, 94, '2017-05-27', ''),
  ('MMA5171', 126, 107, '2017-06-08', ''),
  ('MMA5171', 134, 114, '2017-07-10', ''),
  ('MMC1033', 68, 55, '2017-05-17', ''),
  ('MMC1033', 99, 82, '2017-06-05', ''),
  ('MMB1259', 87, 65, '2017-06-04', ''),
  ('MMB1140', 61, 41, '2017-05-13', ''),
  ('MMB1140', 111, 89, '2017-06-04', ''),
  ('MMB5193', 53, 39, '2017-05-23', ''),
  ('MMB5193', 72, 50, '2017-06-09', ''),
  ('MMB1190', 56, 58, '2017-05-13', ''),
  ('MMB1190', 132, 147, '2017-06-04', ''),
  ('MMA1114', 62, 51, '2017-05-12', ''),
  ('MMA1114', 145, 125, '2017-06-04', ''),
  ('MMA1114', 150, 117, '2017-07-10', ''),
  ('MMA1293', 87, 47, '2017-06-04', ''),
  ('MMA1293', 88, 54, '2017-07-10', ''),
  ('MMB1214', 50, 26, '2017-06-04', ''),
  ('MMB7047', 35, 19, '2017-06-01', ''),
  ('MMB7047', 70, 40, '2017-06-20', ''),
  ('MMA1049', 50, 38, '2017-05-12', ''),
  ('MMA1049', 114, 85, '2017-06-04', ''),
  ('MMA1049', 103, 72, '2017-07-10', ''),
  ('MMB5078', 94, 89, '2017-05-23', ''),
  ('MMB1070', 64, 55, '2017-05-13', ''),
  ('MMB1070', 135, 116, '2017-06-04', ''),
  ('MMA5043', 80, 50, '2017-05-27', ''),
  ('MMA5043', 103, 64, '2017-06-08', ''),
  ('MMA5043', 105, 65, '2017-07-10', ''),
  ('MMA7017', 52, 30, '2017-05-31', ''),
  ('MMA7017', 80, 48, '2017-06-19', ''),
  ('MMC5234', 70, 37, '2017-06-10', ''),
  ('MMB7147', 56, 30, '2017-06-20', ''),
  ('MMB7042', 51, 27, '2017-06-01', ''),
  ('MMB7042', 67, 40, '2017-06-20', ''),
  ('MMC7100', 41, 19, '2017-06-02', ''),
  ('MMC7100', 47, 22, '2017-06-20', ''),
  ('MMB1269', 85, 54, '2017-06-04', ''),
  ('MMA1050', 50, 37, '2017-05-12', ''),
  ('MMA1050', 127, 100, '2017-06-04', ''),
  ('MMA1050', 137, 99, '2017-07-10', ''),
  ('MMC1063', 56, 39, '2017-05-17', ''),
  ('MMC1063', 114, 79, '2017-06-05', ''),
  ('MMC5219', 54, 34, '2017-06-10', ''),
  ('MMA5059', 105, 91, '2017-05-27', ''),
  ('MMA5059', 125, 112, '2017-06-08', ''),
  ('MMA5059', 126, 112, '2017-07-10', ''),
  ('MMC1188', 76, 70, '2017-05-17', ''),
  ('MMC1188', 166, 161, '2017-06-05', ''),
  ('MMB5137', 98, 88, '2017-05-23', ''),
  ('MMB5137', 134, 121, '2017-06-09', ''),
  ('MMB5173', 75, 68, '2017-05-23', ''),
  ('MMB5173', 100, 89, '2017-06-09', ''),
  ('MMC7108', 109, 84, '2017-06-02', ''),
  ('MMC7108', 122, 91, '2017-06-20', ''),
  ('MMB5179', 80, 60, '2017-05-23', ''),
  ('MMB5179', 116, 87, '2017-06-09', ''),
  ('MMB1286', 109, 91, '2017-06-04', ''),
  ('MMB7025', 50, 35, '2017-06-01', ''),
  ('MMB7025', 78, 56, '2017-06-20', ''),
  ('MMC1067', 68, 52, '2017-05-17', ''),
  ('MMC1099', 59, 45, '2017-05-17', ''),
  ('MMC1099', 92, 75, '2017-06-05', ''),
  ('MMC5088', 86, 65, '2017-05-28', ''),
  ('MMC5088', 107, 81, '2017-06-10', ''),
  ('MMC7002', 97, 88, '2017-06-02', ''),
  ('MMC7002', 109, 94, '2017-06-20', ''),
  ('MMB1088', 53, 43, '2017-05-13', ''),
  ('MMB1088', 133, 109, '2017-06-04', ''),
  ('MMA1119', 59, 66, '2017-05-12', ''),
  ('MMB1025', 50, 39, '2017-05-13', ''),
  ('MMC7007', 62, 35, '2017-06-02', ''),
  ('MMC7007', 68, 40, '2017-06-20', ''),
  ('MMB1041', 52, 33, '2017-05-13', ''),
  ('MMB1041', 107, 69, '2017-06-04', ''),
  ('MMB5206', 57, 34, '2017-05-23', ''),
  ('MMB5206', 80, 49, '2017-06-09', ''),
  ('MMC5033', 67, 41, '2017-05-28', ''),
  ('MMC5033', 85, 53, '2017-06-10', ''),
  ('MMC5033', 78, 55, '2017-07-11', ''),
  ('MMA1169', 56, 49, '2017-05-12', ''),
  ('MMA1169', 101, 92, '2017-06-04', ''),
  ('MMA7120', 65, 52, '2017-05-31', ''),
  ('MMA7120', 95, 81, '2017-06-19', ''),
  ('MMC1014', 54, 33, '2017-05-17', ''),
  ('MMC1014', 92, 55, '2017-06-05', ''),
  ('MMB5189', 85, 58, '2017-05-23', ''),
  ('MMB5189', 110, 83, '2017-06-09', ''),
  ('MMA5144', 61, 33, '2017-05-27', ''),
  ('MMA5144', 70, 37, '2017-06-08', ''),
  ('MMC5063', 72, 53, '2017-05-28', ''),
  ('MMC5063', 97, 58, '2017-06-10', ''),
  ('MMC5063', 98, 66, '2017-07-11', ''),
  ('MMC5148', 63, 39, '2017-05-28', ''),
  ('MMC5148', 74, 36, '2017-06-10', ''),
  ('MMA7129', 72, 72, '2017-05-31', ''),
  ('MMA7129', 115, 106, '2017-06-19', ''),
  ('MMA7016', 52, 28, '2017-05-31', ''),
  ('MMA7016', 99, 73, '2017-06-19', ''),
  ('MMA7119', 70, 57, '2017-05-31', ''),
  ('MMA7119', 93, 79, '2017-06-19', ''),
  ('MMC7029', 74, 58, '2017-06-02', ''),
  ('MMC7029', 92, 78, '2017-06-20', ''),
  ('MMA1108', 71, 69, '2017-05-12', ''),
  ('MMA1108', 127, 120, '2017-06-04', ''),
  ('MMA1108', 129, 106, '2017-07-10', ''),
  ('MMB5082', 67, 53, '2017-05-23', ''),
  ('MMC1259', 64, 29, '2017-06-05', ''),
  ('MMB5227', 56, 40, '2017-06-09', ''),
  ('MMB1200', 55, 40, '2017-05-13', ''),
  ('MMB1200', 110, 87, '2017-06-04', ''),
  ('MMB1208', 60, 40, '2017-05-13', ''),
  ('MMB1208', 127, 76, '2017-06-04', ''),
  ('MMA5015', 61, 44, '2017-05-27', ''),
  ('MMA5015', 78, 56, '2017-06-08', ''),
  ('MMA5015', 78, 57, '2017-07-10', ''),
  ('MMB7029', 38, 21, '2017-06-01', ''),
  ('MMB7029', 59, 31, '2017-06-20', ''),
  ('MMB1086', 53, 39, '2017-05-13', ''),
  ('MMB1086', 94, 63, '2017-06-04', ''),
  ('MMA1282', 80, 46, '2017-06-04', ''),
  ('MMA1282', 79, 51, '2017-07-10', ''),
  ('MMA1196', 51, 45, '2017-05-12', ''),
  ('MMA1196', 137, 112, '2017-06-04', ''),
  ('MMA1196', 135, 120, '2017-07-10', ''),
  ('MMC5031', 58, 32, '2017-05-28', ''),
  ('MMC5031', 66, 39, '2017-06-10', ''),
  ('MMC5031', 67, 40, '2017-07-11', ''),
  ('MMB1229', 75, 37, '2017-06-04', ''),
  ('MMC1282', 83, 45, '2017-06-05', ''),
  ('MMC5074', 50, 33, '2017-05-28', ''),
  ('MMC5074', 54, 40, '2017-06-10', ''),
  ('MMB1177', 52, 44, '2017-05-13', ''),
  ('MMB1177', 111, 90, '2017-06-04', ''),
  ('MMC7030', 117, 85, '2017-06-02', ''),
  ('MMC7030', 145, 106, '2017-06-20', ''),
  ('MMC7114', 79, 49, '2017-06-02', ''),
  ('MMC7114', 88, 55, '2017-06-20', ''),
  ('MMC1186', 55, 38, '2017-05-17', ''),
  ('MMC1186', 98, 69, '2017-06-05', ''),
  ('MMC1072', 71, 43, '2017-05-17', ''),
  ('MMC1072', 145, 92, '2017-06-05', ''),
  ('MMB7074', 47, 42, '2017-06-01', ''),
  ('MMB5262', 59, 30, '2017-06-09', ''),
  ('MMB1161', 54, 48, '2017-05-13', ''),
  ('MMB1161', 115, 104, '2017-06-04', ''),
  ('MMC1095', 74, 62, '2017-05-17', ''),
  ('MMC1095', 113, 99, '2017-06-05', ''),
  ('MMB7111', 52, 31, '2017-06-01', ''),
  ('MMB7111', 66, 42, '2017-06-20', ''),
  ('MMB5259', 68, 42, '2017-06-09', ''),
  ('MMB1061', 57, 38, '2017-05-13', ''),
  ('MMB5201', 61, 42, '2017-05-23', ''),
  ('MMB5201', 79, 53, '2017-06-09', ''),
  ('MMA1087', 51, 44, '2017-05-12', ''),
  ('MMA1087', 120, 104, '2017-06-04', ''),
  ('MMA1087', 125, 106, '2017-07-10', ''),
  ('MMC1114', 77, 67, '2017-05-17', ''),
  ('MMC1114', 103, 78, '2017-06-05', ''),
  ('MMC1140', 71, 53, '2017-05-17', ''),
  ('MMC1140', 115, 58, '2017-06-05', ''),
  ('MMA7133', 96, 68, '2017-06-19', ''),
  ('MMA7105', 42, 28, '2017-05-31', ''),
  ('MMA7105', 64, 44, '2017-06-19', ''),
  ('MMC1109', 75, 52, '2017-05-17', ''),
  ('MMC1109', 111, 84, '2017-06-05', ''),
  ('MMB5108', 61, 44, '2017-05-23', ''),
  ('MMB5108', 85, 64, '2017-06-09', ''),
  ('MMA1135', 55, 42, '2017-05-12', ''),
  ('MMA1135', 95, 83, '2017-06-04', ''),
  ('MMA1135', 86, 78, '2017-07-10', ''),
  ('MMB1151', 58, 42, '2017-05-13', ''),
  ('MMB1151', 119, 90, '2017-06-04', ''),
  ('MMA7084', 79, 53, '2017-05-31', ''),
  ('MMA7084', 110, 78, '2017-06-19', ''),
  ('MMA1290', 81, 58, '2017-06-04', ''),
  ('MMA1290', 81, 55, '2017-07-10', ''),
  ('MMA1071', 51, 46, '2017-05-12', ''),
  ('MMA1071', 117, 194, '2017-06-04', ''),
  ('MMA1071', 120, 96, '2017-07-10', ''),
  ('MMC1271', 55, 31, '2017-06-05', ''),
  ('MMB1119', 55, 38, '2017-05-13', ''),
  ('MMB1119', 101, 78, '2017-06-04', ''),
  ('MMA1178', 62, 56, '2017-05-12', ''),
  ('MMA1178', 107, 99, '2017-06-04', ''),
  ('MMA1178', 107, 102, '2017-07-10', ''),
  ('MMB5187', 72, 52, '2017-05-23', ''),
  ('MMB5187', 94, 70, '2017-06-09', ''),
  ('MMB1303', 70, 37, '2017-06-04', ''),
  ('MMC1003', 75, 77, '2017-05-17', ''),
  ('MMC1003', 135, 125, '2017-06-05', ''),
  ('MMB5182', 84, 72, '2017-05-23', ''),
  ('MMB5182', 106, 84, '2017-06-09', ''),
  ('MMB1168', 50, 42, '2017-05-13', ''),
  ('MMC5251', 55, 29, '2017-06-10', ''),
  ('MMB1089', 52, 49, '2017-05-13', ''),
  ('MMB1089', 135, 116, '2017-06-04', ''),
  ('MMB5162', 67, 38, '2017-05-23', ''),
  ('MMB5162', 87, 53, '2017-06-09', ''),
  ('MMA1115', 53, 46, '2017-05-12', ''),
  ('MMA1115', 122, 106, '2017-06-04', ''),
  ('MMA1115', 127, 107, '2017-07-10', ''),
  ('MMC1015', 61, 51, '2017-05-17', ''),
  ('MMC1015', 110, 99, '2017-06-05', ''),
  ('MMA5109', 91, 73, '2017-05-27', ''),
  ('MMA5109', 115, 87, '2017-06-08', ''),
  ('MMA5109', 117, 88, '2017-07-10', ''),
  ('MMC5134', 55, 29, '2017-05-28', ''),
  ('MMC5134', 64, 36, '2017-06-10', ''),
  ('MMA1238', 95, 75, '2017-06-04', ''),
  ('MMB5255', 50, 29, '2017-06-09', ''),
  ('MMA5075', 98, 86, '2017-05-27', ''),
  ('MMA5075', 123, 103, '2017-06-08', ''),
  ('MMA5075', 117, 92, '2017-07-10', ''),
  ('MMC5097', 66, 40, '2017-05-28', ''),
  ('MMC5097', 53, 29, '2017-07-11', ''),
  ('MMB5191', 67, 53, '2017-05-23', ''),
  ('MMB5191', 92, 73, '2017-06-09', ''),
  ('MMB5209', 65, 48, '2017-05-23', ''),
  ('MMB5209', 83, 59, '2017-06-09', ''),
  ('MMA5224', 69, 33, '2017-06-08', ''),
  ('MMA5224', 61, 27, '2017-07-10', ''),
  ('MMA1162', 51, 44, '2017-05-12', ''),
  ('MMC1035', 78, 73, '2017-05-17', ''),
  ('MMC1035', 126, 118, '2017-06-05', ''),
  ('MMA5129', 50, 32, '2017-05-27', ''),
  ('MMA5129', 62, 39, '2017-06-08', ''),
  ('MMA5129', 66, 41, '2017-07-10', ''),
  ('MMC7122', 68, 39, '2017-06-02', ''),
  ('MMC7122', 75, 43, '2017-06-20', ''),
  ('MMC5231', 62, 35, '2017-06-10', ''),
  ('MMA1052', 50, 34, '2017-05-12', ''),
  ('MMA1052', 115, 96, '2017-06-04', ''),
  ('MMA1052', 118, 103, '2017-07-10', ''),
  ('MMB1296', 123, 96, '2017-06-04', ''),
  ('MMB1195', 57, 45, '2017-05-13', ''),
  ('MMB1195', 102, 82, '2017-06-04', ''),
  ('MMB5028', 93, 86, '2017-05-23', ''),
  ('MMB5028', 140, 134, '2017-06-09', ''),
  ('MMA7018', 61, 29, '2017-05-31', ''),
  ('MMA7018', 84, 38, '2017-06-19', ''),
  ('MMA1159', 50, 40, '2017-05-12', ''),
  ('MMA1159', 136, 112, '2017-06-04', ''),
  ('MMA1159', 135, 117, '2017-07-10', ''),
  ('MMB7004', 72, 51, '2017-06-01', ''),
  ('MMB7004', 103, 76, '2017-06-20', ''),
  ('MMC7084', 80, 48, '2017-06-02', ''),
  ('MMC7084', 84, 52, '2017-06-20', ''),
  ('MMA1134', 58, 50, '2017-05-12', ''),
  ('MMA1134', 125, 107, '2017-06-04', ''),
  ('MMA1134', 122, 113, '2017-07-10', ''),
  ('MMA7132', 54, 29, '2017-06-19', ''),
  ('MMA5033', 72, 42, '2017-05-27', ''),
  ('MMA5033', 83, 49, '2017-06-08', ''),
  ('MMA1161', 52, 43, '2017-05-12', ''),
  ('MMA1161', 139, 120, '2017-06-04', ''),
  ('MMA1161', 139, 123, '2017-07-10', ''),
  ('MMC1227', 77, 52, '2017-06-05', ''),
  ('MMC5132', 93, 70, '2017-05-28', ''),
  ('MMC5132', 114, 85, '2017-06-10', ''),
  ('MMB7122', 41, 22, '2017-06-01', ''),
  ('MMB7122', 65, 38, '2017-06-20', ''),
  ('MMC5142', 75, 63, '2017-05-28', ''),
  ('MMC5142', 89, 74, '2017-06-10', ''),
  ('MMB5010', 70, 50, '2017-05-23', ''),
  ('MMB5010', 100, 74, '2017-06-09', ''),
  ('MMA1212', 92, 52, '2017-06-04', ''),
  ('MMA1212', 93, 58, '2017-07-10', ''),
  ('MMA7032', 52, 36, '2017-05-31', ''),
  ('MMA7032', 75, 47, '2017-06-19', ''),
  ('MMA1055', 60, 55, '2017-05-12', ''),
  ('MMA1055', 116, 112, '2017-06-04', ''),
  ('MMA1055', 118, 114, '2017-07-10', ''),
  ('MMC1060', 79, 64, '2017-05-17', ''),
  ('MMC1060', 117, 87, '2017-06-05', ''),
  ('MMB7137', 59, 47, '2017-06-01', ''),
  ('MMB7137', 96, 79, '2017-06-20', ''),
  ('MMC1144', 76, 56, '2017-05-17', ''),
  ('MMC1144', 124, 89, '2017-06-05', ''),
  ('MMC5115', 110, 76, '2017-05-28', ''),
  ('MMC5115', 126, 96, '2017-06-10', ''),
  ('MMC5115', 127, 90, '2017-07-11', ''),
  ('MMC7143', 45, 24, '2017-06-20', ''),
  ('MMB1021', 55, 48, '2017-05-13', ''),
  ('MMB1021', 129, 117, '2017-06-04', ''),
  ('MMA5190', 109, 86, '2017-05-27', ''),
  ('MMA5190', 143, 103, '2017-06-08', ''),
  ('MMA5190', 142, 104, '2017-07-10', ''),
  ('MMA1125', 52, 47, '2017-05-12', ''),
  ('MMA1125', 115, 105, '2017-06-04', ''),
  ('MMA1125', 116, 112, '2017-07-10', ''),
  ('MMA5017', 54, 41, '2017-05-27', ''),
  ('MMA5017', 74, 53, '2017-06-08', ''),
  ('MMA7077', 50, 34, '2017-05-31', ''),
  ('MMA7077', 73, 50, '2017-06-19', ''),
  ('MMC5241', 46, 28, '2017-06-10', ''),
  ('MMC1096', 56, 46, '2017-05-17', ''),
  ('MMC1096', 94, 73, '2017-06-05', ''),
  ('MMC1077', 56, 44, '2017-05-17', ''),
  ('MMC1077', 90, 73, '2017-06-05', ''),
  ('MMC5027', 50, 36, '2017-05-28', ''),
  ('MMC5027', 66, 46, '2017-06-10', ''),
  ('MMC5027', 67, 49, '2017-07-11', ''),
  ('MMA1001', 70, 72, '2017-05-08', ''),
  ('MMA1001', 161, 148, '2017-06-04', ''),
  ('MMA1001', 161, 164, '2017-07-10', ''),
  ('MMA1107', 52, 46, '2017-05-12', ''),
  ('MMA1107', 120, 110, '2017-06-04', ''),
  ('MMA1107', 120, 103, '2017-07-10', ''),
  ('MMA5157', 72, 55, '2017-05-27', ''),
  ('MMA5157', 111, 72, '2017-06-08', ''),
  ('MMA5157', 105, 74, '2017-07-10', ''),
  ('MMA7102', 38, 13, '2017-05-31', ''),
  ('MMA7102', 55, 29, '2017-06-19', ''),
  ('MMA1263', 84, 44, '2017-06-04', ''),
  ('MMA1263', 81, 48, '2017-07-10', ''),
  ('MMB1224', 68, 39, '2017-06-04', ''),
  ('MMB1301', 87, 53, '2017-06-04', ''),
  ('MMA1020', 50, 39, '2017-05-08', ''),
  ('MMA1020', 114, 92, '2017-06-04', ''),
  ('MMA1020', 114, 94, '2017-07-10', ''),
  ('MMA7011', 66, 41, '2017-05-31', ''),
  ('MMA7011', 83, 55, '2017-06-19', ''),
  ('MMB7090', 50, 41, '2017-06-01', ''),
  ('MMB7090', 88, 69, '2017-06-20', ''),
  ('MMB5063', 69, 55, '2017-05-23', ''),
  ('MMB5063', 111, 187, '2017-06-09', ''),
  ('MMC1018', 54, 44, '2017-05-17', ''),
  ('MMC1018', 84, 70, '2017-06-05', ''),
  ('MMA7127', 71, 60, '2017-05-31', ''),
  ('MMA7127', 103, 86, '2017-06-19', ''),
  ('MMA1286', 96, 77, '2017-06-04', ''),
  ('MMA1286', 149, 136, '2017-07-10', ''),
  ('MMC7011', 34, 18, '2017-06-02', ''),
  ('MMC7011', 35, 19, '2017-06-20', ''),
  ('MMA1150', 58, 59, '2017-05-12', ''),
  ('MMA1150', 135, 131, '2017-06-04', ''),
  ('MMA1150', 139, 144, '2017-07-10', ''),
  ('MMB1114', 54, 39, '2017-05-13', ''),
  ('MMB1114', 95, 67, '2017-06-04', ''),
  ('MMB1149', 52, 31, '2017-05-13', ''),
  ('MMB1149', 134, 97, '2017-06-04', ''),
  ('MMA7053', 57, 37, '2017-05-31', ''),
  ('MMA7053', 75, 48, '2017-06-19', ''),
  ('MMB7033', 61, 32, '2017-06-01', ''),
  ('MMB7033', 95, 52, '2017-06-20', ''),
  ('MMA1291', 95, 73, '2017-06-04', ''),
  ('MMA1291', 95, 74, '2017-07-10', ''),
  ('MMB5131', 87, 76, '2017-05-23', ''),
  ('MMB5131', 115, 101, '2017-06-09', ''),
  ('MMB5247', 66, 34, '2017-06-09', ''),
  ('MMA5050', 98, 71, '2017-05-27', ''),
  ('MMA5050', 126, 90, '2017-06-08', ''),
  ('MMA5050', 130, 93, '2017-07-10', ''),
  ('MMC1307', 51, 27, '2017-06-05', ''),
  ('MMC7013', 79, 53, '2017-06-02', ''),
  ('MMC7013', 85, 58, '2017-06-20', ''),
  ('MMB1285', 104, 84, '2017-06-04', ''),
  ('MMA1086', 63, 52, '2017-05-12', ''),
  ('MMA1086', 146, 130, '2017-06-04', ''),
  ('MMA1086', 153, 136, '2017-07-10', ''),
  ('MMC5208', 52, 22, '2017-06-10', ''),
  ('MMB5091', 55, 29, '2017-05-23', ''),
  ('MMB5091', 74, 38, '2017-06-09', ''),
  ('MMA5020', 52, 33, '2017-05-27', ''),
  ('MMA5020', 69, 42, '2017-06-08', ''),
  ('MMA1027', 50, 39, '2017-05-08', ''),
  ('MMA1027', 110, 82, '2017-06-04', ''),
  ('MMA1027', 103, 84, '2017-07-10', ''),
  ('MMB1071', 50, 39, '2017-05-13', ''),
  ('MMA5172', 56, 37, '2017-05-27', ''),
  ('MMA5172', 67, 44, '2017-06-08', ''),
  ('MMA5172', 65, 41, '2017-07-10', ''),
  ('MMB1267', 114, 82, '2017-06-04', ''),
  ('MMA1060', 51, 45, '2017-05-12', ''),
  ('MMA1060', 122, 110, '2017-06-04', ''),
  ('MMA1060', 126, 101, '2017-07-10', ''),
  ('MMA1093', 63, 54, '2017-05-12', ''),
  ('MMA1093', 131, 116, '2017-06-04', ''),
  ('MMA1093', 133, 117, '2017-07-10', ''),
  ('MMB1237', 109, 107, '2017-06-04', ''),
  ('MMB1103', 50, 39, '2017-05-13', ''),
  ('MMB5225', 57, 33, '2017-06-09', ''),
  ('MMC5092', 62, 38, '2017-05-28', ''),
  ('MMC5092', 81, 48, '2017-06-10', ''),
  ('MMC5092', 85, 50, '2017-07-11', ''),
  ('MMC1296', 62, 38, '2017-06-05', ''),
  ('MMA1058', 60, 52, '2017-05-12', ''),
  ('MMA1058', 115, 105, '2017-06-04', ''),
  ('MMA5097', 55, 32, '2017-05-27', ''),
  ('MMA5097', 67, 38, '2017-06-08', ''),
  ('MMA5097', 72, 41, '2017-07-10', ''),
  ('MMC5043', 60, 25, '2017-05-28', ''),
  ('MMC5043', 72, 32, '2017-06-10', ''),
  ('MMC5043', 75, 32, '2017-07-11', ''),
  ('MMC7126', 84, 58, '2017-06-02', ''),
  ('MMC7126', 88, 64, '2017-06-20', ''),
  ('MMC1159', 75, 56, '2017-05-17', ''),
  ('MMC1159', 141, 112, '2017-06-05', ''),
  ('MMA7037', 74, 70, '2017-05-31', ''),
  ('MMA7037', 107, 99, '2017-06-19', ''),
  ('MMA5196', 79, 49, '2017-05-27', ''),
  ('MMA5196', 99, 64, '2017-06-08', ''),
  ('MMA5196', 102, 66, '2017-07-10', ''),
  ('MMC5093', 72, 41, '2017-05-28', ''),
  ('MMC5093', 91, 54, '2017-06-10', ''),
  ('MMC5093', 90, 51, '2017-07-11', ''),
  ('MMA1059', 55, 48, '2017-05-12', ''),
  ('MMA1059', 115, 100, '2017-06-04', ''),
  ('MMA1059', 117, 93, '2017-07-10', ''),
  ('MMC5156', 101, 88, '2017-05-28', ''),
  ('MMC5156', 129, 114, '2017-06-10', ''),
  ('MMB7065', 50, 20, '2017-06-01', ''),
  ('MMB7065', 78, 43, '2017-06-20', ''),
  ('MMC5135', 84, 61, '2017-05-28', ''),
  ('MMC5135', 100, 75, '2017-06-10', ''),
  ('MMC1295', 100, 58, '2017-06-05', ''),
  ('MMB5146', 65, 55, '2017-05-23', ''),
  ('MMB5146', 90, 76, '2017-06-09', ''),
  ('MMB1116', 54, 42, '2017-05-13', ''),
  ('MMB1116', 113, 85, '2017-06-04', ''),
  ('MMC1133', 61, 52, '2017-05-17', ''),
  ('MMC1133', 110, 98, '2017-06-05', ''),
  ('MMC5140', 95, 81, '2017-05-28', ''),
  ('MMC5140', 119, 99, '2017-06-10', ''),
  ('MMB5021', 83, 76, '2017-05-23', ''),
  ('MMB5021', 121, 109, '2017-06-09', ''),
  ('MMC5248', 53, 26, '2017-06-10', ''),
  ('MMA7057', 95, 76, '2017-05-31', ''),
  ('MMA7057', 150, 112, '2017-06-19', ''),
  ('MMB5221', 93, 58, '2017-06-09', ''),
  ('MMA5040', 50, 34, '2017-05-27', ''),
  ('MMA5040', 63, 41, '2017-06-08', ''),
  ('MMA5040', 65, 43, '2017-07-10', ''),
  ('MMB5267', 49, 21, '2017-06-09', ''),
  ('MMA1127', 62, 55, '2017-05-12', ''),
  ('MMA1127', 167, 157, '2017-06-04', ''),
  ('MMA1127', 175, 154, '2017-07-10', ''),
  ('MMB5075', 92, 89, '2017-05-23', ''),
  ('MMB5075', 139, 136, '2017-06-09', ''),
  ('MMB5220', 54, 29, '2017-05-23', ''),
  ('MMA5179', 63, 32, '2017-05-27', ''),
  ('MMA5179', 84, 47, '2017-06-08', ''),
  ('MMA5179', 84, 49, '2017-07-10', ''),
  ('MMA5214', 47, 25, '2017-06-08', ''),
  ('MMB5034', 98, 80, '2017-05-23', ''),
  ('MMB1130', 56, 44, '2017-05-13', ''),
  ('MMB1130', 119, 99, '2017-06-04', ''),
  ('MMB7099', 85, 58, '2017-06-01', ''),
  ('MMB7099', 116, 79, '2017-06-20', ''),
  ('MMB1047', 65, 50, '2017-05-13', ''),
  ('MMB1047', 118, 101, '2017-06-04', ''),
  ('MMB1100', 57, 47, '2017-05-13', ''),
  ('MMB1100', 110, 91, '2017-06-04', ''),
  ('MMC1235', 50, 38, '2017-06-05', ''),
  ('MMA1028', 51, 49, '2017-05-08', ''),
  ('MMA1028', 101, 95, '2017-06-04', ''),
  ('MMA7005', 53, 42, '2017-05-31', ''),
  ('MMA7005', 75, 54, '2017-06-19', ''),
  ('MMB7142', 59, 41, '2017-06-20', ''),
  ('MMB5092', 81, 62, '2017-05-23', ''),
  ('MMB5092', 111, 89, '2017-06-09', ''),
  ('MMB1030', 56, 46, '2017-05-13', ''),
  ('MMB1030', 138, 113, '2017-06-04', ''),
  ('MMA5202', 60, 35, '2017-05-27', ''),
  ('MMA5202', 80, 46, '2017-06-08', ''),
  ('MMA5202', 82, 48, '2017-07-10', ''),
  ('MMC1127', 52, 42, '2017-05-17', ''),
  ('MMC1127', 103, 80, '2017-06-05', ''),
  ('MMB5089', 102, 111, '2017-05-23', ''),
  ('MMB5089', 145, 164, '2017-06-09', ''),
  ('MMB1249', 60, 50, '2017-06-04', ''),
  ('MMB5110', 70, 46, '2017-05-23', ''),
  ('MMB5110', 94, 58, '2017-06-09', ''),
  ('MMA5132', 78, 71, '2017-05-27', ''),
  ('MMA5132', 92, 82, '2017-07-10', ''),
  ('MMB1079', 56, 41, '2017-05-13', ''),
  ('MMB1079', 96, 81, '2017-06-04', ''),
  ('MMB1060', 50, 47, '2017-05-13', ''),
  ('MMB1060', 100, 91, '2017-06-04', ''),
  ('MMB1223', 99, 81, '2017-06-04', ''),
  ('MMB5243', 51, 27, '2017-06-09', ''),
  ('MMB5261', 83, 59, '2017-06-09', ''),
  ('MMB5090', 85, 58, '2017-05-23', ''),
  ('MMB5090', 106, 72, '2017-06-09', ''),
  ('MMA5143', 51, 38, '2017-05-27', ''),
  ('MMA5143', 72, 50, '2017-06-08', ''),
  ('MMB7089', 71, 49, '2017-06-01', ''),
  ('MMB7089', 95, 64, '2017-06-20', ''),
  ('MMC1045', 71, 72, '2017-05-17', ''),
  ('MMC1045', 145, 142, '2017-06-05', ''),
  ('MMB5062', 86, 78, '2017-05-23', ''),
  ('MMB5062', 113, 98, '2017-06-09', ''),
  ('MMB5065', 79, 62, '2017-05-23', ''),
  ('MMB5065', 111, 90, '2017-06-09', ''),
  ('MMA7004', 94, 81, '2017-05-31', ''),
  ('MMA7004', 121, 111, '2017-06-19', ''),
  ('MMC7093', 79, 45, '2017-06-02', ''),
  ('MMC7093', 84, 50, '2017-06-20', ''),
  ('MMC1252', 50, 22, '2017-06-05', ''),
  ('MMB5265', 61, 31, '2017-06-09', ''),
  ('MMB1192', 53, 38, '2017-05-13', ''),
  ('MMB1192', 121, 87, '2017-06-04', ''),
  ('MMB7063', 47, 28, '2017-06-01', ''),
  ('MMB7063', 86, 55, '2017-06-20', ''),
  ('MMC7091', 85, 76, '2017-06-02', ''),
  ('MMC7091', 100, 88, '2017-06-20', ''),
  ('MMA5133', 77, 42, '2017-05-27', ''),
  ('MMA5133', 89, 57, '2017-06-08', ''),
  ('MMA1199', 56, 41, '2017-05-12', ''),
  ('MMA1199', 124, 110, '2017-06-04', ''),
  ('MMA1199', 132, 113, '2017-07-10', ''),
  ('MMB1147', 53, 45, '2017-05-13', ''),
  ('MMB1147', 123, 102, '2017-06-04', ''),
  ('MMC1220', 69, 40, '2017-06-05', ''),
  ('MMB7118', 55, 41, '2017-06-01', ''),
  ('MMB7118', 80, 59, '2017-06-20', ''),
  ('MMA1270', 64, 37, '2017-06-04', ''),
  ('MMA1270', 68, 39, '2017-07-10', ''),
  ('MMC1134', 67, 59, '2017-05-17', ''),
  ('MMC1134', 110, 98, '2017-06-05', ''),
  ('MMC5149', 61, 44, '2017-05-28', ''),
  ('MMC5149', 84, 63, '2017-06-10', ''),
  ('MMA1160', 78, 73, '2017-05-12', ''),
  ('MMA1160', 122, 117, '2017-06-04', ''),
  ('MMA1160', 121, 119, '2017-07-10', ''),
  ('MMA1123', 51, 46, '2017-05-12', ''),
  ('MMA1123', 109, 97, '2017-06-04', ''),
  ('MMA1123', 118, 99, '2017-07-10', ''),
  ('MMC1238', 71, 41, '2017-06-05', ''),
  ('MMB5208', 92, 73, '2017-05-23', ''),
  ('MMB5208', 130, 104, '2017-06-09', ''),
  ('MMB5217', 70, 48, '2017-05-23', ''),
  ('MMB5217', 85, 60, '2017-06-09', ''),
  ('MMA1120', 69, 73, '2017-05-12', ''),
  ('MMB7098', 50, 31, '2017-06-01', ''),
  ('MMB7098', 68, 37, '2017-06-20', ''),
  ('MMC7035', 55, 38, '2017-06-02', ''),
  ('MMC7035', 62, 41, '2017-06-20', ''),
  ('MMA7113', 52, 37, '2017-05-31', ''),
  ('MMA7113', 75, 53, '2017-06-19', ''),
  ('MMC1233', 98, 60, '2017-06-05', ''),
  ('MMA5111', 59, 49, '2017-05-27', ''),
  ('MMA5111', 82, 61, '2017-06-08', ''),
  ('MMA5111', 83, 62, '2017-07-10', ''),
  ('MMC5138', 60, 43, '2017-05-28', ''),
  ('MMC5138', 70, 49, '2017-06-10', ''),
  ('MMA1009', 52, 39, '2017-05-08', ''),
  ('MMA1009', 103, 88, '2017-06-04', ''),
  ('MMA1009', 104, 90, '2017-07-10', ''),
  ('MMA7075', 42, 25, '2017-05-31', ''),
  ('MMA7075', 51, 36, '2017-06-19', ''),
  ('MMC5212', 63, 31, '2017-06-10', ''),
  ('MMC1239', 72, 49, '2017-06-05', ''),
  ('MMC5172', 79, 49, '2017-05-28', ''),
  ('MMB1107', 54, 39, '2017-05-13', ''),
  ('MMB1107', 116, 85, '2017-06-04', ''),
  ('MMB1139', 50, 37, '2017-05-13', ''),
  ('MMB1139', 110, 80, '2017-06-04', ''),
  ('MMC1044', 64, 51, '2017-05-17', ''),
  ('MMC1044', 106, 87, '2017-06-05', ''),
  ('MMA7007', 72, 42, '2017-05-31', ''),
  ('MMA7007', 93, 55, '2017-06-19', ''),
  ('MMA1129', 50, 39, '2017-05-12', ''),
  ('MMA1129', 124, 99, '2017-06-04', ''),
  ('MMA1129', 130, 105, '2017-07-10', ''),
  ('MMA1195', 55, 49, '2017-05-12', ''),
  ('MMA1195', 121, 110, '2017-06-04', ''),
  ('MMA1195', 127, 107, '2017-07-10', ''),
  ('MMB5076', 67, 73, '2017-05-23', ''),
  ('MMC1139', 52, 28, '2017-05-17', ''),
  ('MMC1139', 98, 59, '2017-06-05', ''),
  ('MMA5197', 74, 59, '2017-05-27', ''),
  ('MMA5197', 99, 80, '2017-06-08', ''),
  ('MMA5197', 106, 88, '2017-07-10', ''),
  ('MMA1185', 50, 45, '2017-05-12', ''),
  ('MMA1185', 115, 99, '2017-06-04', ''),
  ('MMA1185', 117, 103, '2017-07-10', ''),
  ('MMA1285', 72, 53, '2017-06-04', ''),
  ('MMA1285', 127, 92, '2017-07-10', ''),
  ('MMB5027', 88, 76, '2017-05-23', ''),
  ('MMB5027', 124, 105, '2017-06-09', ''),
  ('MMB1008', 61, 64, '2017-05-13', ''),
  ('MMB1008', 164, 176, '2017-06-04', ''),
  ('MMB7141', 47, 26, '2017-06-20', ''),
  ('MMB1022', 51, 43, '2017-05-13', ''),
  ('MMB1022', 127, 110, '2017-06-04', ''),
  ('MMA7136', 114, 80, '2017-06-19', ''),
  ('MMA7080', 46, 31, '2017-05-31', ''),
  ('MMA7080', 74, 50, '2017-06-19', ''),
  ('MMC7074', 82, 37, '2017-06-02', ''),
  ('MMB5258', 48, 28, '2017-06-09', ''),
  ('MMB1069', 58, 45, '2017-05-13', ''),
  ('MMB1069', 135, 109, '2017-06-04', ''),
  ('MMA7021', 49, 39, '2017-05-31', ''),
  ('MMA7021', 88, 62, '2017-06-19', ''),
  ('MMC1204', 60, 52, '2017-05-17', ''),
  ('MMC1204', 102, 88, '2017-06-05', ''),
  ('MMA1247', 55, 32, '2017-06-04', ''),
  ('MMC5160', 61, 24, '2017-05-28', ''),
  ('MMC5160', 64, 28, '2017-06-10', ''),
  ('MMC1152', 55, 32, '2017-05-17', ''),
  ('MMC1152', 97, 60, '2017-06-05', ''),
  ('MMB1027', 67, 49, '2017-05-13', ''),
  ('MMC1093', 57, 40, '2017-05-17', ''),
  ('MMC1093', 123, 84, '2017-06-05', ''),
  ('MMA5068', 75, 50, '2017-05-27', ''),
  ('MMA5068', 92, 65, '2017-06-08', ''),
  ('MMA5068', 95, 67, '2017-07-10', ''),
  ('MMA7012', 74, 78, '2017-05-31', ''),
  ('MMA7012', 145, 146, '2017-06-19', ''),
  ('MMA1165', 50, 41, '2017-05-12', ''),
  ('MMA1165', 114, 100, '2017-06-04', ''),
  ('MMA1165', 113, 104, '2017-07-10', ''),
  ('MMA7049', 113, 108, '2017-05-31', ''),
  ('MMA7049', 188, 183, '2017-06-19', ''),
  ('MMC7023', 71, 45, '2017-06-02', ''),
  ('MMC7023', 78, 47, '2017-06-20', ''),
  ('MMB1262', 118, 109, '2017-06-04', ''),
  ('MMA1097', 65, 61, '2017-05-12', ''),
  ('MMB1064', 71, 58, '2017-05-13', ''),
  ('MMB1064', 138, 112, '2017-06-04', ''),
  ('MMA7087', 55, 35, '2017-05-31', ''),
  ('MMA7087', 86, 53, '2017-06-19', ''),
  ('MMC7099', 42, 22, '2017-06-02', ''),
  ('MMC7099', 49, 23, '2017-06-20', ''),
  ('MMC7119', 85, 52, '2017-06-02', ''),
  ('MMC7119', 87, 55, '2017-06-20', ''),
  ('MMB7143', 56, 27, '2017-06-20', ''),
  ('MMA1011', 69, 61, '2017-05-08', ''),
  ('MMA1011', 136, 117, '2017-06-04', ''),
  ('MMA1011', 132, 120, '2017-07-10', ''),
  ('MMC5016', 87, 84, '2017-05-28', ''),
  ('MMC5016', 115, 110, '2017-06-10', ''),
  ('MMC5016', 116, 108, '2017-07-11', ''),
  ('MMA7068', 55, 51, '2017-05-31', ''),
  ('MMA7068', 134, 124, '2017-06-19', ''),
  ('MMC1302', 46, 32, '2017-06-05', ''),
  ('MMA7059', 61, 45, '2017-05-31', ''),
  ('MMA7059', 133, 92, '2017-06-19', ''),
  ('MMB5147', 68, 55, '2017-05-23', ''),
  ('MMB5147', 94, 75, '2017-06-09', ''),
  ('MMA5123', 83, 85, '2017-05-27', ''),
  ('MMA5123', 101, 103, '2017-06-08', ''),
  ('MMA5123', 103, 94, '2017-07-10', ''),
  ('MMC7024', 49, 29, '2017-06-02', ''),
  ('MMC7024', 52, 30, '2017-06-20', ''),
  ('MMC1243', 110, 80, '2017-06-05', ''),
  ('MMA1042', 57, 45, '2017-05-08', ''),
  ('MMA1042', 122, 103, '2017-06-04', ''),
  ('MMA1042', 116, 105, '2017-07-10', ''),
  ('MMB7096', 33, 18, '2017-06-01', ''),
  ('MMB7096', 47, 27, '2017-06-20', ''),
  ('MMC1021', 55, 32, '2017-05-17', ''),
  ('MMC1021', 114, 63, '2017-06-05', ''),
  ('MMA1149', 50, 47, '2017-05-12', ''),
  ('MMA1149', 126, 109, '2017-06-04', ''),
  ('MMC1034', 79, 72, '2017-05-17', ''),
  ('MMC1034', 120, 108, '2017-06-05', ''),
  ('MMC7145', 55, 34, '2017-06-20', ''),
  ('MMA5007', 67, 44, '2017-05-27', ''),
  ('MMA5007', 86, 55, '2017-06-08', ''),
  ('MMA5007', 85, 56, '2017-07-10', ''),
  ('MMB7068', 51, 63, '2017-06-01', ''),
  ('MMB7068', 74, 50, '2017-06-20', ''),
  ('MMC5169', 91, 70, '2017-05-28', ''),
  ('MMC5169', 114, 88, '2017-06-10', ''),
  ('MMC5194', 54, 32, '2017-05-28', ''),
  ('MMC5194', 68, 41, '2017-06-10', ''),
  ('MMC7104', 61, 38, '2017-06-02', ''),
  ('MMC7104', 65, 42, '2017-06-20', ''),
  ('MMB1213', 45, 22, '2017-06-04', ''),
  ('MMC1104', 69, 60, '2017-05-17', ''),
  ('MMC1104', 117, 106, '2017-06-05', ''),
  ('MMC5124', 51, 29, '2017-05-28', ''),
  ('MMC5124', 61, 38, '2017-06-10', ''),
  ('MMC5124', 64, 37, '2017-07-11', ''),
  ('MMC7105', 67, 32, '2017-06-02', ''),
  ('MMC7105', 86, 43, '2017-06-20', ''),
  ('MMC7123', 65, 48, '2017-06-02', ''),
  ('MMC7123', 74, 54, '2017-06-20', ''),
  ('MMA1241', 50, 21, '2017-06-04', ''),
  ('MMA1241', 50, 25, '2017-07-10', ''),
  ('MMA7056', 58, 43, '2017-05-31', ''),
  ('MMA7056', 92, 62, '2017-06-19', ''),
  ('MMA5251', 84, 56, '2017-06-08', ''),
  ('MMA5251', 87, 59, '2017-07-10', ''),
  ('MMB1031', 59, 52, '2017-05-13', ''),
  ('MMA1233', 91, 55, '2017-06-04', ''),
  ('MMA1233', 93, 55, '2017-07-10', ''),
  ('MMC1025', 55, 31, '2017-05-17', ''),
  ('MMC1025', 92, 63, '2017-06-05', ''),
  ('MMC1293', 85, 65, '2017-06-05', ''),
  ('MMC5064', 54, 43, '2017-05-28', ''),
  ('MMC5064', 70, 55, '2017-06-10', ''),
  ('MMC5064', 71, 55, '2017-07-11', ''),
  ('MMB7036', 110, 80, '2017-06-01', ''),
  ('MMB7036', 141, 115, '2017-06-20', ''),
  ('MMA5212', 66, 38, '2017-06-08', ''),
  ('MMC5025', 50, 38, '2017-05-28', ''),
  ('MMC5025', 62, 48, '2017-06-10', ''),
  ('MMC5025', 66, 53, '2017-07-11', ''),
  ('MMB1055', 50, 41, '2017-05-13', ''),
  ('MMB1055', 125, 106, '2017-06-04', ''),
  ('MMC7092', 89, 71, '2017-06-02', ''),
  ('MMC7092', 100, 82, '2017-06-20', ''),
  ('MMC1131', 64, 50, '2017-05-17', ''),
  ('MMC1131', 101, 81, '2017-06-05', ''),
  ('MMC5095', 65, 36, '2017-05-28', ''),
  ('MMC5095', 74, 42, '2017-06-10', ''),
  ('MMC5095', 74, 42, '2017-07-11', ''),
  ('MMA7083', 81, 53, '2017-05-31', ''),
  ('MMA7083', 104, 74, '2017-06-19', ''),
  ('MMA7122', 37, 23, '2017-05-31', ''),
  ('MMA7122', 64, 40, '2017-06-19', ''),
  ('MMA1200', 54, 56, '2017-05-12', ''),
  ('MMA1200', 136, 150, '2017-06-04', ''),
  ('MMA1200', 137, 152, '2017-07-10', ''),
  ('MMC5186', 52, 20, '2017-05-28', ''),
  ('MMC5186', 58, 29, '2017-06-10', ''),
  ('MMB1292', 90, 67, '2017-06-04', ''),
  ('MMC5168', 66, 35, '2017-05-28', ''),
  ('MMC5168', 83, 43, '2017-06-10', ''),
  ('MMB1211', 121, 98, '2017-06-04', ''),
  ('MMB1078', 58, 47, '2017-05-13', ''),
  ('MMB1078', 128, 119, '2017-06-04', ''),
  ('MMC1275', 57, 30, '2017-06-05', ''),
  ('MMC1277', 52, 27, '2017-06-05', ''),
  ('MMC7135', 87, 53, '2017-06-20', ''),
  ('MMA1138', 57, 44, '2017-05-12', ''),
  ('MMA1138', 100, 77, '2017-06-04', ''),
  ('MMC1156', 57, 44, '2017-05-17', ''),
  ('MMC1156', 92, 75, '2017-06-05', ''),
  ('MMB5006', 60, 33, '2017-05-23', ''),
  ('MMB5006', 71, 40, '2017-06-09', ''),
  ('MMC5018', 68, 52, '2017-05-28', ''),
  ('MMC5018', 86, 61, '2017-06-10', ''),
  ('MMC5018', 85, 61, '2017-07-11', ''),
  ('MMA1069', 52, 45, '2017-05-12', ''),
  ('MMA1069', 124, 116, '2017-06-04', ''),
  ('MMA1069', 126, 120, '2017-07-10', ''),
  ('MMA1098', 50, 52, '2017-05-12', ''),
  ('MMA1098', 120, 129, '2017-06-04', ''),
  ('MMA1098', 123, 130, '2017-07-10', ''),
  ('MMA5060', 112, 93, '2017-05-27', ''),
  ('MMA5060', 152, 120, '2017-06-08', ''),
  ('MMA5060', 142, 132, '2017-07-10', ''),
  ('MMB7108', 40, 22, '2017-06-01', ''),
  ('MMB7108', 74, 49, '2017-06-20', ''),
  ('MMA1295', 57, 28, '2017-06-04', ''),
  ('MMA1295', 57, 29, '2017-07-10', ''),
  ('MMC7038', 70, 43, '2017-06-02', ''),
  ('MMC7038', 69, 41, '2017-06-20', ''),
  ('MMC7051', 102, 70, '2017-06-02', ''),
  ('MMC7051', 121, 78, '2017-06-20', ''),
  ('MMB7107', 32, 12, '2017-06-01', ''),
  ('MMB7107', 54, 30, '2017-06-20', ''),
  ('MMC1076', 56, 30, '2017-05-17', ''),
  ('MMC1076', 116, 71, '2017-06-05', ''),
  ('MMB5203', 71, 56, '2017-05-23', ''),
  ('MMA5223', 72, 39, '2017-06-08', ''),
  ('MMA5223', 84, 37, '2017-07-10', ''),
  ('MMC5110', 98, 75, '2017-05-28', ''),
  ('MMC5110', 126, 91, '2017-06-10', ''),
  ('MMC5110', 125, 94, '2017-07-11', ''),
  ('MMB5212', 72, 50, '2017-05-23', ''),
  ('MMB5212', 85, 58, '2017-06-09', ''),
  ('MMC1046', 81, 58, '2017-05-17', ''),
  ('MMC1046', 133, 96, '2017-06-05', ''),
  ('MMB5143', 56, 30, '2017-05-23', ''),
  ('MMB5143', 83, 52, '2017-06-09', ''),
  ('MMC1086', 66, 54, '2017-05-17', ''),
  ('MMC1086', 125, 108, '2017-06-05', ''),
  ('MMC7129', 80, 57, '2017-06-02', ''),
  ('MMC7129', 87, 62, '2017-06-20', ''),
  ('MMA5037', 94, 76, '2017-05-27', ''),
  ('MMA5037', 111, 91, '2017-06-08', ''),
  ('MMA5037', 116, 95, '2017-07-10', ''),
  ('MMC1207', 54, 46, '2017-05-17', ''),
  ('MMC1207', 105, 90, '2017-06-05', ''),
  ('MMA7039', 56, 53, '2017-05-31', ''),
  ('MMA7039', 99, 88, '2017-06-19', ''),
  ('MMB1264', 94, 84, '2017-06-04', ''),
  ('MMC1028', 66, 71, '2017-05-17', ''),
  ('MMC1028', 143, 133, '2017-06-05', ''),
  ('MMB1272', 93, 66, '2017-06-04', ''),
  ('MMA5076', 76, 56, '2017-05-27', ''),
  ('MMA5076', 88, 59, '2017-06-08', ''),
  ('MMA5076', 93, 71, '2017-07-10', ''),
  ('MMC7004', 87, 65, '2017-06-02', ''),
  ('MMC7004', 95, 72, '2017-06-20', ''),
  ('MMA1289', 84, 66, '2017-06-04', ''),
  ('MMA1289', 81, 62, '2017-07-10', ''),
  ('MMB1155', 56, 42, '2017-05-13', ''),
  ('MMB1155', 111, 87, '2017-06-04', ''),
  ('MMC1196', 60, 40, '2017-05-17', ''),
  ('MMC1196', 109, 72, '2017-06-05', ''),
  ('MMB5093', 96, 80, '2017-05-23', ''),
  ('MMB5093', 125, 104, '2017-06-09', ''),
  ('MMB5037', 49, 30, '2017-05-23', ''),
  ('MMB5037', 66, 47, '2017-06-09', ''),
  ('MMB7028', 59, 36, '2017-06-01', ''),
  ('MMB7028', 98, 62, '2017-06-20', ''),
  ('MMA1136', 52, 32, '2017-05-12', ''),
  ('MMA1136', 95, 62, '2017-06-04', ''),
  ('MMA1143', 65, 60, '2017-05-12', ''),
  ('MMA1143', 135, 97, '2017-06-04', ''),
  ('MMA1143', 124, 113, '2017-07-10', ''),
  ('MMB7082', 53, 42, '2017-06-01', ''),
  ('MMB7082', 89, 72, '2017-06-20', ''),
  ('MMC7022', 108, 93, '2017-06-02', ''),
  ('MMC7022', 125, 103, '2017-06-20', ''),
  ('MMC1256', 54, 34, '2017-06-05', ''),
  ('MMA1128', 57, 53, '2017-05-12', ''),
  ('MMA1128', 115, 106, '2017-06-04', ''),
  ('MMA1128', 114, 103, '2017-07-10', ''),
  ('MMB1260', 90, 76, '2017-06-04', ''),
  ('MMB1166', 60, 48, '2017-05-13', ''),
  ('MMB1166', 146, 109, '2017-06-04', ''),
  ('MMC5170', 95, 61, '2017-05-28', ''),
  ('MMC5170', 110, 76, '2017-06-10', ''),
  ('MMB1231', 61, 93, '2017-06-04', ''),
  ('MMC5032', 87, 63, '2017-05-28', ''),
  ('MMC5032', 105, 77, '2017-06-10', ''),
  ('MMC5032', 106, 75, '2017-07-11', ''),
  ('MMA7096', 65, 50, '2017-05-31', ''),
  ('MMA7096', 82, 61, '2017-06-19', ''),
  ('MMC1270', 62, 42, '2017-06-05', ''),
  ('MMB5019', 61, 34, '2017-05-23', ''),
  ('MMB5019', 73, 37, '2017-06-09', ''),
  ('MMA5070', 60, 45, '2017-05-27', 'manque deux feuilles'),
  ('MMA5070', 82, 58, '2017-06-08', ''),
  ('MMA5070', 82, 60, '2017-07-10', 'manque 1 feuille'),
  ('MMC5012', 81, 52, '2017-05-28', ''),
  ('MMC5012', 95, 69, '2017-06-10', ''),
  ('MMA1239', 124, 102, '2017-06-04', ''),
  ('MMA1163', 57, 53, '2017-05-12', ''),
  ('MMA1163', 120, 114, '2017-06-04', ''),
  ('MMA1163', 120, 114, '2017-07-10', ''),
  ('MMC1062', 83, 66, '2017-05-17', ''),
  ('MMC1062', 136, 112, '2017-06-05', ''),
  ('MMB5132', 79, 80, '2017-05-23', ''),
  ('MMB5132', 113, 118, '2017-06-09', ''),
  ('MMA7044', 60, 46, '2017-05-31', ''),
  ('MMA7044', 110, 87, '2017-06-19', ''),
  ('MMA7085', 113, 119, '2017-05-31', ''),
  ('MMA7085', 160, 147, '2017-06-19', ''),
  ('MMC1244', 84, 58, '2017-06-05', ''),
  ('MMB5155', 90, 87, '2017-05-23', ''),
  ('MMB5155', 119, 111, '2017-06-09', ''),
  ('MMB5174', 84, 74, '2017-05-23', ''),
  ('MMB5174', 105, 98, '2017-06-09', ''),
  ('MMB5066', 64, 39, '2017-05-23', ''),
  ('MMB5066', 89, 56, '2017-06-09', ''),
  ('MMB5198', 91, 81, '2017-05-23', ''),
  ('MMB5198', 125, 111, '2017-06-09', ''),
  ('MMC7018', 63, 40, '2017-06-02', ''),
  ('MMC7018', 68, 41, '2017-06-20', ''),
  ('MMC5185', 52, 20, '2017-05-28', ''),
  ('MMC5185', 62, 59, '2017-06-10', ''),
  ('MMC5073', 53, 33, '2017-05-28', ''),
  ('MMC5073', 61, 36, '2017-06-10', ''),
  ('MMA7093', 89, 59, '2017-05-31', ''),
  ('MMA7093', 124, 76, '2017-06-19', ''),
  ('MMC7025', 57, 30, '2017-06-02', ''),
  ('MMC7025', 59, 33, '2017-06-20', ''),
  ('MMC7059', 46, 22, '2017-06-02', ''),
  ('MMC7059', 50, 25, '2017-06-20', ''),
  ('MMC5252', 55, 25, '2017-06-10', ''),
  ('MMA1264', 114, 85, '2017-06-04', ''),
  ('MMA1264', 118, 87, '2017-07-10', ''),
  ('MMB7083', 59, 32, '2017-06-01', ''),
  ('MMB7083', 87, 49, '2017-06-20', ''),
  ('MMA1216', 100, 76, '2017-06-04', ''),
  ('MMA1216', 103, 68, '2017-07-10', ''),
  ('MMB5207', 71, 45, '2017-05-23', ''),
  ('MMB5207', 96, 59, '2017-06-09', ''),
  ('MMB7003', 71, 45, '2017-06-01', ''),
  ('MMB7003', 101, 63, '2017-06-20', ''),
  ('MMA7047', 68, 59, '2017-05-31', ''),
  ('MMA7047', 121, 100, '2017-06-19', ''),
  ('MMC5078', 100, 86, '2017-05-28', ''),
  ('MMC5078', 113, 99, '2017-06-10', ''),
  ('MMC5078', 112, 101, '2017-07-11', ''),
  ('MMB1236', 104, 70, '2017-06-04', ''),
  ('MMB5003', 140, 135, '2017-05-23', ''),
  ('MMB5003', 191, 202, '2017-06-09', ''),
  ('MMA1189', 50, 41, '2017-05-12', ''),
  ('MMA1189', 112, 100, '2017-06-04', ''),
  ('MMA1189', 108, 92, '2017-07-10', ''),
  ('MMA1167', 52, 39, '2017-05-12', ''),
  ('MMA1167', 145, 97, '2017-06-04', ''),
  ('MMA1167', 145, 99, '2017-07-10', ''),
  ('MMB1162', 62, 56, '2017-05-13', ''),
  ('MMB1162', 132, 117, '2017-06-04', ''),
  ('MMA5150', 70, 44, '2017-05-27', ''),
  ('MMA5150', 83, 54, '2017-06-08', ''),
  ('MMA5150', 82, 54, '2017-07-10', ''),
  ('MMB7034', 54, 28, '2017-06-01', ''),
  ('MMB7034', 75, 37, '2017-06-20', ''),
  ('MMC1074', 55, 39, '2017-05-17', ''),
  ('MMA5128', 67, 58, '2017-05-27', ''),
  ('MMA5128', 82, 71, '2017-06-08', ''),
  ('MMA5128', 92, 71, '2017-07-10', ''),
  ('MMB7070', 78, 59, '2017-06-01', ''),
  ('MMB7070', 115, 91, '2017-06-20', ''),
  ('MMC7046', 42, 27, '2017-06-02', ''),
  ('MMC7046', 43, 31, '2017-06-20', ''),
  ('MMA1158', 52, 37, '2017-05-12', ''),
  ('MMA1158', 84, 62, '2017-06-04', ''),
  ('MMC5099', 73, 50, '2017-05-28', ''),
  ('MMC5099', 90, 60, '2017-06-10', ''),
  ('MMC5099', 90, 58, '2017-07-11', ''),
  ('MMC7116', 53, 28, '2017-06-02', ''),
  ('MMC7116', 61, 35, '2017-06-20', ''),
  ('MMA1148', 52, 38, '2017-05-12', ''),
  ('MMA1148', 111, 85, '2017-06-04', ''),
  ('MMA1148', 113, 87, '2017-07-10', ''),
  ('MMC5008', 64, 39, '2017-05-28', ''),
  ('MMC5008', 79, 45, '2017-06-10', ''),
  ('MMC5008', 83, 44, '2017-07-11', ''),
  ('MMC7111', 62, 41, '2017-06-02', ''),
  ('MMC7111', 69, 41, '2017-06-20', ''),
  ('MMB7064', 61, 34, '2017-06-01', ''),
  ('MMB7064', 106, 59, '2017-06-20', ''),
  ('MMA1015', 56, 55, '2017-05-08', ''),
  ('MMA1015', 115, 112, '2017-06-04', ''),
  ('MMA1015', 113, 116, '2017-07-10', ''),
  ('MMC5007', 95, 97, '2017-05-28', ''),
  ('MMC5007', 122, 124, '2017-06-10', ''),
  ('MMC5007', 129, 126, '2017-07-11', ''),
  ('MMB7054', 37, 23, '2017-06-01', ''),
  ('MMB7054', 76, 46, '2017-06-20', ''),
  ('MMB1279', 86, 75, '2017-06-04', ''),
  ('MMA5116', 69, 50, '2017-05-27', ''),
  ('MMA5116', 86, 62, '2017-06-08', ''),
  ('MMA5116', 88, 65, '2017-07-10', ''),
  ('MMB1174', 51, 35, '2017-05-13', ''),
  ('MMC5065', 107, 96, '2017-05-28', ''),
  ('MMC5065', 133, 124, '2017-06-10', ''),
  ('MMC5065', 133, 121, '2017-07-11', ''),
  ('MMC7086', 87, 63, '2017-06-02', ''),
  ('MMC7086', 94, 72, '2017-06-20', ''),
  ('MMB5104', 104, 100, '2017-05-23', ''),
  ('MMB5104', 166, 137, '2017-06-09', ''),
  ('MMB1256', 104, 75, '2017-06-04', ''),
  ('MMA7003', 75, 53, '2017-05-31', ''),
  ('MMA7003', 110, 75, '2017-06-19', ''),
  ('MMC5242', 43, 20, '2017-06-10', ''),
  ('MMA7112', 49, 34, '2017-05-31', ''),
  ('MMA7013', 52, 44, '2017-05-31', ''),
  ('MMA7013', 104, 73, '2017-06-19', ''),
  ('MMA5244', 57, 35, '2017-06-08', ''),
  ('MMA5244', 61, 38, '2017-07-10', ''),
  ('MMC5107', 102, 98, '2017-05-28', ''),
  ('MMC5107', 119, 105, '2017-06-10', ''),
  ('MMC5107', 121, 115, '2017-07-11', ''),
  ('MMA5227', 57, 25, '2017-06-08', ''),
  ('MMA5227', 54, 26, '2017-07-10', ''),
  ('MMA5185', 77, 60, '2017-05-27', ''),
  ('MMA5185', 94, 73, '2017-06-08', ''),
  ('MMA5185', 97, 67, '2017-07-10', ''),
  ('MMB5170', 64, 40, '2017-05-23', ''),
  ('MMB5170', 96, 61, '2017-06-09', ''),
  ('MMA1109', 55, 52, '2017-05-12', ''),
  ('MMA1109', 132, 122, '2017-06-04', ''),
  ('MMA1109', 136, 133, '2017-07-10', ''),
  ('MMC1178', 62, 48, '2017-05-17', ''),
  ('MMC1178', 92, 70, '2017-06-05', ''),
  ('MMB1228', 90, 60, '2017-06-04', ''),
  ('MMC1290', 60, 35, '2017-06-05', ''),
  ('MMA5162', 72, 49, '2017-05-27', ''),
  ('MMA5162', 95, 64, '2017-06-08', ''),
  ('MMA5162', 103, 70, '2017-07-10', ''),
  ('MMB1007', 50, 43, '2017-05-13', ''),
  ('MMB1007', 110, 96, '2017-06-04', ''),
  ('MMB5139', 80, 68, '2017-05-23', ''),
  ('MMB5139', 122, 99, '2017-06-09', ''),
  ('MMA7041', 76, 69, '2017-05-31', ''),
  ('MMA7041', 151, 129, '2017-06-19', ''),
  ('MMA5183', 104, 87, '2017-05-27', ''),
  ('MMA5183', 134, 111, '2017-06-08', ''),
  ('MMA5183', 139, 113, '2017-07-10', ''),
  ('MMC5037', 64, 39, '2017-05-28', ''),
  ('MMC5037', 88, 51, '2017-06-10', ''),
  ('MMC5037', 75, 52, '2017-07-11', 'manque 2 feuilles'),
  ('MMB7062', 48, 28, '2017-06-01', ''),
  ('MMB7062', 86, 55, '2017-06-20', ''),
  ('MMB5141', 61, 36, '2017-05-23', ''),
  ('MMB5141', 111, 65, '2017-06-09', ''),
  ('MMB7073', 40, 31, '2017-06-01', ''),
  ('MMA7014', 72, 60, '2017-05-31', ''),
  ('MMA7014', 120, 105, '2017-06-19', ''),
  ('MMC1088', 60, 50, '2017-05-17', ''),
  ('MMC1088', 88, 85, '2017-06-05', ''),
  ('MMB5205', 68, 58, '2017-05-23', ''),
  ('MMB5205', 95, 79, '2017-06-09', ''),
  ('MMB1023', 63, 51, '2017-05-13', ''),
  ('MMB1023', 128, 108, '2017-06-04', ''),
  ('MMB1040', 54, 48, '2017-05-13', ''),
  ('MMB1040', 120, 105, '2017-06-04', ''),
  ('MMB1186', 50, 36, '2017-05-13', ''),
  ('MMC5010', 51, 30, '2017-05-28', ''),
  ('MMC5117', 59, 43, '2017-05-28', ''),
  ('MMC5117', 71, 53, '2017-06-10', ''),
  ('MMC5117', 74, 54, '2017-07-11', ''),
  ('MMA7086', 72, 50, '2017-05-31', ''),
  ('MMA7086', 96, 53, '2017-06-19', ''),
  ('MMC7094', 54, 37, '2017-06-02', ''),
  ('MMC7094', 64, 38, '2017-06-20', ''),
  ('MMC1171', 75, 48, '2017-05-17', ''),
  ('MMC1171', 137, 86, '2017-06-05', ''),
  ('MMC1160', 73, 51, '2017-05-17', ''),
  ('MMC1160', 123, 90, '2017-06-05', ''),
  ('MMA7130', 90, 45, '2017-06-19', ''),
  ('MMC5059', 54, 31, '2017-05-28', ''),
  ('MMC5059', 65, 38, '2017-06-10', ''),
  ('MMC5059', 64, 40, '2017-07-11', ''),
  ('MMA1218', 70, 38, '2017-06-04', ''),
  ('MMA1218', 72, 38, '2017-07-10', ''),
  ('MMA1232', 62, 31, '2017-06-04', ''),
  ('MMA5240', 67, 32, '2017-06-08', ''),
  ('MMA5240', 69, 39, '2017-07-10', ''),
  ('MMC5001', 73, 95, '2017-05-28', ''),
  ('MMB1299', 76, 66, '2017-06-04', ''),
  ('MMB7131', 77, 56, '2017-06-01', ''),
  ('MMB7131', 105, 81, '2017-06-20', ''),
  ('MMA7022', 45, 30, '2017-05-31', ''),
  ('MMA7022', 103, 74, '2017-06-19', ''),
  ('MMB1158', 57, 49, '2017-05-13', ''),
  ('MMB1158', 125, 99, '2017-06-04', ''),
  ('MMC7121', 64, 31, '2017-06-02', ''),
  ('MMC7121', 67, 38, '2017-06-20', ''),
  ('MMB1245', 70, 42, '2017-06-04', ''),
  ('MMC1124', 69, 43, '2017-05-17', ''),
  ('MMC1124', 116, 77, '2017-06-05', ''),
  ('MMB5246', 65, 34, '2017-06-09', ''),
  ('MMC5176', 59, 36, '2017-05-28', ''),
  ('MMC5176', 74, 44, '2017-06-10', ''),
  ('MMA1237', 102, 84, '2017-06-04', ''),
  ('MMB5068', 62, 40, '2017-05-23', ''),
  ('MMB5068', 96, 62, '2017-06-09', ''),
  ('MMC1027', 66, 55, '2017-05-17', ''),
  ('MMC1027', 136, 103, '2017-06-05', ''),
  ('MMB1201', 61, 45, '2017-05-13', ''),
  ('MMB1201', 127, 104, '2017-06-04', ''),
  ('MMC5108', 73, 48, '2017-05-28', ''),
  ('MMC5108', 85, 53, '2017-06-10', ''),
  ('MMC5108', 85, 53, '2017-07-11', ''),
  ('MMC1098', 65, 38, '2017-05-17', ''),
  ('MMC1098', 80, 53, '2017-06-05', ''),
  ('MMB1010', 50, 31, '2017-05-13', ''),
  ('MMB1010', 102, 72, '2017-06-04', ''),
  ('MMC7103', 80, 64, '2017-06-02', ''),
  ('MMC7103', 89, 75, '2017-06-20', ''),
  ('MMB5171', 90, 63, '2017-05-23', ''),
  ('MMB5171', 116, 86, '2017-06-09', ''),
  ('MMB1170', 56, 50, '2017-05-13', ''),
  ('MMA5107', 60, 47, '2017-05-27', ''),
  ('MMA5107', 78, 57, '2017-06-08', ''),
  ('MMA5107', 80, 60, '2017-07-10', ''),
  ('MMA5079', 112, 115, '2017-05-27', ''),
  ('MMA5079', 146, 147, '2017-06-08', ''),
  ('MMA5079', 151, 152, '2017-07-10', ''),
  ('MMB7040', 104, 84, '2017-06-01', ''),
  ('MMB7040', 136, 109, '2017-06-20', ''),
  ('MMC1031', 69, 52, '2017-05-17', ''),
  ('MMC1031', 108, 85, '2017-06-05', ''),
  ('MMA7082', 87, 66, '2017-05-31', ''),
  ('MMA7082', 116, 89, '2017-06-19', ''),
  ('MMB5169', 81, 58, '2017-05-23', ''),
  ('MMB5169', 121, 86, '2017-06-09', ''),
  ('MMC7021', 74, 55, '2017-06-02', ''),
  ('MMC7021', 85, 52, '2017-06-20', ''),
  ('MMA1281', 93, 72, '2017-06-04', ''),
  ('MMA1281', 91, 80, '2017-07-10', ''),
  ('MMC5070', 50, 28, '2017-05-28', ''),
  ('MMC5070', 56, 32, '2017-06-10', ''),
  ('MMB7085', 62, 52, '2017-06-01', ''),
  ('MMC1038', 66, 59, '2017-05-17', ''),
  ('MMC1038', 131, 109, '2017-06-05', ''),
  ('MMA1104', 57, 51, '2017-05-12', ''),
  ('MMA1104', 150, 135, '2017-06-04', ''),
  ('MMA1104', 151, 137, '2017-07-10', ''),
  ('MMA1177', 52, 32, '2017-05-12', ''),
  ('MMA1177', 117, 69, '2017-06-04', ''),
  ('MMA1177', 112, 68, '2017-07-10', ''),
  ('MMB5012', 56, 32, '2017-05-23', ''),
  ('MMB5012', 80, 52, '2017-06-09', ''),
  ('MMB5017', 53, 41, '2017-05-23', ''),
  ('MMB5017', 71, 50, '2017-06-09', ''),
  ('MMA7081', 112, 107, '2017-05-31', ''),
  ('MMA7081', 155, 147, '2017-06-19', ''),
  ('MMB7088', 58, 45, '2017-06-01', ''),
  ('MMB7088', 86, 63, '2017-06-20', ''),
  ('MMC5223', 58, 32, '2017-06-10', ''),
  ('MMB1163', 58, 46, '2017-05-13', ''),
  ('MMB1163', 135, 117, '2017-06-04', ''),
  ('MMB5047', 81, 62, '2017-05-23', ''),
  ('MMC5183', 53, 36, '2017-05-28', ''),
  ('MMC5183', 70, 44, '2017-06-10', ''),
  ('MMB1206', 50, 35, '2017-05-13', ''),
  ('MMB1206', 103, 83, '2017-06-04', ''),
  ('MMB5239', 51, 26, '2017-06-09', ''),
  ('MMA7067', 103, 101, '2017-05-31', ''),
  ('MMA7067', 167, 157, '2017-06-19', ''),
  ('MMC1017', 52, 41, '2017-05-17', ''),
  ('MMA7123', 70, 46, '2017-05-31', ''),
  ('MMA7123', 90, 59, '2017-06-19', ''),
  ('MMC5130', 84, 58, '2017-05-28', ''),
  ('MMC5130', 107, 74, '2017-06-10', ''),
  ('MMC5039', 63, 30, '2017-05-28', ''),
  ('MMC5039', 72, 41, '2017-06-10', ''),
  ('MMC5039', 76, 38, '2017-07-11', ''),
  ('MMB1169', 51, 39, '2017-05-13', ''),
  ('MMB1169', 105, 81, '2017-06-04', ''),
  ('MMB5095', 105, 99, '2017-05-23', ''),
  ('MMB5095', 153, 149, '2017-06-09', ''),
  ('MMA5175', 74, 46, '2017-05-27', ''),
  ('MMC5071', 60, 34, '2017-05-28', ''),
  ('MMC5071', 71, 38, '2017-06-10', ''),
  ('MMA7026', 61, 39, '2017-05-31', ''),
  ('MMA7026', 83, 60, '2017-06-19', ''),
  ('MMA1184', 62, 62, '2017-05-12', ''),
  ('MMA1184', 147, 133, '2017-06-04', ''),
  ('MMA1184', 149, 165, '2017-07-10', 'manque 1 feuille'),
  ('MMC1053', 51, 33, '2017-05-17', ''),
  ('MMC1053', 80, 52, '2017-06-05', ''),
  ('MMB5051', 80, 79, '2017-05-23', ''),
  ('MMB5051', 106, 104, '2017-06-09', ''),
  ('MMB7076', 43, 34, '2017-06-01', ''),
  ('MMA1144', 50, 33, '2017-05-12', ''),
  ('MMA1144', 92, 66, '2017-06-04', ''),
  ('MMC1306', 71, 45, '2017-06-05', ''),
  ('MMA1094', 50, 43, '2017-05-12', ''),
  ('MMA1094', 110, 100, '2017-06-04', ''),
  ('MMA1094', 116, 102, '2017-07-10', ''),
  ('MMC1151', 56, 38, '2017-05-17', ''),
  ('MMC1151', 101, 70, '2017-06-05', ''),
  ('MMB5135', 107, 103, '2017-05-23', ''),
  ('MMB5135', 139, 132, '2017-06-09', ''),
  ('MMB5164', 81, 57, '2017-05-23', ''),
  ('MMB5164', 100, 69, '2017-06-09', ''),
  ('MMA1112', 65, 60, '2017-05-12', ''),
  ('MMA1112', 130, 120, '2017-06-04', ''),
  ('MMA1112', 132, 121, '2017-07-10', ''),
  ('MMB1152', 59, 43, '2017-05-13', ''),
  ('MMB1152', 106, 81, '2017-06-04', ''),
  ('MMC1150', 57, 36, '2017-05-17', ''),
  ('MMC1150', 89, 57, '2017-06-05', ''),
  ('MMC1175', 56, 32, '2017-05-17', ''),
  ('MMC1175', 91, 56, '2017-06-05', ''),
  ('MMC1231', 70, 49, '2017-06-05', ''),
  ('MMB5235', 45, 28, '2017-06-09', ''),
  ('MMA7028', 80, 52, '2017-05-31', ''),
  ('MMA7028', 116, 79, '2017-06-19', ''),
  ('MMA1260', 75, 50, '2017-06-04', ''),
  ('MMA1260', 73, 49, '2017-07-10', ''),
  ('MMB1293', 87, 69, '2017-06-04', ''),
  ('MMA7101', 51, 29, '2017-05-31', ''),
  ('MMA7101', 56, 30, '2017-06-19', ''),
  ('MMA1234', 124, 135, '2017-06-04', ''),
  ('MMA1234', 122, 135, '2017-07-10', ''),
  ('MMC1084', 54, 36, '2017-05-17', ''),
  ('MMC1084', 111, 71, '2017-06-05', ''),
  ('MMA5067', 61, 46, '2017-05-27', ''),
  ('MMA5067', 82, 54, '2017-06-08', ''),
  ('MMA5067', 87, 58, '2017-07-10', ''),
  ('MMB7060', 45, 21, '2017-06-01', ''),
  ('MMB7060', 68, 32, '2017-06-20', ''),
  ('MMC5220', 55, 32, '2017-06-10', ''),
  ('MMA1180', 71, 55, '2017-05-12', ''),
  ('MMA1180', 129, 102, '2017-07-10', ''),
  ('MMB5045', 79, 55, '2017-05-23', ''),
  ('MMA5236', 62, 32, '2017-06-08', ''),
  ('MMA5236', 63, 32, '2017-07-10', ''),
  ('MMC7062', 31, 11, '2017-06-02', ''),
  ('MMA1085', 50, 37, '2017-05-12', ''),
  ('MMA1085', 116, 85, '2017-06-04', ''),
  ('MMA1085', 126, 93, '2017-07-10', ''),
  ('MMB1123', 65, 57, '2017-05-13', ''),
  ('MMB1123', 143, 147, '2017-06-04', ''),
  ('MMC1024', 67, 57, '2017-05-17', ''),
  ('MMC1024', 119, 92, '2017-06-05', ''),
  ('MMB5061', 73, 52, '2017-05-23', ''),
  ('MMB5061', 91, 70, '2017-06-09', ''),
  ('MMB7079', 40, 21, '2017-06-01', ''),
  ('MMB7079', 68, 45, '2017-06-20', ''),
  ('MMC5096', 59, 39, '2017-05-28', ''),
  ('MMC5096', 74, 48, '2017-06-10', ''),
  ('MMC5096', 73, 51, '2017-07-11', ''),
  ('MMC7058', 31, 20, '2017-06-02', ''),
  ('MMC7058', 35, 21, '2017-06-20', ''),
  ('MMB5175', 81, 76, '2017-05-23', ''),
  ('MMB5175', 109, 102, '2017-06-09', ''),
  ('MMA5134', 62, 36, '2017-05-27', ''),
  ('MMA5134', 81, 46, '2017-06-08', ''),
  ('MMA5134', 85, 48, '2017-07-10', ''),
  ('MMB1187', 53, 42, '2017-05-13', ''),
  ('MMA7078', 64, 40, '2017-05-31', ''),
  ('MMA7078', 104, 68, '2017-06-19', ''),
  ('MMB7134', 78, 56, '2017-06-01', ''),
  ('MMC5235', 71, 39, '2017-06-10', ''),
  ('MMB5200', 52, 33, '2017-05-23', ''),
  ('MMB5200', 81, 48, '2017-06-09', ''),
  ('MMA1217', 59, 31, '2017-06-04', ''),
  ('MMA1217', 56, 33, '2017-07-10', ''),
  ('MMB5230', 58, 35, '2017-06-09', ''),
  ('MMC7069', 85, 59, '2017-06-02', ''),
  ('MMC7069', 92, 65, '2017-06-20', ''),
  ('MMC1056', 86, 73, '2017-05-17', ''),
  ('MMC1056', 132, 114, '2017-06-05', ''),
  ('MMB7061', 70, 53, '2017-06-01', ''),
  ('MMB7061', 105, 76, '2017-06-20', ''),
  ('MMC7118', 52, 21, '2017-06-02', ''),
  ('MMC7118', 57, 29, '2017-06-20', ''),
  ('MMA1220', 88, 65, '2017-06-04', ''),
  ('MMA1220', 88, 62, '2017-07-10', ''),
  ('MMA1126', 65, 59, '2017-05-12', ''),
  ('MMA1126', 135, 121, '2017-06-04', ''),
  ('MMA1126', 131, 116, '2017-07-10', ''),
  ('MMC5228', 53, 28, '2017-06-10', ''),
  ('MMC1042', 74, 57, '2017-05-17', ''),
  ('MMC1042', 123, 99, '2017-06-05', ''),
  ('MMB5074', 86, 72, '2017-05-23', ''),
  ('MMB5074', 129, 114, '2017-06-09', ''),
  ('MMC1288', 55, 33, '2017-06-05', ''),
  ('MMA1213', 128, 114, '2017-06-04', ''),
  ('MMA1213', 132, 117, '2017-07-10', ''),
  ('MMC1242', 77, 51, '2017-06-05', ''),
  ('MMB7010', 81, 59, '2017-06-01', ''),
  ('MMB7010', 108, 79, '2017-06-20', ''),
  ('MMB7032', 90, 67, '2017-06-01', ''),
  ('MMB7032', 122, 97, '2017-06-20', ''),
  ('MMB7093', 74, 54, '2017-06-01', ''),
  ('MMB7093', 104, 74, '2017-06-20', ''),
  ('MMC5165', 89, 68, '2017-05-28', ''),
  ('MMC5165', 102, 78, '2017-06-10', ''),
  ('MMA1155', 65, 55, '2017-05-12', ''),
  ('MMA1155', 115, 119, '2017-06-04', ''),
  ('MMA1155', 117, 111, '2017-07-10', ''),
  ('MMB1175', 54, 37, '2017-05-13', ''),
  ('MMB1175', 133, 91, '2017-06-04', ''),
  ('MMC1264', 70, 40, '2017-06-05', ''),
  ('MMC1176', 52, 32, '2017-05-17', ''),
  ('MMC1176', 85, 50, '2017-06-05', ''),
  ('MMB5033', 50, 44, '2017-05-23', ''),
  ('MMB5033', 93, 72, '2017-06-09', ''),
  ('MMC1157', 53, 44, '2017-05-17', ''),
  ('MMC1157', 96, 77, '2017-06-05', ''),
  ('MMC5192', 58, 29, '2017-05-28', ''),
  ('MMC5192', 70, 33, '2017-06-10', ''),
  ('MMC7014', 73, 64, '2017-06-02', ''),
  ('MMC7014', 89, 68, '2017-06-20', ''),
  ('MMB5161', 76, 47, '2017-05-23', ''),
  ('MMB5161', 104, 62, '2017-06-09', ''),
  ('MMB7022', 52, 37, '2017-06-01', ''),
  ('MMB7022', 84, 55, '2017-06-20', ''),
  ('MMB1309', 62, 30, '2017-06-04', ''),
  ('MMB1145', 57, 46, '2017-05-13', ''),
  ('MMB1145', 123, 109, '2017-06-04', ''),
  ('MMA5112', 63, 45, '2017-05-27', ''),
  ('MMA5112', 83, 57, '2017-06-08', ''),
  ('MMA5112', 89, 60, '2017-07-10', ''),
  ('MMB1261', 60, 45, '2017-06-04', ''),
  ('MMA5188', 91, 86, '2017-05-27', ''),
  ('MMA5188', 110, 101, '2017-06-08', ''),
  ('MMC5144', 86, 52, '2017-05-28', ''),
  ('MMC5144', 106, 67, '2017-06-10', ''),
  ('MMA5008', 68, 49, '2017-05-27', ''),
  ('MMA5008', 84, 58, '2017-06-08', ''),
  ('MMC1019', 53, 43, '2017-05-17', ''),
  ('MMC1019', 107, 93, '2017-06-05', ''),
  ('MMB7128', 46, 23, '2017-06-01', ''),
  ('MMB7128', 67, 33, '2017-06-20', ''),
  ('MMB1037', 57, 53, '2017-05-13', ''),
  ('MMB1037', 145, 136, '2017-06-04', ''),
  ('MMA7034', 46, 30, '2017-05-31', ''),
  ('MMA7034', 66, 46, '2017-06-19', ''),
  ('MMA1016', 52, 42, '2017-05-08', ''),
  ('MMB1268', 86, 63, '2017-06-04', ''),
  ('MMA5045', 86, 70, '2017-05-27', ''),
  ('MMA5045', 111, 101, '2017-06-08', ''),
  ('MMA5045', 112, 104, '2017-07-10', ''),
  ('MMC1208', 80, 52, '2017-06-05', ''),
  ('MMB5224', 70, 36, '2017-06-09', ''),
  ('MMC1200', 54, 52, '2017-05-17', ''),
  ('MMC1200', 102, 100, '2017-06-05', ''),
  ('MMA7106', 34, 20, '2017-05-31', ''),
  ('MMA7106', 52, 29, '2017-06-19', ''),
  ('MMC1059', 79, 65, '2017-05-17', ''),
  ('MMC1059', 131, 119, '2017-06-05', ''),
  ('MMB5140', 92, 86, '2017-05-23', ''),
  ('MMB5140', 134, 130, '2017-06-09', ''),
  ('MMB5040', 69, 46, '2017-05-23', ''),
  ('MMB5040', 97, 63, '2017-06-09', ''),
  ('MMC1197', 52, 29, '2017-05-17', ''),
  ('MMC1197', 91, 61, '2017-06-05', ''),
  ('MMB5240', 60, 39, '2017-06-09', ''),
  ('MMC7098', 71, 40, '2017-06-02', ''),
  ('MMC7098', 84, 46, '2017-06-20', ''),
  ('MMA1168', 55, 41, '2017-05-12', ''),
  ('MMA1168', 144, 115, '2017-06-04', ''),
  ('MMA1168', 140, 117, '2017-07-10', '');

INSERT INTO ObsFloraison (id, fleur, date, note) VALUES
  ('MMA1040', true, '2017-05-08', ''),
  ('MMB1305', false, '2017-06-04', ''),
  ('MMB7103', false, '2017-06-01', ''),
  ('MMA1122', false, '2017-05-12', ''),
  ('MMB1009', true, '2017-05-13', ''),
  ('MMA5041', false, '2017-05-27', ''),
  ('MMA5186', false, '2017-05-27', ''),
  ('MMA5051', false, '2017-05-27', ''),
  ('MMB5103', false, '2017-05-23', ''),
  ('MMA7092', true, '2017-05-31', ''),
  ('MMC1185', false, '2017-05-17', ''),
  ('MMB5213', false, '2017-05-23', ''),
  ('MMA1197', true, '2017-05-12', ''),
  ('MMB7087', false, '2017-06-01', ''),
  ('MMC1085', false, '2017-05-17', ''),
  ('MMA5065', false, '2017-05-27', ''),
  ('MMC7028', false, '2017-06-02', ''),
  ('MMA7048', true, '2017-05-31', ''),
  ('MMA5003', false, '2017-05-27', ''),
  ('MMB1058', false, '2017-05-13', ''),
  ('MMC1224', false, '2017-06-05', ''),
  ('MMB5032', false, '2017-05-23', ''),
  ('MMA5142', false, '2017-05-27', ''),
  ('MMB1265', false, '2017-06-04', ''),
  ('MMB5099', false, '2017-05-23', ''),
  ('MMC5026', false, '2017-05-28', ''),
  ('MMB1244', false, '2017-06-04', ''),
  ('MMC1172', false, '2017-05-17', ''),
  ('MMA7125', false, '2017-05-31', ''),
  ('MMB5214', false, '2017-05-23', ''),
  ('MMA5096', false, '2017-05-27', ''),
  ('MMC1170', false, '2017-05-17', ''),
  ('MMB7026', false, '2017-06-01', ''),
  ('MMC1030', true, '2017-05-17', ''),
  ('MMB5233', false, '2017-06-09', ''),
  ('MMB1178', false, '2017-05-13', ''),
  ('MMA5026', false, '2017-05-27', ''),
  ('MMC5188', false, '2017-05-28', 'manque une feuille'),
  ('MMB7035', false, '2017-06-01', ''),
  ('MMB1068', true, '2017-05-13', ''),
  ('MMC5094', false, '2017-05-28', ''),
  ('MMB5218', false, '2017-05-23', ''),
  ('MMC5126', false, '2017-05-28', ''),
  ('MMC5189', false, '2017-05-28', ''),
  ('MMA7060', false, '2017-05-31', ''),
  ('MMC1117', false, '2017-05-17', ''),
  ('MMA5089', true, '2017-05-27', ''),
  ('MMA1124', false, '2017-05-12', ''),
  ('MMC7006', false, '2017-06-02', ''),
  ('MMA5230', false, '2017-06-08', ''),
  ('MMB5125', false, '2017-05-23', ''),
  ('MMC7049', false, '2017-06-02', ''),
  ('MMB5067', false, '2017-05-23', ''),
  ('MMA7035', false, '2017-05-31', ''),
  ('MMB7126', false, '2017-06-01', ''),
  ('MMB7144', false, '2017-06-20', ''),
  ('MMA5153', false, '2017-05-27', ''),
  ('MMC1228', false, '2017-06-05', ''),
  ('MMC1304', false, '2017-06-05', ''),
  ('MMC1004', false, '2017-05-17', ''),
  ('MMB5237', false, '2017-06-09', ''),
  ('MMC5120', false, '2017-05-28', ''),
  ('MMC1258', false, '2017-06-05', ''),
  ('MMB5148', false, '2017-05-23', ''),
  ('MMC1113', false, '2017-05-17', ''),
  ('MMB5229', false, '2017-06-09', ''),
  ('MMA5250', false, '2017-06-08', ''),
  ('MMA7100', false, '2017-05-31', ''),
  ('MMC1187', false, '2017-05-17', ''),
  ('MMC7102', false, '2017-06-02', ''),
  ('MMC1225', false, '2017-06-05', ''),
  ('MMC5013', false, '2017-05-28', ''),
  ('MMC1236', false, '2017-06-05', ''),
  ('MMC1136', false, '2017-05-17', ''),
  ('MMB5120', true, '2017-05-23', ''),
  ('MMA1018', true, '2017-05-08', ''),
  ('MMB7086', false, '2017-06-01', ''),
  ('MMB5136', true, '2017-05-23', ''),
  ('MMA1236', false, '2017-06-04', ''),
  ('MMB5015', true, '2017-05-23', ''),
  ('MMC5087', false, '2017-05-28', ''),
  ('MMC5056', false, '2017-05-28', ''),
  ('MMB7015', false, '2017-06-01', ''),
  ('MMC5048', true, '2017-05-28', ''),
  ('MMB7046', false, '2017-06-01', ''),
  ('MMC5079', false, '2017-05-28', ''),
  ('MMB1105', false, '2017-05-13', ''),
  ('MMB1282', false, '2017-06-04', ''),
  ('MMB5041', false, '2017-05-23', ''),
  ('MMA5115', true, '2017-05-27', ''),
  ('MMA7045', false, '2017-05-31', ''),
  ('MMB7027', false, '2017-06-01', ''),
  ('MMA5053', false, '2017-05-27', ''),
  ('MMA1283', false, '2017-06-04', ''),
  ('MMC1126', false, '2017-05-17', ''),
  ('MMA5088', false, '2017-05-27', ''),
  ('MMC5085', false, '2017-05-28', ''),
  ('MMA5208', false, '2017-05-27', ''),
  ('MMA1215', false, '2017-06-04', ''),
  ('MMB1043', false, '2017-05-13', ''),
  ('MMA7058', true, '2017-05-31', ''),
  ('MMA7131', false, '2017-06-19', ''),
  ('MMC1192', false, '2017-05-17', ''),
  ('MMC1050', false, '2017-05-17', ''),
  ('MMC5015', false, '2017-05-28', ''),
  ('MMB1052', true, '2017-05-13', ''),
  ('MMC5195', false, '2017-05-28', ''),
  ('MMC1297', false, '2017-06-05', ''),
  ('MMA5052', false, '2017-05-27', ''),
  ('MMC7060', true, '2017-06-02', ''),
  ('MMC7142', false, '2017-06-20', ''),
  ('MMA1014', true, '2017-05-08', ''),
  ('MMA1229', false, '2017-06-04', ''),
  ('MMA1205', true, '2017-06-04', ''),
  ('MMB1176', true, '2017-05-13', ''),
  ('MMB7112', false, '2017-06-01', ''),
  ('MMC5250', false, '2017-06-10', ''),
  ('MMA1100', true, '2017-05-12', ''),
  ('MMB1127', true, '2017-05-13', ''),
  ('MMA1068', false, '2017-05-12', ''),
  ('MMA1089', true, '2017-05-12', ''),
  ('MMC5125', true, '2017-05-28', ''),
  ('MMC7036', false, '2017-06-02', ''),
  ('MMA5072', false, '2017-05-27', ''),
  ('MMC5167', false, '2017-05-28', ''),
  ('MMB1057', true, '2017-05-13', ''),
  ('MMB1090', false, '2017-05-13', ''),
  ('MMB1129', true, '2017-05-13', ''),
  ('MMC5103', false, '2017-05-28', ''),
  ('MMB5232', false, '2017-06-09', ''),
  ('MMC1125', false, '2017-05-17', ''),
  ('MMC1052', false, '2017-05-17', ''),
  ('MMC1193', false, '2017-05-17', ''),
  ('MMA7090', true, '2017-05-31', ''),
  ('MMB1109', false, '2017-05-13', ''),
  ('MMC1111', false, '2017-05-17', ''),
  ('MMC5227', false, '2017-06-10', ''),
  ('MMB1159', false, '2017-05-13', ''),
  ('MMB7071', false, '2017-06-01', ''),
  ('MMC7132', true, '2017-06-14', ''),
  ('MMC1092', false, '2017-05-17', ''),
  ('MMB7105', false, '2017-06-01', ''),
  ('MMA5014', false, '2017-05-27', ''),
  ('MMA1008', false, '2017-05-08', ''),
  ('MMB1066', false, '2017-05-13', ''),
  ('MMA5155', false, '2017-05-27', ''),
  ('MMC1249', false, '2017-06-05', ''),
  ('MMC5221', false, '2017-06-10', ''),
  ('MMC1276', false, '2017-06-05', ''),
  ('MMA7107', false, '2017-05-31', ''),
  ('MMB5263', false, '2017-06-09', ''),
  ('MMB1181', false, '2017-05-13', ''),
  ('MMB1227', true, '2017-06-04', ''),
  ('MMC1149', true, '2017-05-17', ''),
  ('MMA5220', false, '2017-06-08', ''),
  ('MMB1146', false, '2017-05-13', ''),
  ('MMA5200', false, '2017-05-27', ''),
  ('MMB1138', false, '2017-05-13', ''),
  ('MMB1018', true, '2017-05-13', ''),
  ('MMB1080', false, '2017-05-13', ''),
  ('MMA5030', false, '2017-05-27', ''),
  ('MMB7106', false, '2017-06-01', ''),
  ('MMA5049', false, '2017-05-27', ''),
  ('MMA7008', false, '2017-05-31', ''),
  ('MMC1047', false, '2017-05-17', ''),
  ('MMB5142', false, '2017-05-23', ''),
  ('MMB1153', true, '2017-05-13', ''),
  ('MMA5148', false, '2017-05-27', ''),
  ('MMB1217', false, '2017-06-04', ''),
  ('MMB5005', false, '2017-05-23', ''),
  ('MMA1284', false, '2017-06-04', ''),
  ('MMC1012', false, '2017-05-17', ''),
  ('MMC1041', false, '2017-05-17', ''),
  ('MMB5183', false, '2017-05-23', ''),
  ('MMA1088', false, '2017-05-12', ''),
  ('MMC1266', false, '2017-06-05', ''),
  ('MMA1142', true, '2017-05-12', ''),
  ('MMC5075', false, '2017-05-28', ''),
  ('MMC1054', false, '2017-05-17', ''),
  ('MMA5147', false, '2017-05-27', ''),
  ('MMB1202', true, '2017-05-13', ''),
  ('MMB5160', true, '2017-05-23', ''),
  ('MMB5257', false, '2017-06-09', ''),
  ('MMA7009', false, '2017-05-31', ''),
  ('MMB5159', true, '2017-05-23', ''),
  ('MMB5149', true, '2017-05-23', ''),
  ('MMA1179', false, '2017-05-12', ''),
  ('MMB5085', true, '2017-05-23', ''),
  ('MMB1137', true, '2017-05-13', ''),
  ('MMC1148', false, '2017-05-17', ''),
  ('MMC7066', false, '2017-06-02', ''),
  ('MMB5166', true, '2017-05-23', ''),
  ('MMA1201', false, '2017-06-04', ''),
  ('MMC1232', false, '2017-06-05', ''),
  ('MMC1037', false, '2017-05-17', ''),
  ('MMC1305', false, '2017-06-05', ''),
  ('MMB5109', true, '2017-05-23', ''),
  ('MMA1181', true, '2017-05-12', ''),
  ('MMA1145', true, '2017-05-12', ''),
  ('MMC1265', false, '2017-06-05', ''),
  ('MMA5213', false, '2017-06-08', ''),
  ('MMA1299', false, '2017-06-04', ''),
  ('MMA5194', false, '2017-05-27', ''),
  ('MMA1101', true, '2017-05-12', ''),
  ('MMB1063', false, '2017-05-13', ''),
  ('MMC1043', false, '2017-05-17', ''),
  ('MMB5004', false, '2017-05-23', ''),
  ('MMB7121', false, '2017-06-01', ''),
  ('MMC5036', false, '2017-05-28', ''),
  ('MMB5268', false, '2017-06-09', ''),
  ('MMB5196', false, '2017-05-23', ''),
  ('MMC5191', false, '2017-05-28', ''),
  ('MMB1212', false, '2017-06-04', ''),
  ('MMA1194', true, '2017-05-12', ''),
  ('MMA5136', false, '2017-05-27', ''),
  ('MMC5139', true, '2017-05-28', ''),
  ('MMB1097', true, '2017-05-13', ''),
  ('MMA5164', false, '2017-05-27', ''),
  ('MMA1230', true, '2017-06-04', ''),
  ('MMC5222', false, '2017-06-10', ''),
  ('MMB1191', false, '2017-05-13', ''),
  ('MMA5126', false, '2017-05-27', ''),
  ('MMC7031', false, '2017-06-02', ''),
  ('MMC7115', false, '2017-06-02', ''),
  ('MMA7091', false, '2017-05-31', ''),
  ('MMB1124', false, '2017-05-13', ''),
  ('MMA5029', false, '2017-05-27', ''),
  ('MMC5069', false, '2017-05-28', ''),
  ('MMC5177', false, '2017-05-28', ''),
  ('MMA1266', false, '2017-06-04', ''),
  ('MMB5145', false, '2017-05-23', ''),
  ('MMC5021', false, '2017-05-28', ''),
  ('MMB7045', false, '2017-06-01', ''),
  ('MMC1226', false, '2017-06-05', ''),
  ('MMC1102', false, '2017-05-17', ''),
  ('MMC7095', true, '2017-06-02', ''),
  ('MMC7055', false, '2017-06-02', ''),
  ('MMA7109', false, '2017-05-31', ''),
  ('MMB1121', false, '2017-05-13', ''),
  ('MMB1304', false, '2017-06-04', ''),
  ('MMC7012', false, '2017-06-02', ''),
  ('MMB5192', false, '2017-05-23', ''),
  ('MMB7123', false, '2017-06-01', ''),
  ('MMA1170', false, '2017-05-12', ''),
  ('MMB7138', false, '2017-06-01', ''),
  ('MMA1296', false, '2017-06-04', ''),
  ('MMB7066', false, '2017-06-01', ''),
  ('MMC5215', false, '2017-06-10', ''),
  ('MMB1067', true, '2017-05-13', ''),
  ('MMA5101', false, '2017-05-27', ''),
  ('MMB7102', false, '2017-06-01', ''),
  ('MMB1291', true, '2017-06-04', ''),
  ('MMC1100', false, '2017-05-17', ''),
  ('MMC7052', false, '2017-06-02', ''),
  ('MMB1193', true, '2017-05-13', ''),
  ('MMB1302', false, '2017-06-04', ''),
  ('MMB1297', false, '2017-06-04', ''),
  ('MMC5076', false, '2017-05-28', ''),
  ('MMA1083', false, '2017-05-12', ''),
  ('MMA5019', false, '2017-05-27', ''),
  ('MMC1287', false, '2017-06-05', ''),
  ('MMC7053', false, '2017-06-02', ''),
  ('MMC1209', false, '2017-06-05', ''),
  ('MMA1039', false, '2017-05-08', ''),
  ('MMB5036', false, '2017-05-23', ''),
  ('MMB7021', true, '2017-06-01', ''),
  ('MMB1118', false, '2017-05-13', ''),
  ('MMA7006', false, '2017-05-31', ''),
  ('MMB1120', false, '2017-05-13', ''),
  ('MMC5179', false, '2017-05-28', ''),
  ('MMC5216', false, '2017-06-10', ''),
  ('MMB7051', false, '2017-06-01', ''),
  ('MMB5134', false, '2017-05-23', ''),
  ('MMB1091', false, '2017-05-13', ''),
  ('MMA1036', false, '2017-05-08', ''),
  ('MMB7148', false, '2017-06-20', ''),
  ('MMB5098', true, '2017-05-23', ''),
  ('MMC1154', false, '2017-05-17', ''),
  ('MMB5059', true, '2017-05-23', ''),
  ('MMA7110', false, '2017-05-31', ''),
  ('MMC1097', true, '2017-05-17', ''),
  ('MMA5048', false, '2017-05-27', ''),
  ('MMC7065', false, '2017-06-02', ''),
  ('MMC1066', false, '2017-05-17', ''),
  ('MMB7050', false, '2017-06-01', ''),
  ('MMA1047', true, '2017-05-12', ''),
  ('MMC1267', false, '2017-06-05', ''),
  ('MMB5035', false, '2017-05-23', ''),
  ('MMB5042', true, '2017-05-23', ''),
  ('MMC7008', false, '2017-06-02', ''),
  ('MMB1049', false, '2017-05-13', ''),
  ('MMC1261', false, '2017-06-05', ''),
  ('MMC1283', false, '2017-06-05', ''),
  ('MMA5211', false, '2017-06-08', ''),
  ('MMC1153', false, '2017-05-17', ''),
  ('MMC1146', false, '2017-05-17', ''),
  ('MMB7001', false, '2017-06-01', ''),
  ('MMB7097', false, '2017-06-01', ''),
  ('MMC7081', false, '2017-06-02', ''),
  ('MMC1029', false, '2017-05-17', ''),
  ('MMA7134', false, '2017-06-19', ''),
  ('MMA5165', false, '2017-05-27', ''),
  ('MMC5003', true, '2017-05-28', ''),
  ('MMC1177', false, '2017-05-17', ''),
  ('MMA5095', false, '2017-05-27', ''),
  ('MMC5057', false, '2017-05-28', ''),
  ('MMC5084', false, '2017-05-28', ''),
  ('MMB1242', true, '2017-06-04', ''),
  ('MMA5081', false, '2017-05-27', ''),
  ('MMA1279', false, '2017-06-04', ''),
  ('MMB1142', true, '2017-05-13', ''),
  ('MMB7038', true, '2017-06-01', ''),
  ('MMB7077', false, '2017-06-01', ''),
  ('MMA5215', false, '2017-06-08', ''),
  ('MMC1135', false, '2017-05-17', ''),
  ('MMB5180', true, '2017-05-23', ''),
  ('MMB1283', false, '2017-06-04', ''),
  ('MMB7109', false, '2017-06-01', ''),
  ('MMC7124', false, '2017-06-02', ''),
  ('MMA5005', false, '2017-05-27', ''),
  ('MMA5218', false, '2017-06-08', ''),
  ('MMB1218', false, '2017-06-04', ''),
  ('MMC5240', false, '2017-06-10', ''),
  ('MMB1132', false, '2017-05-13', ''),
  ('MMB1001', true, '2017-05-13', ''),
  ('MMC5053', false, '2017-05-28', ''),
  ('MMA7095', true, '2017-05-31', ''),
  ('MMC1303', false, '2017-06-05', ''),
  ('MMC1199', true, '2017-05-17', ''),
  ('MMA5180', true, '2017-05-27', ''),
  ('MMC7078', false, '2017-06-02', ''),
  ('MMB1157', true, '2017-05-13', ''),
  ('MMC5182', true, '2017-05-28', ''),
  ('MMA5077', true, '2017-05-27', ''),
  ('MMA5228', false, '2017-06-08', ''),
  ('MMA5022', false, '2017-05-27', ''),
  ('MMB5244', false, '2017-06-09', ''),
  ('MMC5224', false, '2017-06-10', ''),
  ('MMB1102', true, '2017-05-13', ''),
  ('MMB7016', false, '2017-06-01', ''),
  ('MMB7100', false, '2017-06-01', ''),
  ('MMC1191', false, '2017-05-17', ''),
  ('MMC7019', false, '2017-06-02', ''),
  ('MMA1231', false, '2017-06-04', ''),
  ('MMB1117', false, '2017-05-13', ''),
  ('MMA5124', false, '2017-05-27', ''),
  ('MMA1272', false, '2017-06-04', ''),
  ('MMA5233', false, '2017-06-08', ''),
  ('MMB5234', false, '2017-06-09', ''),
  ('MMA1226', false, '2017-06-04', ''),
  ('MMA1300', false, '2017-06-04', ''),
  ('MMC5193', false, '2017-05-28', ''),
  ('MMB1005', true, '2017-05-13', ''),
  ('MMB1243', true, '2017-06-04', ''),
  ('MMB1248', true, '2017-06-04', ''),
  ('MMB5210', false, '2017-05-23', ''),
  ('MMA1026', true, '2017-05-08', ''),
  ('MMB5013', true, '2017-05-23', ''),
  ('MMB7008', true, '2017-06-01', ''),
  ('MMB1253', false, '2017-06-04', ''),
  ('MMC5153', false, '2017-05-28', ''),
  ('MMA5034', false, '2017-05-27', ''),
  ('MMA7036', false, '2017-05-31', ''),
  ('MMC1115', false, '2017-05-17', ''),
  ('MMA7051', false, '2017-05-31', ''),
  ('MMB5105', true, '2017-05-23', ''),
  ('MMB5050', true, '2017-05-23', ''),
  ('MMC5112', false, '2017-05-28', ''),
  ('MMA1133', false, '2017-05-12', ''),
  ('MMB5046', true, '2017-05-23', ''),
  ('MMB5024', true, '2017-05-23', ''),
  ('MMC5190', false, '2017-05-28', ''),
  ('MMA7097', false, '2017-05-31', ''),
  ('MMA5238', false, '2017-06-08', ''),
  ('MMB1280', true, '2017-06-04', ''),
  ('MMB5077', true, '2017-05-23', ''),
  ('MMB5122', true, '2017-05-23', ''),
  ('MMC7128', false, '2017-06-02', ''),
  ('MMA1288', false, '2017-06-04', ''),
  ('MMC1094', false, '2017-05-17', ''),
  ('MMB7067', false, '2017-06-01', ''),
  ('MMC5246', false, '2017-06-10', ''),
  ('MMC1273', false, '2017-06-05', ''),
  ('MMC1112', false, '2017-05-17', ''),
  ('MMB7136', false, '2017-06-01', ''),
  ('MMC7044', false, '2017-06-02', ''),
  ('MMC1068', false, '2017-05-17', ''),
  ('MMC1089', false, '2017-05-17', ''),
  ('MMB1019', false, '2017-05-13', ''),
  ('MMB1104', true, '2017-05-13', ''),
  ('MMB7113', false, '2017-06-01', ''),
  ('MMC7400', false, '2017-06-02', ''),
  ('MMC7061', false, '2017-06-02', ''),
  ('MMC7089', false, '2017-06-02', ''),
  ('MMA1024', false, '2017-05-08', ''),
  ('MMC5041', false, '2017-05-28', ''),
  ('MMB5020', false, '2017-05-23', ''),
  ('MMB5084', true, '2017-05-23', ''),
  ('MMA5192', true, '2017-05-27', ''),
  ('MMA5246', false, '2017-06-08', ''),
  ('MMB5107', false, '2017-05-23', ''),
  ('MMB1122', false, '2017-05-13', ''),
  ('MMB5039', false, '2017-05-23', ''),
  ('MMA5071', false, '2017-05-27', ''),
  ('MMC1083', false, '2017-05-17', ''),
  ('MMA1164', false, '2017-05-12', ''),
  ('MMC5017', false, '2017-05-28', ''),
  ('MMB1240', false, '2017-06-04', ''),
  ('MMB5038', false, '2017-05-23', ''),
  ('MMB5052', false, '2017-05-23', ''),
  ('MMB7069', false, '2017-06-01', ''),
  ('MMB7130', false, '2017-06-01', ''),
  ('MMA1095', true, '2017-05-12', ''),
  ('MMB1131', false, '2017-05-13', ''),
  ('MMC5054', false, '2017-05-28', ''),
  ('MMA5166', false, '2017-05-27', ''),
  ('MMA1013', false, '2017-05-08', ''),
  ('MMC7136', false, '2017-06-20', ''),
  ('MMA1265', false, '2017-06-04', ''),
  ('MMB1046', false, '2017-05-13', ''),
  ('MMC5143', false, '2017-05-28', ''),
  ('MMC1080', false, '2017-05-17', ''),
  ('MMA5058', false, '2017-05-27', ''),
  ('MMC7070', false, '2017-06-02', ''),
  ('MMB1003', true, '2017-05-13', ''),
  ('MMB1254', false, '2017-06-04', ''),
  ('MMA5154', false, '2017-05-27', ''),
  ('MMA1219', false, '2017-06-04', ''),
  ('MMB1273', false, '2017-06-04', ''),
  ('MMC5184', false, '2017-05-28', ''),
  ('MMB7091', false, '2017-06-01', ''),
  ('MMC1162', false, '2017-05-17', ''),
  ('MMB5158', true, '2017-05-23', ''),
  ('MMC7127', false, '2017-06-02', ''),
  ('MMA5203', false, '2017-05-27', ''),
  ('MMA1258', false, '2017-06-04', ''),
  ('MMB1039', true, '2017-05-13', ''),
  ('MMC7063', false, '2017-06-02', ''),
  ('MMC5113', false, '2017-05-28', ''),
  ('MMC7033', false, '2017-06-02', ''),
  ('MMC1289', false, '2017-06-05', ''),
  ('MMB1300', false, '2017-06-04', ''),
  ('MMA5221', false, '2017-06-08', ''),
  ('MMC5104', false, '2017-05-28', ''),
  ('MMA1105', true, '2017-05-12', ''),
  ('MMB7053', false, '2017-06-01', ''),
  ('MMC5239', false, '2017-06-10', ''),
  ('MMB1247', false, '2017-06-04', ''),
  ('MMB1184', false, '2017-05-13', ''),
  ('MMA5062', true, '2017-05-27', ''),
  ('MMC7048', false, '2017-06-02', ''),
  ('MMC1240', false, '2017-06-05', ''),
  ('MMA5191', false, '2017-05-27', ''),
  ('MMB1085', false, '2017-05-13', ''),
  ('MMA1044', true, '2017-05-12', ''),
  ('MMB7005', true, '2017-06-01', ''),
  ('MMA1298', false, '2017-06-04', ''),
  ('MMA1274', false, '2017-06-04', ''),
  ('MMB1298', false, '2017-06-04', ''),
  ('MMB5245', false, '2017-06-09', ''),
  ('MMA1010', true, '2017-05-08', ''),
  ('MMC1300', false, '2017-06-05', ''),
  ('MMA5248', false, '2017-06-08', ''),
  ('MMB1081', false, '2017-05-13', ''),
  ('MMA5085', false, '2017-05-27', ''),
  ('MMA5127', false, '2017-05-27', ''),
  ('MMC5029', false, '2017-05-28', ''),
  ('MMC5106', false, '2017-05-28', ''),
  ('MMB1073', false, '2017-05-13', ''),
  ('MMC1118', false, '2017-05-17', ''),
  ('MMB7007', true, '2017-06-01', ''),
  ('MMC7117', false, '2017-06-02', ''),
  ('MMC5038', false, '2017-05-28', ''),
  ('MMC7042', false, '2017-06-02', ''),
  ('MMA1251', true, '2017-06-04', ''),
  ('MMA7054', false, '2017-05-31', ''),
  ('MMA1210', false, '2017-06-04', ''),
  ('MMC7146', false, '2017-06-20', ''),
  ('MMB5011', false, '2017-05-23', ''),
  ('MMC5049', false, '2017-05-28', ''),
  ('MMC5086', false, '2017-05-28', ''),
  ('MMB1098', false, '2017-05-13', ''),
  ('MMA5219', false, '2017-06-08', ''),
  ('MMA1045', false, '2017-05-12', ''),
  ('MMA1188', false, '2017-05-12', ''),
  ('MMB5112', true, '2017-05-23', ''),
  ('MMA5035', false, '2017-05-27', ''),
  ('MMC7005', false, '2017-06-02', ''),
  ('MMC1248', false, '2017-06-05', ''),
  ('MMC5244', false, '2017-06-10', ''),
  ('MMC5163', false, '2017-05-28', ''),
  ('MMA5047', false, '2017-05-27', ''),
  ('MMC5205', false, '2017-05-28', ''),
  ('MMC1182', false, '2017-05-17', ''),
  ('MMA5105', false, '2017-05-27', ''),
  ('MMC7076', false, '2017-06-02', ''),
  ('MMB5248', false, '2017-06-09', ''),
  ('MMA1166', false, '2017-05-12', ''),
  ('MMB1024', true, '2017-05-13', ''),
  ('MMC5133', false, '2017-05-28', ''),
  ('MMC1280', false, '2017-06-05', ''),
  ('MMC1010', false, '2017-05-17', ''),
  ('MMB5124', false, '2017-05-23', ''),
  ('MMA7116', false, '2017-05-31', ''),
  ('MMC1007', false, '2017-05-17', ''),
  ('MMA7074', false, '2017-05-31', ''),
  ('MMC5210', false, '2017-06-10', ''),
  ('MMC5232', false, '2017-06-10', ''),
  ('MMB1165', false, '2017-05-13', ''),
  ('MMA1146', false, '2017-05-12', ''),
  ('MMA5204', false, '2017-05-27', ''),
  ('MMC1198', false, '2017-05-17', ''),
  ('MMA1151', true, '2017-05-12', ''),
  ('MMC5045', false, '2017-05-28', ''),
  ('MMC5105', false, '2017-05-28', ''),
  ('MMA1235', true, '2017-06-04', ''),
  ('MMA1079', false, '2017-05-12', ''),
  ('MMC1110', false, '2017-05-17', ''),
  ('MMC1180', false, '2017-05-17', ''),
  ('MMC5004', false, '2017-05-28', ''),
  ('MMB5101', true, '2017-05-23', ''),
  ('MMC5034', false, '2017-05-28', ''),
  ('MMB1290', false, '2017-06-04', ''),
  ('MMA5217', false, '2017-06-08', ''),
  ('MMB7146', false, '2017-06-20', ''),
  ('MMC1194', false, '2017-05-17', ''),
  ('MMB7104', false, '2017-06-01', ''),
  ('MMC1107', false, '2017-05-17', ''),
  ('MMB5102', true, '2017-05-23', ''),
  ('MMA5023', true, '2017-05-27', ''),
  ('MMB7019', false, '2017-06-01', ''),
  ('MMB5168', false, '2017-05-23', ''),
  ('MMC5213', false, '2017-06-10', ''),
  ('MMA7027', false, '2017-05-31', ''),
  ('MMC1181', false, '2017-05-17', ''),
  ('MMB1238', false, '2017-06-04', ''),
  ('MMB1258', false, '2017-06-04', ''),
  ('MMB1284', false, '2017-06-04', ''),
  ('MMC1190', false, '2017-05-17', ''),
  ('MMC5154', false, '2017-05-28', ''),
  ('MMA5177', false, '2017-05-27', ''),
  ('MMB1135', false, '2017-05-13', ''),
  ('MMA5080', false, '2017-05-27', ''),
  ('MMB7125', false, '2017-06-01', ''),
  ('MMC5209', false, '2017-06-10', ''),
  ('MMB1222', false, '2017-06-04', ''),
  ('MMB1199', true, '2017-05-13', ''),
  ('MMC1299', false, '2017-06-05', ''),
  ('MMC5024', false, '2017-05-28', ''),
  ('MMC7107', false, '2017-06-02', ''),
  ('MMC1223', false, '2017-06-05', ''),
  ('MMC5121', false, '2017-05-28', ''),
  ('MMB7041', false, '2017-06-01', ''),
  ('MMB5223', false, '2017-06-09', ''),
  ('MMC1263', false, '2017-06-05', ''),
  ('MMC5022', false, '2017-05-28', ''),
  ('MMC1245', false, '2017-06-05', ''),
  ('MMA1117', false, '2017-05-12', ''),
  ('MMA7043', true, '2017-05-31', ''),
  ('MMA1102', true, '2017-05-12', ''),
  ('MMB5073', false, '2017-05-23', ''),
  ('MMB1096', false, '2017-05-13', ''),
  ('MMC5145', false, '2017-05-28', ''),
  ('MMB5014', false, '2017-05-23', ''),
  ('MMA1096', true, '2017-05-12', ''),
  ('MMA1130', false, '2017-05-12', ''),
  ('MMC1081', false, '2017-05-17', ''),
  ('MMA1081', false, '2017-05-12', ''),
  ('MMA7103', false, '2017-05-31', ''),
  ('MMA5027', false, '2017-05-27', ''),
  ('MMC5002', false, '2017-05-28', ''),
  ('MMB1221', false, '2017-06-04', ''),
  ('MMA7128', false, '2017-05-31', ''),
  ('MMC5052', false, '2017-05-28', ''),
  ('MMC5101', false, '2017-05-28', ''),
  ('MMC1078', false, '2017-05-17', ''),
  ('MMA1054', false, '2017-05-12', ''),
  ('MMC1130', false, '2017-05-17', ''),
  ('MMA5167', false, '2017-05-27', ''),
  ('MMC1218', false, '2017-06-05', ''),
  ('MMC1216', false, '2017-06-05', ''),
  ('MMA1025', false, '2017-05-08', ''),
  ('MMA7023', false, '2017-05-31', ''),
  ('MMC5055', false, '2017-05-28', ''),
  ('MMA5140', false, '2017-05-27', ''),
  ('MMC7101', false, '2017-06-02', ''),
  ('MMC1272', false, '2017-06-05', ''),
  ('MMC1036', false, '2017-05-17', ''),
  ('MMB1108', true, '2017-05-13', ''),
  ('MMC1255', false, '2017-06-05', ''),
  ('MMA1276', false, '2017-06-04', ''),
  ('MMA5125', false, '2017-05-27', ''),
  ('MMA5189', false, '2017-05-27', ''),
  ('MMB1215', false, '2017-06-04', ''),
  ('MMC5245', false, '2017-06-10', ''),
  ('MMB1198', false, '2017-05-13', ''),
  ('MMA1005', true, '2017-05-08', ''),
  ('MMA5184', false, '2017-05-27', ''),
  ('MMC1005', false, '2017-05-17', ''),
  ('MMC5118', false, '2017-05-28', ''),
  ('MMB7132', true, '2017-06-01', ''),
  ('MMC1039', false, '2017-05-17', ''),
  ('MMA5149', false, '2017-05-27', ''),
  ('MMA5231', false, '2017-06-08', ''),
  ('MMC5009', true, '2017-05-28', ''),
  ('MMA1277', false, '2017-06-04', ''),
  ('MMB5128', true, '2017-05-23', ''),
  ('MMB1194', false, '2017-05-13', ''),
  ('MMC1101', true, '2017-05-17', ''),
  ('MMB5144', false, '2017-05-23', ''),
  ('MMA5025', false, '2017-05-27', ''),
  ('MMA5168', false, '2017-05-27', ''),
  ('MMB1133', false, '2017-05-13', ''),
  ('MMA5086', false, '2017-05-27', ''),
  ('MMA5055', true, '2017-05-27', ''),
  ('MMA1152', true, '2017-05-12', ''),
  ('MMC5247', false, '2017-06-10', ''),
  ('MMB1034', true, '2017-05-13', ''),
  ('MMB5138', true, '2017-05-23', ''),
  ('MMA5145', false, '2017-05-27', ''),
  ('MMB5097', true, '2017-05-23', ''),
  ('MMB5177', false, '2017-05-23', ''),
  ('MMC5042', false, '2017-05-28', ''),
  ('MMC1057', false, '2017-05-17', ''),
  ('MMA1111', false, '2017-05-12', ''),
  ('MMB1094', false, '2017-05-13', ''),
  ('MMC1087', false, '2017-05-17', ''),
  ('MMC5098', false, '2017-05-28', ''),
  ('MMA7079', false, '2017-05-31', ''),
  ('MMB7145', false, '2017-06-20', ''),
  ('MMC1132', true, '2017-05-17', ''),
  ('MMB5216', false, '2017-05-23', ''),
  ('MMA7001', false, '2017-05-31', ''),
  ('MMC1234', false, '2017-06-05', ''),
  ('MMC5137', false, '2017-05-28', ''),
  ('MMC1206', false, '2017-05-17', ''),
  ('MMC7113', false, '2017-06-02', ''),
  ('MMC1262', false, '2017-06-05', ''),
  ('MMA5249', false, '2017-06-08', ''),
  ('MMC1247', false, '2017-06-05', ''),
  ('MMB1204', false, '2017-05-13', ''),
  ('MMB5002', true, '2017-05-23', ''),
  ('MMB5121', true, '2017-05-23', ''),
  ('MMA5031', false, '2017-05-27', ''),
  ('MMA5216', false, '2017-06-08', ''),
  ('MMB1171', false, '2017-05-13', ''),
  ('MMC5068', false, '2017-05-28', ''),
  ('MMC1251', false, '2017-06-05', ''),
  ('MMC5214', false, '2017-06-10', ''),
  ('MMB7011', false, '2017-06-01', ''),
  ('MMB5070', true, '2017-05-23', ''),
  ('MMC7112', false, '2017-06-02', ''),
  ('MMA5229', false, '2017-06-08', ''),
  ('MMA1029', false, '2017-05-08', ''),
  ('MMA1223', false, '2017-06-04', ''),
  ('MMB1308', true, '2017-06-04', ''),
  ('MMB1207', false, '2017-05-13', ''),
  ('MMB5081', true, '2017-05-23', ''),
  ('MMC5202', false, '2017-05-28', ''),
  ('MMA1076', false, '2017-05-12', ''),
  ('MMC5072', false, '2017-05-28', ''),
  ('MMC1048', false, '2017-05-17', ''),
  ('MMA5056', false, '2017-05-27', ''),
  ('MMA5137', false, '2017-05-27', ''),
  ('MMC7085', false, '2017-06-02', ''),
  ('MMB1011', true, '2017-05-13', ''),
  ('MMB7072', false, '2017-06-01', ''),
  ('MMA1006', false, '2017-05-08', ''),
  ('MMA1256', false, '2017-06-04', ''),
  ('MMB1189', false, '2017-05-13', ''),
  ('MMC1184', false, '2017-05-17', ''),
  ('MMA5093', false, '2017-05-27', ''),
  ('MMA5108', false, '2017-05-27', ''),
  ('MMB1126', true, '2017-05-13', ''),
  ('MMB5044', false, '2017-05-23', ''),
  ('MMA1176', false, '2017-05-12', ''),
  ('MMB7117', false, '2017-06-01', ''),
  ('MMB5060', false, '2017-05-23', ''),
  ('MMA5160', false, '2017-05-27', ''),
  ('MMB1289', false, '2017-06-04', ''),
  ('MMB1156', false, '2017-05-13', ''),
  ('MMC1167', false, '2017-05-17', ''),
  ('MMC7040', false, '2017-06-02', ''),
  ('MMB1056', true, '2017-05-13', ''),
  ('MMC7090', false, '2017-06-02', ''),
  ('MMA1240', false, '2017-06-04', ''),
  ('MMB1016', true, '2017-05-13', ''),
  ('MMC5200', false, '2017-05-28', ''),
  ('MMC5061', false, '2017-05-28', ''),
  ('MMB7059', false, '2017-06-01', ''),
  ('MMB1083', false, '2017-05-13', ''),
  ('MMB5119', false, '2017-05-23', ''),
  ('MMC7077', false, '2017-06-02', ''),
  ('MMA1207', false, '2017-06-04', ''),
  ('MMA1261', true, '2017-06-04', ''),
  ('MMC1051', false, '2017-05-17', ''),
  ('MMC1143', false, '2017-05-17', ''),
  ('MMB5057', false, '2017-05-23', ''),
  ('MMA5044', false, '2017-05-27', ''),
  ('MMC1217', false, '2017-06-05', ''),
  ('MMC7026', false, '2017-06-02', ''),
  ('MMC5080', false, '2017-05-28', ''),
  ('MMA7061', false, '2017-05-31', ''),
  ('MMA5161', false, '2017-05-27', ''),
  ('MMA5173', false, '2017-05-27', ''),
  ('MMB1167', false, '2017-05-13', ''),
  ('MMA7052', false, '2017-05-31', ''),
  ('MMA1007', false, '2017-05-08', ''),
  ('MMA1182', true, '2017-05-12', ''),
  ('MMB1050', false, '2017-05-13', ''),
  ('MMA1269', false, '2017-06-04', ''),
  ('MMB7023', false, '2017-06-01', ''),
  ('MMA1206', false, '2017-06-04', ''),
  ('MMB1173', false, '2017-05-13', ''),
  ('MMC7001', false, '2017-06-02', ''),
  ('MMC1020', false, '2017-05-17', ''),
  ('MMC7068', false, '2017-06-02', ''),
  ('MMB1125', true, '2017-05-13', ''),
  ('MMA5036', false, '2017-05-27', ''),
  ('MMB5185', false, '2017-05-23', ''),
  ('MMA5032', false, '2017-05-27', ''),
  ('MMA5113', true, '2017-05-27', ''),
  ('MMA5158', false, '2017-05-27', ''),
  ('MMB7084', true, '2017-06-01', ''),
  ('MMC1241', false, '2017-06-05', ''),
  ('MMC5014', false, '2017-05-28', ''),
  ('MMC5077', false, '2017-05-28', ''),
  ('MMC1166', false, '2017-05-17', ''),
  ('MMA5247', false, '2017-06-08', ''),
  ('MMA1156', true, '2017-05-12', ''),
  ('MMA5091', true, '2017-05-27', ''),
  ('MMC1023', false, '2017-05-17', ''),
  ('MMC1210', false, '2017-06-05', ''),
  ('MMB1035', true, '2017-05-13', ''),
  ('MMB1075', false, '2017-05-13', ''),
  ('MMA1091', true, '2017-05-12', ''),
  ('MMA1222', false, '2017-06-04', ''),
  ('MMB1205', false, '2017-05-13', ''),
  ('MMB7030', false, '2017-06-01', ''),
  ('MMC1121', false, '2017-05-17', ''),
  ('MMB1287', false, '2017-06-04', ''),
  ('MMB5071', false, '2017-05-23', ''),
  ('MMC1001', true, '2017-05-17', ''),
  ('MMB7094', true, '2017-06-01', ''),
  ('MMB1226', true, '2017-06-04', ''),
  ('MMB1101', false, '2017-05-13', ''),
  ('MMC1122', true, '2017-05-17', ''),
  ('MMB1015', true, '2017-05-13', ''),
  ('MMC5226', false, '2017-06-10', ''),
  ('MMC7009', false, '2017-06-02', ''),
  ('MMB5150', true, '2017-05-23', ''),
  ('MMB1172', false, '2017-05-13', ''),
  ('MMA5002', false, '2017-05-27', ''),
  ('MMB1082', true, '2017-05-13', ''),
  ('MMB1087', false, '2017-05-13', ''),
  ('MMC1164', false, '2017-05-17', ''),
  ('MMC5150', false, '2017-05-28', ''),
  ('MMA1208', true, '2017-06-04', ''),
  ('MMA1203', true, '2017-06-04', ''),
  ('MMA1174', true, '2017-05-12', ''),
  ('MMA1244', false, '2017-06-04', ''),
  ('MMC5119', false, '2017-05-28', ''),
  ('MMB1235', false, '2017-06-04', ''),
  ('MMA5039', false, '2017-05-27', ''),
  ('MMA7066', false, '2017-05-31', ''),
  ('MMB7115', false, '2017-06-01', ''),
  ('MMC7082', false, '2017-06-02', ''),
  ('MMA7115', false, '2017-05-31', ''),
  ('MMA5064', false, '2017-05-27', ''),
  ('MMA1073', true, '2017-05-12', ''),
  ('MMC1119', false, '2017-05-17', ''),
  ('MMA1228', false, '2017-06-04', ''),
  ('MMA5235', false, '2017-06-08', ''),
  ('MMC1138', false, '2017-05-17', ''),
  ('MMA1255', true, '2017-06-04', ''),
  ('MMB5199', false, '2017-05-23', ''),
  ('MMC7039', false, '2017-06-02', ''),
  ('MMC7133', false, '2017-06-20', ''),
  ('MMC1069', false, '2017-05-17', ''),
  ('MMB5055', true, '2017-05-23', ''),
  ('MMA1153', false, '2017-05-12', ''),
  ('MMB1150', false, '2017-05-13', ''),
  ('MMC1202', true, '2017-05-17', ''),
  ('MMA1250', false, '2017-06-04', ''),
  ('MMB5048', true, '2017-05-23', ''),
  ('MMB1255', true, '2017-06-04', ''),
  ('MMC1294', false, '2017-06-05', ''),
  ('MMB1013', true, '2017-05-13', ''),
  ('MMC7020', false, '2017-06-02', ''),
  ('MMC7054', false, '2017-06-02', ''),
  ('MMA1173', true, '2017-05-12', ''),
  ('MMC1169', false, '2017-05-17', ''),
  ('MMC5225', false, '2017-06-10', ''),
  ('MMA5073', false, '2017-05-27', ''),
  ('MMC5166', false, '2017-05-28', ''),
  ('MMA5130', true, '2017-05-27', ''),
  ('MMA1003', true, '2017-05-08', ''),
  ('MMB1038', false, '2017-05-13', ''),
  ('MMB1095', false, '2017-05-13', ''),
  ('MMA1002', true, '2017-05-08', ''),
  ('MMA1021', false, '2017-05-08', ''),
  ('MMB7055', false, '2017-06-01', ''),
  ('MMB5194', true, '2017-05-23', ''),
  ('MMC5175', false, '2017-05-28', ''),
  ('MMC5181', false, '2017-05-28', ''),
  ('MMB7127', false, '2017-06-01', ''),
  ('MMC7016', false, '2017-06-02', ''),
  ('MMB1182', false, '2017-05-13', ''),
  ('MMC5157', false, '2017-05-28', ''),
  ('MMB1065', false, '2017-05-13', ''),
  ('MMB1225', true, '2017-06-04', ''),
  ('MMC5131', false, '2017-05-28', ''),
  ('MMA5119', false, '2017-05-27', ''),
  ('MMB1044', false, '2017-05-13', ''),
  ('MMC1292', false, '2017-06-05', ''),
  ('MMA1154', false, '2017-05-12', ''),
  ('MMC5146', false, '2017-05-28', ''),
  ('MMC7067', false, '2017-06-02', ''),
  ('MMC7034', false, '2017-06-02', ''),
  ('MMC5180', false, '2017-05-28', ''),
  ('MMA7072', false, '2017-05-31', ''),
  ('MMC5129', true, '2017-05-28', ''),
  ('MMB1246', false, '2017-06-04', ''),
  ('MMC7075', false, '2017-06-02', ''),
  ('MMB1278', false, '2017-06-04', ''),
  ('MMB5226', false, '2017-06-09', ''),
  ('MMA1057', true, '2017-05-12', ''),
  ('MMB1099', false, '2017-05-13', ''),
  ('MMC7138', false, '2017-06-20', ''),
  ('MMA1035', false, '2017-05-08', ''),
  ('MMB1110', true, '2017-05-13', ''),
  ('MMA5169', false, '2017-05-27', ''),
  ('MMA5206', true, '2017-05-27', ''),
  ('MMA7126', false, '2017-05-31', ''),
  ('MMC7130', false, '2017-06-02', ''),
  ('MMC7106', false, '2017-06-02', ''),
  ('MMC5218', false, '2017-06-10', ''),
  ('MMC5044', false, '2017-05-28', ''),
  ('MMA7094', false, '2017-05-31', ''),
  ('MMC5230', false, '2017-06-10', ''),
  ('MMA5121', true, '2017-05-27', ''),
  ('MMA1227', false, '2017-06-04', ''),
  ('MMB1106', true, '2017-05-13', ''),
  ('MMC5158', false, '2017-05-28', ''),
  ('MMA1171', true, '2017-05-12', ''),
  ('MMC7110', false, '2017-06-02', ''),
  ('MMA1297', false, '2017-06-04', ''),
  ('MMB1077', true, '2017-05-13', ''),
  ('MMA5106', false, '2017-05-27', ''),
  ('MMA5024', false, '2017-05-27', ''),
  ('MMA1030', true, '2017-05-08', ''),
  ('MMC7003', false, '2017-06-02', ''),
  ('MMA5010', true, '2017-05-27', ''),
  ('MMA1064', true, '2017-05-12', ''),
  ('MMB1251', false, '2017-06-04', ''),
  ('MMC1250', false, '2017-06-05', ''),
  ('MMC1090', false, '2017-05-17', ''),
  ('MMB5151', true, '2017-05-23', ''),
  ('MMB5154', false, '2017-05-23', ''),
  ('MMC5136', false, '2017-05-28', ''),
  ('MMA1004', true, '2017-05-08', ''),
  ('MMA1121', true, '2017-05-12', ''),
  ('MMB1183', false, '2017-05-13', ''),
  ('MMB7012', false, '2017-06-01', ''),
  ('MMA5239', false, '2017-06-08', ''),
  ('MMA1157', true, '2017-05-12', ''),
  ('MMC1091', false, '2017-05-17', ''),
  ('MMC5023', false, '2017-05-28', ''),
  ('MMA5222', false, '2017-06-08', ''),
  ('MMB1113', false, '2017-05-13', ''),
  ('MMC1116', true, '2017-05-17', ''),
  ('MMB5083', false, '2017-05-23', ''),
  ('MMA5063', false, '2017-05-27', ''),
  ('MMB5163', false, '2017-05-23', ''),
  ('MMB1144', false, '2017-05-13', ''),
  ('MMB1036', true, '2017-05-13', ''),
  ('MMB5072', true, '2017-05-23', ''),
  ('MMB7044', false, '2017-06-01', ''),
  ('MMC1291', false, '2017-06-05', ''),
  ('MMC5040', false, '2017-05-28', ''),
  ('MMB5023', false, '2017-05-23', ''),
  ('MMA5013', false, '2017-05-27', ''),
  ('MMC1211', false, '2017-06-05', ''),
  ('MMB1026', false, '2017-05-13', ''),
  ('MMA1193', true, '2017-05-12', ''),
  ('MMB5001', false, '2017-05-23', ''),
  ('MMB5016', true, '2017-05-23', ''),
  ('MMA1242', false, '2017-06-04', ''),
  ('MMA1147', false, '2017-05-12', ''),
  ('MMC1221', false, '2017-06-05', ''),
  ('MMC5238', false, '2017-06-10', ''),
  ('MMB1306', false, '2017-06-04', ''),
  ('MMB7018', false, '2017-06-01', ''),
  ('MMA1273', false, '2017-06-04', ''),
  ('MMB5130', false, '2017-05-23', ''),
  ('MMC5198', false, '2017-05-28', ''),
  ('MMC1213', false, '2017-06-05', ''),
  ('MMB5056', false, '2017-05-23', ''),
  ('MMA5198', false, '2017-05-27', ''),
  ('MMA1287', false, '2017-06-04', ''),
  ('MMA1131', true, '2017-05-12', ''),
  ('MMB5204', false, '2017-05-23', ''),
  ('MMA5084', false, '2017-05-27', ''),
  ('MMB7020', false, '2017-06-01', ''),
  ('MMB1307', false, '2017-06-04', ''),
  ('MMC5067', false, '2017-05-28', ''),
  ('MMC5109', false, '2017-05-28', ''),
  ('MMA5209', false, '2017-05-27', ''),
  ('MMA1067', true, '2017-05-12', ''),
  ('MMA5092', true, '2017-05-27', ''),
  ('MMA1113', true, '2017-05-12', ''),
  ('MMC5196', false, '2017-05-28', ''),
  ('MMC5047', true, '2017-05-28', ''),
  ('MMA7033', false, '2017-05-31', ''),
  ('MMA7135', true, '2017-06-19', ''),
  ('MMA1092', true, '2017-05-12', ''),
  ('MMC5082', false, '2017-05-28', ''),
  ('MMA7064', false, '2017-05-31', ''),
  ('MMA1187', true, '2017-05-12', ''),
  ('MMC1298', false, '2017-06-05', ''),
  ('MMA1140', false, '2017-05-12', ''),
  ('MMA1022', false, '2017-05-08', ''),
  ('MMC1260', false, '2017-06-05', ''),
  ('MMA1248', false, '2017-06-04', ''),
  ('MMB1252', false, '2017-06-04', ''),
  ('MMA7055', false, '2017-05-31', ''),
  ('MMA1062', true, '2017-05-12', ''),
  ('MMA7070', false, '2017-05-31', ''),
  ('MMB1288', false, '2017-06-04', ''),
  ('MMA1056', true, '2017-05-12', ''),
  ('MMA1070', true, '2017-05-12', ''),
  ('MMA1078', false, '2017-05-12', ''),
  ('MMA5061', false, '2017-05-27', ''),
  ('MMA1066', true, '2017-05-12', ''),
  ('MMA1032', false, '2017-05-08', ''),
  ('MMC1168', false, '2017-05-17', ''),
  ('MMB1112', true, '2017-05-13', ''),
  ('MMB1154', true, '2017-05-13', ''),
  ('MMB5184', true, '2017-05-23', ''),
  ('MMA7019', false, '2017-05-31', ''),
  ('MMA5038', false, '2017-05-27', ''),
  ('MMC5102', false, '2017-05-28', ''),
  ('MMB7119', false, '2017-06-01', ''),
  ('MMA7029', false, '2017-05-31', ''),
  ('MMB5009', false, '2017-05-23', ''),
  ('MMC1281', false, '2017-06-05', ''),
  ('MMA5207', false, '2017-05-27', ''),
  ('MMA5016', true, '2017-05-27', ''),
  ('MMC1257', false, '2017-06-05', ''),
  ('MMB5018', false, '2017-05-23', ''),
  ('MMA5151', false, '2017-05-27', ''),
  ('MMA1031', true, '2017-05-08', ''),
  ('MMA1294', false, '2017-06-04', ''),
  ('MMB5202', false, '2017-05-23', ''),
  ('MMA1033', false, '2017-05-08', ''),
  ('MMA1141', false, '2017-05-12', ''),
  ('MMC1195', false, '2017-05-17', ''),
  ('MMB7052', false, '2017-06-01', ''),
  ('MMC1141', false, '2017-05-17', ''),
  ('MMB5031', true, '2017-05-23', ''),
  ('MMA7063', false, '2017-05-31', ''),
  ('MMB1045', false, '2017-05-13', ''),
  ('MMB5178', false, '2017-05-23', ''),
  ('MMC1301', false, '2017-06-05', ''),
  ('MMB5165', false, '2017-05-23', ''),
  ('MMB7075', false, '2017-06-01', ''),
  ('MMA1254', true, '2017-06-04', ''),
  ('MMC5116', false, '2017-05-28', ''),
  ('MMA5122', false, '2017-05-27', ''),
  ('MMB1128', false, '2017-05-13', ''),
  ('MMB5008', true, '2017-05-23', ''),
  ('MMB5251', false, '2017-06-09', ''),
  ('MMB1028', false, '2017-05-13', ''),
  ('MMB5111', true, '2017-05-23', ''),
  ('MMC5060', false, '2017-05-28', ''),
  ('MMA1243', false, '2017-06-04', ''),
  ('MMC7027', false, '2017-06-02', ''),
  ('MMB7139', false, '2017-06-01', ''),
  ('MMC1286', false, '2017-06-05', ''),
  ('MMA1175', true, '2017-05-12', ''),
  ('MMB1051', true, '2017-05-13', ''),
  ('MMC5178', false, '2017-05-28', ''),
  ('MMC1049', true, '2017-05-17', ''),
  ('MMC5058', false, '2017-05-28', ''),
  ('MMC5151', false, '2017-05-28', ''),
  ('MMB1111', true, '2017-05-13', ''),
  ('MMC1120', false, '2017-05-17', ''),
  ('MMA5094', false, '2017-05-27', ''),
  ('MMC5006', true, '2017-05-28', ''),
  ('MMC5162', false, '2017-05-28', ''),
  ('MMC5237', false, '2017-06-10', ''),
  ('MMB5157', true, '2017-05-23', ''),
  ('MMB1134', false, '2017-05-13', ''),
  ('MMB1012', false, '2017-05-13', ''),
  ('MMA5012', false, '2017-05-27', ''),
  ('MMC5062', false, '2017-05-28', ''),
  ('MMC5243', false, '2017-06-10', ''),
  ('MMB1210', false, '2017-05-13', ''),
  ('MMC5207', true, '2017-06-10', ''),
  ('MMC1108', false, '2017-05-17', ''),
  ('MMB1197', false, '2017-05-13', ''),
  ('MMC1106', false, '2017-05-17', ''),
  ('MMB5126', false, '2017-05-23', ''),
  ('MMA5011', false, '2017-05-27', ''),
  ('MMC1203', false, '2017-05-17', ''),
  ('MMC1278', false, '2017-06-05', ''),
  ('MMC1071', true, '2017-05-17', ''),
  ('MMB7101', false, '2017-06-01', ''),
  ('MMB1203', false, '2017-05-13', ''),
  ('MMB5064', false, '2017-05-23', ''),
  ('MMB1054', false, '2017-05-13', ''),
  ('MMA5001', false, '2017-05-27', ''),
  ('MMC1155', false, '2017-05-17', ''),
  ('MMA1037', false, '2017-05-08', ''),
  ('MMA7062', false, '2017-05-31', ''),
  ('MMB1185', false, '2017-05-13', ''),
  ('MMC7017', false, '2017-06-02', ''),
  ('MMA1106', true, '2017-05-12', ''),
  ('MMC1161', true, '2017-05-17', ''),
  ('MMC5229', false, '2017-06-10', ''),
  ('MMC1058', true, '2017-05-17', ''),
  ('MMC5011', false, '2017-05-28', ''),
  ('MMB7037', false, '2017-06-01', ''),
  ('MMB1148', true, '2017-05-13', ''),
  ('MMC5187', false, '2017-05-28', ''),
  ('MMA1190', true, '2017-05-12', ''),
  ('MMC1215', false, '2017-06-05', ''),
  ('MMC7109', false, '2017-06-02', ''),
  ('MMA1275', false, '2017-06-04', ''),
  ('MMB1115', false, '2017-05-13', ''),
  ('MMC1016', false, '2017-05-17', ''),
  ('MMA5006', false, '2017-05-27', ''),
  ('MMA5117', false, '2017-05-27', ''),
  ('MMB5252', false, '2017-06-09', ''),
  ('MMB5222', false, '2017-06-09', ''),
  ('MMC1082', true, '2017-05-17', ''),
  ('MMB5176', false, '2017-05-23', ''),
  ('MMA1110', true, '2017-05-12', ''),
  ('MMB1076', false, '2017-05-13', ''),
  ('MMA5141', false, '2017-05-27', ''),
  ('MMB1029', true, '2017-05-13', ''),
  ('MMA7002', false, '2017-05-31', ''),
  ('MMB5249', false, '2017-06-09', ''),
  ('MMB1196', false, '2017-05-13', ''),
  ('MMB7057', false, '2017-06-01', ''),
  ('MMC5020', false, '2017-05-28', ''),
  ('MMB1180', false, '2017-05-13', ''),
  ('MMA5234', false, '2017-06-08', ''),
  ('MMA1103', false, '2017-05-12', ''),
  ('MMA7025', false, '2017-05-31', ''),
  ('MMB1084', false, '2017-05-13', ''),
  ('MMA1202', false, '2017-06-04', ''),
  ('MMA5078', false, '2017-05-27', ''),
  ('MMA7117', false, '2017-05-31', ''),
  ('MMB1164', true, '2017-05-13', ''),
  ('MMB7056', true, '2017-06-01', ''),
  ('MMC5122', false, '2017-05-28', ''),
  ('MMC7064', false, '2017-06-02', 'manque une feuille'),
  ('MMA1249', true, '2017-06-04', ''),
  ('MMC5199', false, '2017-05-28', ''),
  ('MMC7010', false, '2017-06-02', ''),
  ('MMA7076', false, '2017-05-31', ''),
  ('MMC1009', false, '2017-05-17', ''),
  ('MMC1026', true, '2017-05-17', ''),
  ('MMC1055', false, '2017-05-17', ''),
  ('MMC5090', false, '2017-05-28', ''),
  ('MMA1221', false, '2017-06-04', ''),
  ('MMC7134', false, '2017-06-20', ''),
  ('MMA1268', false, '2017-06-04', ''),
  ('MMB5022', false, '2017-05-23', ''),
  ('MMB5113', false, '2017-05-23', ''),
  ('MMB5129', false, '2017-05-23', ''),
  ('MMA5182', false, '2017-05-27', ''),
  ('MMC1269', false, '2017-06-05', ''),
  ('MMA5021', false, '2017-05-27', ''),
  ('MMB7092', false, '2017-06-01', ''),
  ('MMA7015', false, '2017-05-31', ''),
  ('MMC1246', false, '2017-06-05', ''),
  ('MMA1186', true, '2017-05-12', ''),
  ('MMC5203', false, '2017-05-28', ''),
  ('MMB5211', false, '2017-05-23', ''),
  ('MMA5118', false, '2017-05-27', ''),
  ('MMC7087', false, '2017-06-02', ''),
  ('MMC1065', true, '2017-05-17', ''),
  ('MMA5187', false, '2017-05-27', ''),
  ('MMC5111', false, '2017-05-28', ''),
  ('MMC1284', false, '2017-06-05', ''),
  ('MMB5197', false, '2017-05-23', ''),
  ('MMA7089', false, '2017-05-31', ''),
  ('MMA1080', false, '2017-05-12', ''),
  ('MMA1063', true, '2017-05-12', ''),
  ('MMA7065', false, '2017-05-31', ''),
  ('MMC7131', true, '2017-06-14', ''),
  ('MMB5069', false, '2017-05-23', ''),
  ('MMA5074', false, '2017-05-27', ''),
  ('MMB7110', false, '2017-06-01', ''),
  ('MMC7015', false, '2017-06-02', ''),
  ('MMC5249', false, '2017-06-10', ''),
  ('MMA5174', false, '2017-05-27', ''),
  ('MMC1253', false, '2017-06-05', ''),
  ('MMC7056', false, '2017-06-02', ''),
  ('MMA5237', false, '2017-06-08', ''),
  ('MMB1048', false, '2017-05-13', ''),
  ('MMA5028', false, '2017-05-27', ''),
  ('MMC7097', false, '2017-06-02', ''),
  ('MMB5256', false, '2017-06-09', ''),
  ('MMA7071', false, '2017-05-31', ''),
  ('MMC5211', false, '2017-06-10', ''),
  ('MMA1132', true, '2017-05-12', ''),
  ('MMA1118', true, '2017-05-12', ''),
  ('MMC5066', false, '2017-05-28', ''),
  ('MMA1252', true, '2017-06-04', ''),
  ('MMC5051', true, '2017-05-28', ''),
  ('MMC7047', false, '2017-06-02', ''),
  ('MMB1216', false, '2017-06-04', ''),
  ('MMC5236', false, '2017-06-10', ''),
  ('MMC1006', false, '2017-05-17', ''),
  ('MMB7081', true, '2017-06-01', ''),
  ('MMB1074', true, '2017-05-13', ''),
  ('MMC1022', false, '2017-05-17', ''),
  ('MMB7095', false, '2017-06-01', ''),
  ('MMB1232', false, '2017-06-04', ''),
  ('MMB1062', false, '2017-05-13', ''),
  ('MMC1070', true, '2017-05-17', ''),
  ('MMC1103', false, '2017-05-17', ''),
  ('MMB5215', true, '2017-05-23', ''),
  ('MMC1145', false, '2017-05-17', ''),
  ('MMA5131', false, '2017-05-27', ''),
  ('MMB7013', false, '2017-06-01', ''),
  ('MMC1079', true, '2017-05-17', ''),
  ('MMA5100', false, '2017-05-27', ''),
  ('MMA7088', true, '2017-05-31', ''),
  ('MMC1237', false, '2017-06-05', ''),
  ('MMA5009', false, '2017-05-27', ''),
  ('MMC5100', false, '2017-05-28', ''),
  ('MMC1061', true, '2017-05-17', ''),
  ('MMB5117', false, '2017-05-23', ''),
  ('MMC5164', false, '2017-05-28', ''),
  ('MMA1271', false, '2017-06-04', ''),
  ('MMB5123', false, '2017-05-23', ''),
  ('MMB5190', false, '2017-05-23', ''),
  ('MMA7114', false, '2017-05-31', ''),
  ('MMC7096', false, '2017-06-02', ''),
  ('MMB1032', false, '2017-05-13', ''),
  ('MMA1053', false, '2017-05-12', ''),
  ('MMC7037', false, '2017-06-02', ''),
  ('MMC1073', true, '2017-05-17', ''),
  ('MMB7002', false, '2017-06-01', ''),
  ('MMB5152', true, '2017-05-23', ''),
  ('MMA5135', false, '2017-05-27', ''),
  ('MMB7043', false, '2017-06-01', ''),
  ('MMA1116', true, '2017-05-12', ''),
  ('MMA5252', true, '2017-06-08', ''),
  ('MMB1257', true, '2017-06-04', ''),
  ('MMA7098', false, '2017-05-31', ''),
  ('MMA5210', false, '2017-06-08', ''),
  ('MMC7137', false, '2017-06-20', ''),
  ('MMA1082', true, '2017-05-12', ''),
  ('MMB1233', false, '2017-06-04', ''),
  ('MMA1041', false, '2017-05-08', ''),
  ('MMA5178', false, '2017-05-27', ''),
  ('MMC1212', false, '2017-06-05', ''),
  ('MMA1019', false, '2017-05-08', ''),
  ('MMC1032', false, '2017-05-17', ''),
  ('MMB5025', false, '2017-05-23', ''),
  ('MMB7078', false, '2017-06-01', ''),
  ('MMB5186', true, '2017-05-23', ''),
  ('MMA5176', false, '2017-05-27', ''),
  ('MMC5253', false, '2017-06-10', ''),
  ('MMB1160', false, '2017-05-13', ''),
  ('MMB5156', true, '2017-05-23', ''),
  ('MMC5035', false, '2017-05-28', ''),
  ('MMB7031', false, '2017-06-01', ''),
  ('MMA5232', false, '2017-06-08', ''),
  ('MMA5245', false, '2017-06-08', ''),
  ('MMA1038', false, '2017-05-08', ''),
  ('MMA1172', true, '2017-05-12', ''),
  ('MMB5043', true, '2017-05-23', ''),
  ('MMA5057', false, '2017-05-27', ''),
  ('MMA5138', false, '2017-05-27', ''),
  ('MMA5146', true, '2017-05-27', ''),
  ('MMC1219', false, '2017-06-05', ''),
  ('MMC5217', false, '2017-06-10', ''),
  ('MMB5054', false, '2017-05-23', ''),
  ('MMB7140', false, '2017-06-20', ''),
  ('MMA1280', false, '2017-06-04', ''),
  ('MMA5242', false, '2017-06-08', ''),
  ('MMC1142', false, '2017-05-17', ''),
  ('MMA5042', true, '2017-05-27', ''),
  ('MMC1268', false, '2017-06-05', ''),
  ('MMC7041', false, '2017-06-02', ''),
  ('MMB7006', false, '2017-06-01', ''),
  ('MMC7088', false, '2017-06-02', ''),
  ('MMC1137', false, '2017-05-17', ''),
  ('MMA5069', false, '2017-05-27', ''),
  ('MMA7118', false, '2017-05-31', ''),
  ('MMC7080', false, '2017-06-02', ''),
  ('MMC7050', false, '2017-06-02', ''),
  ('MMB1014', false, '2017-05-13', ''),
  ('MMA7031', false, '2017-05-31', ''),
  ('MMC1279', false, '2017-06-05', ''),
  ('MMA5195', false, '2017-05-27', ''),
  ('MMC5083', false, '2017-05-28', ''),
  ('MMA7124', false, '2017-05-31', ''),
  ('MMA5082', false, '2017-05-27', ''),
  ('MMC5204', false, '2017-05-28', ''),
  ('MMC1174', false, '2017-05-17', ''),
  ('MMA5163', false, '2017-05-27', ''),
  ('MMC7071', false, '2017-06-02', ''),
  ('MMA5004', false, '2017-05-27', ''),
  ('MMC7045', false, '2017-06-02', ''),
  ('MMC5081', false, '2017-05-28', ''),
  ('MMB1270', false, '2017-06-04', ''),
  ('MMB7129', false, '2017-06-01', ''),
  ('MMA1224', false, '2017-06-04', ''),
  ('MMB7049', false, '2017-06-01', ''),
  ('MMA1278', false, '2017-06-04', ''),
  ('MMB7124', false, '2017-06-01', ''),
  ('MMC5161', false, '2017-05-28', ''),
  ('MMA7040', true, '2017-05-31', ''),
  ('MMB1093', true, '2017-05-13', ''),
  ('MMB1179', false, '2017-05-13', ''),
  ('MMC1075', false, '2017-05-17', ''),
  ('MMC5123', false, '2017-05-28', ''),
  ('MMB7058', false, '2017-06-01', ''),
  ('MMA1191', false, '2017-05-12', ''),
  ('MMC1165', false, '2017-05-17', ''),
  ('MMA5139', false, '2017-05-27', ''),
  ('MMA1259', false, '2017-06-04', ''),
  ('MMC1129', false, '2017-05-17', ''),
  ('MMB1092', false, '2017-05-13', ''),
  ('MMA5090', false, '2017-05-27', ''),
  ('MMC5046', false, '2017-05-28', ''),
  ('MMA7024', false, '2017-05-31', ''),
  ('MMA1074', false, '2017-05-12', ''),
  ('MMB1053', false, '2017-05-13', ''),
  ('MMC1128', false, '2017-05-17', ''),
  ('MMA1183', false, '2017-05-12', ''),
  ('MMC5147', false, '2017-05-28', ''),
  ('MMA1292', true, '2017-06-04', ''),
  ('MMA1051', true, '2017-05-12', ''),
  ('MMA5083', false, '2017-05-27', ''),
  ('MMA1204', false, '2017-06-04', ''),
  ('MMA5199', false, '2017-05-27', ''),
  ('MMC7072', false, '2017-06-02', ''),
  ('MMC1040', false, '2017-05-17', ''),
  ('MMB1141', false, '2017-05-13', ''),
  ('MMC5019', false, '2017-05-28', ''),
  ('MMC1123', true, '2017-05-17', ''),
  ('MMC5005', true, '2017-05-28', ''),
  ('MMB1230', false, '2017-06-04', ''),
  ('MMC1147', false, '2017-05-17', ''),
  ('MMA7038', true, '2017-05-31', ''),
  ('MMB1072', true, '2017-05-13', ''),
  ('MMB1136', false, '2017-05-13', ''),
  ('MMA1075', false, '2017-05-12', ''),
  ('MMA5241', false, '2017-06-08', ''),
  ('MMA1245', false, '2017-06-04', ''),
  ('MMC5114', false, '2017-05-28', ''),
  ('MMA1211', true, '2017-06-04', ''),
  ('MMB5127', false, '2017-05-23', ''),
  ('MMA5159', false, '2017-05-27', ''),
  ('MMC1011', false, '2017-05-17', ''),
  ('MMC5171', true, '2017-05-28', ''),
  ('MMA1090', true, '2017-05-12', ''),
  ('MMA7073', true, '2017-05-31', ''),
  ('MMA1017', true, '2017-05-08', ''),
  ('MMC1183', false, '2017-05-17', ''),
  ('MMC7043', false, '2017-06-02', ''),
  ('MMB1042', false, '2017-05-13', ''),
  ('MMB7080', false, '2017-06-01', ''),
  ('MMA5054', true, '2017-05-27', ''),
  ('MMC5089', false, '2017-05-28', ''),
  ('MMC7141', false, '2017-06-20', ''),
  ('MMA5120', true, '2017-05-27', ''),
  ('MMC1002', false, '2017-05-17', ''),
  ('MMA5170', false, '2017-05-27', ''),
  ('MMA1099', true, '2017-05-12', ''),
  ('MMB5219', false, '2017-05-23', ''),
  ('MMC5030', false, '2017-05-28', ''),
  ('MMB1209', false, '2017-05-13', ''),
  ('MMB1059', false, '2017-05-13', ''),
  ('MMB5100', false, '2017-05-23', ''),
  ('MMA7030', true, '2017-05-31', ''),
  ('MMA1246', false, '2017-06-04', ''),
  ('MMA1084', false, '2017-05-12', ''),
  ('MMC7057', false, '2017-06-02', ''),
  ('MMB5080', true, '2017-05-23', ''),
  ('MMB5094', false, '2017-05-23', ''),
  ('MMC5152', false, '2017-05-28', ''),
  ('MMA1139', true, '2017-05-12', ''),
  ('MMA7104', false, '2017-05-31', ''),
  ('MMA5226', false, '2017-06-08', ''),
  ('MMC5127', true, '2017-05-28', ''),
  ('MMC5197', false, '2017-05-28', ''),
  ('MMC5155', true, '2017-05-28', ''),
  ('MMA5066', false, '2017-05-27', ''),
  ('MMA1072', true, '2017-05-12', ''),
  ('MMB1002', true, '2017-05-13', ''),
  ('MMC1163', true, '2017-05-17', ''),
  ('MMA1034', true, '2017-05-08', ''),
  ('MMA5110', false, '2017-05-27', ''),
  ('MMC5028', true, '2017-05-28', ''),
  ('MMB5133', false, '2017-05-23', ''),
  ('MMB1143', false, '2017-05-13', ''),
  ('MMA5018', false, '2017-05-27', ''),
  ('MMA1209', false, '2017-06-04', ''),
  ('MMA1012', true, '2017-05-08', ''),
  ('MMC7140', false, '2017-06-20', ''),
  ('MMA1048', true, '2017-05-12', ''),
  ('MMA7108', false, '2017-05-31', ''),
  ('MMA5114', false, '2017-05-27', ''),
  ('MMC1008', false, '2017-05-17', ''),
  ('MMC1179', false, '2017-05-17', ''),
  ('MMC5201', false, '2017-05-28', ''),
  ('MMC1229', false, '2017-06-05', ''),
  ('MMC5233', false, '2017-06-10', ''),
  ('MMB7014', false, '2017-06-01', ''),
  ('MMC1013', false, '2017-05-17', ''),
  ('MMA5181', false, '2017-05-27', ''),
  ('MMC1214', false, '2017-06-05', ''),
  ('MMB1020', true, '2017-05-13', ''),
  ('MMC7083', false, '2017-06-02', ''),
  ('MMC1230', false, '2017-06-05', ''),
  ('MMC1064', false, '2017-05-17', ''),
  ('MMA1137', true, '2017-05-12', ''),
  ('MMC5141', false, '2017-05-28', '1 feuille broutée'),
  ('MMB1239', false, '2017-06-04', ''),
  ('MMA1043', false, '2017-05-08', ''),
  ('MMB5058', false, '2017-05-23', ''),
  ('MMB5106', false, '2017-05-23', ''),
  ('MMA5087', false, '2017-05-27', ''),
  ('MMA1065', true, '2017-05-12', ''),
  ('MMB7116', false, '2017-06-01', ''),
  ('MMC7079', false, '2017-06-02', ''),
  ('MMB5079', true, '2017-05-23', ''),
  ('MMB5195', false, '2017-05-23', ''),
  ('MMB1263', false, '2017-06-04', ''),
  ('MMC7120', false, '2017-06-02', ''),
  ('MMB1004', false, '2017-05-13', ''),
  ('MMA7050', true, '2017-05-31', ''),
  ('MMB5231', false, '2017-06-09', ''),
  ('MMC1105', false, '2017-05-17', ''),
  ('MMC5128', false, '2017-05-28', ''),
  ('MMA7010', false, '2017-05-31', ''),
  ('MMA1077', false, '2017-05-12', ''),
  ('MMB1006', true, '2017-05-13', ''),
  ('MMC7032', false, '2017-06-02', ''),
  ('MMB5250', false, '2017-06-09', ''),
  ('MMC7073', false, '2017-06-02', ''),
  ('MMA5046', true, '2017-05-27', ''),
  ('MMA7069', false, '2017-05-31', ''),
  ('MMA1023', false, '2017-05-08', ''),
  ('MMA5152', false, '2017-05-27', ''),
  ('MMC5206', false, '2017-05-28', ''),
  ('MMC7139', false, '2017-06-20', ''),
  ('MMB5053', true, '2017-05-23', ''),
  ('MMB7024', false, '2017-06-01', ''),
  ('MMC1254', false, '2017-06-05', ''),
  ('MMC1205', false, '2017-05-17', ''),
  ('MMB7009', true, '2017-06-01', ''),
  ('MMB1310', false, '2017-06-04', ''),
  ('MMC1201', false, '2017-05-17', ''),
  ('MMA1046', true, '2017-05-12', ''),
  ('MMB1033', true, '2017-05-13', ''),
  ('MMC1274', false, '2017-06-05', ''),
  ('MMB5260', false, '2017-06-09', ''),
  ('MMA1198', true, '2017-05-12', ''),
  ('MMB1017', true, '2017-05-13', ''),
  ('MMC5091', false, '2017-05-28', ''),
  ('MMB7017', false, '2017-06-01', ''),
  ('MMB7120', false, '2017-06-01', ''),
  ('MMC7125', false, '2017-06-02', ''),
  ('MMA5193', false, '2017-05-27', ''),
  ('MMB1188', false, '2017-05-13', ''),
  ('MMB1266', false, '2017-06-04', ''),
  ('MMA7046', false, '2017-05-31', ''),
  ('MMA1225', false, '2017-06-04', ''),
  ('MMA1192', false, '2017-05-12', ''),
  ('MMC1222', false, '2017-06-05', ''),
  ('MMA5156', false, '2017-05-27', ''),
  ('MMB5096', false, '2017-05-23', ''),
  ('MMA7121', false, '2017-05-31', ''),
  ('MMA1253', false, '2017-06-04', ''),
  ('MMB7039', true, '2017-06-01', ''),
  ('MMC1158', true, '2017-05-17', ''),
  ('MMB7048', false, '2017-06-01', ''),
  ('MMA5243', false, '2017-06-08', ''),
  ('MMC5159', false, '2017-05-28', ''),
  ('MMA7020', false, '2017-05-31', ''),
  ('MMC1285', false, '2017-06-05', ''),
  ('MMC5050', false, '2017-05-28', ''),
  ('MMA7042', true, '2017-05-31', ''),
  ('MMB5228', false, '2017-06-09', ''),
  ('MMB5026', true, '2017-05-23', ''),
  ('MMA7099', false, '2017-05-31', ''),
  ('MMC1173', false, '2017-05-17', ''),
  ('MMB7135', false, '2017-06-01', ''),
  ('MMB5153', false, '2017-05-23', ''),
  ('MMA5171', true, '2017-05-27', ''),
  ('MMC1033', false, '2017-05-17', ''),
  ('MMB1259', false, '2017-06-04', ''),
  ('MMB1140', false, '2017-05-13', ''),
  ('MMB5193', false, '2017-05-23', ''),
  ('MMB1190', true, '2017-05-13', ''),
  ('MMA1114', true, '2017-05-12', ''),
  ('MMA1293', false, '2017-06-04', ''),
  ('MMB1214', false, '2017-06-04', ''),
  ('MMB7047', false, '2017-06-01', ''),
  ('MMA1049', false, '2017-05-12', ''),
  ('MMB5078', true, '2017-05-23', ''),
  ('MMB1070', true, '2017-05-13', ''),
  ('MMA5043', false, '2017-05-27', ''),
  ('MMA7017', false, '2017-05-31', ''),
  ('MMC5234', false, '2017-06-10', ''),
  ('MMB7147', false, '2017-06-20', ''),
  ('MMB7042', false, '2017-06-01', ''),
  ('MMC7100', false, '2017-06-02', ''),
  ('MMB1269', false, '2017-06-04', ''),
  ('MMA1050', false, '2017-05-12', ''),
  ('MMC1063', false, '2017-05-17', ''),
  ('MMC5219', false, '2017-06-10', ''),
  ('MMA5059', false, '2017-05-27', ''),
  ('MMC1188', false, '2017-05-17', ''),
  ('MMB5137', false, '2017-05-23', ''),
  ('MMB5173', true, '2017-05-23', ''),
  ('MMC7108', false, '2017-06-02', ''),
  ('MMB5179', false, '2017-05-23', ''),
  ('MMB1286', true, '2017-06-04', ''),
  ('MMB7025', false, '2017-06-01', ''),
  ('MMC1067', false, '2017-05-17', ''),
  ('MMC1099', false, '2017-05-17', ''),
  ('MMC5088', false, '2017-05-28', ''),
  ('MMC7002', false, '2017-06-02', ''),
  ('MMB1088', false, '2017-05-13', ''),
  ('MMA1119', true, '2017-05-12', ''),
  ('MMB1025', true, '2017-05-13', ''),
  ('MMC7007', false, '2017-06-02', ''),
  ('MMB1041', false, '2017-05-13', ''),
  ('MMB5206', false, '2017-05-23', ''),
  ('MMC5033', false, '2017-05-28', ''),
  ('MMA1169', true, '2017-05-12', ''),
  ('MMA7120', false, '2017-05-31', ''),
  ('MMC1014', false, '2017-05-17', ''),
  ('MMB5189', false, '2017-05-23', ''),
  ('MMA5144', false, '2017-05-27', ''),
  ('MMC5063', false, '2017-05-28', ''),
  ('MMC5148', false, '2017-05-28', ''),
  ('MMA7129', true, '2017-05-31', ''),
  ('MMA7016', true, '2017-05-31', ''),
  ('MMA7119', true, '2017-05-31', ''),
  ('MMC7029', false, '2017-06-02', ''),
  ('MMA1108', true, '2017-05-12', ''),
  ('MMB5082', false, '2017-05-23', ''),
  ('MMC1259', false, '2017-06-05', ''),
  ('MMB5227', false, '2017-06-09', ''),
  ('MMB1200', false, '2017-05-13', ''),
  ('MMB1208', false, '2017-05-13', ''),
  ('MMA5015', false, '2017-05-27', ''),
  ('MMB7029', false, '2017-06-01', ''),
  ('MMB1086', false, '2017-05-13', ''),
  ('MMA1282', false, '2017-06-04', ''),
  ('MMA1196', true, '2017-05-12', ''),
  ('MMC5031', false, '2017-05-28', ''),
  ('MMB1229', false, '2017-06-04', ''),
  ('MMC1282', false, '2017-06-05', ''),
  ('MMC5074', false, '2017-05-28', ''),
  ('MMB1177', false, '2017-05-13', ''),
  ('MMC7030', false, '2017-06-02', ''),
  ('MMC7114', false, '2017-06-02', ''),
  ('MMC1186', false, '2017-05-17', ''),
  ('MMC1072', true, '2017-05-17', ''),
  ('MMB7074', false, '2017-06-01', ''),
  ('MMB5262', false, '2017-06-09', ''),
  ('MMB1161', false, '2017-05-13', ''),
  ('MMC1095', false, '2017-05-17', ''),
  ('MMB7111', false, '2017-06-01', ''),
  ('MMB5259', false, '2017-06-09', ''),
  ('MMB1061', false, '2017-05-13', ''),
  ('MMB5201', false, '2017-05-23', ''),
  ('MMA1087', true, '2017-05-12', ''),
  ('MMC1114', true, '2017-05-17', ''),
  ('MMC1140', false, '2017-05-17', ''),
  ('MMA7133', false, '2017-06-19', ''),
  ('MMA7105', false, '2017-05-31', ''),
  ('MMC1109', false, '2017-05-17', ''),
  ('MMB5108', false, '2017-05-23', ''),
  ('MMA1135', false, '2017-05-12', ''),
  ('MMB1151', false, '2017-05-13', ''),
  ('MMA7084', false, '2017-05-31', ''),
  ('MMA1290', false, '2017-06-04', ''),
  ('MMA1071', true, '2017-05-12', ''),
  ('MMC1271', false, '2017-06-05', ''),
  ('MMB1119', false, '2017-05-13', ''),
  ('MMA1178', true, '2017-05-12', ''),
  ('MMB5187', false, '2017-05-23', ''),
  ('MMB1303', false, '2017-06-04', ''),
  ('MMC1003', true, '2017-05-17', ''),
  ('MMB5182', false, '2017-05-23', ''),
  ('MMB1168', false, '2017-05-13', ''),
  ('MMC5251', false, '2017-06-10', ''),
  ('MMB1089', true, '2017-05-13', ''),
  ('MMB5162', false, '2017-05-23', ''),
  ('MMA1115', false, '2017-05-12', ''),
  ('MMC1015', false, '2017-05-17', ''),
  ('MMA5109', false, '2017-05-27', ''),
  ('MMC5134', false, '2017-05-28', ''),
  ('MMA1238', false, '2017-06-04', ''),
  ('MMB5255', false, '2017-06-09', ''),
  ('MMA5075', false, '2017-05-27', ''),
  ('MMC5097', false, '2017-05-28', ''),
  ('MMB5191', false, '2017-05-23', ''),
  ('MMB5209', false, '2017-05-23', ''),
  ('MMA5224', false, '2017-06-08', ''),
  ('MMA1162', true, '2017-05-12', ''),
  ('MMC1035', false, '2017-05-17', ''),
  ('MMA5129', false, '2017-05-27', ''),
  ('MMC7122', false, '2017-06-02', ''),
  ('MMC5231', false, '2017-06-10', ''),
  ('MMA1052', false, '2017-05-12', ''),
  ('MMB1296', false, '2017-06-04', ''),
  ('MMB1195', false, '2017-05-13', ''),
  ('MMB5028', true, '2017-05-23', ''),
  ('MMA7018', false, '2017-05-31', ''),
  ('MMA1159', false, '2017-05-12', ''),
  ('MMB7004', false, '2017-06-01', ''),
  ('MMC7084', false, '2017-06-02', ''),
  ('MMA1134', false, '2017-05-12', ''),
  ('MMA7132', false, '2017-06-19', ''),
  ('MMA5033', false, '2017-05-27', ''),
  ('MMA1161', true, '2017-05-12', ''),
  ('MMC1227', false, '2017-06-05', ''),
  ('MMC5132', false, '2017-05-28', ''),
  ('MMB7122', false, '2017-06-01', ''),
  ('MMC5142', true, '2017-05-28', ''),
  ('MMB5010', true, '2017-05-23', ''),
  ('MMA1212', false, '2017-06-04', ''),
  ('MMA7032', false, '2017-05-31', ''),
  ('MMA1055', true, '2017-05-12', ''),
  ('MMC1060', true, '2017-05-17', ''),
  ('MMB7137', true, '2017-06-01', ''),
  ('MMC1144', false, '2017-05-17', ''),
  ('MMC5115', false, '2017-05-28', ''),
  ('MMC7143', false, '2017-06-20', ''),
  ('MMB1021', true, '2017-05-13', ''),
  ('MMA5190', true, '2017-05-27', ''),
  ('MMA1125', false, '2017-05-12', ''),
  ('MMA5017', false, '2017-05-27', ''),
  ('MMA7077', false, '2017-05-31', ''),
  ('MMC5241', false, '2017-06-10', ''),
  ('MMC1096', false, '2017-05-17', ''),
  ('MMC1077', false, '2017-05-17', ''),
  ('MMC5027', false, '2017-05-28', ''),
  ('MMA1001', true, '2017-05-08', ''),
  ('MMA1107', true, '2017-05-12', ''),
  ('MMA5157', false, '2017-05-27', ''),
  ('MMA7102', false, '2017-05-31', ''),
  ('MMA1263', false, '2017-06-04', ''),
  ('MMB1224', false, '2017-06-04', ''),
  ('MMB1301', false, '2017-06-04', ''),
  ('MMA1020', false, '2017-05-08', ''),
  ('MMA7011', false, '2017-05-31', ''),
  ('MMB7090', false, '2017-06-01', ''),
  ('MMB5063', false, '2017-05-23', ''),
  ('MMC1018', false, '2017-05-17', ''),
  ('MMA7127', false, '2017-05-31', ''),
  ('MMA1286', false, '2017-06-04', ''),
  ('MMC7011', false, '2017-06-02', ''),
  ('MMA1150', true, '2017-05-12', ''),
  ('MMB1114', false, '2017-05-13', ''),
  ('MMB1149', true, '2017-05-13', ''),
  ('MMA7053', false, '2017-05-31', ''),
  ('MMB7033', false, '2017-06-01', ''),
  ('MMA1291', false, '2017-06-04', ''),
  ('MMB5131', false, '2017-05-23', ''),
  ('MMB5247', false, '2017-06-09', ''),
  ('MMA5050', true, '2017-05-27', ''),
  ('MMC1307', false, '2017-06-05', ''),
  ('MMC7013', false, '2017-06-02', ''),
  ('MMB1285', false, '2017-06-04', ''),
  ('MMA1086', false, '2017-05-12', ''),
  ('MMC5208', false, '2017-06-10', ''),
  ('MMB5091', false, '2017-05-23', ''),
  ('MMA5020', false, '2017-05-27', ''),
  ('MMA1027', false, '2017-05-08', ''),
  ('MMB1071', false, '2017-05-13', ''),
  ('MMA5172', false, '2017-05-27', ''),
  ('MMB1267', false, '2017-06-04', ''),
  ('MMA1060', false, '2017-05-12', ''),
  ('MMA1093', true, '2017-05-12', ''),
  ('MMB1237', false, '2017-06-04', ''),
  ('MMB1103', true, '2017-05-13', ''),
  ('MMB5225', false, '2017-06-09', ''),
  ('MMC5092', true, '2017-05-28', ''),
  ('MMC1296', false, '2017-06-05', ''),
  ('MMA1058', true, '2017-05-12', ''),
  ('MMA5097', false, '2017-05-27', ''),
  ('MMC5043', false, '2017-05-28', ''),
  ('MMC7126', false, '2017-06-02', ''),
  ('MMC1159', false, '2017-05-17', ''),
  ('MMA7037', true, '2017-05-31', ''),
  ('MMA5196', false, '2017-05-27', ''),
  ('MMC5093', true, '2017-05-28', ''),
  ('MMA1059', true, '2017-05-12', ''),
  ('MMC5156', true, '2017-05-28', ''),
  ('MMB7065', false, '2017-06-01', ''),
  ('MMC5135', false, '2017-05-28', ''),
  ('MMC1295', false, '2017-06-05', ''),
  ('MMB5146', false, '2017-05-23', ''),
  ('MMB1116', false, '2017-05-13', ''),
  ('MMC1133', false, '2017-05-17', ''),
  ('MMC5140', false, '2017-05-28', ''),
  ('MMB5021', true, '2017-05-23', ''),
  ('MMC5248', false, '2017-06-10', ''),
  ('MMA7057', true, '2017-05-31', ''),
  ('MMB5221', false, '2017-06-09', ''),
  ('MMA5040', false, '2017-05-27', ''),
  ('MMB5267', false, '2017-06-09', ''),
  ('MMA1127', true, '2017-05-12', ''),
  ('MMB5075', true, '2017-05-23', ''),
  ('MMB5220', false, '2017-05-23', ''),
  ('MMA5179', false, '2017-05-27', ''),
  ('MMA5214', false, '2017-06-08', ''),
  ('MMB5034', false, '2017-05-23', ''),
  ('MMB1130', false, '2017-05-13', ''),
  ('MMB7099', true, '2017-06-01', ''),
  ('MMB1047', false, '2017-05-13', ''),
  ('MMB1100', false, '2017-05-13', ''),
  ('MMC1235', false, '2017-06-05', ''),
  ('MMA1028', false, '2017-05-08', ''),
  ('MMA7005', false, '2017-05-31', ''),
  ('MMB7142', false, '2017-06-20', ''),
  ('MMB5092', false, '2017-05-23', ''),
  ('MMB1030', true, '2017-05-13', ''),
  ('MMA5202', false, '2017-05-27', ''),
  ('MMC1127', false, '2017-05-17', ''),
  ('MMB5089', false, '2017-05-23', ''),
  ('MMB1249', false, '2017-06-04', ''),
  ('MMB5110', false, '2017-05-23', ''),
  ('MMA5132', false, '2017-05-27', ''),
  ('MMB1079', false, '2017-05-13', ''),
  ('MMB1060', false, '2017-05-13', ''),
  ('MMB1223', false, '2017-06-04', ''),
  ('MMB5243', false, '2017-06-09', ''),
  ('MMB5261', false, '2017-06-09', ''),
  ('MMB5090', false, '2017-05-23', ''),
  ('MMA5143', false, '2017-05-27', ''),
  ('MMB7089', false, '2017-06-01', ''),
  ('MMC1045', true, '2017-05-17', ''),
  ('MMB5062', true, '2017-05-23', ''),
  ('MMB5065', false, '2017-05-23', ''),
  ('MMA7004', true, '2017-05-31', ''),
  ('MMC7093', false, '2017-06-02', ''),
  ('MMC1252', false, '2017-06-05', ''),
  ('MMB5265', false, '2017-06-09', ''),
  ('MMB1192', false, '2017-05-13', ''),
  ('MMB7063', false, '2017-06-01', ''),
  ('MMC7091', false, '2017-06-02', ''),
  ('MMA5133', false, '2017-05-27', ''),
  ('MMA1199', false, '2017-05-12', ''),
  ('MMB1147', true, '2017-05-13', ''),
  ('MMC1220', false, '2017-06-05', ''),
  ('MMB7118', false, '2017-06-01', ''),
  ('MMA1270', false, '2017-06-04', ''),
  ('MMC1134', true, '2017-05-17', ''),
  ('MMC5149', false, '2017-05-28', ''),
  ('MMA1160', true, '2017-05-12', ''),
  ('MMA1123', false, '2017-05-12', ''),
  ('MMC1238', false, '2017-06-05', ''),
  ('MMB5208', false, '2017-05-23', ''),
  ('MMB5217', false, '2017-05-23', ''),
  ('MMA1120', true, '2017-05-12', ''),
  ('MMB7098', false, '2017-06-01', ''),
  ('MMC7035', false, '2017-06-02', ''),
  ('MMA7113', false, '2017-05-31', ''),
  ('MMC1233', false, '2017-06-05', ''),
  ('MMA5111', false, '2017-05-27', ''),
  ('MMC5138', false, '2017-05-28', ''),
  ('MMA1009', false, '2017-05-08', ''),
  ('MMA7075', false, '2017-05-31', ''),
  ('MMC5212', false, '2017-06-10', ''),
  ('MMC1239', false, '2017-06-05', ''),
  ('MMC5172', false, '2017-05-28', ''),
  ('MMB1107', true, '2017-05-13', ''),
  ('MMB1139', false, '2017-05-13', ''),
  ('MMC1044', false, '2017-05-17', ''),
  ('MMA7007', false, '2017-05-31', ''),
  ('MMA1129', false, '2017-05-12', ''),
  ('MMA1195', true, '2017-05-12', ''),
  ('MMB5076', false, '2017-05-23', ''),
  ('MMC1139', false, '2017-05-17', ''),
  ('MMA5197', false, '2017-05-27', ''),
  ('MMA1185', false, '2017-05-12', ''),
  ('MMA1285', false, '2017-06-04', ''),
  ('MMB5027', false, '2017-05-23', ''),
  ('MMB1008', true, '2017-05-13', ''),
  ('MMB7141', false, '2017-06-20', ''),
  ('MMB1022', false, '2017-05-13', ''),
  ('MMA7136', false, '2017-06-19', ''),
  ('MMA7080', false, '2017-05-31', ''),
  ('MMC7074', false, '2017-06-02', ''),
  ('MMB5258', false, '2017-06-09', ''),
  ('MMB1069', false, '2017-05-13', ''),
  ('MMA7021', false, '2017-05-31', ''),
  ('MMC1204', false, '2017-05-17', ''),
  ('MMA1247', false, '2017-06-04', ''),
  ('MMC5160', false, '2017-05-28', ''),
  ('MMC1152', false, '2017-05-17', ''),
  ('MMB1027', false, '2017-05-13', ''),
  ('MMC1093', false, '2017-05-17', ''),
  ('MMA5068', false, '2017-05-27', ''),
  ('MMA7012', true, '2017-05-31', ''),
  ('MMA1165', false, '2017-05-12', ''),
  ('MMA7049', true, '2017-05-31', ''),
  ('MMC7023', false, '2017-06-02', ''),
  ('MMB1262', false, '2017-06-04', ''),
  ('MMA1097', false, '2017-05-12', ''),
  ('MMB1064', true, '2017-05-13', ''),
  ('MMA7087', false, '2017-05-31', ''),
  ('MMC7099', false, '2017-06-02', ''),
  ('MMC7119', false, '2017-06-02', ''),
  ('MMB7143', false, '2017-06-20', ''),
  ('MMA1011', true, '2017-05-08', ''),
  ('MMC5016', true, '2017-05-28', ''),
  ('MMA7068', true, '2017-05-31', ''),
  ('MMC1302', false, '2017-06-05', ''),
  ('MMA7059', false, '2017-05-31', ''),
  ('MMB5147', false, '2017-05-23', ''),
  ('MMA5123', true, '2017-05-27', ''),
  ('MMC7024', false, '2017-06-02', ''),
  ('MMC1243', false, '2017-06-05', ''),
  ('MMA1042', false, '2017-05-08', ''),
  ('MMB7096', false, '2017-06-01', ''),
  ('MMC1021', false, '2017-05-17', ''),
  ('MMA1149', true, '2017-05-12', ''),
  ('MMC1034', false, '2017-05-17', ''),
  ('MMC7145', false, '2017-06-20', ''),
  ('MMA5007', false, '2017-05-27', ''),
  ('MMB7068', false, '2017-06-01', ''),
  ('MMC5169', false, '2017-05-28', ''),
  ('MMC5194', false, '2017-05-28', ''),
  ('MMC7104', false, '2017-06-02', ''),
  ('MMB1213', false, '2017-06-04', ''),
  ('MMC1104', false, '2017-05-17', ''),
  ('MMC5124', false, '2017-05-28', ''),
  ('MMC7105', false, '2017-06-02', ''),
  ('MMC7123', false, '2017-06-02', ''),
  ('MMA1241', false, '2017-06-04', ''),
  ('MMA7056', false, '2017-05-31', ''),
  ('MMA5251', false, '2017-06-08', ''),
  ('MMB1031', false, '2017-05-13', ''),
  ('MMA1233', false, '2017-06-04', ''),
  ('MMC1025', false, '2017-05-17', ''),
  ('MMC1293', false, '2017-06-05', ''),
  ('MMC5064', false, '2017-05-28', ''),
  ('MMB7036', true, '2017-06-01', ''),
  ('MMA5212', false, '2017-06-08', ''),
  ('MMC5025', false, '2017-05-28', ''),
  ('MMB1055', false, '2017-05-13', ''),
  ('MMC7092', false, '2017-06-02', ''),
  ('MMC1131', false, '2017-05-17', ''),
  ('MMC5095', false, '2017-05-28', ''),
  ('MMA7083', false, '2017-05-31', ''),
  ('MMA7122', false, '2017-05-31', ''),
  ('MMA1200', true, '2017-05-12', ''),
  ('MMC5186', false, '2017-05-28', ''),
  ('MMB1292', false, '2017-06-04', ''),
  ('MMC5168', false, '2017-05-28', ''),
  ('MMB1211', false, '2017-06-04', ''),
  ('MMB1078', false, '2017-05-13', ''),
  ('MMC1275', false, '2017-06-05', ''),
  ('MMC1277', false, '2017-06-05', ''),
  ('MMC7135', false, '2017-06-20', ''),
  ('MMA1138', false, '2017-05-12', ''),
  ('MMC1156', false, '2017-05-17', ''),
  ('MMB5006', false, '2017-05-23', ''),
  ('MMC5018', false, '2017-05-28', ''),
  ('MMA1069', false, '2017-05-12', ''),
  ('MMA1098', true, '2017-05-12', ''),
  ('MMA5060', false, '2017-05-27', ''),
  ('MMB7108', false, '2017-06-01', ''),
  ('MMA1295', false, '2017-06-04', ''),
  ('MMC7038', false, '2017-06-02', ''),
  ('MMC7051', false, '2017-06-02', ''),
  ('MMB7107', false, '2017-06-01', ''),
  ('MMC1076', false, '2017-05-17', ''),
  ('MMB5203', false, '2017-05-23', ''),
  ('MMA5223', false, '2017-06-08', ''),
  ('MMC5110', false, '2017-05-28', ''),
  ('MMB5212', false, '2017-05-23', ''),
  ('MMC1046', true, '2017-05-17', ''),
  ('MMB5143', false, '2017-05-23', ''),
  ('MMC1086', false, '2017-05-17', ''),
  ('MMC7129', false, '2017-06-02', ''),
  ('MMA5037', true, '2017-05-27', ''),
  ('MMC1207', false, '2017-05-17', ''),
  ('MMA7039', false, '2017-05-31', ''),
  ('MMB1264', true, '2017-06-04', ''),
  ('MMC1028', true, '2017-05-17', ''),
  ('MMB1272', false, '2017-06-04', ''),
  ('MMA5076', false, '2017-05-27', ''),
  ('MMC7004', false, '2017-06-02', ''),
  ('MMA1289', false, '2017-06-04', ''),
  ('MMB1155', false, '2017-05-13', ''),
  ('MMC1196', false, '2017-05-17', ''),
  ('MMB5093', false, '2017-05-23', ''),
  ('MMB5037', false, '2017-05-23', ''),
  ('MMB7028', false, '2017-06-01', ''),
  ('MMA1136', false, '2017-05-12', ''),
  ('MMA1143', true, '2017-05-12', ''),
  ('MMB7082', false, '2017-06-01', ''),
  ('MMC7022', false, '2017-06-02', ''),
  ('MMC1256', false, '2017-06-05', ''),
  ('MMA1128', false, '2017-05-12', ''),
  ('MMB1260', false, '2017-06-04', ''),
  ('MMB1166', false, '2017-05-13', ''),
  ('MMC5170', false, '2017-05-28', ''),
  ('MMB1231', false, '2017-06-04', ''),
  ('MMC5032', false, '2017-05-28', ''),
  ('MMA7096', false, '2017-05-31', ''),
  ('MMC1270', false, '2017-06-05', ''),
  ('MMB5019', false, '2017-05-23', ''),
  ('MMA5070', false, '2017-05-27', 'manque deux feuilles'),
  ('MMC5012', false, '2017-05-28', ''),
  ('MMA1239', false, '2017-06-04', ''),
  ('MMA1163', false, '2017-05-12', ''),
  ('MMC1062', false, '2017-05-17', ''),
  ('MMB5132', false, '2017-05-23', ''),
  ('MMA7044', true, '2017-05-31', ''),
  ('MMA7085', true, '2017-05-31', ''),
  ('MMC1244', false, '2017-06-05', ''),
  ('MMB5155', false, '2017-05-23', ''),
  ('MMB5174', true, '2017-05-23', ''),
  ('MMB5066', false, '2017-05-23', ''),
  ('MMB5198', false, '2017-05-23', ''),
  ('MMC7018', false, '2017-06-02', ''),
  ('MMC5185', false, '2017-05-28', ''),
  ('MMC5073', false, '2017-05-28', ''),
  ('MMA7093', false, '2017-05-31', ''),
  ('MMC7025', false, '2017-06-02', ''),
  ('MMC7059', false, '2017-06-02', ''),
  ('MMC5252', false, '2017-06-10', ''),
  ('MMA1264', false, '2017-06-04', ''),
  ('MMB7083', false, '2017-06-01', ''),
  ('MMA1216', false, '2017-06-04', ''),
  ('MMB5207', false, '2017-05-23', ''),
  ('MMB7003', false, '2017-06-01', ''),
  ('MMA7047', true, '2017-05-31', ''),
  ('MMC5078', false, '2017-05-28', ''),
  ('MMB1236', false, '2017-06-04', ''),
  ('MMB5003', true, '2017-05-23', ''),
  ('MMA1189', true, '2017-05-12', ''),
  ('MMA1167', false, '2017-05-12', ''),
  ('MMB1162', true, '2017-05-13', ''),
  ('MMA5150', false, '2017-05-27', ''),
  ('MMB7034', false, '2017-06-01', ''),
  ('MMC1074', false, '2017-05-17', ''),
  ('MMA5128', false, '2017-05-27', ''),
  ('MMB7070', false, '2017-06-01', ''),
  ('MMC7046', false, '2017-06-02', ''),
  ('MMA1158', false, '2017-05-12', ''),
  ('MMC5099', false, '2017-05-28', ''),
  ('MMC7116', false, '2017-06-02', ''),
  ('MMA1148', true, '2017-05-12', ''),
  ('MMC5008', false, '2017-05-28', ''),
  ('MMC7111', false, '2017-06-02', ''),
  ('MMB7064', false, '2017-06-01', ''),
  ('MMA1015', true, '2017-05-08', ''),
  ('MMC5007', true, '2017-05-28', ''),
  ('MMB7054', false, '2017-06-01', ''),
  ('MMB1279', false, '2017-06-04', ''),
  ('MMA5116', false, '2017-05-27', ''),
  ('MMB1174', false, '2017-05-13', ''),
  ('MMC5065', true, '2017-05-28', ''),
  ('MMC7086', false, '2017-06-02', ''),
  ('MMB5104', true, '2017-05-23', ''),
  ('MMB1256', false, '2017-06-04', ''),
  ('MMA7003', false, '2017-05-31', ''),
  ('MMC5242', false, '2017-06-10', ''),
  ('MMA7112', false, '2017-05-31', ''),
  ('MMA7013', false, '2017-05-31', ''),
  ('MMA5244', false, '2017-06-08', ''),
  ('MMC5107', true, '2017-05-28', ''),
  ('MMA5227', false, '2017-06-08', ''),
  ('MMA5185', false, '2017-05-27', ''),
  ('MMB5170', false, '2017-05-23', ''),
  ('MMA1109', true, '2017-05-12', ''),
  ('MMC1178', false, '2017-05-17', ''),
  ('MMB1228', false, '2017-06-04', ''),
  ('MMC1290', false, '2017-06-05', ''),
  ('MMA5162', false, '2017-05-27', ''),
  ('MMB1007', false, '2017-05-13', ''),
  ('MMB5139', true, '2017-05-23', ''),
  ('MMA7041', true, '2017-05-31', ''),
  ('MMA5183', true, '2017-05-27', ''),
  ('MMC5037', false, '2017-05-28', ''),
  ('MMB7062', false, '2017-06-01', ''),
  ('MMB5141', false, '2017-05-23', ''),
  ('MMB7073', false, '2017-06-01', ''),
  ('MMA7014', true, '2017-05-31', ''),
  ('MMC1088', false, '2017-05-17', ''),
  ('MMB5205', false, '2017-05-23', ''),
  ('MMB1023', false, '2017-05-13', ''),
  ('MMB1040', true, '2017-05-13', ''),
  ('MMB1186', false, '2017-05-13', ''),
  ('MMC5010', false, '2017-05-28', ''),
  ('MMC5117', false, '2017-05-28', ''),
  ('MMA7086', false, '2017-05-31', ''),
  ('MMC7094', false, '2017-06-02', ''),
  ('MMC1171', false, '2017-05-17', ''),
  ('MMC1160', false, '2017-05-17', ''),
  ('MMA7130', false, '2017-06-19', ''),
  ('MMC5059', false, '2017-05-28', ''),
  ('MMA1218', false, '2017-06-04', ''),
  ('MMA1232', false, '2017-06-04', ''),
  ('MMA5240', false, '2017-06-08', ''),
  ('MMC5001', true, '2017-05-28', ''),
  ('MMB1299', false, '2017-06-04', ''),
  ('MMB7131', false, '2017-06-01', ''),
  ('MMA7022', false, '2017-05-31', ''),
  ('MMB1158', false, '2017-05-13', ''),
  ('MMC7121', false, '2017-06-02', ''),
  ('MMB1245', false, '2017-06-04', ''),
  ('MMC1124', false, '2017-05-17', ''),
  ('MMB5246', false, '2017-06-09', ''),
  ('MMC5176', false, '2017-05-28', ''),
  ('MMA1237', false, '2017-06-04', ''),
  ('MMB5068', false, '2017-05-23', ''),
  ('MMC1027', false, '2017-05-17', ''),
  ('MMB1201', false, '2017-05-13', ''),
  ('MMC5108', false, '2017-05-28', ''),
  ('MMC1098', false, '2017-05-17', ''),
  ('MMB1010', false, '2017-05-13', ''),
  ('MMC7103', false, '2017-06-02', ''),
  ('MMB5171', false, '2017-05-23', ''),
  ('MMB1170', false, '2017-05-13', ''),
  ('MMA5107', false, '2017-05-27', ''),
  ('MMA5079', true, '2017-05-27', ''),
  ('MMB7040', true, '2017-06-01', ''),
  ('MMC1031', false, '2017-05-17', ''),
  ('MMA7082', false, '2017-05-31', ''),
  ('MMB5169', false, '2017-05-23', ''),
  ('MMC7021', false, '2017-06-02', ''),
  ('MMA1281', false, '2017-06-04', ''),
  ('MMC5070', false, '2017-05-28', ''),
  ('MMB7085', false, '2017-06-01', ''),
  ('MMC1038', false, '2017-05-17', ''),
  ('MMA1104', true, '2017-05-12', ''),
  ('MMA1177', false, '2017-05-12', ''),
  ('MMB5012', false, '2017-05-23', ''),
  ('MMB5017', false, '2017-05-23', ''),
  ('MMA7081', true, '2017-05-31', ''),
  ('MMB7088', false, '2017-06-01', ''),
  ('MMC5223', false, '2017-06-10', ''),
  ('MMB1163', false, '2017-05-13', ''),
  ('MMB5047', true, '2017-05-23', ''),
  ('MMC5183', false, '2017-05-28', ''),
  ('MMB1206', false, '2017-05-13', ''),
  ('MMB5239', false, '2017-06-09', ''),
  ('MMA7067', true, '2017-05-31', ''),
  ('MMC1017', false, '2017-05-17', ''),
  ('MMA7123', false, '2017-05-31', ''),
  ('MMC5130', false, '2017-05-28', ''),
  ('MMC5039', false, '2017-05-28', ''),
  ('MMB1169', false, '2017-05-13', ''),
  ('MMB5095', false, '2017-05-23', ''),
  ('MMA5175', false, '2017-05-27', ''),
  ('MMC5071', false, '2017-05-28', ''),
  ('MMA7026', false, '2017-05-31', ''),
  ('MMA1184', false, '2017-05-12', ''),
  ('MMC1053', false, '2017-05-17', ''),
  ('MMB5051', false, '2017-05-23', ''),
  ('MMB7076', false, '2017-06-01', ''),
  ('MMA1144', false, '2017-05-12', ''),
  ('MMC1306', false, '2017-06-05', ''),
  ('MMA1094', false, '2017-05-12', ''),
  ('MMC1151', false, '2017-05-17', ''),
  ('MMB5135', false, '2017-05-23', ''),
  ('MMB5164', false, '2017-05-23', ''),
  ('MMA1112', false, '2017-05-12', ''),
  ('MMB1152', false, '2017-05-13', ''),
  ('MMC1150', false, '2017-05-17', ''),
  ('MMC1175', false, '2017-05-17', ''),
  ('MMC1231', false, '2017-06-05', ''),
  ('MMB5235', false, '2017-06-09', ''),
  ('MMA7028', false, '2017-05-31', ''),
  ('MMA1260', false, '2017-06-04', ''),
  ('MMB1293', false, '2017-06-04', ''),
  ('MMA7101', false, '2017-05-31', ''),
  ('MMA1234', true, '2017-06-04', ''),
  ('MMC1084', false, '2017-05-17', ''),
  ('MMA5067', false, '2017-05-27', ''),
  ('MMB7060', false, '2017-06-01', ''),
  ('MMC5220', false, '2017-06-10', ''),
  ('MMA1180', true, '2017-05-12', ''),
  ('MMB5045', false, '2017-05-23', ''),
  ('MMA5236', false, '2017-06-08', ''),
  ('MMC7062', false, '2017-06-02', ''),
  ('MMA1085', false, '2017-05-12', ''),
  ('MMB1123', true, '2017-05-13', ''),
  ('MMC1024', false, '2017-05-17', ''),
  ('MMB5061', false, '2017-05-23', ''),
  ('MMB7079', false, '2017-06-01', ''),
  ('MMC5096', false, '2017-05-28', ''),
  ('MMC7058', false, '2017-06-02', ''),
  ('MMB5175', true, '2017-05-23', ''),
  ('MMA5134', false, '2017-05-27', ''),
  ('MMB1187', false, '2017-05-13', ''),
  ('MMA7078', false, '2017-05-31', ''),
  ('MMB7134', true, '2017-06-01', ''),
  ('MMC5235', false, '2017-06-10', ''),
  ('MMB5200', false, '2017-05-23', ''),
  ('MMA1217', false, '2017-06-04', ''),
  ('MMB5230', false, '2017-06-09', ''),
  ('MMC7069', false, '2017-06-02', ''),
  ('MMC1056', false, '2017-05-17', ''),
  ('MMB7061', false, '2017-06-01', ''),
  ('MMC7118', false, '2017-06-02', ''),
  ('MMA1220', false, '2017-06-04', ''),
  ('MMA1126', true, '2017-05-12', ''),
  ('MMC5228', false, '2017-06-10', ''),
  ('MMC1042', false, '2017-05-17', ''),
  ('MMB5074', false, '2017-05-23', ''),
  ('MMC1288', false, '2017-06-05', ''),
  ('MMA1213', true, '2017-06-04', ''),
  ('MMC1242', false, '2017-06-05', ''),
  ('MMB7010', false, '2017-06-01', ''),
  ('MMB7032', false, '2017-06-01', ''),
  ('MMB7093', false, '2017-06-01', ''),
  ('MMC5165', false, '2017-05-28', ''),
  ('MMA1155', true, '2017-05-12', ''),
  ('MMB1175', false, '2017-05-13', ''),
  ('MMC1264', false, '2017-06-05', ''),
  ('MMC1176', false, '2017-05-17', ''),
  ('MMB5033', false, '2017-05-23', ''),
  ('MMC1157', false, '2017-05-17', ''),
  ('MMC5192', false, '2017-05-28', ''),
  ('MMC7014', false, '2017-06-02', ''),
  ('MMB5161', false, '2017-05-23', ''),
  ('MMB7022', false, '2017-06-01', ''),
  ('MMB1309', false, '2017-06-04', ''),
  ('MMB1145', false, '2017-05-13', ''),
  ('MMA5112', false, '2017-05-27', ''),
  ('MMB1261', false, '2017-06-04', ''),
  ('MMA5188', false, '2017-05-27', ''),
  ('MMC5144', false, '2017-05-28', ''),
  ('MMA5008', false, '2017-05-27', ''),
  ('MMC1019', false, '2017-05-17', ''),
  ('MMB7128', false, '2017-06-01', ''),
  ('MMB1037', true, '2017-05-13', ''),
  ('MMA7034', false, '2017-05-31', ''),
  ('MMA1016', true, '2017-05-08', ''),
  ('MMB1268', false, '2017-06-04', ''),
  ('MMA5045', true, '2017-05-27', ''),
  ('MMC1208', false, '2017-06-05', ''),
  ('MMB5224', false, '2017-06-09', ''),
  ('MMC1200', false, '2017-05-17', ''),
  ('MMA7106', false, '2017-05-31', ''),
  ('MMC1059', true, '2017-05-17', ''),
  ('MMB5140', false, '2017-05-23', ''),
  ('MMB5040', false, '2017-05-23', ''),
  ('MMC1197', false, '2017-05-17', ''),
  ('MMB5240', false, '2017-06-09', ''),
  ('MMC7098', false, '2017-06-02', ''),
  ('MMA1168', true, '2017-05-12', '');

INSERT INTO obsetat (id, etat, date, note) VALUES
  ('MMA1040', 'O', '2017-06-08', ''),
  ('MMB1305', 'O', '2017-07-04', ''),
  ('MMB7103', 'O', '2017-06-01', ''),
  ('MMA1122', 'B', '2017-06-12', ''),
  ('MMB1009', 'O', '2017-06-13', ''),
  ('MMA5041', 'O', '2017-06-27', ''),
  ('MMA5186', 'B', '2017-06-27', ''),
  ('MMA5051', 'O', '2017-06-27', ''),
  ('MMB5103', 'O', '2017-06-23', ''),
  ('MMA7092', 'O', '2017-06-30', ''),
  ('MMB5213', 'O', '2017-06-23', ''),
  ('MMA1197', 'O', '2017-06-12', ''),
  ('MMB7087', 'C', '2017-06-15', ''),
  ('MMC1085', 'D', '2017-05-17', '');

/*
-- =========================================================================== Z
Contributeurs :
  (DAL) Diane.Auberson-Lavoie@USherbrooke.ca,
  (LL) Luc.Lavoie@USherbrooke.ca

Adresse, droits d'auteur et copyright :
  Groupe Metis
  Département d'informatique
  Faculté des sciences
  Université de Sherbrooke
  Sherbrooke (Québec)  J1K 2R1
  Canada
  http://info.usherbrooke.ca/llavoie/
  [CC-BY-NC-4.0 (http://creativecommons.org/licenses/by-nc/4.0)]

Tâches projetées :
  * Maintenir le script au fil de l'évolution de Herbivorie_cre.sql

Tâches réalisées :
2017-09-17 (LL) : Création
  * Version initiale.

Références :
[ddv] http://info.usherbrooke.ca/llavoie/enseignement/Exemples/Herbivorie/Herbivorie_DDV.pdf
[mod] http://info.usherbrooke.ca/llavoie/enseignement/Modules/
-- -----------------------------------------------------------------------------
-- fin de Exemples/Herbivorie/Herbivorie_jeu2.sql
-- =========================================================================== Z
*/
